// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import 'package:google_language_fonts/src/google_fonts_base.dart';
import 'package:google_language_fonts/src/google_fonts_descriptor.dart';
import 'package:google_language_fonts/src/google_fonts_variant.dart';

part 'google_fonts_arabic.dart';
part 'google_fonts_bengali.dart';
part 'google_fonts_chinese_simplified.dart';
part 'google_fonts_cyrillic.dart';
part 'google_fonts_cyrillic_ext.dart';
part 'google_fonts_czech.dart';
part 'google_fonts_devanagari.dart';
part 'google_fonts_greek.dart';
part 'google_fonts_greek_ext.dart';
part 'google_fonts_gujarati.dart';
part 'google_fonts_gurmukhi.dart';
part 'google_fonts_hebrew.dart';
part 'google_fonts_japanese.dart';
part 'google_fonts_kannada.dart';
part 'google_fonts_khmer.dart';
part 'google_fonts_korean.dart';
part 'google_fonts_latin.dart';
part 'google_fonts_latin_ext.dart';
part 'google_fonts_malayalam.dart';
part 'google_fonts_myanmar.dart';
part 'google_fonts_oriya.dart';
part 'google_fonts_sinhala.dart';
part 'google_fonts_tamil.dart';
part 'google_fonts_telugu.dart';
part 'google_fonts_thai.dart';
part 'google_fonts_tibetan.dart';
part 'google_fonts_vietnamese.dart';

/// A collection of properties used to specify custom behavior of the
/// GoogleFonts library.
class _Config {
  /// Whether or not the GoogleFonts library can make requests to
  /// [fonts.google.com](https://fonts.google.com/) to retrieve font files.
  var allowRuntimeFetching = true;
}

class GoogleFonts {
  /// Configuration for the [GoogleFonts] library.
  ///
  /// Use this to define custom behavior of the GoogleFonts library in your app.
  /// For example, if you do not want the GoogleFonts library to make any http
  /// requests for fonts, add the following snippet to your app's `main` method.
  ///
  /// ```dart
  /// GoogleFonts.config.allowRuntimeFetching = false;
  /// ```
  static final config = _Config();

  /// Get a map of all available fonts.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] method.
  static Map<String, TextStyle Function({
    TextStyle textStyle,
    Color color,
    Color backgroundColor,
    double fontSize,
    FontWeight fontWeight,
    FontStyle fontStyle,
    double letterSpacing,
    double wordSpacing,
    TextBaseline textBaseline,
    double height,
    Locale locale,
    Paint foreground,
    Paint background,
    List<ui.Shadow> shadows,
    List<ui.FontFeature> fontFeatures,
    TextDecoration decoration,
    Color decorationColor,
    TextDecorationStyle decorationStyle,
    double decorationThickness,
  })> asMap() => const {
     'ABeeZee': GoogleFonts._aBeeZee, 'Abel': GoogleFonts._abel, 'Abhaya Libre': GoogleFonts._abhayaLibre, 'Abril Fatface': GoogleFonts._abrilFatface, 'Aclonica': GoogleFonts._aclonica, 'Acme': GoogleFonts._acme, 'Actor': GoogleFonts._actor, 'Adamina': GoogleFonts._adamina, 'Advent Pro': GoogleFonts._adventPro, 'Aguafina Script': GoogleFonts._aguafinaScript, 'Akronim': GoogleFonts._akronim, 'Aladin': GoogleFonts._aladin, 'Alata': GoogleFonts._alata, 'Alatsi': GoogleFonts._alatsi, 'Aldrich': GoogleFonts._aldrich, 'Alef': GoogleFonts._alef, 'Alegreya': GoogleFonts._alegreya, 'Alegreya SC': GoogleFonts._alegreyaSc, 'Alegreya Sans': GoogleFonts._alegreyaSans, 'Alegreya Sans SC': GoogleFonts._alegreyaSansSc, 'Aleo': GoogleFonts._aleo, 'Alex Brush': GoogleFonts._alexBrush, 'Alfa Slab One': GoogleFonts._alfaSlabOne, 'Alice': GoogleFonts._alice, 'Alike': GoogleFonts._alike, 'Alike Angular': GoogleFonts._alikeAngular, 'Allan': GoogleFonts._allan, 'Allerta': GoogleFonts._allerta, 'Allerta Stencil': GoogleFonts._allertaStencil, 'Allura': GoogleFonts._allura, 'Almarai': GoogleFonts._almarai, 'Almendra': GoogleFonts._almendra, 'Almendra Display': GoogleFonts._almendraDisplay, 'Almendra SC': GoogleFonts._almendraSc, 'Amarante': GoogleFonts._amarante, 'Amaranth': GoogleFonts._amaranth, 'Amatic SC': GoogleFonts._amaticSc, 'Amatica SC': GoogleFonts._amaticaSc, 'Amethysta': GoogleFonts._amethysta, 'Amiko': GoogleFonts._amiko, 'Amiri': GoogleFonts._amiri, 'Amita': GoogleFonts._amita, 'Anaheim': GoogleFonts._anaheim, 'Andada': GoogleFonts._andada, 'Andika': GoogleFonts._andika, 'Annie Use Your Telescope': GoogleFonts._annieUseYourTelescope, 'Anonymous Pro': GoogleFonts._anonymousPro, 'Antic': GoogleFonts._antic, 'Antic Didone': GoogleFonts._anticDidone, 'Antic Slab': GoogleFonts._anticSlab, 'Anton': GoogleFonts._anton, 'Arapey': GoogleFonts._arapey, 'Arbutus': GoogleFonts._arbutus, 'Arbutus Slab': GoogleFonts._arbutusSlab, 'Architects Daughter': GoogleFonts._architectsDaughter, 'Archivo': GoogleFonts._archivo, 'Archivo Black': GoogleFonts._archivoBlack, 'Archivo Narrow': GoogleFonts._archivoNarrow, 'Aref Ruqaa': GoogleFonts._arefRuqaa, 'Arima Madurai': GoogleFonts._arimaMadurai, 'Arimo': GoogleFonts._arimo, 'Arizonia': GoogleFonts._arizonia, 'Armata': GoogleFonts._armata, 'Arsenal': GoogleFonts._arsenal, 'Artifika': GoogleFonts._artifika, 'Arvo': GoogleFonts._arvo, 'Arya': GoogleFonts._arya, 'Asap': GoogleFonts._asap, 'Asar': GoogleFonts._asar, 'Asset': GoogleFonts._asset, 'Assistant': GoogleFonts._assistant, 'Astloch': GoogleFonts._astloch, 'Asul': GoogleFonts._asul, 'Athiti': GoogleFonts._athiti, 'Atma': GoogleFonts._atma, 'Atomic Age': GoogleFonts._atomicAge, 'Aubrey': GoogleFonts._aubrey, 'Audiowide': GoogleFonts._audiowide, 'Autour One': GoogleFonts._autourOne, 'Average': GoogleFonts._average, 'Average Sans': GoogleFonts._averageSans, 'Averia Gruesa Libre': GoogleFonts._averiaGruesaLibre, 'Averia Libre': GoogleFonts._averiaLibre, 'Averia Sans Libre': GoogleFonts._averiaSansLibre, 'Averia Serif Libre': GoogleFonts._averiaSerifLibre, 'B612': GoogleFonts._b612, 'B612 Mono': GoogleFonts._b612Mono, 'Bad Script': GoogleFonts._badScript, 'Bahiana': GoogleFonts._bahiana, 'Bahianita': GoogleFonts._bahianita, 'Bai Jamjuree': GoogleFonts._baiJamjuree, 'Baloo': GoogleFonts._baloo, 'Baloo Bhai': GoogleFonts._balooBhai, 'Baloo Bhaijaan': GoogleFonts._balooBhaijaan, 'Baloo Bhaina': GoogleFonts._balooBhaina, 'Baloo Chettan': GoogleFonts._balooChettan, 'Baloo Da': GoogleFonts._balooDa, 'Baloo Paaji': GoogleFonts._balooPaaji, 'Baloo Tamma': GoogleFonts._balooTamma, 'Baloo Tammudu': GoogleFonts._balooTammudu, 'Baloo Thambi': GoogleFonts._balooThambi, 'Balthazar': GoogleFonts._balthazar, 'Bangers': GoogleFonts._bangers, 'Barlow': GoogleFonts._barlow, 'Barlow Condensed': GoogleFonts._barlowCondensed, 'Barlow Semi Condensed': GoogleFonts._barlowSemiCondensed, 'Barriecito': GoogleFonts._barriecito, 'Barrio': GoogleFonts._barrio, 'Basic': GoogleFonts._basic, 'Baskervville': GoogleFonts._baskervville, 'Baumans': GoogleFonts._baumans, 'Be Vietnam': GoogleFonts._beVietnam, 'Bebas Neue': GoogleFonts._bebasNeue, 'Belgrano': GoogleFonts._belgrano, 'Bellefair': GoogleFonts._bellefair, 'Belleza': GoogleFonts._belleza, 'Bellota': GoogleFonts._bellota, 'Bellota Text': GoogleFonts._bellotaText, 'BenchNine': GoogleFonts._benchNine, 'Bentham': GoogleFonts._bentham, 'Berkshire Swash': GoogleFonts._berkshireSwash, 'Beth Ellen': GoogleFonts._bethEllen, 'Bevan': GoogleFonts._bevan, 'Big Shoulders Display': GoogleFonts._bigShouldersDisplay, 'Big Shoulders Text': GoogleFonts._bigShouldersText, 'Bigelow Rules': GoogleFonts._bigelowRules, 'Bigshot One': GoogleFonts._bigshotOne, 'Bilbo': GoogleFonts._bilbo, 'Bilbo Swash Caps': GoogleFonts._bilboSwashCaps, 'BioRhyme': GoogleFonts._bioRhyme, 'BioRhyme Expanded': GoogleFonts._bioRhymeExpanded, 'Biryani': GoogleFonts._biryani, 'Bitter': GoogleFonts._bitter, 'Black And White Picture': GoogleFonts._blackAndWhitePicture, 'Black Han Sans': GoogleFonts._blackHanSans, 'Black Ops One': GoogleFonts._blackOpsOne, 'Blinker': GoogleFonts._blinker, 'Bonbon': GoogleFonts._bonbon, 'Boogaloo': GoogleFonts._boogaloo, 'Bowlby One': GoogleFonts._bowlbyOne, 'Bowlby One SC': GoogleFonts._bowlbyOneSc, 'Brawler': GoogleFonts._brawler, 'Bree Serif': GoogleFonts._breeSerif, 'Bubblegum Sans': GoogleFonts._bubblegumSans, 'Bubbler One': GoogleFonts._bubblerOne, 'Buda': GoogleFonts._buda, 'Buenard': GoogleFonts._buenard, 'Bungee': GoogleFonts._bungee, 'Bungee Hairline': GoogleFonts._bungeeHairline, 'Bungee Inline': GoogleFonts._bungeeInline, 'Bungee Outline': GoogleFonts._bungeeOutline, 'Bungee Shade': GoogleFonts._bungeeShade, 'Butcherman': GoogleFonts._butcherman, 'Butterfly Kids': GoogleFonts._butterflyKids, 'Cabin': GoogleFonts._cabin, 'Cabin Condensed': GoogleFonts._cabinCondensed, 'Cabin Sketch': GoogleFonts._cabinSketch, 'Caesar Dressing': GoogleFonts._caesarDressing, 'Cagliostro': GoogleFonts._cagliostro, 'Cairo': GoogleFonts._cairo, 'Caladea': GoogleFonts._caladea, 'Calistoga': GoogleFonts._calistoga, 'Calligraffitti': GoogleFonts._calligraffitti, 'Cambay': GoogleFonts._cambay, 'Cambo': GoogleFonts._cambo, 'Candal': GoogleFonts._candal, 'Cantarell': GoogleFonts._cantarell, 'Cantata One': GoogleFonts._cantataOne, 'Cantora One': GoogleFonts._cantoraOne, 'Capriola': GoogleFonts._capriola, 'Cardo': GoogleFonts._cardo, 'Carme': GoogleFonts._carme, 'Carrois Gothic': GoogleFonts._carroisGothic, 'Carrois Gothic SC': GoogleFonts._carroisGothicSc, 'Carter One': GoogleFonts._carterOne, 'Catamaran': GoogleFonts._catamaran, 'Caudex': GoogleFonts._caudex, 'Caveat': GoogleFonts._caveat, 'Caveat Brush': GoogleFonts._caveatBrush, 'Cedarville Cursive': GoogleFonts._cedarvilleCursive, 'Ceviche One': GoogleFonts._cevicheOne, 'Chakra Petch': GoogleFonts._chakraPetch, 'Changa': GoogleFonts._changa, 'Changa One': GoogleFonts._changaOne, 'Chango': GoogleFonts._chango, 'Charm': GoogleFonts._charm, 'Charmonman': GoogleFonts._charmonman, 'Chathura': GoogleFonts._chathura, 'Chau Philomene One': GoogleFonts._chauPhilomeneOne, 'Chela One': GoogleFonts._chelaOne, 'Chelsea Market': GoogleFonts._chelseaMarket, 'Cherry Cream Soda': GoogleFonts._cherryCreamSoda, 'Cherry Swash': GoogleFonts._cherrySwash, 'Chewy': GoogleFonts._chewy, 'Chicle': GoogleFonts._chicle, 'Chilanka': GoogleFonts._chilanka, 'Chivo': GoogleFonts._chivo, 'Chonburi': GoogleFonts._chonburi, 'Cinzel': GoogleFonts._cinzel, 'Cinzel Decorative': GoogleFonts._cinzelDecorative, 'Clicker Script': GoogleFonts._clickerScript, 'Coda': GoogleFonts._coda, 'Coda Caption': GoogleFonts._codaCaption, 'Codystar': GoogleFonts._codystar, 'Coiny': GoogleFonts._coiny, 'Combo': GoogleFonts._combo, 'Comfortaa': GoogleFonts._comfortaa, 'Comic Neue': GoogleFonts._comicNeue, 'Coming Soon': GoogleFonts._comingSoon, 'Concert One': GoogleFonts._concertOne, 'Condiment': GoogleFonts._condiment, 'Contrail One': GoogleFonts._contrailOne, 'Convergence': GoogleFonts._convergence, 'Cookie': GoogleFonts._cookie, 'Copse': GoogleFonts._copse, 'Corben': GoogleFonts._corben, 'Cormorant': GoogleFonts._cormorant, 'Cormorant Garamond': GoogleFonts._cormorantGaramond, 'Cormorant Infant': GoogleFonts._cormorantInfant, 'Cormorant SC': GoogleFonts._cormorantSc, 'Cormorant Unicase': GoogleFonts._cormorantUnicase, 'Cormorant Upright': GoogleFonts._cormorantUpright, 'Courgette': GoogleFonts._courgette, 'Courier Prime': GoogleFonts._courierPrime, 'Cousine': GoogleFonts._cousine, 'Coustard': GoogleFonts._coustard, 'Covered By Your Grace': GoogleFonts._coveredByYourGrace, 'Crafty Girls': GoogleFonts._craftyGirls, 'Creepster': GoogleFonts._creepster, 'Crete Round': GoogleFonts._creteRound, 'Crimson Pro': GoogleFonts._crimsonPro, 'Crimson Text': GoogleFonts._crimsonText, 'Croissant One': GoogleFonts._croissantOne, 'Crushed': GoogleFonts._crushed, 'Cuprum': GoogleFonts._cuprum, 'Cute Font': GoogleFonts._cuteFont, 'Cutive': GoogleFonts._cutive, 'Cutive Mono': GoogleFonts._cutiveMono, 'DM Sans': GoogleFonts._dmSans, 'DM Serif Display': GoogleFonts._dmSerifDisplay, 'DM Serif Text': GoogleFonts._dmSerifText, 'Damion': GoogleFonts._damion, 'Dancing Script': GoogleFonts._dancingScript, 'Darker Grotesque': GoogleFonts._darkerGrotesque, 'David Libre': GoogleFonts._davidLibre, 'Dawning of a New Day': GoogleFonts._dawningOfANewDay, 'Days One': GoogleFonts._daysOne, 'Dekko': GoogleFonts._dekko, 'Delius': GoogleFonts._delius, 'Delius Swash Caps': GoogleFonts._deliusSwashCaps, 'Delius Unicase': GoogleFonts._deliusUnicase, 'Della Respira': GoogleFonts._dellaRespira, 'Denk One': GoogleFonts._denkOne, 'Devonshire': GoogleFonts._devonshire, 'Dhurjati': GoogleFonts._dhurjati, 'Didact Gothic': GoogleFonts._didactGothic, 'Diplomata': GoogleFonts._diplomata, 'Diplomata SC': GoogleFonts._diplomataSc, 'Do Hyeon': GoogleFonts._doHyeon, 'Dokdo': GoogleFonts._dokdo, 'Domine': GoogleFonts._domine, 'Donegal One': GoogleFonts._donegalOne, 'Doppio One': GoogleFonts._doppioOne, 'Dorsa': GoogleFonts._dorsa, 'Dosis': GoogleFonts._dosis, 'Dr Sugiyama': GoogleFonts._drSugiyama, 'Droid Sans': GoogleFonts._droidSans, 'Droid Sans Mono': GoogleFonts._droidSansMono, 'Droid Serif': GoogleFonts._droidSerif, 'Duru Sans': GoogleFonts._duruSans, 'Dynalight': GoogleFonts._dynalight, 'EB Garamond': GoogleFonts._ebGaramond, 'Eagle Lake': GoogleFonts._eagleLake, 'East Sea Dokdo': GoogleFonts._eastSeaDokdo, 'Eater': GoogleFonts._eater, 'Economica': GoogleFonts._economica, 'Eczar': GoogleFonts._eczar, 'El Messiri': GoogleFonts._elMessiri, 'Electrolize': GoogleFonts._electrolize, 'Elsie': GoogleFonts._elsie, 'Elsie Swash Caps': GoogleFonts._elsieSwashCaps, 'Emblema One': GoogleFonts._emblemaOne, 'Emilys Candy': GoogleFonts._emilysCandy, 'Encode Sans': GoogleFonts._encodeSans, 'Encode Sans Condensed': GoogleFonts._encodeSansCondensed, 'Encode Sans Expanded': GoogleFonts._encodeSansExpanded, 'Encode Sans Semi Condensed': GoogleFonts._encodeSansSemiCondensed, 'Encode Sans Semi Expanded': GoogleFonts._encodeSansSemiExpanded, 'Engagement': GoogleFonts._engagement, 'Englebert': GoogleFonts._englebert, 'Enriqueta': GoogleFonts._enriqueta, 'Erica One': GoogleFonts._ericaOne, 'Esteban': GoogleFonts._esteban, 'Euphoria Script': GoogleFonts._euphoriaScript, 'Ewert': GoogleFonts._ewert, 'Exo': GoogleFonts._exo, 'Exo 2': GoogleFonts._exo2, 'Expletus Sans': GoogleFonts._expletusSans, 'Fahkwang': GoogleFonts._fahkwang, 'Fanwood Text': GoogleFonts._fanwoodText, 'Farro': GoogleFonts._farro, 'Farsan': GoogleFonts._farsan, 'Fascinate': GoogleFonts._fascinate, 'Fascinate Inline': GoogleFonts._fascinateInline, 'Faster One': GoogleFonts._fasterOne, 'Fauna One': GoogleFonts._faunaOne, 'Faustina': GoogleFonts._faustina, 'Federant': GoogleFonts._federant, 'Federo': GoogleFonts._federo, 'Felipa': GoogleFonts._felipa, 'Fenix': GoogleFonts._fenix, 'Finger Paint': GoogleFonts._fingerPaint, 'Fira Code': GoogleFonts._firaCode, 'Fira Mono': GoogleFonts._firaMono, 'Fira Sans': GoogleFonts._firaSans, 'Fira Sans Condensed': GoogleFonts._firaSansCondensed, 'Fira Sans Extra Condensed': GoogleFonts._firaSansExtraCondensed, 'Fjalla One': GoogleFonts._fjallaOne, 'Fjord One': GoogleFonts._fjordOne, 'Flamenco': GoogleFonts._flamenco, 'Flavors': GoogleFonts._flavors, 'Fondamento': GoogleFonts._fondamento, 'Fontdiner Swanky': GoogleFonts._fontdinerSwanky, 'Forum': GoogleFonts._forum, 'Francois One': GoogleFonts._francoisOne, 'Frank Ruhl Libre': GoogleFonts._frankRuhlLibre, 'Freckle Face': GoogleFonts._freckleFace, 'Fredericka the Great': GoogleFonts._frederickaTheGreat, 'Fredoka One': GoogleFonts._fredokaOne, 'Fresca': GoogleFonts._fresca, 'Frijole': GoogleFonts._frijole, 'Fruktur': GoogleFonts._fruktur, 'Fugaz One': GoogleFonts._fugazOne, 'GFS Didot': GoogleFonts._gfsDidot, 'GFS Neohellenic': GoogleFonts._gfsNeohellenic, 'Gabriela': GoogleFonts._gabriela, 'Gaegu': GoogleFonts._gaegu, 'Gafata': GoogleFonts._gafata, 'Galada': GoogleFonts._galada, 'Galdeano': GoogleFonts._galdeano, 'Galindo': GoogleFonts._galindo, 'Gamja Flower': GoogleFonts._gamjaFlower, 'Gayathri': GoogleFonts._gayathri, 'Gelasio': GoogleFonts._gelasio, 'Gentium Basic': GoogleFonts._gentiumBasic, 'Gentium Book Basic': GoogleFonts._gentiumBookBasic, 'Geo': GoogleFonts._geo, 'Geostar': GoogleFonts._geostar, 'Geostar Fill': GoogleFonts._geostarFill, 'Germania One': GoogleFonts._germaniaOne, 'Gidugu': GoogleFonts._gidugu, 'Gilda Display': GoogleFonts._gildaDisplay, 'Girassol': GoogleFonts._girassol, 'Give You Glory': GoogleFonts._giveYouGlory, 'Glass Antiqua': GoogleFonts._glassAntiqua, 'Glegoo': GoogleFonts._glegoo, 'Gloria Hallelujah': GoogleFonts._gloriaHallelujah, 'Goblin One': GoogleFonts._goblinOne, 'Gochi Hand': GoogleFonts._gochiHand, 'Gorditas': GoogleFonts._gorditas, 'Gothic A1': GoogleFonts._gothicA1, 'Gotu': GoogleFonts._gotu, 'Goudy Bookletter 1911': GoogleFonts._goudyBookletter1911, 'Graduate': GoogleFonts._graduate, 'Grand Hotel': GoogleFonts._grandHotel, 'Gravitas One': GoogleFonts._gravitasOne, 'Great Vibes': GoogleFonts._greatVibes, 'Grenze': GoogleFonts._grenze, 'Griffy': GoogleFonts._griffy, 'Gruppo': GoogleFonts._gruppo, 'Gudea': GoogleFonts._gudea, 'Gugi': GoogleFonts._gugi, 'Gupter': GoogleFonts._gupter, 'Gurajada': GoogleFonts._gurajada, 'Habibi': GoogleFonts._habibi, 'Halant': GoogleFonts._halant, 'Hammersmith One': GoogleFonts._hammersmithOne, 'Hanalei': GoogleFonts._hanalei, 'Hanalei Fill': GoogleFonts._hanaleiFill, 'Handlee': GoogleFonts._handlee, 'Happy Monkey': GoogleFonts._happyMonkey, 'Harmattan': GoogleFonts._harmattan, 'Headland One': GoogleFonts._headlandOne, 'Heebo': GoogleFonts._heebo, 'Henny Penny': GoogleFonts._hennyPenny, 'Hepta Slab': GoogleFonts._heptaSlab, 'Herr Von Muellerhoff': GoogleFonts._herrVonMuellerhoff, 'Hi Melody': GoogleFonts._hiMelody, 'Hind': GoogleFonts._hind, 'Hind Guntur': GoogleFonts._hindGuntur, 'Hind Madurai': GoogleFonts._hindMadurai, 'Hind Siliguri': GoogleFonts._hindSiliguri, 'Hind Vadodara': GoogleFonts._hindVadodara, 'Holtwood One SC': GoogleFonts._holtwoodOneSc, 'Homemade Apple': GoogleFonts._homemadeApple, 'Homenaje': GoogleFonts._homenaje, 'IBM Plex Mono': GoogleFonts._ibmPlexMono, 'IBM Plex Sans': GoogleFonts._ibmPlexSans, 'IBM Plex Sans Condensed': GoogleFonts._ibmPlexSansCondensed, 'IBM Plex Serif': GoogleFonts._ibmPlexSerif, 'IM Fell DW Pica': GoogleFonts._imFellDwPica, 'IM Fell DW Pica SC': GoogleFonts._imFellDwPicaSc, 'IM Fell Double Pica': GoogleFonts._imFellDoublePica, 'IM Fell Double Pica SC': GoogleFonts._imFellDoublePicaSc, 'IM Fell English': GoogleFonts._imFellEnglish, 'IM Fell English SC': GoogleFonts._imFellEnglishSc, 'IM Fell French Canon': GoogleFonts._imFellFrenchCanon, 'IM Fell French Canon SC': GoogleFonts._imFellFrenchCanonSc, 'IM Fell Great Primer': GoogleFonts._imFellGreatPrimer, 'IM Fell Great Primer SC': GoogleFonts._imFellGreatPrimerSc, 'Ibarra Real Nova': GoogleFonts._ibarraRealNova, 'Iceberg': GoogleFonts._iceberg, 'Iceland': GoogleFonts._iceland, 'Imprima': GoogleFonts._imprima, 'Inconsolata': GoogleFonts._inconsolata, 'Inder': GoogleFonts._inder, 'Indie Flower': GoogleFonts._indieFlower, 'Inika': GoogleFonts._inika, 'Inknut Antiqua': GoogleFonts._inknutAntiqua, 'Inria Sans': GoogleFonts._inriaSans, 'Inria Serif': GoogleFonts._inriaSerif, 'Inter': GoogleFonts._inter, 'Irish Grover': GoogleFonts._irishGrover, 'Istok Web': GoogleFonts._istokWeb, 'Italiana': GoogleFonts._italiana, 'Italianno': GoogleFonts._italianno, 'Itim': GoogleFonts._itim, 'Jacques Francois': GoogleFonts._jacquesFrancois, 'Jacques Francois Shadow': GoogleFonts._jacquesFrancoisShadow, 'Jaldi': GoogleFonts._jaldi, 'Jim Nightshade': GoogleFonts._jimNightshade, 'Jockey One': GoogleFonts._jockeyOne, 'Jolly Lodger': GoogleFonts._jollyLodger, 'Jomhuria': GoogleFonts._jomhuria, 'Jomolhari': GoogleFonts._jomolhari, 'Josefin Sans': GoogleFonts._josefinSans, 'Josefin Slab': GoogleFonts._josefinSlab, 'Joti One': GoogleFonts._jotiOne, 'Jua': GoogleFonts._jua, 'Judson': GoogleFonts._judson, 'Julee': GoogleFonts._julee, 'Julius Sans One': GoogleFonts._juliusSansOne, 'Junge': GoogleFonts._junge, 'Jura': GoogleFonts._jura, 'Just Another Hand': GoogleFonts._justAnotherHand, 'Just Me Again Down Here': GoogleFonts._justMeAgainDownHere, 'K2D': GoogleFonts._k2d, 'Kadwa': GoogleFonts._kadwa, 'Kalam': GoogleFonts._kalam, 'Kameron': GoogleFonts._kameron, 'Kanit': GoogleFonts._kanit, 'Kantumruy': GoogleFonts._kantumruy, 'Karla': GoogleFonts._karla, 'Karma': GoogleFonts._karma, 'Katibeh': GoogleFonts._katibeh, 'Kaushan Script': GoogleFonts._kaushanScript, 'Kavivanar': GoogleFonts._kavivanar, 'Kavoon': GoogleFonts._kavoon, 'Kdam Thmor': GoogleFonts._kdamThmor, 'Keania One': GoogleFonts._keaniaOne, 'Kelly Slab': GoogleFonts._kellySlab, 'Kenia': GoogleFonts._kenia, 'Khand': GoogleFonts._khand, 'Khula': GoogleFonts._khula, 'Kirang Haerang': GoogleFonts._kirangHaerang, 'Kite One': GoogleFonts._kiteOne, 'Knewave': GoogleFonts._knewave, 'KoHo': GoogleFonts._koHo, 'Kodchasan': GoogleFonts._kodchasan, 'Kosugi': GoogleFonts._kosugi, 'Kosugi Maru': GoogleFonts._kosugiMaru, 'Kotta One': GoogleFonts._kottaOne, 'Kranky': GoogleFonts._kranky, 'Kreon': GoogleFonts._kreon, 'Kristi': GoogleFonts._kristi, 'Krona One': GoogleFonts._kronaOne, 'Krub': GoogleFonts._krub, 'Kulim Park': GoogleFonts._kulimPark, 'Kumar One': GoogleFonts._kumarOne, 'Kumar One Outline': GoogleFonts._kumarOneOutline, 'Kurale': GoogleFonts._kurale, 'La Belle Aurore': GoogleFonts._laBelleAurore, 'Lacquer': GoogleFonts._lacquer, 'Laila': GoogleFonts._laila, 'Lakki Reddy': GoogleFonts._lakkiReddy, 'Lalezar': GoogleFonts._lalezar, 'Lancelot': GoogleFonts._lancelot, 'Lateef': GoogleFonts._lateef, 'Lato': GoogleFonts._lato, 'League Script': GoogleFonts._leagueScript, 'Leckerli One': GoogleFonts._leckerliOne, 'Ledger': GoogleFonts._ledger, 'Lekton': GoogleFonts._lekton, 'Lemon': GoogleFonts._lemon, 'Lemonada': GoogleFonts._lemonada, 'Lexend Deca': GoogleFonts._lexendDeca, 'Lexend Exa': GoogleFonts._lexendExa, 'Lexend Giga': GoogleFonts._lexendGiga, 'Lexend Mega': GoogleFonts._lexendMega, 'Lexend Peta': GoogleFonts._lexendPeta, 'Lexend Tera': GoogleFonts._lexendTera, 'Lexend Zetta': GoogleFonts._lexendZetta, 'Libre Barcode 128': GoogleFonts._libreBarcode128, 'Libre Barcode 128 Text': GoogleFonts._libreBarcode128Text, 'Libre Barcode 39': GoogleFonts._libreBarcode39, 'Libre Barcode 39 Extended': GoogleFonts._libreBarcode39Extended, 'Libre Barcode 39 Extended Text': GoogleFonts._libreBarcode39ExtendedText, 'Libre Barcode 39 Text': GoogleFonts._libreBarcode39Text, 'Libre Baskerville': GoogleFonts._libreBaskerville, 'Libre Caslon Display': GoogleFonts._libreCaslonDisplay, 'Libre Caslon Text': GoogleFonts._libreCaslonText, 'Libre Franklin': GoogleFonts._libreFranklin, 'Life Savers': GoogleFonts._lifeSavers, 'Lilita One': GoogleFonts._lilitaOne, 'Lily Script One': GoogleFonts._lilyScriptOne, 'Limelight': GoogleFonts._limelight, 'Linden Hill': GoogleFonts._lindenHill, 'Literata': GoogleFonts._literata, 'Liu Jian Mao Cao': GoogleFonts._liuJianMaoCao, 'Livvic': GoogleFonts._livvic, 'Lobster': GoogleFonts._lobster, 'Lobster Two': GoogleFonts._lobsterTwo, 'Londrina Outline': GoogleFonts._londrinaOutline, 'Londrina Shadow': GoogleFonts._londrinaShadow, 'Londrina Sketch': GoogleFonts._londrinaSketch, 'Londrina Solid': GoogleFonts._londrinaSolid, 'Long Cang': GoogleFonts._longCang, 'Lora': GoogleFonts._lora, 'Love Ya Like A Sister': GoogleFonts._loveYaLikeASister, 'Loved by the King': GoogleFonts._lovedByTheKing, 'Lovers Quarrel': GoogleFonts._loversQuarrel, 'Luckiest Guy': GoogleFonts._luckiestGuy, 'Lusitana': GoogleFonts._lusitana, 'Lustria': GoogleFonts._lustria, 'M PLUS 1p': GoogleFonts._mPlus1p, 'M PLUS Rounded 1c': GoogleFonts._mPlusRounded1c, 'Ma Shan Zheng': GoogleFonts._maShanZheng, 'Macondo': GoogleFonts._macondo, 'Macondo Swash Caps': GoogleFonts._macondoSwashCaps, 'Mada': GoogleFonts._mada, 'Magra': GoogleFonts._magra, 'Maiden Orange': GoogleFonts._maidenOrange, 'Maitree': GoogleFonts._maitree, 'Major Mono Display': GoogleFonts._majorMonoDisplay, 'Mako': GoogleFonts._mako, 'Mali': GoogleFonts._mali, 'Mallanna': GoogleFonts._mallanna, 'Mandali': GoogleFonts._mandali, 'Manjari': GoogleFonts._manjari, 'Manrope': GoogleFonts._manrope, 'Mansalva': GoogleFonts._mansalva, 'Manuale': GoogleFonts._manuale, 'Marcellus': GoogleFonts._marcellus, 'Marcellus SC': GoogleFonts._marcellusSc, 'Marck Script': GoogleFonts._marckScript, 'Margarine': GoogleFonts._margarine, 'Markazi Text': GoogleFonts._markaziText, 'Marko One': GoogleFonts._markoOne, 'Marmelad': GoogleFonts._marmelad, 'Martel': GoogleFonts._martel, 'Martel Sans': GoogleFonts._martelSans, 'Marvel': GoogleFonts._marvel, 'Mate': GoogleFonts._mate, 'Mate SC': GoogleFonts._mateSc, 'Maven Pro': GoogleFonts._mavenPro, 'McLaren': GoogleFonts._mcLaren, 'Meddon': GoogleFonts._meddon, 'MedievalSharp': GoogleFonts._medievalSharp, 'Medula One': GoogleFonts._medulaOne, 'Meera Inimai': GoogleFonts._meeraInimai, 'Megrim': GoogleFonts._megrim, 'Meie Script': GoogleFonts._meieScript, 'Merienda': GoogleFonts._merienda, 'Merienda One': GoogleFonts._meriendaOne, 'Merriweather': GoogleFonts._merriweather, 'Merriweather Sans': GoogleFonts._merriweatherSans, 'Metal Mania': GoogleFonts._metalMania, 'Metamorphous': GoogleFonts._metamorphous, 'Metrophobic': GoogleFonts._metrophobic, 'Michroma': GoogleFonts._michroma, 'Milonga': GoogleFonts._milonga, 'Miltonian': GoogleFonts._miltonian, 'Miltonian Tattoo': GoogleFonts._miltonianTattoo, 'Mina': GoogleFonts._mina, 'Miniver': GoogleFonts._miniver, 'Miriam Libre': GoogleFonts._miriamLibre, 'Mirza': GoogleFonts._mirza, 'Miss Fajardose': GoogleFonts._missFajardose, 'Mitr': GoogleFonts._mitr, 'Modak': GoogleFonts._modak, 'Modern Antiqua': GoogleFonts._modernAntiqua, 'Mogra': GoogleFonts._mogra, 'Molengo': GoogleFonts._molengo, 'Molle': GoogleFonts._molle, 'Monda': GoogleFonts._monda, 'Monofett': GoogleFonts._monofett, 'Monoton': GoogleFonts._monoton, 'Monsieur La Doulaise': GoogleFonts._monsieurLaDoulaise, 'Montaga': GoogleFonts._montaga, 'Montez': GoogleFonts._montez, 'Montserrat': GoogleFonts._montserrat, 'Montserrat Alternates': GoogleFonts._montserratAlternates, 'Montserrat Subrayada': GoogleFonts._montserratSubrayada, 'Mountains of Christmas': GoogleFonts._mountainsOfChristmas, 'Mouse Memoirs': GoogleFonts._mouseMemoirs, 'Mr Bedfort': GoogleFonts._mrBedfort, 'Mr Dafoe': GoogleFonts._mrDafoe, 'Mr De Haviland': GoogleFonts._mrDeHaviland, 'Mrs Saint Delafield': GoogleFonts._mrsSaintDelafield, 'Mrs Sheppards': GoogleFonts._mrsSheppards, 'Mukta': GoogleFonts._mukta, 'Mukta Mahee': GoogleFonts._muktaMahee, 'Mukta Malar': GoogleFonts._muktaMalar, 'Mukta Vaani': GoogleFonts._muktaVaani, 'Muli': GoogleFonts._muli, 'Mystery Quest': GoogleFonts._mysteryQuest, 'NTR': GoogleFonts._ntr, 'Nanum Brush Script': GoogleFonts._nanumBrushScript, 'Nanum Gothic': GoogleFonts._nanumGothic, 'Nanum Gothic Coding': GoogleFonts._nanumGothicCoding, 'Nanum Myeongjo': GoogleFonts._nanumMyeongjo, 'Nanum Pen Script': GoogleFonts._nanumPenScript, 'Neucha': GoogleFonts._neucha, 'Neuton': GoogleFonts._neuton, 'New Rocker': GoogleFonts._newRocker, 'News Cycle': GoogleFonts._newsCycle, 'Niconne': GoogleFonts._niconne, 'Niramit': GoogleFonts._niramit, 'Nixie One': GoogleFonts._nixieOne, 'Nobile': GoogleFonts._nobile, 'Norican': GoogleFonts._norican, 'Nosifer': GoogleFonts._nosifer, 'Notable': GoogleFonts._notable, 'Nothing You Could Do': GoogleFonts._nothingYouCouldDo, 'Noticia Text': GoogleFonts._noticiaText, 'Noto Sans': GoogleFonts._notoSans, 'Noto Serif': GoogleFonts._notoSerif, 'Nova Cut': GoogleFonts._novaCut, 'Nova Flat': GoogleFonts._novaFlat, 'Nova Mono': GoogleFonts._novaMono, 'Nova Oval': GoogleFonts._novaOval, 'Nova Round': GoogleFonts._novaRound, 'Nova Script': GoogleFonts._novaScript, 'Nova Slim': GoogleFonts._novaSlim, 'Nova Square': GoogleFonts._novaSquare, 'Numans': GoogleFonts._numans, 'Nunito': GoogleFonts._nunito, 'Nunito Sans': GoogleFonts._nunitoSans, 'Odibee Sans': GoogleFonts._odibeeSans, 'Odor Mean Chey': GoogleFonts._odorMeanChey, 'Offside': GoogleFonts._offside, 'Old Standard TT': GoogleFonts._oldStandardTt, 'Oldenburg': GoogleFonts._oldenburg, 'Oleo Script': GoogleFonts._oleoScript, 'Oleo Script Swash Caps': GoogleFonts._oleoScriptSwashCaps, 'Open Sans': GoogleFonts._openSans, 'Open Sans Condensed': GoogleFonts._openSansCondensed, 'Oranienbaum': GoogleFonts._oranienbaum, 'Orbitron': GoogleFonts._orbitron, 'Oregano': GoogleFonts._oregano, 'Orienta': GoogleFonts._orienta, 'Original Surfer': GoogleFonts._originalSurfer, 'Oswald': GoogleFonts._oswald, 'Over the Rainbow': GoogleFonts._overTheRainbow, 'Overlock': GoogleFonts._overlock, 'Overlock SC': GoogleFonts._overlockSc, 'Overpass': GoogleFonts._overpass, 'Overpass Mono': GoogleFonts._overpassMono, 'Ovo': GoogleFonts._ovo, 'Oxanium': GoogleFonts._oxanium, 'Oxygen': GoogleFonts._oxygen, 'Oxygen Mono': GoogleFonts._oxygenMono, 'PT Mono': GoogleFonts._ptMono, 'PT Sans': GoogleFonts._ptSans, 'PT Sans Caption': GoogleFonts._ptSansCaption, 'PT Sans Narrow': GoogleFonts._ptSansNarrow, 'PT Serif': GoogleFonts._ptSerif, 'PT Serif Caption': GoogleFonts._ptSerifCaption, 'Pacifico': GoogleFonts._pacifico, 'Padauk': GoogleFonts._padauk, 'Palanquin': GoogleFonts._palanquin, 'Palanquin Dark': GoogleFonts._palanquinDark, 'Pangolin': GoogleFonts._pangolin, 'Paprika': GoogleFonts._paprika, 'Parisienne': GoogleFonts._parisienne, 'Passero One': GoogleFonts._passeroOne, 'Passion One': GoogleFonts._passionOne, 'Pathway Gothic One': GoogleFonts._pathwayGothicOne, 'Patrick Hand': GoogleFonts._patrickHand, 'Patrick Hand SC': GoogleFonts._patrickHandSc, 'Pattaya': GoogleFonts._pattaya, 'Patua One': GoogleFonts._patuaOne, 'Pavanam': GoogleFonts._pavanam, 'Paytone One': GoogleFonts._paytoneOne, 'Peddana': GoogleFonts._peddana, 'Peralta': GoogleFonts._peralta, 'Permanent Marker': GoogleFonts._permanentMarker, 'Petit Formal Script': GoogleFonts._petitFormalScript, 'Petrona': GoogleFonts._petrona, 'Philosopher': GoogleFonts._philosopher, 'Piedra': GoogleFonts._piedra, 'Pinyon Script': GoogleFonts._pinyonScript, 'Pirata One': GoogleFonts._pirataOne, 'Plaster': GoogleFonts._plaster, 'Play': GoogleFonts._play, 'Playball': GoogleFonts._playball, 'Playfair Display': GoogleFonts._playfairDisplay, 'Playfair Display SC': GoogleFonts._playfairDisplaySc, 'Podkova': GoogleFonts._podkova, 'Poiret One': GoogleFonts._poiretOne, 'Poller One': GoogleFonts._pollerOne, 'Poly': GoogleFonts._poly, 'Pompiere': GoogleFonts._pompiere, 'Pontano Sans': GoogleFonts._pontanoSans, 'Poor Story': GoogleFonts._poorStory, 'Poppins': GoogleFonts._poppins, 'Port Lligat Sans': GoogleFonts._portLligatSans, 'Port Lligat Slab': GoogleFonts._portLligatSlab, 'Pragati Narrow': GoogleFonts._pragatiNarrow, 'Prata': GoogleFonts._prata, 'Press Start 2P': GoogleFonts._pressStart2p, 'Pridi': GoogleFonts._pridi, 'Princess Sofia': GoogleFonts._princessSofia, 'Prociono': GoogleFonts._prociono, 'Prompt': GoogleFonts._prompt, 'Prosto One': GoogleFonts._prostoOne, 'Proza Libre': GoogleFonts._prozaLibre, 'Public Sans': GoogleFonts._publicSans, 'Puritan': GoogleFonts._puritan, 'Purple Purse': GoogleFonts._purplePurse, 'Quando': GoogleFonts._quando, 'Quantico': GoogleFonts._quantico, 'Quattrocento': GoogleFonts._quattrocento, 'Quattrocento Sans': GoogleFonts._quattrocentoSans, 'Questrial': GoogleFonts._questrial, 'Quicksand': GoogleFonts._quicksand, 'Quintessential': GoogleFonts._quintessential, 'Qwigley': GoogleFonts._qwigley, 'Racing Sans One': GoogleFonts._racingSansOne, 'Radley': GoogleFonts._radley, 'Rajdhani': GoogleFonts._rajdhani, 'Rakkas': GoogleFonts._rakkas, 'Raleway': GoogleFonts._raleway, 'Raleway Dots': GoogleFonts._ralewayDots, 'Ramabhadra': GoogleFonts._ramabhadra, 'Ramaraja': GoogleFonts._ramaraja, 'Rambla': GoogleFonts._rambla, 'Rammetto One': GoogleFonts._rammettoOne, 'Ranchers': GoogleFonts._ranchers, 'Rancho': GoogleFonts._rancho, 'Ranga': GoogleFonts._ranga, 'Rasa': GoogleFonts._rasa, 'Rationale': GoogleFonts._rationale, 'Ravi Prakash': GoogleFonts._raviPrakash, 'Red Hat Display': GoogleFonts._redHatDisplay, 'Red Hat Text': GoogleFonts._redHatText, 'Redressed': GoogleFonts._redressed, 'Reem Kufi': GoogleFonts._reemKufi, 'Reenie Beanie': GoogleFonts._reenieBeanie, 'Revalia': GoogleFonts._revalia, 'Rhodium Libre': GoogleFonts._rhodiumLibre, 'Ribeye': GoogleFonts._ribeye, 'Ribeye Marrow': GoogleFonts._ribeyeMarrow, 'Righteous': GoogleFonts._righteous, 'Risque': GoogleFonts._risque, 'Roboto': GoogleFonts._roboto, 'Roboto Condensed': GoogleFonts._robotoCondensed, 'Roboto Mono': GoogleFonts._robotoMono, 'Roboto Slab': GoogleFonts._robotoSlab, 'Rochester': GoogleFonts._rochester, 'Rock Salt': GoogleFonts._rockSalt, 'Rokkitt': GoogleFonts._rokkitt, 'Romanesco': GoogleFonts._romanesco, 'Ropa Sans': GoogleFonts._ropaSans, 'Rosario': GoogleFonts._rosario, 'Rosarivo': GoogleFonts._rosarivo, 'Rouge Script': GoogleFonts._rougeScript, 'Rozha One': GoogleFonts._rozhaOne, 'Rubik': GoogleFonts._rubik, 'Rubik Mono One': GoogleFonts._rubikMonoOne, 'Ruda': GoogleFonts._ruda, 'Rufina': GoogleFonts._rufina, 'Ruge Boogie': GoogleFonts._rugeBoogie, 'Ruluko': GoogleFonts._ruluko, 'Rum Raisin': GoogleFonts._rumRaisin, 'Ruslan Display': GoogleFonts._ruslanDisplay, 'Russo One': GoogleFonts._russoOne, 'Ruthie': GoogleFonts._ruthie, 'Rye': GoogleFonts._rye, 'Sacramento': GoogleFonts._sacramento, 'Sahitya': GoogleFonts._sahitya, 'Sail': GoogleFonts._sail, 'Saira': GoogleFonts._saira, 'Saira Condensed': GoogleFonts._sairaCondensed, 'Saira Extra Condensed': GoogleFonts._sairaExtraCondensed, 'Saira Semi Condensed': GoogleFonts._sairaSemiCondensed, 'Saira Stencil One': GoogleFonts._sairaStencilOne, 'Salsa': GoogleFonts._salsa, 'Sanchez': GoogleFonts._sanchez, 'Sancreek': GoogleFonts._sancreek, 'Sansita': GoogleFonts._sansita, 'Sarabun': GoogleFonts._sarabun, 'Sarala': GoogleFonts._sarala, 'Sarina': GoogleFonts._sarina, 'Sarpanch': GoogleFonts._sarpanch, 'Satisfy': GoogleFonts._satisfy, 'Sawarabi Gothic': GoogleFonts._sawarabiGothic, 'Sawarabi Mincho': GoogleFonts._sawarabiMincho, 'Scada': GoogleFonts._scada, 'Scheherazade': GoogleFonts._scheherazade, 'Schoolbell': GoogleFonts._schoolbell, 'Scope One': GoogleFonts._scopeOne, 'Seaweed Script': GoogleFonts._seaweedScript, 'Secular One': GoogleFonts._secularOne, 'Sedgwick Ave': GoogleFonts._sedgwickAve, 'Sedgwick Ave Display': GoogleFonts._sedgwickAveDisplay, 'Sen': GoogleFonts._sen, 'Sevillana': GoogleFonts._sevillana, 'Seymour One': GoogleFonts._seymourOne, 'Shadows Into Light': GoogleFonts._shadowsIntoLight, 'Shadows Into Light Two': GoogleFonts._shadowsIntoLightTwo, 'Shanti': GoogleFonts._shanti, 'Share': GoogleFonts._share, 'Share Tech': GoogleFonts._shareTech, 'Share Tech Mono': GoogleFonts._shareTechMono, 'Shojumaru': GoogleFonts._shojumaru, 'Short Stack': GoogleFonts._shortStack, 'Shrikhand': GoogleFonts._shrikhand, 'Sigmar One': GoogleFonts._sigmarOne, 'Signika': GoogleFonts._signika, 'Signika Negative': GoogleFonts._signikaNegative, 'Simonetta': GoogleFonts._simonetta, 'Single Day': GoogleFonts._singleDay, 'Sintony': GoogleFonts._sintony, 'Sirin Stencil': GoogleFonts._sirinStencil, 'Six Caps': GoogleFonts._sixCaps, 'Skranji': GoogleFonts._skranji, 'Slabo 13px': GoogleFonts._slabo13px, 'Slabo 27px': GoogleFonts._slabo27px, 'Slackey': GoogleFonts._slackey, 'Smokum': GoogleFonts._smokum, 'Smythe': GoogleFonts._smythe, 'Sniglet': GoogleFonts._sniglet, 'Snippet': GoogleFonts._snippet, 'Snowburst One': GoogleFonts._snowburstOne, 'Sofadi One': GoogleFonts._sofadiOne, 'Sofia': GoogleFonts._sofia, 'Solway': GoogleFonts._solway, 'Song Myung': GoogleFonts._songMyung, 'Sonsie One': GoogleFonts._sonsieOne, 'Sorts Mill Goudy': GoogleFonts._sortsMillGoudy, 'Source Code Pro': GoogleFonts._sourceCodePro, 'Source Sans Pro': GoogleFonts._sourceSansPro, 'Source Serif Pro': GoogleFonts._sourceSerifPro, 'Space Mono': GoogleFonts._spaceMono, 'Spartan': GoogleFonts._spartan, 'Special Elite': GoogleFonts._specialElite, 'Spectral': GoogleFonts._spectral, 'Spectral SC': GoogleFonts._spectralSc, 'Spicy Rice': GoogleFonts._spicyRice, 'Spinnaker': GoogleFonts._spinnaker, 'Spirax': GoogleFonts._spirax, 'Squada One': GoogleFonts._squadaOne, 'Sree Krushnadevaraya': GoogleFonts._sreeKrushnadevaraya, 'Sriracha': GoogleFonts._sriracha, 'Srisakdi': GoogleFonts._srisakdi, 'Staatliches': GoogleFonts._staatliches, 'Stalemate': GoogleFonts._stalemate, 'Stalinist One': GoogleFonts._stalinistOne, 'Stardos Stencil': GoogleFonts._stardosStencil, 'Stint Ultra Condensed': GoogleFonts._stintUltraCondensed, 'Stint Ultra Expanded': GoogleFonts._stintUltraExpanded, 'Stoke': GoogleFonts._stoke, 'Strait': GoogleFonts._strait, 'Stylish': GoogleFonts._stylish, 'Sue Ellen Francisco': GoogleFonts._sueEllenFrancisco, 'Suez One': GoogleFonts._suezOne, 'Sulphur Point': GoogleFonts._sulphurPoint, 'Sumana': GoogleFonts._sumana, 'Sunflower': GoogleFonts._sunflower, 'Sunshiney': GoogleFonts._sunshiney, 'Supermercado One': GoogleFonts._supermercadoOne, 'Sura': GoogleFonts._sura, 'Suranna': GoogleFonts._suranna, 'Suravaram': GoogleFonts._suravaram, 'Swanky and Moo Moo': GoogleFonts._swankyAndMooMoo, 'Syncopate': GoogleFonts._syncopate, 'Tajawal': GoogleFonts._tajawal, 'Tangerine': GoogleFonts._tangerine, 'Tauri': GoogleFonts._tauri, 'Taviraj': GoogleFonts._taviraj, 'Teko': GoogleFonts._teko, 'Telex': GoogleFonts._telex, 'Tenali Ramakrishna': GoogleFonts._tenaliRamakrishna, 'Tenor Sans': GoogleFonts._tenorSans, 'Text Me One': GoogleFonts._textMeOne, 'Thasadith': GoogleFonts._thasadith, 'The Girl Next Door': GoogleFonts._theGirlNextDoor, 'Tienne': GoogleFonts._tienne, 'Tillana': GoogleFonts._tillana, 'Timmana': GoogleFonts._timmana, 'Tinos': GoogleFonts._tinos, 'Titan One': GoogleFonts._titanOne, 'Titillium Web': GoogleFonts._titilliumWeb, 'Tomorrow': GoogleFonts._tomorrow, 'Trade Winds': GoogleFonts._tradeWinds, 'Trirong': GoogleFonts._trirong, 'Trocchi': GoogleFonts._trocchi, 'Trochut': GoogleFonts._trochut, 'Trykker': GoogleFonts._trykker, 'Tulpen One': GoogleFonts._tulpenOne, 'Turret Road': GoogleFonts._turretRoad, 'Ubuntu': GoogleFonts._ubuntu, 'Ubuntu Condensed': GoogleFonts._ubuntuCondensed, 'Ubuntu Mono': GoogleFonts._ubuntuMono, 'Ultra': GoogleFonts._ultra, 'Uncial Antiqua': GoogleFonts._uncialAntiqua, 'Underdog': GoogleFonts._underdog, 'Unica One': GoogleFonts._unicaOne, 'UnifrakturCook': GoogleFonts._unifrakturCook, 'UnifrakturMaguntia': GoogleFonts._unifrakturMaguntia, 'Unkempt': GoogleFonts._unkempt, 'Unlock': GoogleFonts._unlock, 'Unna': GoogleFonts._unna, 'VT323': GoogleFonts._vt323, 'Vampiro One': GoogleFonts._vampiroOne, 'Varela': GoogleFonts._varela, 'Varela Round': GoogleFonts._varelaRound, 'Vast Shadow': GoogleFonts._vastShadow, 'Vesper Libre': GoogleFonts._vesperLibre, 'Viaoda Libre': GoogleFonts._viaodaLibre, 'Vibes': GoogleFonts._vibes, 'Vibur': GoogleFonts._vibur, 'Vidaloka': GoogleFonts._vidaloka, 'Viga': GoogleFonts._viga, 'Voces': GoogleFonts._voces, 'Volkhov': GoogleFonts._volkhov, 'Vollkorn': GoogleFonts._vollkorn, 'Vollkorn SC': GoogleFonts._vollkornSc, 'Voltaire': GoogleFonts._voltaire, 'Waiting for the Sunrise': GoogleFonts._waitingForTheSunrise, 'Wallpoet': GoogleFonts._wallpoet, 'Walter Turncoat': GoogleFonts._walterTurncoat, 'Warnes': GoogleFonts._warnes, 'Wellfleet': GoogleFonts._wellfleet, 'Wendy One': GoogleFonts._wendyOne, 'Wire One': GoogleFonts._wireOne, 'Work Sans': GoogleFonts._workSans, 'Yanone Kaffeesatz': GoogleFonts._yanoneKaffeesatz, 'Yantramanav': GoogleFonts._yantramanav, 'Yatra One': GoogleFonts._yatraOne, 'Yellowtail': GoogleFonts._yellowtail, 'Yeon Sung': GoogleFonts._yeonSung, 'Yeseva One': GoogleFonts._yesevaOne, 'Yesteryear': GoogleFonts._yesteryear, 'Yrsa': GoogleFonts._yrsa, 'ZCOOL KuaiLe': GoogleFonts._zcoolKuaiLe, 'ZCOOL QingKe HuangYou': GoogleFonts._zcoolQingKeHuangYou, 'ZCOOL XiaoWei': GoogleFonts._zcoolXiaoWei, 'Zeyada': GoogleFonts._zeyada, 'Zhi Mang Xing': GoogleFonts._zhiMangXing, 'Zilla Slab': GoogleFonts._zillaSlab, 'Zilla Slab Highlight': GoogleFonts._zillaSlabHighlight,
  };

  /// Get a map of all available fonts and their associated text themes.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] `TextTheme` method.
  static Map<String, TextTheme Function([TextTheme])> _asMapOfTextThemes() => const {
     'ABeeZee': GoogleFonts._aBeeZeeTextTheme, 'Abel': GoogleFonts._abelTextTheme, 'Abhaya Libre': GoogleFonts._abhayaLibreTextTheme, 'Abril Fatface': GoogleFonts._abrilFatfaceTextTheme, 'Aclonica': GoogleFonts._aclonicaTextTheme, 'Acme': GoogleFonts._acmeTextTheme, 'Actor': GoogleFonts._actorTextTheme, 'Adamina': GoogleFonts._adaminaTextTheme, 'Advent Pro': GoogleFonts._adventProTextTheme, 'Aguafina Script': GoogleFonts._aguafinaScriptTextTheme, 'Akronim': GoogleFonts._akronimTextTheme, 'Aladin': GoogleFonts._aladinTextTheme, 'Alata': GoogleFonts._alataTextTheme, 'Alatsi': GoogleFonts._alatsiTextTheme, 'Aldrich': GoogleFonts._aldrichTextTheme, 'Alef': GoogleFonts._alefTextTheme, 'Alegreya': GoogleFonts._alegreyaTextTheme, 'Alegreya SC': GoogleFonts._alegreyaScTextTheme, 'Alegreya Sans': GoogleFonts._alegreyaSansTextTheme, 'Alegreya Sans SC': GoogleFonts._alegreyaSansScTextTheme, 'Aleo': GoogleFonts._aleoTextTheme, 'Alex Brush': GoogleFonts._alexBrushTextTheme, 'Alfa Slab One': GoogleFonts._alfaSlabOneTextTheme, 'Alice': GoogleFonts._aliceTextTheme, 'Alike': GoogleFonts._alikeTextTheme, 'Alike Angular': GoogleFonts._alikeAngularTextTheme, 'Allan': GoogleFonts._allanTextTheme, 'Allerta': GoogleFonts._allertaTextTheme, 'Allerta Stencil': GoogleFonts._allertaStencilTextTheme, 'Allura': GoogleFonts._alluraTextTheme, 'Almarai': GoogleFonts._almaraiTextTheme, 'Almendra': GoogleFonts._almendraTextTheme, 'Almendra Display': GoogleFonts._almendraDisplayTextTheme, 'Almendra SC': GoogleFonts._almendraScTextTheme, 'Amarante': GoogleFonts._amaranteTextTheme, 'Amaranth': GoogleFonts._amaranthTextTheme, 'Amatic SC': GoogleFonts._amaticScTextTheme, 'Amatica SC': GoogleFonts._amaticaScTextTheme, 'Amethysta': GoogleFonts._amethystaTextTheme, 'Amiko': GoogleFonts._amikoTextTheme, 'Amiri': GoogleFonts._amiriTextTheme, 'Amita': GoogleFonts._amitaTextTheme, 'Anaheim': GoogleFonts._anaheimTextTheme, 'Andada': GoogleFonts._andadaTextTheme, 'Andika': GoogleFonts._andikaTextTheme, 'Annie Use Your Telescope': GoogleFonts._annieUseYourTelescopeTextTheme, 'Anonymous Pro': GoogleFonts._anonymousProTextTheme, 'Antic': GoogleFonts._anticTextTheme, 'Antic Didone': GoogleFonts._anticDidoneTextTheme, 'Antic Slab': GoogleFonts._anticSlabTextTheme, 'Anton': GoogleFonts._antonTextTheme, 'Arapey': GoogleFonts._arapeyTextTheme, 'Arbutus': GoogleFonts._arbutusTextTheme, 'Arbutus Slab': GoogleFonts._arbutusSlabTextTheme, 'Architects Daughter': GoogleFonts._architectsDaughterTextTheme, 'Archivo': GoogleFonts._archivoTextTheme, 'Archivo Black': GoogleFonts._archivoBlackTextTheme, 'Archivo Narrow': GoogleFonts._archivoNarrowTextTheme, 'Aref Ruqaa': GoogleFonts._arefRuqaaTextTheme, 'Arima Madurai': GoogleFonts._arimaMaduraiTextTheme, 'Arimo': GoogleFonts._arimoTextTheme, 'Arizonia': GoogleFonts._arizoniaTextTheme, 'Armata': GoogleFonts._armataTextTheme, 'Arsenal': GoogleFonts._arsenalTextTheme, 'Artifika': GoogleFonts._artifikaTextTheme, 'Arvo': GoogleFonts._arvoTextTheme, 'Arya': GoogleFonts._aryaTextTheme, 'Asap': GoogleFonts._asapTextTheme, 'Asar': GoogleFonts._asarTextTheme, 'Asset': GoogleFonts._assetTextTheme, 'Assistant': GoogleFonts._assistantTextTheme, 'Astloch': GoogleFonts._astlochTextTheme, 'Asul': GoogleFonts._asulTextTheme, 'Athiti': GoogleFonts._athitiTextTheme, 'Atma': GoogleFonts._atmaTextTheme, 'Atomic Age': GoogleFonts._atomicAgeTextTheme, 'Aubrey': GoogleFonts._aubreyTextTheme, 'Audiowide': GoogleFonts._audiowideTextTheme, 'Autour One': GoogleFonts._autourOneTextTheme, 'Average': GoogleFonts._averageTextTheme, 'Average Sans': GoogleFonts._averageSansTextTheme, 'Averia Gruesa Libre': GoogleFonts._averiaGruesaLibreTextTheme, 'Averia Libre': GoogleFonts._averiaLibreTextTheme, 'Averia Sans Libre': GoogleFonts._averiaSansLibreTextTheme, 'Averia Serif Libre': GoogleFonts._averiaSerifLibreTextTheme, 'B612': GoogleFonts._b612TextTheme, 'B612 Mono': GoogleFonts._b612MonoTextTheme, 'Bad Script': GoogleFonts._badScriptTextTheme, 'Bahiana': GoogleFonts._bahianaTextTheme, 'Bahianita': GoogleFonts._bahianitaTextTheme, 'Bai Jamjuree': GoogleFonts._baiJamjureeTextTheme, 'Baloo': GoogleFonts._balooTextTheme, 'Baloo Bhai': GoogleFonts._balooBhaiTextTheme, 'Baloo Bhaijaan': GoogleFonts._balooBhaijaanTextTheme, 'Baloo Bhaina': GoogleFonts._balooBhainaTextTheme, 'Baloo Chettan': GoogleFonts._balooChettanTextTheme, 'Baloo Da': GoogleFonts._balooDaTextTheme, 'Baloo Paaji': GoogleFonts._balooPaajiTextTheme, 'Baloo Tamma': GoogleFonts._balooTammaTextTheme, 'Baloo Tammudu': GoogleFonts._balooTammuduTextTheme, 'Baloo Thambi': GoogleFonts._balooThambiTextTheme, 'Balthazar': GoogleFonts._balthazarTextTheme, 'Bangers': GoogleFonts._bangersTextTheme, 'Barlow': GoogleFonts._barlowTextTheme, 'Barlow Condensed': GoogleFonts._barlowCondensedTextTheme, 'Barlow Semi Condensed': GoogleFonts._barlowSemiCondensedTextTheme, 'Barriecito': GoogleFonts._barriecitoTextTheme, 'Barrio': GoogleFonts._barrioTextTheme, 'Basic': GoogleFonts._basicTextTheme, 'Baskervville': GoogleFonts._baskervvilleTextTheme, 'Baumans': GoogleFonts._baumansTextTheme, 'Be Vietnam': GoogleFonts._beVietnamTextTheme, 'Bebas Neue': GoogleFonts._bebasNeueTextTheme, 'Belgrano': GoogleFonts._belgranoTextTheme, 'Bellefair': GoogleFonts._bellefairTextTheme, 'Belleza': GoogleFonts._bellezaTextTheme, 'Bellota': GoogleFonts._bellotaTextTheme, 'Bellota Text': GoogleFonts._bellotaTextTextTheme, 'BenchNine': GoogleFonts._benchNineTextTheme, 'Bentham': GoogleFonts._benthamTextTheme, 'Berkshire Swash': GoogleFonts._berkshireSwashTextTheme, 'Beth Ellen': GoogleFonts._bethEllenTextTheme, 'Bevan': GoogleFonts._bevanTextTheme, 'Big Shoulders Display': GoogleFonts._bigShouldersDisplayTextTheme, 'Big Shoulders Text': GoogleFonts._bigShouldersTextTextTheme, 'Bigelow Rules': GoogleFonts._bigelowRulesTextTheme, 'Bigshot One': GoogleFonts._bigshotOneTextTheme, 'Bilbo': GoogleFonts._bilboTextTheme, 'Bilbo Swash Caps': GoogleFonts._bilboSwashCapsTextTheme, 'BioRhyme': GoogleFonts._bioRhymeTextTheme, 'BioRhyme Expanded': GoogleFonts._bioRhymeExpandedTextTheme, 'Biryani': GoogleFonts._biryaniTextTheme, 'Bitter': GoogleFonts._bitterTextTheme, 'Black And White Picture': GoogleFonts._blackAndWhitePictureTextTheme, 'Black Han Sans': GoogleFonts._blackHanSansTextTheme, 'Black Ops One': GoogleFonts._blackOpsOneTextTheme, 'Blinker': GoogleFonts._blinkerTextTheme, 'Bonbon': GoogleFonts._bonbonTextTheme, 'Boogaloo': GoogleFonts._boogalooTextTheme, 'Bowlby One': GoogleFonts._bowlbyOneTextTheme, 'Bowlby One SC': GoogleFonts._bowlbyOneScTextTheme, 'Brawler': GoogleFonts._brawlerTextTheme, 'Bree Serif': GoogleFonts._breeSerifTextTheme, 'Bubblegum Sans': GoogleFonts._bubblegumSansTextTheme, 'Bubbler One': GoogleFonts._bubblerOneTextTheme, 'Buda': GoogleFonts._budaTextTheme, 'Buenard': GoogleFonts._buenardTextTheme, 'Bungee': GoogleFonts._bungeeTextTheme, 'Bungee Hairline': GoogleFonts._bungeeHairlineTextTheme, 'Bungee Inline': GoogleFonts._bungeeInlineTextTheme, 'Bungee Outline': GoogleFonts._bungeeOutlineTextTheme, 'Bungee Shade': GoogleFonts._bungeeShadeTextTheme, 'Butcherman': GoogleFonts._butchermanTextTheme, 'Butterfly Kids': GoogleFonts._butterflyKidsTextTheme, 'Cabin': GoogleFonts._cabinTextTheme, 'Cabin Condensed': GoogleFonts._cabinCondensedTextTheme, 'Cabin Sketch': GoogleFonts._cabinSketchTextTheme, 'Caesar Dressing': GoogleFonts._caesarDressingTextTheme, 'Cagliostro': GoogleFonts._cagliostroTextTheme, 'Cairo': GoogleFonts._cairoTextTheme, 'Caladea': GoogleFonts._caladeaTextTheme, 'Calistoga': GoogleFonts._calistogaTextTheme, 'Calligraffitti': GoogleFonts._calligraffittiTextTheme, 'Cambay': GoogleFonts._cambayTextTheme, 'Cambo': GoogleFonts._camboTextTheme, 'Candal': GoogleFonts._candalTextTheme, 'Cantarell': GoogleFonts._cantarellTextTheme, 'Cantata One': GoogleFonts._cantataOneTextTheme, 'Cantora One': GoogleFonts._cantoraOneTextTheme, 'Capriola': GoogleFonts._capriolaTextTheme, 'Cardo': GoogleFonts._cardoTextTheme, 'Carme': GoogleFonts._carmeTextTheme, 'Carrois Gothic': GoogleFonts._carroisGothicTextTheme, 'Carrois Gothic SC': GoogleFonts._carroisGothicScTextTheme, 'Carter One': GoogleFonts._carterOneTextTheme, 'Catamaran': GoogleFonts._catamaranTextTheme, 'Caudex': GoogleFonts._caudexTextTheme, 'Caveat': GoogleFonts._caveatTextTheme, 'Caveat Brush': GoogleFonts._caveatBrushTextTheme, 'Cedarville Cursive': GoogleFonts._cedarvilleCursiveTextTheme, 'Ceviche One': GoogleFonts._cevicheOneTextTheme, 'Chakra Petch': GoogleFonts._chakraPetchTextTheme, 'Changa': GoogleFonts._changaTextTheme, 'Changa One': GoogleFonts._changaOneTextTheme, 'Chango': GoogleFonts._changoTextTheme, 'Charm': GoogleFonts._charmTextTheme, 'Charmonman': GoogleFonts._charmonmanTextTheme, 'Chathura': GoogleFonts._chathuraTextTheme, 'Chau Philomene One': GoogleFonts._chauPhilomeneOneTextTheme, 'Chela One': GoogleFonts._chelaOneTextTheme, 'Chelsea Market': GoogleFonts._chelseaMarketTextTheme, 'Cherry Cream Soda': GoogleFonts._cherryCreamSodaTextTheme, 'Cherry Swash': GoogleFonts._cherrySwashTextTheme, 'Chewy': GoogleFonts._chewyTextTheme, 'Chicle': GoogleFonts._chicleTextTheme, 'Chilanka': GoogleFonts._chilankaTextTheme, 'Chivo': GoogleFonts._chivoTextTheme, 'Chonburi': GoogleFonts._chonburiTextTheme, 'Cinzel': GoogleFonts._cinzelTextTheme, 'Cinzel Decorative': GoogleFonts._cinzelDecorativeTextTheme, 'Clicker Script': GoogleFonts._clickerScriptTextTheme, 'Coda': GoogleFonts._codaTextTheme, 'Coda Caption': GoogleFonts._codaCaptionTextTheme, 'Codystar': GoogleFonts._codystarTextTheme, 'Coiny': GoogleFonts._coinyTextTheme, 'Combo': GoogleFonts._comboTextTheme, 'Comfortaa': GoogleFonts._comfortaaTextTheme, 'Comic Neue': GoogleFonts._comicNeueTextTheme, 'Coming Soon': GoogleFonts._comingSoonTextTheme, 'Concert One': GoogleFonts._concertOneTextTheme, 'Condiment': GoogleFonts._condimentTextTheme, 'Contrail One': GoogleFonts._contrailOneTextTheme, 'Convergence': GoogleFonts._convergenceTextTheme, 'Cookie': GoogleFonts._cookieTextTheme, 'Copse': GoogleFonts._copseTextTheme, 'Corben': GoogleFonts._corbenTextTheme, 'Cormorant': GoogleFonts._cormorantTextTheme, 'Cormorant Garamond': GoogleFonts._cormorantGaramondTextTheme, 'Cormorant Infant': GoogleFonts._cormorantInfantTextTheme, 'Cormorant SC': GoogleFonts._cormorantScTextTheme, 'Cormorant Unicase': GoogleFonts._cormorantUnicaseTextTheme, 'Cormorant Upright': GoogleFonts._cormorantUprightTextTheme, 'Courgette': GoogleFonts._courgetteTextTheme, 'Courier Prime': GoogleFonts._courierPrimeTextTheme, 'Cousine': GoogleFonts._cousineTextTheme, 'Coustard': GoogleFonts._coustardTextTheme, 'Covered By Your Grace': GoogleFonts._coveredByYourGraceTextTheme, 'Crafty Girls': GoogleFonts._craftyGirlsTextTheme, 'Creepster': GoogleFonts._creepsterTextTheme, 'Crete Round': GoogleFonts._creteRoundTextTheme, 'Crimson Pro': GoogleFonts._crimsonProTextTheme, 'Crimson Text': GoogleFonts._crimsonTextTextTheme, 'Croissant One': GoogleFonts._croissantOneTextTheme, 'Crushed': GoogleFonts._crushedTextTheme, 'Cuprum': GoogleFonts._cuprumTextTheme, 'Cute Font': GoogleFonts._cuteFontTextTheme, 'Cutive': GoogleFonts._cutiveTextTheme, 'Cutive Mono': GoogleFonts._cutiveMonoTextTheme, 'DM Sans': GoogleFonts._dmSansTextTheme, 'DM Serif Display': GoogleFonts._dmSerifDisplayTextTheme, 'DM Serif Text': GoogleFonts._dmSerifTextTextTheme, 'Damion': GoogleFonts._damionTextTheme, 'Dancing Script': GoogleFonts._dancingScriptTextTheme, 'Darker Grotesque': GoogleFonts._darkerGrotesqueTextTheme, 'David Libre': GoogleFonts._davidLibreTextTheme, 'Dawning of a New Day': GoogleFonts._dawningOfANewDayTextTheme, 'Days One': GoogleFonts._daysOneTextTheme, 'Dekko': GoogleFonts._dekkoTextTheme, 'Delius': GoogleFonts._deliusTextTheme, 'Delius Swash Caps': GoogleFonts._deliusSwashCapsTextTheme, 'Delius Unicase': GoogleFonts._deliusUnicaseTextTheme, 'Della Respira': GoogleFonts._dellaRespiraTextTheme, 'Denk One': GoogleFonts._denkOneTextTheme, 'Devonshire': GoogleFonts._devonshireTextTheme, 'Dhurjati': GoogleFonts._dhurjatiTextTheme, 'Didact Gothic': GoogleFonts._didactGothicTextTheme, 'Diplomata': GoogleFonts._diplomataTextTheme, 'Diplomata SC': GoogleFonts._diplomataScTextTheme, 'Do Hyeon': GoogleFonts._doHyeonTextTheme, 'Dokdo': GoogleFonts._dokdoTextTheme, 'Domine': GoogleFonts._domineTextTheme, 'Donegal One': GoogleFonts._donegalOneTextTheme, 'Doppio One': GoogleFonts._doppioOneTextTheme, 'Dorsa': GoogleFonts._dorsaTextTheme, 'Dosis': GoogleFonts._dosisTextTheme, 'Dr Sugiyama': GoogleFonts._drSugiyamaTextTheme, 'Droid Sans': GoogleFonts._droidSansTextTheme, 'Droid Sans Mono': GoogleFonts._droidSansMonoTextTheme, 'Droid Serif': GoogleFonts._droidSerifTextTheme, 'Duru Sans': GoogleFonts._duruSansTextTheme, 'Dynalight': GoogleFonts._dynalightTextTheme, 'EB Garamond': GoogleFonts._ebGaramondTextTheme, 'Eagle Lake': GoogleFonts._eagleLakeTextTheme, 'East Sea Dokdo': GoogleFonts._eastSeaDokdoTextTheme, 'Eater': GoogleFonts._eaterTextTheme, 'Economica': GoogleFonts._economicaTextTheme, 'Eczar': GoogleFonts._eczarTextTheme, 'El Messiri': GoogleFonts._elMessiriTextTheme, 'Electrolize': GoogleFonts._electrolizeTextTheme, 'Elsie': GoogleFonts._elsieTextTheme, 'Elsie Swash Caps': GoogleFonts._elsieSwashCapsTextTheme, 'Emblema One': GoogleFonts._emblemaOneTextTheme, 'Emilys Candy': GoogleFonts._emilysCandyTextTheme, 'Encode Sans': GoogleFonts._encodeSansTextTheme, 'Encode Sans Condensed': GoogleFonts._encodeSansCondensedTextTheme, 'Encode Sans Expanded': GoogleFonts._encodeSansExpandedTextTheme, 'Encode Sans Semi Condensed': GoogleFonts._encodeSansSemiCondensedTextTheme, 'Encode Sans Semi Expanded': GoogleFonts._encodeSansSemiExpandedTextTheme, 'Engagement': GoogleFonts._engagementTextTheme, 'Englebert': GoogleFonts._englebertTextTheme, 'Enriqueta': GoogleFonts._enriquetaTextTheme, 'Erica One': GoogleFonts._ericaOneTextTheme, 'Esteban': GoogleFonts._estebanTextTheme, 'Euphoria Script': GoogleFonts._euphoriaScriptTextTheme, 'Ewert': GoogleFonts._ewertTextTheme, 'Exo': GoogleFonts._exoTextTheme, 'Exo 2': GoogleFonts._exo2TextTheme, 'Expletus Sans': GoogleFonts._expletusSansTextTheme, 'Fahkwang': GoogleFonts._fahkwangTextTheme, 'Fanwood Text': GoogleFonts._fanwoodTextTextTheme, 'Farro': GoogleFonts._farroTextTheme, 'Farsan': GoogleFonts._farsanTextTheme, 'Fascinate': GoogleFonts._fascinateTextTheme, 'Fascinate Inline': GoogleFonts._fascinateInlineTextTheme, 'Faster One': GoogleFonts._fasterOneTextTheme, 'Fauna One': GoogleFonts._faunaOneTextTheme, 'Faustina': GoogleFonts._faustinaTextTheme, 'Federant': GoogleFonts._federantTextTheme, 'Federo': GoogleFonts._federoTextTheme, 'Felipa': GoogleFonts._felipaTextTheme, 'Fenix': GoogleFonts._fenixTextTheme, 'Finger Paint': GoogleFonts._fingerPaintTextTheme, 'Fira Code': GoogleFonts._firaCodeTextTheme, 'Fira Mono': GoogleFonts._firaMonoTextTheme, 'Fira Sans': GoogleFonts._firaSansTextTheme, 'Fira Sans Condensed': GoogleFonts._firaSansCondensedTextTheme, 'Fira Sans Extra Condensed': GoogleFonts._firaSansExtraCondensedTextTheme, 'Fjalla One': GoogleFonts._fjallaOneTextTheme, 'Fjord One': GoogleFonts._fjordOneTextTheme, 'Flamenco': GoogleFonts._flamencoTextTheme, 'Flavors': GoogleFonts._flavorsTextTheme, 'Fondamento': GoogleFonts._fondamentoTextTheme, 'Fontdiner Swanky': GoogleFonts._fontdinerSwankyTextTheme, 'Forum': GoogleFonts._forumTextTheme, 'Francois One': GoogleFonts._francoisOneTextTheme, 'Frank Ruhl Libre': GoogleFonts._frankRuhlLibreTextTheme, 'Freckle Face': GoogleFonts._freckleFaceTextTheme, 'Fredericka the Great': GoogleFonts._frederickaTheGreatTextTheme, 'Fredoka One': GoogleFonts._fredokaOneTextTheme, 'Fresca': GoogleFonts._frescaTextTheme, 'Frijole': GoogleFonts._frijoleTextTheme, 'Fruktur': GoogleFonts._frukturTextTheme, 'Fugaz One': GoogleFonts._fugazOneTextTheme, 'GFS Didot': GoogleFonts._gfsDidotTextTheme, 'GFS Neohellenic': GoogleFonts._gfsNeohellenicTextTheme, 'Gabriela': GoogleFonts._gabrielaTextTheme, 'Gaegu': GoogleFonts._gaeguTextTheme, 'Gafata': GoogleFonts._gafataTextTheme, 'Galada': GoogleFonts._galadaTextTheme, 'Galdeano': GoogleFonts._galdeanoTextTheme, 'Galindo': GoogleFonts._galindoTextTheme, 'Gamja Flower': GoogleFonts._gamjaFlowerTextTheme, 'Gayathri': GoogleFonts._gayathriTextTheme, 'Gelasio': GoogleFonts._gelasioTextTheme, 'Gentium Basic': GoogleFonts._gentiumBasicTextTheme, 'Gentium Book Basic': GoogleFonts._gentiumBookBasicTextTheme, 'Geo': GoogleFonts._geoTextTheme, 'Geostar': GoogleFonts._geostarTextTheme, 'Geostar Fill': GoogleFonts._geostarFillTextTheme, 'Germania One': GoogleFonts._germaniaOneTextTheme, 'Gidugu': GoogleFonts._giduguTextTheme, 'Gilda Display': GoogleFonts._gildaDisplayTextTheme, 'Girassol': GoogleFonts._girassolTextTheme, 'Give You Glory': GoogleFonts._giveYouGloryTextTheme, 'Glass Antiqua': GoogleFonts._glassAntiquaTextTheme, 'Glegoo': GoogleFonts._glegooTextTheme, 'Gloria Hallelujah': GoogleFonts._gloriaHallelujahTextTheme, 'Goblin One': GoogleFonts._goblinOneTextTheme, 'Gochi Hand': GoogleFonts._gochiHandTextTheme, 'Gorditas': GoogleFonts._gorditasTextTheme, 'Gothic A1': GoogleFonts._gothicA1TextTheme, 'Gotu': GoogleFonts._gotuTextTheme, 'Goudy Bookletter 1911': GoogleFonts._goudyBookletter1911TextTheme, 'Graduate': GoogleFonts._graduateTextTheme, 'Grand Hotel': GoogleFonts._grandHotelTextTheme, 'Gravitas One': GoogleFonts._gravitasOneTextTheme, 'Great Vibes': GoogleFonts._greatVibesTextTheme, 'Grenze': GoogleFonts._grenzeTextTheme, 'Griffy': GoogleFonts._griffyTextTheme, 'Gruppo': GoogleFonts._gruppoTextTheme, 'Gudea': GoogleFonts._gudeaTextTheme, 'Gugi': GoogleFonts._gugiTextTheme, 'Gupter': GoogleFonts._gupterTextTheme, 'Gurajada': GoogleFonts._gurajadaTextTheme, 'Habibi': GoogleFonts._habibiTextTheme, 'Halant': GoogleFonts._halantTextTheme, 'Hammersmith One': GoogleFonts._hammersmithOneTextTheme, 'Hanalei': GoogleFonts._hanaleiTextTheme, 'Hanalei Fill': GoogleFonts._hanaleiFillTextTheme, 'Handlee': GoogleFonts._handleeTextTheme, 'Happy Monkey': GoogleFonts._happyMonkeyTextTheme, 'Harmattan': GoogleFonts._harmattanTextTheme, 'Headland One': GoogleFonts._headlandOneTextTheme, 'Heebo': GoogleFonts._heeboTextTheme, 'Henny Penny': GoogleFonts._hennyPennyTextTheme, 'Hepta Slab': GoogleFonts._heptaSlabTextTheme, 'Herr Von Muellerhoff': GoogleFonts._herrVonMuellerhoffTextTheme, 'Hi Melody': GoogleFonts._hiMelodyTextTheme, 'Hind': GoogleFonts._hindTextTheme, 'Hind Guntur': GoogleFonts._hindGunturTextTheme, 'Hind Madurai': GoogleFonts._hindMaduraiTextTheme, 'Hind Siliguri': GoogleFonts._hindSiliguriTextTheme, 'Hind Vadodara': GoogleFonts._hindVadodaraTextTheme, 'Holtwood One SC': GoogleFonts._holtwoodOneScTextTheme, 'Homemade Apple': GoogleFonts._homemadeAppleTextTheme, 'Homenaje': GoogleFonts._homenajeTextTheme, 'IBM Plex Mono': GoogleFonts._ibmPlexMonoTextTheme, 'IBM Plex Sans': GoogleFonts._ibmPlexSansTextTheme, 'IBM Plex Sans Condensed': GoogleFonts._ibmPlexSansCondensedTextTheme, 'IBM Plex Serif': GoogleFonts._ibmPlexSerifTextTheme, 'IM Fell DW Pica': GoogleFonts._imFellDwPicaTextTheme, 'IM Fell DW Pica SC': GoogleFonts._imFellDwPicaScTextTheme, 'IM Fell Double Pica': GoogleFonts._imFellDoublePicaTextTheme, 'IM Fell Double Pica SC': GoogleFonts._imFellDoublePicaScTextTheme, 'IM Fell English': GoogleFonts._imFellEnglishTextTheme, 'IM Fell English SC': GoogleFonts._imFellEnglishScTextTheme, 'IM Fell French Canon': GoogleFonts._imFellFrenchCanonTextTheme, 'IM Fell French Canon SC': GoogleFonts._imFellFrenchCanonScTextTheme, 'IM Fell Great Primer': GoogleFonts._imFellGreatPrimerTextTheme, 'IM Fell Great Primer SC': GoogleFonts._imFellGreatPrimerScTextTheme, 'Ibarra Real Nova': GoogleFonts._ibarraRealNovaTextTheme, 'Iceberg': GoogleFonts._icebergTextTheme, 'Iceland': GoogleFonts._icelandTextTheme, 'Imprima': GoogleFonts._imprimaTextTheme, 'Inconsolata': GoogleFonts._inconsolataTextTheme, 'Inder': GoogleFonts._inderTextTheme, 'Indie Flower': GoogleFonts._indieFlowerTextTheme, 'Inika': GoogleFonts._inikaTextTheme, 'Inknut Antiqua': GoogleFonts._inknutAntiquaTextTheme, 'Inria Sans': GoogleFonts._inriaSansTextTheme, 'Inria Serif': GoogleFonts._inriaSerifTextTheme, 'Inter': GoogleFonts._interTextTheme, 'Irish Grover': GoogleFonts._irishGroverTextTheme, 'Istok Web': GoogleFonts._istokWebTextTheme, 'Italiana': GoogleFonts._italianaTextTheme, 'Italianno': GoogleFonts._italiannoTextTheme, 'Itim': GoogleFonts._itimTextTheme, 'Jacques Francois': GoogleFonts._jacquesFrancoisTextTheme, 'Jacques Francois Shadow': GoogleFonts._jacquesFrancoisShadowTextTheme, 'Jaldi': GoogleFonts._jaldiTextTheme, 'Jim Nightshade': GoogleFonts._jimNightshadeTextTheme, 'Jockey One': GoogleFonts._jockeyOneTextTheme, 'Jolly Lodger': GoogleFonts._jollyLodgerTextTheme, 'Jomhuria': GoogleFonts._jomhuriaTextTheme, 'Jomolhari': GoogleFonts._jomolhariTextTheme, 'Josefin Sans': GoogleFonts._josefinSansTextTheme, 'Josefin Slab': GoogleFonts._josefinSlabTextTheme, 'Joti One': GoogleFonts._jotiOneTextTheme, 'Jua': GoogleFonts._juaTextTheme, 'Judson': GoogleFonts._judsonTextTheme, 'Julee': GoogleFonts._juleeTextTheme, 'Julius Sans One': GoogleFonts._juliusSansOneTextTheme, 'Junge': GoogleFonts._jungeTextTheme, 'Jura': GoogleFonts._juraTextTheme, 'Just Another Hand': GoogleFonts._justAnotherHandTextTheme, 'Just Me Again Down Here': GoogleFonts._justMeAgainDownHereTextTheme, 'K2D': GoogleFonts._k2dTextTheme, 'Kadwa': GoogleFonts._kadwaTextTheme, 'Kalam': GoogleFonts._kalamTextTheme, 'Kameron': GoogleFonts._kameronTextTheme, 'Kanit': GoogleFonts._kanitTextTheme, 'Kantumruy': GoogleFonts._kantumruyTextTheme, 'Karla': GoogleFonts._karlaTextTheme, 'Karma': GoogleFonts._karmaTextTheme, 'Katibeh': GoogleFonts._katibehTextTheme, 'Kaushan Script': GoogleFonts._kaushanScriptTextTheme, 'Kavivanar': GoogleFonts._kavivanarTextTheme, 'Kavoon': GoogleFonts._kavoonTextTheme, 'Kdam Thmor': GoogleFonts._kdamThmorTextTheme, 'Keania One': GoogleFonts._keaniaOneTextTheme, 'Kelly Slab': GoogleFonts._kellySlabTextTheme, 'Kenia': GoogleFonts._keniaTextTheme, 'Khand': GoogleFonts._khandTextTheme, 'Khula': GoogleFonts._khulaTextTheme, 'Kirang Haerang': GoogleFonts._kirangHaerangTextTheme, 'Kite One': GoogleFonts._kiteOneTextTheme, 'Knewave': GoogleFonts._knewaveTextTheme, 'KoHo': GoogleFonts._koHoTextTheme, 'Kodchasan': GoogleFonts._kodchasanTextTheme, 'Kosugi': GoogleFonts._kosugiTextTheme, 'Kosugi Maru': GoogleFonts._kosugiMaruTextTheme, 'Kotta One': GoogleFonts._kottaOneTextTheme, 'Kranky': GoogleFonts._krankyTextTheme, 'Kreon': GoogleFonts._kreonTextTheme, 'Kristi': GoogleFonts._kristiTextTheme, 'Krona One': GoogleFonts._kronaOneTextTheme, 'Krub': GoogleFonts._krubTextTheme, 'Kulim Park': GoogleFonts._kulimParkTextTheme, 'Kumar One': GoogleFonts._kumarOneTextTheme, 'Kumar One Outline': GoogleFonts._kumarOneOutlineTextTheme, 'Kurale': GoogleFonts._kuraleTextTheme, 'La Belle Aurore': GoogleFonts._laBelleAuroreTextTheme, 'Lacquer': GoogleFonts._lacquerTextTheme, 'Laila': GoogleFonts._lailaTextTheme, 'Lakki Reddy': GoogleFonts._lakkiReddyTextTheme, 'Lalezar': GoogleFonts._lalezarTextTheme, 'Lancelot': GoogleFonts._lancelotTextTheme, 'Lateef': GoogleFonts._lateefTextTheme, 'Lato': GoogleFonts._latoTextTheme, 'League Script': GoogleFonts._leagueScriptTextTheme, 'Leckerli One': GoogleFonts._leckerliOneTextTheme, 'Ledger': GoogleFonts._ledgerTextTheme, 'Lekton': GoogleFonts._lektonTextTheme, 'Lemon': GoogleFonts._lemonTextTheme, 'Lemonada': GoogleFonts._lemonadaTextTheme, 'Lexend Deca': GoogleFonts._lexendDecaTextTheme, 'Lexend Exa': GoogleFonts._lexendExaTextTheme, 'Lexend Giga': GoogleFonts._lexendGigaTextTheme, 'Lexend Mega': GoogleFonts._lexendMegaTextTheme, 'Lexend Peta': GoogleFonts._lexendPetaTextTheme, 'Lexend Tera': GoogleFonts._lexendTeraTextTheme, 'Lexend Zetta': GoogleFonts._lexendZettaTextTheme, 'Libre Barcode 128': GoogleFonts._libreBarcode128TextTheme, 'Libre Barcode 128 Text': GoogleFonts._libreBarcode128TextTextTheme, 'Libre Barcode 39': GoogleFonts._libreBarcode39TextTheme, 'Libre Barcode 39 Extended': GoogleFonts._libreBarcode39ExtendedTextTheme, 'Libre Barcode 39 Extended Text': GoogleFonts._libreBarcode39ExtendedTextTextTheme, 'Libre Barcode 39 Text': GoogleFonts._libreBarcode39TextTextTheme, 'Libre Baskerville': GoogleFonts._libreBaskervilleTextTheme, 'Libre Caslon Display': GoogleFonts._libreCaslonDisplayTextTheme, 'Libre Caslon Text': GoogleFonts._libreCaslonTextTextTheme, 'Libre Franklin': GoogleFonts._libreFranklinTextTheme, 'Life Savers': GoogleFonts._lifeSaversTextTheme, 'Lilita One': GoogleFonts._lilitaOneTextTheme, 'Lily Script One': GoogleFonts._lilyScriptOneTextTheme, 'Limelight': GoogleFonts._limelightTextTheme, 'Linden Hill': GoogleFonts._lindenHillTextTheme, 'Literata': GoogleFonts._literataTextTheme, 'Liu Jian Mao Cao': GoogleFonts._liuJianMaoCaoTextTheme, 'Livvic': GoogleFonts._livvicTextTheme, 'Lobster': GoogleFonts._lobsterTextTheme, 'Lobster Two': GoogleFonts._lobsterTwoTextTheme, 'Londrina Outline': GoogleFonts._londrinaOutlineTextTheme, 'Londrina Shadow': GoogleFonts._londrinaShadowTextTheme, 'Londrina Sketch': GoogleFonts._londrinaSketchTextTheme, 'Londrina Solid': GoogleFonts._londrinaSolidTextTheme, 'Long Cang': GoogleFonts._longCangTextTheme, 'Lora': GoogleFonts._loraTextTheme, 'Love Ya Like A Sister': GoogleFonts._loveYaLikeASisterTextTheme, 'Loved by the King': GoogleFonts._lovedByTheKingTextTheme, 'Lovers Quarrel': GoogleFonts._loversQuarrelTextTheme, 'Luckiest Guy': GoogleFonts._luckiestGuyTextTheme, 'Lusitana': GoogleFonts._lusitanaTextTheme, 'Lustria': GoogleFonts._lustriaTextTheme, 'M PLUS 1p': GoogleFonts._mPlus1pTextTheme, 'M PLUS Rounded 1c': GoogleFonts._mPlusRounded1cTextTheme, 'Ma Shan Zheng': GoogleFonts._maShanZhengTextTheme, 'Macondo': GoogleFonts._macondoTextTheme, 'Macondo Swash Caps': GoogleFonts._macondoSwashCapsTextTheme, 'Mada': GoogleFonts._madaTextTheme, 'Magra': GoogleFonts._magraTextTheme, 'Maiden Orange': GoogleFonts._maidenOrangeTextTheme, 'Maitree': GoogleFonts._maitreeTextTheme, 'Major Mono Display': GoogleFonts._majorMonoDisplayTextTheme, 'Mako': GoogleFonts._makoTextTheme, 'Mali': GoogleFonts._maliTextTheme, 'Mallanna': GoogleFonts._mallannaTextTheme, 'Mandali': GoogleFonts._mandaliTextTheme, 'Manjari': GoogleFonts._manjariTextTheme, 'Manrope': GoogleFonts._manropeTextTheme, 'Mansalva': GoogleFonts._mansalvaTextTheme, 'Manuale': GoogleFonts._manualeTextTheme, 'Marcellus': GoogleFonts._marcellusTextTheme, 'Marcellus SC': GoogleFonts._marcellusScTextTheme, 'Marck Script': GoogleFonts._marckScriptTextTheme, 'Margarine': GoogleFonts._margarineTextTheme, 'Markazi Text': GoogleFonts._markaziTextTextTheme, 'Marko One': GoogleFonts._markoOneTextTheme, 'Marmelad': GoogleFonts._marmeladTextTheme, 'Martel': GoogleFonts._martelTextTheme, 'Martel Sans': GoogleFonts._martelSansTextTheme, 'Marvel': GoogleFonts._marvelTextTheme, 'Mate': GoogleFonts._mateTextTheme, 'Mate SC': GoogleFonts._mateScTextTheme, 'Maven Pro': GoogleFonts._mavenProTextTheme, 'McLaren': GoogleFonts._mcLarenTextTheme, 'Meddon': GoogleFonts._meddonTextTheme, 'MedievalSharp': GoogleFonts._medievalSharpTextTheme, 'Medula One': GoogleFonts._medulaOneTextTheme, 'Meera Inimai': GoogleFonts._meeraInimaiTextTheme, 'Megrim': GoogleFonts._megrimTextTheme, 'Meie Script': GoogleFonts._meieScriptTextTheme, 'Merienda': GoogleFonts._meriendaTextTheme, 'Merienda One': GoogleFonts._meriendaOneTextTheme, 'Merriweather': GoogleFonts._merriweatherTextTheme, 'Merriweather Sans': GoogleFonts._merriweatherSansTextTheme, 'Metal Mania': GoogleFonts._metalManiaTextTheme, 'Metamorphous': GoogleFonts._metamorphousTextTheme, 'Metrophobic': GoogleFonts._metrophobicTextTheme, 'Michroma': GoogleFonts._michromaTextTheme, 'Milonga': GoogleFonts._milongaTextTheme, 'Miltonian': GoogleFonts._miltonianTextTheme, 'Miltonian Tattoo': GoogleFonts._miltonianTattooTextTheme, 'Mina': GoogleFonts._minaTextTheme, 'Miniver': GoogleFonts._miniverTextTheme, 'Miriam Libre': GoogleFonts._miriamLibreTextTheme, 'Mirza': GoogleFonts._mirzaTextTheme, 'Miss Fajardose': GoogleFonts._missFajardoseTextTheme, 'Mitr': GoogleFonts._mitrTextTheme, 'Modak': GoogleFonts._modakTextTheme, 'Modern Antiqua': GoogleFonts._modernAntiquaTextTheme, 'Mogra': GoogleFonts._mograTextTheme, 'Molengo': GoogleFonts._molengoTextTheme, 'Molle': GoogleFonts._molleTextTheme, 'Monda': GoogleFonts._mondaTextTheme, 'Monofett': GoogleFonts._monofettTextTheme, 'Monoton': GoogleFonts._monotonTextTheme, 'Monsieur La Doulaise': GoogleFonts._monsieurLaDoulaiseTextTheme, 'Montaga': GoogleFonts._montagaTextTheme, 'Montez': GoogleFonts._montezTextTheme, 'Montserrat': GoogleFonts._montserratTextTheme, 'Montserrat Alternates': GoogleFonts._montserratAlternatesTextTheme, 'Montserrat Subrayada': GoogleFonts._montserratSubrayadaTextTheme, 'Mountains of Christmas': GoogleFonts._mountainsOfChristmasTextTheme, 'Mouse Memoirs': GoogleFonts._mouseMemoirsTextTheme, 'Mr Bedfort': GoogleFonts._mrBedfortTextTheme, 'Mr Dafoe': GoogleFonts._mrDafoeTextTheme, 'Mr De Haviland': GoogleFonts._mrDeHavilandTextTheme, 'Mrs Saint Delafield': GoogleFonts._mrsSaintDelafieldTextTheme, 'Mrs Sheppards': GoogleFonts._mrsSheppardsTextTheme, 'Mukta': GoogleFonts._muktaTextTheme, 'Mukta Mahee': GoogleFonts._muktaMaheeTextTheme, 'Mukta Malar': GoogleFonts._muktaMalarTextTheme, 'Mukta Vaani': GoogleFonts._muktaVaaniTextTheme, 'Muli': GoogleFonts._muliTextTheme, 'Mystery Quest': GoogleFonts._mysteryQuestTextTheme, 'NTR': GoogleFonts._ntrTextTheme, 'Nanum Brush Script': GoogleFonts._nanumBrushScriptTextTheme, 'Nanum Gothic': GoogleFonts._nanumGothicTextTheme, 'Nanum Gothic Coding': GoogleFonts._nanumGothicCodingTextTheme, 'Nanum Myeongjo': GoogleFonts._nanumMyeongjoTextTheme, 'Nanum Pen Script': GoogleFonts._nanumPenScriptTextTheme, 'Neucha': GoogleFonts._neuchaTextTheme, 'Neuton': GoogleFonts._neutonTextTheme, 'New Rocker': GoogleFonts._newRockerTextTheme, 'News Cycle': GoogleFonts._newsCycleTextTheme, 'Niconne': GoogleFonts._niconneTextTheme, 'Niramit': GoogleFonts._niramitTextTheme, 'Nixie One': GoogleFonts._nixieOneTextTheme, 'Nobile': GoogleFonts._nobileTextTheme, 'Norican': GoogleFonts._noricanTextTheme, 'Nosifer': GoogleFonts._nosiferTextTheme, 'Notable': GoogleFonts._notableTextTheme, 'Nothing You Could Do': GoogleFonts._nothingYouCouldDoTextTheme, 'Noticia Text': GoogleFonts._noticiaTextTextTheme, 'Noto Sans': GoogleFonts._notoSansTextTheme, 'Noto Serif': GoogleFonts._notoSerifTextTheme, 'Nova Cut': GoogleFonts._novaCutTextTheme, 'Nova Flat': GoogleFonts._novaFlatTextTheme, 'Nova Mono': GoogleFonts._novaMonoTextTheme, 'Nova Oval': GoogleFonts._novaOvalTextTheme, 'Nova Round': GoogleFonts._novaRoundTextTheme, 'Nova Script': GoogleFonts._novaScriptTextTheme, 'Nova Slim': GoogleFonts._novaSlimTextTheme, 'Nova Square': GoogleFonts._novaSquareTextTheme, 'Numans': GoogleFonts._numansTextTheme, 'Nunito': GoogleFonts._nunitoTextTheme, 'Nunito Sans': GoogleFonts._nunitoSansTextTheme, 'Odibee Sans': GoogleFonts._odibeeSansTextTheme, 'Odor Mean Chey': GoogleFonts._odorMeanCheyTextTheme, 'Offside': GoogleFonts._offsideTextTheme, 'Old Standard TT': GoogleFonts._oldStandardTtTextTheme, 'Oldenburg': GoogleFonts._oldenburgTextTheme, 'Oleo Script': GoogleFonts._oleoScriptTextTheme, 'Oleo Script Swash Caps': GoogleFonts._oleoScriptSwashCapsTextTheme, 'Open Sans': GoogleFonts._openSansTextTheme, 'Open Sans Condensed': GoogleFonts._openSansCondensedTextTheme, 'Oranienbaum': GoogleFonts._oranienbaumTextTheme, 'Orbitron': GoogleFonts._orbitronTextTheme, 'Oregano': GoogleFonts._oreganoTextTheme, 'Orienta': GoogleFonts._orientaTextTheme, 'Original Surfer': GoogleFonts._originalSurferTextTheme, 'Oswald': GoogleFonts._oswaldTextTheme, 'Over the Rainbow': GoogleFonts._overTheRainbowTextTheme, 'Overlock': GoogleFonts._overlockTextTheme, 'Overlock SC': GoogleFonts._overlockScTextTheme, 'Overpass': GoogleFonts._overpassTextTheme, 'Overpass Mono': GoogleFonts._overpassMonoTextTheme, 'Ovo': GoogleFonts._ovoTextTheme, 'Oxanium': GoogleFonts._oxaniumTextTheme, 'Oxygen': GoogleFonts._oxygenTextTheme, 'Oxygen Mono': GoogleFonts._oxygenMonoTextTheme, 'PT Mono': GoogleFonts._ptMonoTextTheme, 'PT Sans': GoogleFonts._ptSansTextTheme, 'PT Sans Caption': GoogleFonts._ptSansCaptionTextTheme, 'PT Sans Narrow': GoogleFonts._ptSansNarrowTextTheme, 'PT Serif': GoogleFonts._ptSerifTextTheme, 'PT Serif Caption': GoogleFonts._ptSerifCaptionTextTheme, 'Pacifico': GoogleFonts._pacificoTextTheme, 'Padauk': GoogleFonts._padaukTextTheme, 'Palanquin': GoogleFonts._palanquinTextTheme, 'Palanquin Dark': GoogleFonts._palanquinDarkTextTheme, 'Pangolin': GoogleFonts._pangolinTextTheme, 'Paprika': GoogleFonts._paprikaTextTheme, 'Parisienne': GoogleFonts._parisienneTextTheme, 'Passero One': GoogleFonts._passeroOneTextTheme, 'Passion One': GoogleFonts._passionOneTextTheme, 'Pathway Gothic One': GoogleFonts._pathwayGothicOneTextTheme, 'Patrick Hand': GoogleFonts._patrickHandTextTheme, 'Patrick Hand SC': GoogleFonts._patrickHandScTextTheme, 'Pattaya': GoogleFonts._pattayaTextTheme, 'Patua One': GoogleFonts._patuaOneTextTheme, 'Pavanam': GoogleFonts._pavanamTextTheme, 'Paytone One': GoogleFonts._paytoneOneTextTheme, 'Peddana': GoogleFonts._peddanaTextTheme, 'Peralta': GoogleFonts._peraltaTextTheme, 'Permanent Marker': GoogleFonts._permanentMarkerTextTheme, 'Petit Formal Script': GoogleFonts._petitFormalScriptTextTheme, 'Petrona': GoogleFonts._petronaTextTheme, 'Philosopher': GoogleFonts._philosopherTextTheme, 'Piedra': GoogleFonts._piedraTextTheme, 'Pinyon Script': GoogleFonts._pinyonScriptTextTheme, 'Pirata One': GoogleFonts._pirataOneTextTheme, 'Plaster': GoogleFonts._plasterTextTheme, 'Play': GoogleFonts._playTextTheme, 'Playball': GoogleFonts._playballTextTheme, 'Playfair Display': GoogleFonts._playfairDisplayTextTheme, 'Playfair Display SC': GoogleFonts._playfairDisplayScTextTheme, 'Podkova': GoogleFonts._podkovaTextTheme, 'Poiret One': GoogleFonts._poiretOneTextTheme, 'Poller One': GoogleFonts._pollerOneTextTheme, 'Poly': GoogleFonts._polyTextTheme, 'Pompiere': GoogleFonts._pompiereTextTheme, 'Pontano Sans': GoogleFonts._pontanoSansTextTheme, 'Poor Story': GoogleFonts._poorStoryTextTheme, 'Poppins': GoogleFonts._poppinsTextTheme, 'Port Lligat Sans': GoogleFonts._portLligatSansTextTheme, 'Port Lligat Slab': GoogleFonts._portLligatSlabTextTheme, 'Pragati Narrow': GoogleFonts._pragatiNarrowTextTheme, 'Prata': GoogleFonts._prataTextTheme, 'Press Start 2P': GoogleFonts._pressStart2pTextTheme, 'Pridi': GoogleFonts._pridiTextTheme, 'Princess Sofia': GoogleFonts._princessSofiaTextTheme, 'Prociono': GoogleFonts._procionoTextTheme, 'Prompt': GoogleFonts._promptTextTheme, 'Prosto One': GoogleFonts._prostoOneTextTheme, 'Proza Libre': GoogleFonts._prozaLibreTextTheme, 'Public Sans': GoogleFonts._publicSansTextTheme, 'Puritan': GoogleFonts._puritanTextTheme, 'Purple Purse': GoogleFonts._purplePurseTextTheme, 'Quando': GoogleFonts._quandoTextTheme, 'Quantico': GoogleFonts._quanticoTextTheme, 'Quattrocento': GoogleFonts._quattrocentoTextTheme, 'Quattrocento Sans': GoogleFonts._quattrocentoSansTextTheme, 'Questrial': GoogleFonts._questrialTextTheme, 'Quicksand': GoogleFonts._quicksandTextTheme, 'Quintessential': GoogleFonts._quintessentialTextTheme, 'Qwigley': GoogleFonts._qwigleyTextTheme, 'Racing Sans One': GoogleFonts._racingSansOneTextTheme, 'Radley': GoogleFonts._radleyTextTheme, 'Rajdhani': GoogleFonts._rajdhaniTextTheme, 'Rakkas': GoogleFonts._rakkasTextTheme, 'Raleway': GoogleFonts._ralewayTextTheme, 'Raleway Dots': GoogleFonts._ralewayDotsTextTheme, 'Ramabhadra': GoogleFonts._ramabhadraTextTheme, 'Ramaraja': GoogleFonts._ramarajaTextTheme, 'Rambla': GoogleFonts._ramblaTextTheme, 'Rammetto One': GoogleFonts._rammettoOneTextTheme, 'Ranchers': GoogleFonts._ranchersTextTheme, 'Rancho': GoogleFonts._ranchoTextTheme, 'Ranga': GoogleFonts._rangaTextTheme, 'Rasa': GoogleFonts._rasaTextTheme, 'Rationale': GoogleFonts._rationaleTextTheme, 'Ravi Prakash': GoogleFonts._raviPrakashTextTheme, 'Red Hat Display': GoogleFonts._redHatDisplayTextTheme, 'Red Hat Text': GoogleFonts._redHatTextTextTheme, 'Redressed': GoogleFonts._redressedTextTheme, 'Reem Kufi': GoogleFonts._reemKufiTextTheme, 'Reenie Beanie': GoogleFonts._reenieBeanieTextTheme, 'Revalia': GoogleFonts._revaliaTextTheme, 'Rhodium Libre': GoogleFonts._rhodiumLibreTextTheme, 'Ribeye': GoogleFonts._ribeyeTextTheme, 'Ribeye Marrow': GoogleFonts._ribeyeMarrowTextTheme, 'Righteous': GoogleFonts._righteousTextTheme, 'Risque': GoogleFonts._risqueTextTheme, 'Roboto': GoogleFonts._robotoTextTheme, 'Roboto Condensed': GoogleFonts._robotoCondensedTextTheme, 'Roboto Mono': GoogleFonts._robotoMonoTextTheme, 'Roboto Slab': GoogleFonts._robotoSlabTextTheme, 'Rochester': GoogleFonts._rochesterTextTheme, 'Rock Salt': GoogleFonts._rockSaltTextTheme, 'Rokkitt': GoogleFonts._rokkittTextTheme, 'Romanesco': GoogleFonts._romanescoTextTheme, 'Ropa Sans': GoogleFonts._ropaSansTextTheme, 'Rosario': GoogleFonts._rosarioTextTheme, 'Rosarivo': GoogleFonts._rosarivoTextTheme, 'Rouge Script': GoogleFonts._rougeScriptTextTheme, 'Rozha One': GoogleFonts._rozhaOneTextTheme, 'Rubik': GoogleFonts._rubikTextTheme, 'Rubik Mono One': GoogleFonts._rubikMonoOneTextTheme, 'Ruda': GoogleFonts._rudaTextTheme, 'Rufina': GoogleFonts._rufinaTextTheme, 'Ruge Boogie': GoogleFonts._rugeBoogieTextTheme, 'Ruluko': GoogleFonts._rulukoTextTheme, 'Rum Raisin': GoogleFonts._rumRaisinTextTheme, 'Ruslan Display': GoogleFonts._ruslanDisplayTextTheme, 'Russo One': GoogleFonts._russoOneTextTheme, 'Ruthie': GoogleFonts._ruthieTextTheme, 'Rye': GoogleFonts._ryeTextTheme, 'Sacramento': GoogleFonts._sacramentoTextTheme, 'Sahitya': GoogleFonts._sahityaTextTheme, 'Sail': GoogleFonts._sailTextTheme, 'Saira': GoogleFonts._sairaTextTheme, 'Saira Condensed': GoogleFonts._sairaCondensedTextTheme, 'Saira Extra Condensed': GoogleFonts._sairaExtraCondensedTextTheme, 'Saira Semi Condensed': GoogleFonts._sairaSemiCondensedTextTheme, 'Saira Stencil One': GoogleFonts._sairaStencilOneTextTheme, 'Salsa': GoogleFonts._salsaTextTheme, 'Sanchez': GoogleFonts._sanchezTextTheme, 'Sancreek': GoogleFonts._sancreekTextTheme, 'Sansita': GoogleFonts._sansitaTextTheme, 'Sarabun': GoogleFonts._sarabunTextTheme, 'Sarala': GoogleFonts._saralaTextTheme, 'Sarina': GoogleFonts._sarinaTextTheme, 'Sarpanch': GoogleFonts._sarpanchTextTheme, 'Satisfy': GoogleFonts._satisfyTextTheme, 'Sawarabi Gothic': GoogleFonts._sawarabiGothicTextTheme, 'Sawarabi Mincho': GoogleFonts._sawarabiMinchoTextTheme, 'Scada': GoogleFonts._scadaTextTheme, 'Scheherazade': GoogleFonts._scheherazadeTextTheme, 'Schoolbell': GoogleFonts._schoolbellTextTheme, 'Scope One': GoogleFonts._scopeOneTextTheme, 'Seaweed Script': GoogleFonts._seaweedScriptTextTheme, 'Secular One': GoogleFonts._secularOneTextTheme, 'Sedgwick Ave': GoogleFonts._sedgwickAveTextTheme, 'Sedgwick Ave Display': GoogleFonts._sedgwickAveDisplayTextTheme, 'Sen': GoogleFonts._senTextTheme, 'Sevillana': GoogleFonts._sevillanaTextTheme, 'Seymour One': GoogleFonts._seymourOneTextTheme, 'Shadows Into Light': GoogleFonts._shadowsIntoLightTextTheme, 'Shadows Into Light Two': GoogleFonts._shadowsIntoLightTwoTextTheme, 'Shanti': GoogleFonts._shantiTextTheme, 'Share': GoogleFonts._shareTextTheme, 'Share Tech': GoogleFonts._shareTechTextTheme, 'Share Tech Mono': GoogleFonts._shareTechMonoTextTheme, 'Shojumaru': GoogleFonts._shojumaruTextTheme, 'Short Stack': GoogleFonts._shortStackTextTheme, 'Shrikhand': GoogleFonts._shrikhandTextTheme, 'Sigmar One': GoogleFonts._sigmarOneTextTheme, 'Signika': GoogleFonts._signikaTextTheme, 'Signika Negative': GoogleFonts._signikaNegativeTextTheme, 'Simonetta': GoogleFonts._simonettaTextTheme, 'Single Day': GoogleFonts._singleDayTextTheme, 'Sintony': GoogleFonts._sintonyTextTheme, 'Sirin Stencil': GoogleFonts._sirinStencilTextTheme, 'Six Caps': GoogleFonts._sixCapsTextTheme, 'Skranji': GoogleFonts._skranjiTextTheme, 'Slabo 13px': GoogleFonts._slabo13pxTextTheme, 'Slabo 27px': GoogleFonts._slabo27pxTextTheme, 'Slackey': GoogleFonts._slackeyTextTheme, 'Smokum': GoogleFonts._smokumTextTheme, 'Smythe': GoogleFonts._smytheTextTheme, 'Sniglet': GoogleFonts._snigletTextTheme, 'Snippet': GoogleFonts._snippetTextTheme, 'Snowburst One': GoogleFonts._snowburstOneTextTheme, 'Sofadi One': GoogleFonts._sofadiOneTextTheme, 'Sofia': GoogleFonts._sofiaTextTheme, 'Solway': GoogleFonts._solwayTextTheme, 'Song Myung': GoogleFonts._songMyungTextTheme, 'Sonsie One': GoogleFonts._sonsieOneTextTheme, 'Sorts Mill Goudy': GoogleFonts._sortsMillGoudyTextTheme, 'Source Code Pro': GoogleFonts._sourceCodeProTextTheme, 'Source Sans Pro': GoogleFonts._sourceSansProTextTheme, 'Source Serif Pro': GoogleFonts._sourceSerifProTextTheme, 'Space Mono': GoogleFonts._spaceMonoTextTheme, 'Spartan': GoogleFonts._spartanTextTheme, 'Special Elite': GoogleFonts._specialEliteTextTheme, 'Spectral': GoogleFonts._spectralTextTheme, 'Spectral SC': GoogleFonts._spectralScTextTheme, 'Spicy Rice': GoogleFonts._spicyRiceTextTheme, 'Spinnaker': GoogleFonts._spinnakerTextTheme, 'Spirax': GoogleFonts._spiraxTextTheme, 'Squada One': GoogleFonts._squadaOneTextTheme, 'Sree Krushnadevaraya': GoogleFonts._sreeKrushnadevarayaTextTheme, 'Sriracha': GoogleFonts._srirachaTextTheme, 'Srisakdi': GoogleFonts._srisakdiTextTheme, 'Staatliches': GoogleFonts._staatlichesTextTheme, 'Stalemate': GoogleFonts._stalemateTextTheme, 'Stalinist One': GoogleFonts._stalinistOneTextTheme, 'Stardos Stencil': GoogleFonts._stardosStencilTextTheme, 'Stint Ultra Condensed': GoogleFonts._stintUltraCondensedTextTheme, 'Stint Ultra Expanded': GoogleFonts._stintUltraExpandedTextTheme, 'Stoke': GoogleFonts._stokeTextTheme, 'Strait': GoogleFonts._straitTextTheme, 'Stylish': GoogleFonts._stylishTextTheme, 'Sue Ellen Francisco': GoogleFonts._sueEllenFranciscoTextTheme, 'Suez One': GoogleFonts._suezOneTextTheme, 'Sulphur Point': GoogleFonts._sulphurPointTextTheme, 'Sumana': GoogleFonts._sumanaTextTheme, 'Sunflower': GoogleFonts._sunflowerTextTheme, 'Sunshiney': GoogleFonts._sunshineyTextTheme, 'Supermercado One': GoogleFonts._supermercadoOneTextTheme, 'Sura': GoogleFonts._suraTextTheme, 'Suranna': GoogleFonts._surannaTextTheme, 'Suravaram': GoogleFonts._suravaramTextTheme, 'Swanky and Moo Moo': GoogleFonts._swankyAndMooMooTextTheme, 'Syncopate': GoogleFonts._syncopateTextTheme, 'Tajawal': GoogleFonts._tajawalTextTheme, 'Tangerine': GoogleFonts._tangerineTextTheme, 'Tauri': GoogleFonts._tauriTextTheme, 'Taviraj': GoogleFonts._tavirajTextTheme, 'Teko': GoogleFonts._tekoTextTheme, 'Telex': GoogleFonts._telexTextTheme, 'Tenali Ramakrishna': GoogleFonts._tenaliRamakrishnaTextTheme, 'Tenor Sans': GoogleFonts._tenorSansTextTheme, 'Text Me One': GoogleFonts._textMeOneTextTheme, 'Thasadith': GoogleFonts._thasadithTextTheme, 'The Girl Next Door': GoogleFonts._theGirlNextDoorTextTheme, 'Tienne': GoogleFonts._tienneTextTheme, 'Tillana': GoogleFonts._tillanaTextTheme, 'Timmana': GoogleFonts._timmanaTextTheme, 'Tinos': GoogleFonts._tinosTextTheme, 'Titan One': GoogleFonts._titanOneTextTheme, 'Titillium Web': GoogleFonts._titilliumWebTextTheme, 'Tomorrow': GoogleFonts._tomorrowTextTheme, 'Trade Winds': GoogleFonts._tradeWindsTextTheme, 'Trirong': GoogleFonts._trirongTextTheme, 'Trocchi': GoogleFonts._trocchiTextTheme, 'Trochut': GoogleFonts._trochutTextTheme, 'Trykker': GoogleFonts._trykkerTextTheme, 'Tulpen One': GoogleFonts._tulpenOneTextTheme, 'Turret Road': GoogleFonts._turretRoadTextTheme, 'Ubuntu': GoogleFonts._ubuntuTextTheme, 'Ubuntu Condensed': GoogleFonts._ubuntuCondensedTextTheme, 'Ubuntu Mono': GoogleFonts._ubuntuMonoTextTheme, 'Ultra': GoogleFonts._ultraTextTheme, 'Uncial Antiqua': GoogleFonts._uncialAntiquaTextTheme, 'Underdog': GoogleFonts._underdogTextTheme, 'Unica One': GoogleFonts._unicaOneTextTheme, 'UnifrakturCook': GoogleFonts._unifrakturCookTextTheme, 'UnifrakturMaguntia': GoogleFonts._unifrakturMaguntiaTextTheme, 'Unkempt': GoogleFonts._unkemptTextTheme, 'Unlock': GoogleFonts._unlockTextTheme, 'Unna': GoogleFonts._unnaTextTheme, 'VT323': GoogleFonts._vt323TextTheme, 'Vampiro One': GoogleFonts._vampiroOneTextTheme, 'Varela': GoogleFonts._varelaTextTheme, 'Varela Round': GoogleFonts._varelaRoundTextTheme, 'Vast Shadow': GoogleFonts._vastShadowTextTheme, 'Vesper Libre': GoogleFonts._vesperLibreTextTheme, 'Viaoda Libre': GoogleFonts._viaodaLibreTextTheme, 'Vibes': GoogleFonts._vibesTextTheme, 'Vibur': GoogleFonts._viburTextTheme, 'Vidaloka': GoogleFonts._vidalokaTextTheme, 'Viga': GoogleFonts._vigaTextTheme, 'Voces': GoogleFonts._vocesTextTheme, 'Volkhov': GoogleFonts._volkhovTextTheme, 'Vollkorn': GoogleFonts._vollkornTextTheme, 'Vollkorn SC': GoogleFonts._vollkornScTextTheme, 'Voltaire': GoogleFonts._voltaireTextTheme, 'Waiting for the Sunrise': GoogleFonts._waitingForTheSunriseTextTheme, 'Wallpoet': GoogleFonts._wallpoetTextTheme, 'Walter Turncoat': GoogleFonts._walterTurncoatTextTheme, 'Warnes': GoogleFonts._warnesTextTheme, 'Wellfleet': GoogleFonts._wellfleetTextTheme, 'Wendy One': GoogleFonts._wendyOneTextTheme, 'Wire One': GoogleFonts._wireOneTextTheme, 'Work Sans': GoogleFonts._workSansTextTheme, 'Yanone Kaffeesatz': GoogleFonts._yanoneKaffeesatzTextTheme, 'Yantramanav': GoogleFonts._yantramanavTextTheme, 'Yatra One': GoogleFonts._yatraOneTextTheme, 'Yellowtail': GoogleFonts._yellowtailTextTheme, 'Yeon Sung': GoogleFonts._yeonSungTextTheme, 'Yeseva One': GoogleFonts._yesevaOneTextTheme, 'Yesteryear': GoogleFonts._yesteryearTextTheme, 'Yrsa': GoogleFonts._yrsaTextTheme, 'ZCOOL KuaiLe': GoogleFonts._zcoolKuaiLeTextTheme, 'ZCOOL QingKe HuangYou': GoogleFonts._zcoolQingKeHuangYouTextTheme, 'ZCOOL XiaoWei': GoogleFonts._zcoolXiaoWeiTextTheme, 'Zeyada': GoogleFonts._zeyadaTextTheme, 'Zhi Mang Xing': GoogleFonts._zhiMangXingTextTheme, 'Zilla Slab': GoogleFonts._zillaSlabTextTheme, 'Zilla Slab Highlight': GoogleFonts._zillaSlabHighlightTextTheme,
  };

  /// Retrieve a font by family name.
  /// 
  /// Applies the given font family from Google Fonts to the given [textStyle]
  /// and returns the resulting [TextStyle].
  ///
  /// Note: [fontFamily] is case-sensitive.
  /// 
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextStyle getFont(String fontFamily, {
    TextStyle textStyle,
    Color color,
    Color backgroundColor,
    double fontSize,
    FontWeight fontWeight,
    FontStyle fontStyle,
    double letterSpacing,
    double wordSpacing,
    TextBaseline textBaseline,
    double height,
    Locale locale,
    Paint foreground,
    Paint background,
    List<ui.Shadow> shadows,
    List<ui.FontFeature> fontFeatures,
    TextDecoration decoration,
    Color decorationColor,
    TextDecorationStyle decorationStyle,
    double decorationThickness,
  }) {
    assert(fontFamily != null);
    final fonts = GoogleFonts.asMap();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily](
      textStyle: textStyle,
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
    );
  }

  static TextTheme _t(TextTheme tTheme) => tTheme ??= ThemeData.light().textTheme;

  /// Retrieve a text theme by its font family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textTheme]
  /// and returns the resulting [textTheme].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextTheme getTextTheme(String fontFamily, [TextTheme textTheme]) {
    assert(fontFamily != null);
    final fonts = _asMapOfTextThemes();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily](textTheme);
  }

  static TextStyle _aBeeZee({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2ff99dd1bd594806e1b9f7423a75f1c1dfbbbcddb2698b3ab91f5709b1b90caf', 29632,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8654a417521bf7fa4ffd1a7f7b62648648c5415ff0f7e0d53474e4436d049b7a', 30984,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ABeeZee', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aBeeZeeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aBeeZee(textStyle: _t(tTheme)?.overline),);

  static TextStyle _abel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('37a44f872ce09b8a93244abfaf3741aa8e4da7cbf64de118635a7cf1c7bc1d5e', 34924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Abel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _abelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._abel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._abel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._abel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._abel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._abel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._abel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._abel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._abel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._abel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._abel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._abel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._abel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._abel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _abhayaLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8e1a260e8a56f8cdb2e2401be9e3a6903026becbf134336b9c8f6b2e2490cd5', 282252,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('ff52a780878fd838b81f8c96e548f49d7bbd4f92cb0a3dc68eb3f852ca3f3fd4', 282512,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('e3be63e1c52229673f453da3c6abd79dc0011d02fd57da38489880434556aa77', 281648,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1c7bdb109ab0e98ef91a41ec55825dcb97c2ea2e9274c67dde899104f5b59878', 281252,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('9457be94f81fc73b59af3e850d0dcb91790d60078cbdc252da50881c615173aa', 280484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AbhayaLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _abhayaLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._abhayaLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _abrilFatface({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2baf7b134013a2183457312f0d26115640d0171829d024dfb1466616a3ac789a', 67316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AbrilFatface', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _abrilFatfaceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.caption),button: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.button),overline: GoogleFonts._abrilFatface(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aclonica({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e26afc4582406a86fc1e1b81aad6e16a03f9276419fa76e91b98f9e42d868cc8', 68136,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Aclonica', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aclonicaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aclonica(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aclonica(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aclonica(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aclonica(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aclonica(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aclonica(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aclonica(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aclonica(textStyle: _t(tTheme)?.overline),);

  static TextStyle _acme({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f7d0b4054bd37012deca722e47899589c1d35302b51b2fd21ea83e7f3410bccd', 23028,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Acme', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _acmeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._acme(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._acme(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._acme(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._acme(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._acme(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._acme(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._acme(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._acme(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._acme(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._acme(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._acme(textStyle: _t(tTheme)?.caption),button: GoogleFonts._acme(textStyle: _t(tTheme)?.button),overline: GoogleFonts._acme(textStyle: _t(tTheme)?.overline),);

  static TextStyle _actor({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('417b785d001974cb097e1f84b068ed6f47fa9c5317bf90801a55709954b59350', 42356,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Actor', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _actorTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._actor(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._actor(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._actor(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._actor(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._actor(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._actor(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._actor(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._actor(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._actor(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._actor(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._actor(textStyle: _t(tTheme)?.caption),button: GoogleFonts._actor(textStyle: _t(tTheme)?.button),overline: GoogleFonts._actor(textStyle: _t(tTheme)?.overline),);

  static TextStyle _adamina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c241502ff8869d44e310b4e1782d5ca6f53b2d1844593bb0a360e12af0ddfcb1', 76672,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Adamina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _adaminaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._adamina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._adamina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._adamina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._adamina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._adamina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._adamina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._adamina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._adamina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _adventPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('4041ce69b488624d0653057137ff69ead9c9496be2059ede6a5056fd48780850', 46400,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('20f54f798dd883fc2fab8294006f8201f1deed59b0abd0ad6c6864bb0062eb47', 46424,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('23462d311ba53dbeac614ad5c99742d75264652538c2aaaea50fa3f9a37c1111', 46356,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c7084224aa15f7d31683e67bc3107aa12f725f4d20a10e9b65bbcec912162191', 46836,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('21feddd6602a8e2daf17501cb32c4b27a26b6a357f3652ad357008c8a90f1646', 51004,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('908b9b388605933b6e469878f17c52da7e2cd9cd6c4ec72a3e12aa5a9c3b9b79', 50772,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('962b3ce8591b2ca225b23e65b3914233c576d21700e3f24c6b820230fe8424e0', 55976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AdventPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _adventProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._adventPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._adventPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._adventPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._adventPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._adventPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._adventPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._adventPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._adventPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aguafinaScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('282b677fa945b70a3a5a57b8ffb8064638a07feb77edc68cf29591225bc7b5ce', 47180,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AguafinaScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aguafinaScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aguafinaScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _akronim({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bb077a1601fc7353abf83d6f7e667b5c1ff47a853f2a90f466be1dd738f4e6a1', 107340,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Akronim', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _akronimTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._akronim(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._akronim(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._akronim(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._akronim(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._akronim(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._akronim(textStyle: _t(tTheme)?.caption),button: GoogleFonts._akronim(textStyle: _t(tTheme)?.button),overline: GoogleFonts._akronim(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aladin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('47e6aa68e0a6686d85005a8cd4e3c3055dc4828dc3b49d69fdf88f38491c8ae2', 42112,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Aladin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aladinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aladin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aladin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aladin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aladin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aladin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aladin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aladin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aladin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0e69926cd849e08f0dfa58fa809a89d58262ec6a29e3dd4e2c59ea279301b12e', 63264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alatsi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7fa5a16b3bfdf1423bfccb98349fc2cee90ca48e42252467b9a36f5a3149622e', 70056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alatsi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alatsiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alatsi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alatsi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alatsi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alatsi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alatsi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alatsi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alatsi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alatsi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aldrich({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e288c81eacbaee70be6e11a25f4fb3bdaffcc0ea0449f285c94fc558e64335f4', 27932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Aldrich', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aldrichTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aldrich(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aldrich(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aldrich(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aldrich(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aldrich(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aldrich(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aldrich(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aldrich(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alef({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a50dedb5215d98f65036893675ded42762d4c7bdae624c71adb1ea584f5a1467', 58300,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('acbe7d381fcdbd3bca38351290cba306a1dde6549d74fbdef431ee9fcb60030d', 59936,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alef', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alefTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alef(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alef(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alef(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alef(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alef(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alef(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alef(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alef(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alef(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alef(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alef(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alef(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alef(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alegreya({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('530d78cba23c5d8e261ae9447b431e1fa550f9dc6563540a0c400be3f7ee88ab', 63708,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('efba5f9b4495a2e911ec871cc4dfebb5dba60bc72d643c0dd346e8f90513f81a', 61596,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c00ad52d215d793be827a98a0661e13bbd3276c96c6aa5e6c8d71c9487a3da03', 67268,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('bd912b8f7b092f81fc94ee9f3b769e57ecbb1a2443bfce7d405d2ad0c48c04b4', 65700,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('f2d4a4c114f8e7ad762e764046f117bf954b1ba7797bbe6b6d754decc9bdbf99', 62328,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('01804c5bcb6aedbda393491d82c14328987c7fb66a6ef8c8313aed5d683d3dad', 60620,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alegreya', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alegreyaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alegreya(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alegreya(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alegreya(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alegreya(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alegreya(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alegreya(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alegreya(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alegreya(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alegreyaSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7449fd0507a0808ae452506eb8fb2fb46b4abe72f8f5d982b25c963ba93bc094', 72748,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6b36a9c6614f3cea8c2846f74b6823f8d3c5edd8a8b2319eccae142e3bb42738', 73048,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('16e159f79c1929fa884f232e47d45cb0cc16a55a22b127359024868245f4a2d4', 71836,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('6920f9042274d5d0b37753d233b86c7066a47d1cb94015d70ecbb9a76359faa7', 72428,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('d591a36a0d78f0315b16c23983d84d6d8b4bbf8ea5b5879019cad423941d5990', 70500,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('d312d023b86792b3a0f7cd9594498720cdb9feb7bec946d75a3f25f6580c19c7', 71700,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlegreyaSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alegreyaScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alegreyaSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alegreyaSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('4e4fc2370a575c44ada0a88565af306c9e5f6f863cd3e594f68fbecb64d6eb45', 86800,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('dfad029fd95bc8e1e6f4aff5ca9a40f7ee01b7c42436068b1a609af1036de968', 75952,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f413bb7452d6c3127865026e765917685dde894f8130417ee32c5c22d3332a5a', 88928,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('53c675ca8ca26437bfdef9475e6be6a31d8f390904f2a25dc7f71ecacf749525', 76244,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5186af372dbc9306a0390c6a53c2b3ed7e398bf7e19390e4115779d9d4dcb9e0', 90044,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a1cf80b2ffea7f7a74c290c886e0853612aa20f2f2942a11b6221973a8b1125a', 75740,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('b54080b02a55195adec0aed32ecb384095ddfef221504059e15682a59709d9a5', 90304,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('16b83ef0510db5d9b7adeb15a6bf505975df75012e3f04118c8384165bae4c4f', 75644,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('baf6cfdcdaeaff8ae1997ba5a87f7c43b4823b8e094097eb354fdaeb531c610e', 90308,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c3ea4ab25245b87d94c68e797ee68e472bf893023027f57d0dfb6aef204e650d', 75464,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('2313ece3a1be01342c2f2b902904ce864b05c9ecf3a72e96580c84ed124b370c', 90492,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('296f24dc4713815e4ea5f25a60e938c00c6d94678ba90f140c4c4dcd5d3dae42', 75552,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('c1ae94a74aa4998c1ed777107095512b795dd19783a838e9eaffca2382405bf3', 90324,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('63fa7d406f209d33ac9020dc3209f61bda016b2e851b369e2475f6c77bd65111', 75748,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlegreyaSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alegreyaSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alegreyaSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alegreyaSansSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('7f5b4f9e7531121c2163e92598f24222cdef538a04352553731f0c81f69c4227', 77260,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('1a8c6b334dbb0663e1b509d268363d557f9d231f702c2fb6ffe0727c0bb374b5', 67308,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('0d94b7e8e30244280988269fbefbf776d08ff9ad0be6df4f620a6a5b7e0362f0', 79488,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('ccd17db40859ba985ad048cea705168d600d36d89c00086787c0e0c4b3d82350', 67492,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2487f405a054a83c784021b2c8e860860b9243fb34fc64b7a5fd2250d68bf4f9', 80884,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('b427017865c854fea91f74c2c65b73010299f090c4ce77e0854fac9a1de8bc0a', 67168,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('edb603dab26042252c435e746201e0f2f353dd09865130082f25072fb0969e0b', 81296,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('de77ecc3bedb1b421aebae8d44d23fc290cb7f252c8cd7eea6cc478ee69e13ec', 67248,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c46b10c450739d774b11b6e3d2f51e421d416b9a8174d249ad85973c5018894c', 81476,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('16e2233f43d03898a785024de868496150dfcba5754cec33d4e349b92c857453', 67060,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('356b90a20e5818313f51f03a05985f5c63745944a01aa92b78804caa0b7a4268', 81900,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('85eb333661be027f374e08a28cc4b0c394fa0052fc64197c5a96409168532e87', 67216,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('41a1bac96732155ce8415a0155d80de58383ab4223de540ad68c383f51b3cb5e', 81560,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('7100fdd6d991e596021a3bc2578fd4eb74fb5bd5d7dfc6c30dcde981e6a27281', 67304,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlegreyaSansSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alegreyaSansScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alegreyaSansSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aleo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8844034f7614859b836238cb530853c190b011335edbfc9fd9dbb15669134bcb', 35800,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('9d41d1b8e554c18ef31b39cd96576f58048ab1dacd1e03dd349c3f471917ab43', 45124,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4124c4a19546d618079ccad928418735907b0eff5c68a0faf16b8fd3ec1d5bc2', 65892,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('7662bf685a6bddd2908c8392229aac54817f3666c9915cec596880a13eef66c9', 68788,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d20df7d3bc69a847115b4c7f6de4db4d8aa878a8ad3ccc70a83b9beb9d29826c', 60744,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0277e97f9c04c3812b3987b151b56953251d09574f7f649b461074b2439a4026', 64516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Aleo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aleoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aleo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aleo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aleo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aleo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aleo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aleo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aleo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aleo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alexBrush({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('eb8044f112b9878ec59f0825d91a9f011fc4925ce2272737c02ce2be161c3efd', 48660,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlexBrush', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alexBrushTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alexBrush(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alfaSlabOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7da478a94cb0f5cdf81dc70a08204fc3d9b097463f65a9108151851580dd9151', 64824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlfaSlabOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alfaSlabOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alfaSlabOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alice({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b09d7119f6ceba6b3b798683927d8bd51757498f4af762dc4509d1c76aafc6a3', 95148,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alice', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aliceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alice(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alice(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alice(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alice(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alice(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alice(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alice(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alice(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alice(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alice(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alice(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alice(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alice(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alike({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b9683edf916072397bd15b9b312ff78533f85b4ac5598b5867733fb5670ed534', 64584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Alike', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alikeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alike(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alike(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alike(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alike(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alike(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alike(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alike(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alike(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alike(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alike(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alike(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alike(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alike(textStyle: _t(tTheme)?.overline),);

  static TextStyle _alikeAngular({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0ae146a31a48840c579bbeefc31597a7c9b385c626ef8387ad461aeea8432452', 97120,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlikeAngular', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alikeAngularTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.caption),button: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.button),overline: GoogleFonts._alikeAngular(textStyle: _t(tTheme)?.overline),);

  static TextStyle _allan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('83a268d06857cada4246725e7cc04eb4d7b87d19e6d4f44e745d33be739852fb', 40992,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b309341937b6f2a1893638c71f9877c70c658e6461e5b18011f9ab7f2782adc9', 95644,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Allan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _allanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._allan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._allan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._allan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._allan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._allan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._allan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._allan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._allan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._allan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._allan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._allan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._allan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._allan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _allerta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('df4ce73d43a2a1eb976d66944a0555b8ab45b8848b9e9be9355d0f68a9373270', 18844,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Allerta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _allertaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._allerta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._allerta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._allerta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._allerta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._allerta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._allerta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._allerta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._allerta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _allertaStencil({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d43b315a156fb147d0bcd2dad6a682e5a23d388f0d12365c29c2d46fbf1e2c96', 19512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AllertaStencil', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _allertaStencilTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.caption),button: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.button),overline: GoogleFonts._allertaStencil(textStyle: _t(tTheme)?.overline),);

  static TextStyle _allura({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('32adf6de6bc3ee14bedf4674a1020492d2c2e4a939883aa672ff9a31777f63ed', 88036,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Allura', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _alluraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._allura(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._allura(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._allura(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._allura(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._allura(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._allura(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._allura(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._allura(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._allura(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._allura(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._allura(textStyle: _t(tTheme)?.caption),button: GoogleFonts._allura(textStyle: _t(tTheme)?.button),overline: GoogleFonts._allura(textStyle: _t(tTheme)?.overline),);

  static TextStyle _almarai({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d65c40f0692b45d73302895b80e837f57f1b4e69a5d3255c3f186919eab23780', 85828,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1b22529a81e051312110ae38c450d9b4f5474030f2275dc4574f26c8fcf5318e', 85912,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6cf3b7ecc9ac853f7071684fc5dfb22dd3a13f41901fee6aeb54cd9cc81d1126', 85696,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('55d68f8e4adef1c44ed2dbc154537092c330112b9ac46a94338e58f08f02bcb6', 86588,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Almarai', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _almaraiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._almarai(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._almarai(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._almarai(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._almarai(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._almarai(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._almarai(textStyle: _t(tTheme)?.caption),button: GoogleFonts._almarai(textStyle: _t(tTheme)?.button),overline: GoogleFonts._almarai(textStyle: _t(tTheme)?.overline),);

  static TextStyle _almendra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('08fa6c15ee1bba267ec0f0f30bd11a5be545d922ebd057f450a702f87aa9aaa8', 68696,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d40d53b865a76778b1362d4e74f6c6294fbde5ae31f24f0173d9401c3fabcddc', 35276,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b0792b18907bbbe9c24855a75a53fc8ac926ae12e181ec5bbc70fae19df05bfa', 36684,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('eb34d628f80f6ab95c12f0ef6dd4138d2182b94042d615028af5353e58b9f1ee', 35448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Almendra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _almendraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._almendra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._almendra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._almendra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._almendra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._almendra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._almendra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._almendra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._almendra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _almendraDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a8aa056bca4ab7efab868e9b7a435eea1109abde7b232725b1e1b41cf482191a', 39284,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlmendraDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _almendraDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._almendraDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _almendraSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('12f0d325f41e23a75aa0ddb706236e13487d31b43a77435817a684f239f324bd', 36008,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AlmendraSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _almendraScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._almendraSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amarante({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f11a52c1a0f3e94f81dde8d9c60832c688c1d9b01c5bb1098c3ea30daac8ad29', 74348,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amarante', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amaranteTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amarante(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amarante(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amarante(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amarante(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amarante(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amarante(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amarante(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amarante(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amaranth({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4b8c69a7d5f0b230b1b010da8da3ad4ccb84f4dff4a1247a14af83392c9ecf64', 66272,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('359639014bf096771cbebb373f2d347f8e1b44a2ef2b48556e1a21289dbc7eb5', 74196,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9b35625ebc301f471cd70df7575f4fc81597a8ab27dc321418707c40d8a99616', 65892,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('48c74968a6ddedd92d0c4d4e05959d24a1ae124fce3ab60c793c5a331dddee10', 74616,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amaranth', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amaranthTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amaranth(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amaranth(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amaranth(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amaranth(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amaranth(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amaranth(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amaranth(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amaranth(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amaticSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9da6405b57357f309f00592371cf54bb3c1d57b8e7d9fc40fff6f364d6ca80fe', 104904,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('81f4df2ecbc8d2fcae65290f5075ff98149f4f95ea00bb6bf3a0711e4e1afd75', 99680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AmaticSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amaticScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amaticSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amaticaSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('39a7e41edc371bdb0e8356c4e9f69ea62594cfd412fbb1f5c45a32c0a5e75516', 140932,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4ead630d51d6f70a5e14a17fec1bffc04c9a13118b217101fd42eac20be2ae66', 105524,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AmaticaSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amaticaScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amaticaSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amethysta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e4d26711903ae08c3bd10750f3b713928bdd3ee56d00372e37bd8606a3fe2d7a', 36864,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amethysta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amethystaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amethysta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amethysta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amethysta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amethysta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amethysta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amethysta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amethysta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amethysta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amiko({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c2e782cc6b503328a87e3b81b3ee6afa1acb6cd66bd04d9da2ba5d3ff4c43e3f', 143076,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('d56799efb6c3d56b106cae38c558a3f2f9da3d0a90d0d1ea64449c693d3cadfc', 142664,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('037bbdff86b70266d62abc94be043671d3c04188f477dbb0ead70ee89df98ecb', 142052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amiko', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amikoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amiko(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amiko(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amiko(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amiko(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amiko(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amiko(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amiko(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amiko(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amiri({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('15af380107efd8a082b372d1ba8027d5fd6d4720ccf7f7ce48345b845cfb83b6', 370496,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('03496500b8efdd151ca91912b003f23e04fcb45a8d39cee588e4ea47b61fc052', 357340,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a1f6fcfa01fc6084132c66ff5b8da7b655fbf82dae7a9200c4471400281678bb', 351752,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('9d9add54ab339fd5ca1f0b2fbda1117e04758800cefa39fa72d5f1e38b7a2e27', 355324,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amiri', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amiriTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amiri(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amiri(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amiri(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amiri(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amiri(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amiri(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amiri(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amiri(textStyle: _t(tTheme)?.overline),);

  static TextStyle _amita({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8ab328073e1c729f0b4f38521b47bb39c63db396da1602f6b08a2a8775249f4', 141504,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e421cec126c6014995b96189e28c3c8b119e3e21dbe1c3dea8585ec31afa0679', 141464,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Amita', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _amitaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._amita(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._amita(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._amita(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._amita(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._amita(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._amita(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._amita(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._amita(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._amita(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._amita(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._amita(textStyle: _t(tTheme)?.caption),button: GoogleFonts._amita(textStyle: _t(tTheme)?.button),overline: GoogleFonts._amita(textStyle: _t(tTheme)?.overline),);

  static TextStyle _anaheim({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('738fa7ae0283744abbfcfd999eb71d255210a7ee0fa7e195a47482269b9e381e', 27848,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Anaheim', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _anaheimTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._anaheim(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._anaheim(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._anaheim(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._anaheim(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._anaheim(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._anaheim(textStyle: _t(tTheme)?.caption),button: GoogleFonts._anaheim(textStyle: _t(tTheme)?.button),overline: GoogleFonts._anaheim(textStyle: _t(tTheme)?.overline),);

  static TextStyle _andada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7c3fda3cdd2dcc60f34129cdd9c0a2f139b2a4bec16bcff6b27521d87d222f1e', 108572,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Andada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _andadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._andada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._andada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._andada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._andada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._andada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._andada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._andada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._andada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._andada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._andada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._andada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._andada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._andada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _andika({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1c10763224ab91314d3fae862634f6bddf0aae60bd71668d68950102ca77b5d4', 964524,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Andika', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _andikaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._andika(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._andika(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._andika(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._andika(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._andika(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._andika(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._andika(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._andika(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._andika(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._andika(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._andika(textStyle: _t(tTheme)?.caption),button: GoogleFonts._andika(textStyle: _t(tTheme)?.button),overline: GoogleFonts._andika(textStyle: _t(tTheme)?.overline),);

  static TextStyle _annieUseYourTelescope({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('65c0cd06d1ec2528de45688966f2971cf95fed9f810f246e08b4efd9e717d850', 50692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AnnieUseYourTelescope', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _annieUseYourTelescopeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.caption),button: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.button),overline: GoogleFonts._annieUseYourTelescope(textStyle: _t(tTheme)?.overline),);

  static TextStyle _anonymousPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9ca7beef0b5eb5c9e72533cd45bc1e4f41c8272dc2335f22d3649e32a795995f', 106796,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('71ce3ee6476a91f9e89e9f8010d9ea13314306b645af3e8d7b7add697e6f0d3e', 108996,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d00937283f3b530bee6700e02cfabfbb96b833d42559d48fc5fdfcfde2ff5b39', 106604,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('60f1f3cae99bbc1323cdcdf9af6a0127d5b4684ef675e6836fa3034a297dc16a', 108760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AnonymousPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _anonymousProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._anonymousPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _antic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6526fff8a94a5503810bc8805b716126e91295380d0e970f089e3e663a4440d5', 39272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Antic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _anticTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._antic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._antic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._antic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._antic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._antic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._antic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._antic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._antic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._antic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._antic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._antic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._antic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._antic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _anticDidone({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ed8ca32ea2c34cc27f4a10cdf51c0ddb35d0cd580df90b19e68d8096a145ec35', 39640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AnticDidone', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _anticDidoneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.caption),button: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.button),overline: GoogleFonts._anticDidone(textStyle: _t(tTheme)?.overline),);

  static TextStyle _anticSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1348202760ad87d67e74d3a921ad2be20b563b2cd2a8d6e99d54da029c7f2aad', 36924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AnticSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _anticSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._anticSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _anton({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e0d29150a430129b0bfdaabaa46ba1e7967ccabc46440a5789bffe18b7dfcc2d', 54896,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Anton', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _antonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._anton(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._anton(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._anton(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._anton(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._anton(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._anton(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._anton(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._anton(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._anton(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._anton(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._anton(textStyle: _t(tTheme)?.caption),button: GoogleFonts._anton(textStyle: _t(tTheme)?.button),overline: GoogleFonts._anton(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arapey({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8d4786e233fac8fe0069ba6efaa828eb2fffef7b1d21a92a6d4f250ae9710415', 26716,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('10f469eeecd1cca95a1881d5fbd920abff25911a343caf957f7b2a0e3d4de390', 29520,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arapey', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arapeyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arapey(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arapey(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arapey(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arapey(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arapey(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arapey(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arapey(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arapey(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arbutus({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d1484fe1dd2948c05f4d1ab7f6acbbc88d4acea2e32880263ec8f991cba4905f', 81792,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arbutus', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arbutusTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arbutus(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arbutus(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arbutus(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arbutus(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arbutus(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arbutus(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arbutus(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arbutus(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arbutusSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7c7bbc09f84fc70a8541195a960de7d282eeaee64c5b146253bd79fd209893d', 39812,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArbutusSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arbutusSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arbutusSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _architectsDaughter({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a4f5860f4b7aca9b95305b6c5a3b14e2f1c951eaddd28b5d1fffd374171ccdba', 43356,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArchitectsDaughter', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _architectsDaughterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.caption),button: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.button),overline: GoogleFonts._architectsDaughter(textStyle: _t(tTheme)?.overline),);

  static TextStyle _archivo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e3992a886b3891c9b073cf3e46b1c578cb31ab065cf9b5e07f6fc2a0200a495f', 58160,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8af059c64838f116e4c8afda7a5c344815c3fe3c2111749d7281a046087dfb8a', 60944,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('455a61b80b447af7647cb7bbbef6de06c3c3031d0ecbb2619fa9cffa73871e76', 59648,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('c266aeada4adba34caec3d404c7953743cf0327123506b66cde56cf556ad2ddf', 62104,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('7ad030ef4465b1be7229c5326d24955683bea533c9646e4ed2773cd30697d031', 59960,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('453878357ed380bea09e3661badd4636234be8794956428236bc3a166d84fc92', 62300,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5c37a5634c5b7802983e322dcc187d5b4bc26e238dd61828a71f184592b9032f', 59436,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('12b65a3c8f63eb390f4acb0a6ade0ac245782113ddc2e397c216c3605fc245f8', 62036,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Archivo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _archivoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._archivo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._archivo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._archivo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._archivo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._archivo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._archivo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._archivo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._archivo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _archivoBlack({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fdd008fdde6eaf026762810841b23a803c1fd8f7691df010d250df61e584703b', 59204,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArchivoBlack', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _archivoBlackTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.caption),button: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.button),overline: GoogleFonts._archivoBlack(textStyle: _t(tTheme)?.overline),);

  static TextStyle _archivoNarrow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('95b4094186b9443c74e987b6a5ad660b55c7dc1e548d66cc53ead05a10bf096f', 57132,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c5be034d89310f5e551f67507ef7bd0d5093e193d5e556598e1137cff7598ada', 58796,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('898e57eec4db5685859996bc7c9a87707d53ceca97c917edb0497302b7145fd5', 55924,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ff034a0073d594043d35a5058bf44df331be4b22576c8a753b210bcc55789e50', 59204,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArchivoNarrow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _archivoNarrowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._archivoNarrow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arefRuqaa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('483d6ce42473c62a61b38dc4e30c6b1a5d9b02921ab5034c8eec4b8f0496127d', 112872,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4ea198095e22fea5b0b08338b3b524a2ac489bd669154eab1927955f20124358', 139992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArefRuqaa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arefRuqaaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arefRuqaa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arimaMadurai({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('20fe984789a290b9c540b82d788511cf37e7dcb0c94a3f808ed8a9980ce92262', 92064,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4ea122a5616110be9d6b0719ff9a8e5d87a5bb067671e53f60e9e2f34151a054', 92944,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('e9bb6dffdcb0e85ac571c284727a1ff484951f065ccff0e42668f232709bcfd0', 93064,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('72a8a5252b9293d6af843e90bdda0f995b86531cb25d7a2489b5b58e7c495575', 93452,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('b608979162b4bce202e22f3cba5768ef3c5f96294c41e1d36229b02393a70cf7', 93560,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f9809fc1ba075315f2526aba738bb8c4bfb8af33451d402a57eae3edbdbe45b6', 93480,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('030889c403dcab9b3a79394ed59d1d1da7d0dbafae26fc8c6d1b870d7732c997', 93616,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('25561cbe875f9bad0c96c060f2a1f8108ba709366496e68ff510efdf5930429f', 93604,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ArimaMadurai', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arimaMaduraiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arimaMadurai(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arimo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('df255da5c656bbf01f4aa3012b4d4ba16f7bd17664a4e1fc011146a4eb95d436', 242708,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('eafe825bf96517b1ff3b8d8710254e225584de1489e4c3deaa6b1cb8549a027d', 249396,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5a4f400fb6090e3938136ea6fd3ec2c02777fb674d13b9582f96d4515044df23', 240652,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e6b358f015564a1505c76b32db9b3f5c538a8f7d220dd04446697d286c820bf0', 248528,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arimo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arimoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arimo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arimo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arimo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arimo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arimo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arimo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arimo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arimo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arizonia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('603a1ae367969056ace1484bd5db4d882fabfa78008e6843d3ba07c08082c2c7', 50688,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arizonia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arizoniaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arizonia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arizonia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arizonia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arizonia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arizonia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arizonia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arizonia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arizonia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _armata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7631b4ae2fae472da8b9d0b46acfec928c9c550e82dbee1685e72f389ab890d9', 54772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Armata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _armataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._armata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._armata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._armata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._armata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._armata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._armata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._armata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._armata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._armata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._armata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._armata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._armata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._armata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arsenal({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7b13a735c3c27289a74f4e934b380f078f89568b2633c5d8386e97a97d46158c', 140064,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f687cc6b9b17ac45aaf3391fbe649c2e1607804ce3ab85daddf9669f796d0a79', 138944,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0ac62eb1c6ee28d30c2dacea06acdbec9c72bcbfdca1f76a873b8a2c18ac8ae6', 141180,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('41b9ba2384a037e4ec361896e5868107cfa8535ab8befda2d9666584884aca80', 139236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arsenal', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arsenalTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arsenal(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arsenal(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arsenal(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arsenal(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arsenal(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arsenal(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arsenal(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arsenal(textStyle: _t(tTheme)?.overline),);

  static TextStyle _artifika({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a0d399a0a07f993bcb6bdd075a4e0f6ae155d222d230710b94d48933e8470dbf', 100216,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Artifika', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _artifikaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._artifika(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._artifika(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._artifika(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._artifika(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._artifika(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._artifika(textStyle: _t(tTheme)?.caption),button: GoogleFonts._artifika(textStyle: _t(tTheme)?.button),overline: GoogleFonts._artifika(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arvo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b816c4a4a7813e7daaa88e2f869b5c8acefbf8d52e00205c41d15dda95f1766c', 22724,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('5250cf6a9f89eba5cb07686924135f2bce7a6f8775a569fac7276b5c83b03db7', 22704,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1126bb2afe7e919632493ca620fc94e998910794a9fd47d82092f6edc26f4368', 22608,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('43a330e1b8afd2c95f4f6b1c9c67ef7dfab28ed90bfb6a4551efe8480a060222', 23288,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arvo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _arvoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arvo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arvo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arvo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arvo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arvo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arvo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arvo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arvo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _arya({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('98cf640f609db3f8940fc4bc1566dda034961cb11d23f71a277f3ab268c8859a', 120116,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6c168a53b559c7407d20692a42b94301046b15c4838d709b83992c32cab5732c', 119776,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Arya', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aryaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._arya(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._arya(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._arya(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._arya(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._arya(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._arya(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._arya(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._arya(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._arya(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._arya(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._arya(textStyle: _t(tTheme)?.caption),button: GoogleFonts._arya(textStyle: _t(tTheme)?.button),overline: GoogleFonts._arya(textStyle: _t(tTheme)?.overline),);

  static TextStyle _asap({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3424989c5e2512f04cbd78fd70665961847d7307eb5d795caadac8db451f74cc', 67676,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6286c24191501089796508556c20c3086610ae6aeb56d9aadceaaa0b7d825c51', 69828,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c7034a58c9a896f74c127472a7085dbd1d6bfb6fd2cafb4140dfde291f0bc399', 67936,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('13483b794adc9a08424049bbf8e6a03b399069e87c0c4d01777ae17c3328de81', 69828,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('835a74fedec5a1877e092c739d9f213a3e41860462c70437da2465b5f99ea073', 67904,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ce966470982f0031860428bc4a47e41d80471ac70ccc857fac1e948d6c964eb7', 69648,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Asap', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _asapTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._asap(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._asap(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._asap(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._asap(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._asap(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._asap(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._asap(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._asap(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._asap(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._asap(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._asap(textStyle: _t(tTheme)?.caption),button: GoogleFonts._asap(textStyle: _t(tTheme)?.button),overline: GoogleFonts._asap(textStyle: _t(tTheme)?.overline),);

  static TextStyle _asar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('52cdc31a962e99a625bf96be5b06ab8118290c27e17701c4938182d9e56109af', 410900,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Asar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _asarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._asar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._asar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._asar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._asar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._asar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._asar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._asar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._asar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._asar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._asar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._asar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._asar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._asar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _asset({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6423261d7b23d05ef705ee59a0151076feed8408f637b04693272b767ac6cfd5', 52004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Asset', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _assetTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._asset(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._asset(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._asset(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._asset(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._asset(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._asset(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._asset(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._asset(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._asset(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._asset(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._asset(textStyle: _t(tTheme)?.caption),button: GoogleFonts._asset(textStyle: _t(tTheme)?.button),overline: GoogleFonts._asset(textStyle: _t(tTheme)?.overline),);

  static TextStyle _assistant({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('6f4c276bf1e4d52183015128074de4702a86fc31cce04f575a8ebef54a077c78', 57240,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ad7ba792736448061fddf24806abe616e89d7a21a00d169ac4bf95db35ffe9cc', 57400,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1ffb8d00a2bd6ab725bb34dc8eaf61737481f6b285988332e4f6a4b60279dbde', 57088,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1dc8095e8dddae977007770ce433f8ed1e374d0a83d7330ecea3b335109a4985', 56812,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('81008b85f8a91125a8efe85a353982fe1b825def9ef33eed881b709a6debf250', 56752,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a7370c1c3e5649abcfa6f44475eed601eb070ab934a708081b87627827d5463a', 56872,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Assistant', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _assistantTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._assistant(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._assistant(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._assistant(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._assistant(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._assistant(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._assistant(textStyle: _t(tTheme)?.caption),button: GoogleFonts._assistant(textStyle: _t(tTheme)?.button),overline: GoogleFonts._assistant(textStyle: _t(tTheme)?.overline),);

  static TextStyle _astloch({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b51d807f9b0f818e44f8f40d4fbedacfff7df981efda85e7b722d62f6022a168', 49860,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b86a5f0e90945d44c5b629fde8c5a667dd7882ab201ccb397f96f482fd7e98bc', 51544,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Astloch', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _astlochTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._astloch(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._astloch(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._astloch(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._astloch(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._astloch(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._astloch(textStyle: _t(tTheme)?.caption),button: GoogleFonts._astloch(textStyle: _t(tTheme)?.button),overline: GoogleFonts._astloch(textStyle: _t(tTheme)?.overline),);

  static TextStyle _asul({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d38e526c102508df44df01ded7aefa955a61c999e42e91cbcb82103aa1269875', 33468,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1810c0e0a5199932d466db95d83fab54bd1b5f6fd5b91664ca7240078d2dd1f0', 33500,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Asul', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _asulTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._asul(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._asul(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._asul(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._asul(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._asul(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._asul(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._asul(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._asul(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._asul(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._asul(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._asul(textStyle: _t(tTheme)?.caption),button: GoogleFonts._asul(textStyle: _t(tTheme)?.button),overline: GoogleFonts._asul(textStyle: _t(tTheme)?.overline),);

  static TextStyle _athiti({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4abe61baf7f8762b4dcb6b88b0610de73f42b112a793e28b92da163ee7e441d7', 112524,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f9c6df08ed329fa184304cf4bc64319e7812c62c2ae136dc89cb10a5d5c35018', 111332,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4559ae55fe1020c88dc144ae60afba5e282fcd3aa1c5107292df173d42135806', 112320,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('6e1f0a1706330d270d93ea13e88b35d9c6f4bf71d927e9468278c03b57986330', 112508,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('398a37b4c34df12c6ede4a85f215d56eaa5a8b515ea5e0bdad2ef676c2ae858a', 112080,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('63b6ab040d22bd64ce5d5400f352fac3ecefa83827b1862b8a216d5c729ea286', 112932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Athiti', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _athitiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._athiti(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._athiti(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._athiti(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._athiti(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._athiti(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._athiti(textStyle: _t(tTheme)?.caption),button: GoogleFonts._athiti(textStyle: _t(tTheme)?.button),overline: GoogleFonts._athiti(textStyle: _t(tTheme)?.overline),);

  static TextStyle _atma({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d691cbd1df6f6a53328f8d9d9514102c915be55e93a8c1f0cb0826a27a60e4f2', 196364,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('702ceed58c58203ab0c8ad4bbbbda56c77b89a29496d748322180acbed120201', 198056,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('cc558572cee6afca8a8d34b8cb8a2397d749e0c22f9d9977f39eb0e84d636967', 197528,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b569b84d6ee492ead3f4c73af6244137b0e4c604c9e98cc57627162221d498bb', 196596,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('127f716e96fc47aee7624acf9cebd859693a19f2fc1f7d832f33835e5bd3b834', 193184,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Atma', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _atmaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._atma(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._atma(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._atma(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._atma(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._atma(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._atma(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._atma(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._atma(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._atma(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._atma(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._atma(textStyle: _t(tTheme)?.caption),button: GoogleFonts._atma(textStyle: _t(tTheme)?.button),overline: GoogleFonts._atma(textStyle: _t(tTheme)?.overline),);

  static TextStyle _atomicAge({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6fc59a494c6184d973d9d5db8ec698d8acb6283fc807bd1a13c30000b83b832c', 44272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AtomicAge', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _atomicAgeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.caption),button: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.button),overline: GoogleFonts._atomicAge(textStyle: _t(tTheme)?.overline),);

  static TextStyle _aubrey({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1464a409557010421785a4857a333c92eb6c4a28c0dbeeb0b1f8441f5e68ab96', 96976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Aubrey', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _aubreyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._aubrey(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._aubrey(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._aubrey(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._aubrey(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._aubrey(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._aubrey(textStyle: _t(tTheme)?.caption),button: GoogleFonts._aubrey(textStyle: _t(tTheme)?.button),overline: GoogleFonts._aubrey(textStyle: _t(tTheme)?.overline),);

  static TextStyle _audiowide({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2054b5910bd5457176b1479122e09690d5afe73d3749e5ef89a3686e6f724c29', 70472,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Audiowide', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _audiowideTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._audiowide(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._audiowide(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._audiowide(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._audiowide(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._audiowide(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._audiowide(textStyle: _t(tTheme)?.caption),button: GoogleFonts._audiowide(textStyle: _t(tTheme)?.button),overline: GoogleFonts._audiowide(textStyle: _t(tTheme)?.overline),);

  static TextStyle _autourOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee63c9c20873c21ac935c1493e94bb24b9dc9782f63d01761b54dfedf4b3972c', 59552,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AutourOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _autourOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._autourOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._autourOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._autourOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._autourOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._autourOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._autourOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._autourOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._autourOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _average({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ce0697844aa3a978d483dfa380fbebd5bff8e7e6dc0897bf6c2c009fb9ae4ab2', 37788,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Average', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averageTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._average(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._average(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._average(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._average(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._average(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._average(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._average(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._average(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._average(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._average(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._average(textStyle: _t(tTheme)?.caption),button: GoogleFonts._average(textStyle: _t(tTheme)?.button),overline: GoogleFonts._average(textStyle: _t(tTheme)?.overline),);

  static TextStyle _averageSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('defa6f6e46057de37a3b075c74765ba7cd6a46e0ac756e83f454dfb8b1afa95c', 43964,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AverageSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averageSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._averageSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._averageSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._averageSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._averageSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._averageSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._averageSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._averageSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._averageSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _averiaGruesaLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3c60fda1756722c9f8d80009e0627d49eb2106d9eada7962d132e3ebef09c96a', 111344,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AveriaGruesaLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averiaGruesaLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._averiaGruesaLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _averiaLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('446105043cce1cc90406cda4c387ef2100b294d9d63b3946d4a395d3f2a9ce07', 108192,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('c8a24e13d7d611dd8a4e15743ac34b163b1e96d1c9a9e82746f0bd9d3a878613', 133544,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2b819eb7a1c11f4de65f3bfe1a8f658ea56fc62b2b7a24b2cf8688e9ced04c96', 108468,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('793d505e83fbdbef6ceeabd6897693fb515a4890b822623deb545b53e7ec68dd', 128848,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6b157a260e6fd6b7cdd2d54fc4f46e1a72fbb33034b74a6929cbc4d0a7d83e3d', 112228,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('08c2c28ffffd04d884122fa538e0c615e52983959363269b543084794a60955f', 135664,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AveriaLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averiaLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._averiaLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _averiaSansLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('452436a08a43ba5da912a2ed71aa4e0c67ae680532317c5affb99278cedc4eb8', 107752,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('056589edb0d0f068b768b9b9f6361bb5c4a2d53a33006288c9d089b1e6421f66', 134200,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c5f843350837023c845544f24fa59e8c71cbe7bc284c0ea4127aa872c4fcac41', 108360,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a79e7e7aecba032e6272d99a93c69868328db8d34091d1c70ccfd4a839f70489', 128896,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e8af8ea3669721038ea729e975cadce19a0032e981378e23c8377e2faf979aca', 113016,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0509fc7d0b873424deb4340ab1bafca704241ecfda08cdafeab623999d12bdfd', 135852,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AveriaSansLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averiaSansLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._averiaSansLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _averiaSerifLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('605722d0534e8b2a7a4ce36ebc7ecfa14868d5aeae52ba3419e14a19e67c92ba', 109972,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('4b675f9e2f2962fb69b7145f35ea9df241cdc9b91744abeac3cdfbf7aca1740b', 135976,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1939fc59e6192c78872b151f71d328c64c84552c1f8f7548f3278d3db023959f', 109988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('383c63d8878e96726e26c44d5a631030fcf28d4abdcb9bdadd86dbb01a623de9', 130956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('19af7d57b5ea32ff5df3f2405e0d51759fdbab503fa4cfd420a5eb4943805fcc', 113956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('164c3a01088756eebd948641705d6759b2fc7dabfd77d6e36490aa39befa0028', 138208,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'AveriaSerifLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _averiaSerifLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._averiaSerifLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _b612({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b11c6d50f8a4ef2abd6df134192e3770a9b392c814caf916bcf0efa87e6743d2', 89048,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('4250a2e42f4ceda476c771828532dfb8cb2e9170ceb541e8aecc34ecea7977b4', 92732,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d3f9b01c62cb7bf3bc87cbc07452bc98a3058af8a40db93b64528fb711a429ea', 88700,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('f930926cd0cbbde94c51659420d91fb464c93fa3109c6bdf553a706985e307e2', 91740,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'B612', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _b612TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._b612(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._b612(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._b612(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._b612(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._b612(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._b612(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._b612(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._b612(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._b612(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._b612(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._b612(textStyle: _t(tTheme)?.caption),button: GoogleFonts._b612(textStyle: _t(tTheme)?.button),overline: GoogleFonts._b612(textStyle: _t(tTheme)?.overline),);

  static TextStyle _b612Mono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4ffa9cacfa6fcd1a7a413d3b87f6f5ac6e2b201649b64695d976e0af5a46d512', 86196,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('55c1dcdfe00e2848cd4e1946617c601f62a0828e6ba3c73924b8b4f4e705785c', 88684,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('515c42e5f2790fd973f2ee9685301efa0110bc2dfb33df69b57875318ad1e100', 85172,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('a4a6d28684fe7467e89b15c82070e98ed4c0623a5df5a9a05d347f757cda41e6', 87488,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'B612Mono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _b612MonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._b612Mono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _badScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('85388546eb146e3e3bf5803d4a47f053ad2a9491ee3470c23912777bfbfbc111', 54372,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BadScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _badScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._badScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._badScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._badScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._badScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._badScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._badScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._badScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._badScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bahiana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1134edff7d2708933a16883c07c5223938a3500e9880b289c754c2602b9181f7', 51296,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bahiana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bahianaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bahiana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bahiana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bahiana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bahiana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bahiana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bahiana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bahiana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bahiana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bahianita({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8eae7d3828ad86d4af376a41fb9bd577433f7b9acf6f561f8c3383bf8f37224b', 91540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bahianita', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bahianitaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bahianita(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bahianita(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bahianita(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bahianita(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bahianita(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bahianita(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bahianita(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bahianita(textStyle: _t(tTheme)?.overline),);

  static TextStyle _baiJamjuree({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('fdb9acd5c9a309240a161cc16a0a5e3a1f3bf9258d1f2cf14fdfdf6f79d83c8e', 78044,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('fff587a7a746a3d84947c3982968551180877152f29ac4e6b58a5d060e741ee3', 83600,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('253ea5a1c8d0d3dacbf5b9f0db496617c2af6b95a5e0680df9c9c62b989b1799', 78384,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('c31f0c72862a5db7605a1625ddf34cc3c20c1c8a756b7d8848bf7f57a2707e0c', 83780,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c1dad5e37560fcacf02277fc359aecaab78b734f4a4839c6cf910296b20101fa', 78416,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e8939d2176c550b12487aed8e2fbc3b25917494c1174787534ed05c61be397f2', 83856,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('9f9c01d94ba412108985bed479c74ca19d6b1b8c6982ee1fc113a970d5d323ea', 78428,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('01569d323f908485836ed8c94772695fc05a4b02812f4f29a62ec257f911b55b', 83944,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a2ef2b81cbfb6b9a14a4bb8931a87a0887e676e237a098c40aa9e61d601dcbd2', 78412,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('7db95e5673e505c331643e67b6172b4465e72300e3642242b55e75a28d7f5883', 83776,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e456eaafee629c1aa6ffda2fbc121b9b76b54ab7f4b6dcaac6a4a523263b2237', 78104,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3445df11af52dc901fce718f3b68b4df5dc14a6c7b2ae6399dcf47c7fa7dd34b', 83360,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BaiJamjuree', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _baiJamjureeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.caption),button: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.button),overline: GoogleFonts._baiJamjuree(textStyle: _t(tTheme)?.overline),);

  static TextStyle _baloo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2466b115f1d612b5be7c3c51aa118d952041ad4c9ebc6b790d3659c11ae3681d', 386736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Baloo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._baloo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._baloo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._baloo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._baloo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._baloo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._baloo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._baloo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._baloo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooBhai({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('678bfe33602fe168ee8732abcdc1ea3a454798cd99cb4f81f7e9d16581a7e2ed', 277392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooBhai', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooBhaiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooBhai(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooBhaijaan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('52b00fb70a18a89da089a7492d3d97836ec7bd211288d3ec4ad6a60914db3dd3', 171132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooBhaijaan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooBhaijaanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooBhaijaan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooBhaina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('86bbf2a9f2b3936c4b1907de7136a4ca0f71efacfe22b7a6fa1b8a8a81f86282', 262212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooBhaina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooBhainaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooBhaina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooChettan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5e430d6e47dbe9220996407624585cda368b6ce19a23c3f46844a06db3c0a679', 217796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooChettan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooChettanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooChettan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooDa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('88a331b2ae3e4db09605af2b1076b22c3734e2ecfd1b4ef1f4ca57446672e6cf', 288676,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooDa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooDaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooDa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooDa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooDa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooDa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooDa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooDa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooDa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooDa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooPaaji({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('95ba9f62ad854dc07958f311af18c674ca943fa7450fa4f6640d18e8eccdfe3f', 185064,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooPaaji', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooPaajiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooPaaji(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooTamma({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e8005871563cf3cfadf580fba66361b46649b342e9e1765d65405765af6e92c4', 389440,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooTamma', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooTammaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooTamma(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooTammudu({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7bc7db26ac47d3561769f8cb3dfb93afd2767965efbd2770a77f8ffb33c5a013', 406812,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooTammudu', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooTammuduTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooTammudu(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balooThambi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5eb4d30c776f864b83a43cfbbcf1d05dda4a119a042f5a735adb014fdb4707e3', 200468,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BalooThambi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balooThambiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balooThambi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _balthazar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6f532266accd2179da995d74ed36fa8bf3095162e9404d68381594561a335b66', 28176,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Balthazar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _balthazarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._balthazar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._balthazar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._balthazar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._balthazar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._balthazar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._balthazar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._balthazar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._balthazar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bangers({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('42a6646ed15dc91b9430f7e69e6259203235b48fa12c9cc10b6b72afab348de0', 75700,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bangers', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bangersTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bangers(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bangers(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bangers(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bangers(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bangers(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bangers(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bangers(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bangers(textStyle: _t(tTheme)?.overline),);

  static TextStyle _barlow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('cbc7c82fdee3fa8b92bb23c3b9a2e8030733dbbc7322cd0c547b7c1889e7ecc0', 61884,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('f69e0bff8f7ab1739bd00636f1efa74a5937c7d34ae95b4ce353b4baad0eae33', 65692,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('6759b2d507f1549918b6b4a394efcca8982958de5ac4134d359b7162e12701ba', 62392,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('f750383a2bd7ca69e5e24c2f3fcf974a67a9e98818703c12d9fd2600d62b49cf', 66844,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f582c8c58e673f459c2daf36fb9e1d3522dd5a7c50e0b8ee02d5a95089fff221', 64984,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('5ccb6cff74b4b842a4da09f1543e6f2ab54f86a0e75b997b7ef375159d0f9bca', 68556,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c1e3cf893b74f13d898b529820f0e01dd59c5c3f6f69635604600893cc99c914', 62316,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('512de0e21c7303a0b6718ff5cf57c376345786cc521ce3851053764f55398e53', 66936,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('6ed898f9a3aa42d3615c69b731f57305ce7006e87e29042e8467203889f0ff3a', 64904,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('b84f9e4475585d31451021e3e9d27e8336f00eac47c6753193de4033f15ea30d', 68204,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('88497110ef5b50e3903b3c97ee671e01497a9a6d49f64218c9a70fd5042c3b49', 62368,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('53cad3b96c2a07c4af9d7111e1b6eaf07718e6510b0ccf65140b1ee7040da9b3', 67272,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a7513399e0a26a50c0f81fab7a114c8f40337b1d2edd0f28abed3f23ff5232c1', 62356,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('274e649f86e4323b0b8553520d855c49523b84eb9269b8e0cf9f41d201e76068', 65900,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('6063124468c1350716105b1b52edec1c02bbbea85a0d675477016f425f457c9a', 64856,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('a4cbccba78e5ea3a5c9560b15ff91d04b88b7a8cadb3c81b64ceb9ebd5fc266f', 68012,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('fb60a33ebebe512faae572e414c6865041ea47c278458a28cdcadc762958bd4b', 61268,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('cabd84f11a9c742e6116cea169752a0f8c03073eeb60dc0ab4532987bd853878', 66736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Barlow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _barlowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._barlow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._barlow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._barlow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._barlow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._barlow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._barlow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._barlow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._barlow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _barlowCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('c6f3686935062113e7b09390ffc3c690c608aa440f3e30db068b64420664ec5d', 60532,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('ea5455d6f97ca5ea27d76f30e87b842dc23d6a9fdd9566ccffb6415a3a56bcb0', 65992,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('410b2efcf0b449d214182287f404b669840f4cc0a3c2f04940cee2d94b6eed4e', 60752,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('bba549e676526ff4957a986006a9290f70d407fc1fd00d34135a1291ce6138d4', 65952,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9bcf33e336ef2238ede09a908f8b86c6cca1586df6b1fbe0d59e462e3149b8ba', 60544,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('49c62182eb883aeeab13fa2dbfcde072f2aac31e8bf77a232696bebc3b14e856', 65664,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4e5dff25ad8b2553decdba77625dc57cdcba97555b53612a9c9bfa40f43f953c', 60524,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('65d8e8aa8d380e24c33fe4d2da62c7f9ec3de8e3429671ef5ff32782d21d649a', 65840,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('8014ab571e1d04db59a24744420219343b4d1806c983ac73e808a9e96c638306', 60404,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('dc26bbeb004e7e2084d0662973c4742fa65fd15b7eda3cb74826a27d686f44b0', 65284,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('36127289f54d9e42dd6bba46b0f52ce7e1839e79ce1b4d8fc5b22a54ee7c30f3', 63120,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('70e3edc6f039c1a69acb610d298d522d5b46330458810ec9647e08c87b476dbb', 66768,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ec8d231a02a1e88872bef49e1099c712e93f3a723722a3d3ddc0fe2bfbe40962', 63072,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('edbf575a42819a83bc5539e63b01efa4299d750d2f679579ef7673c972e3211e', 66532,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('e17df55a2cb70a97d869d33d55b38a29d60d31ae75c0bcaf61aca5f1215702cd', 62876,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('34b5cbd8a9497c32949bcad7e8bd3f63019f7d28e693401b3ac39a69b5cd778d', 66084,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('5db2f838d3b4d86fe437bcaef0fb569cf99cfda6377a230687348897a816eeb5', 61360,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('de353be0369b799b090de4e2e272ebe13c6fd496973ff92b9e391656334ad1f2', 64724,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BarlowCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _barlowCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._barlowCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _barlowSemiCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('429d1fa72c7702c9b3dcb38d750756505166e563306daaf1b66cb753a68f9e2d', 62376,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('39a411a6e0b959d02638199381cb91af60eb4da3e34ac231c61bea08043966e1', 67272,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('d4d4a161e4199c955202ca92d228838efee2dfa3cf68a0cf388085e19395aa5f', 62680,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('79508f19bd17b1cdbf0b5b6f486c964d65c4a893a7f8f739a63cb71d206bb157', 67540,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('1b2c8175065ed2235c4db66650397fad918d8f97db3f1b3991125f2df604b76c', 62680,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('b1eca79a9e101dd60e1836afb98fee66886d6042c2870f88b7ec822a7b97877b', 67388,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1a9dca109aaa256a5afb98477989b87e0e102269f948949e5573b65b45779d4e', 62588,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('97fff70c506e46d82a769311aa3efd01c86a10161c92dee921fb6c75da5ba39c', 67012,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('73e602f9d74684f25a9d352cc61a0cfefc4ab505dfecb50b843492b1b5a87c3e', 62528,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('f1b5d4427848534739c734c5af7bdae1967a666e5c68e04156f0c5a60c1a1c78', 66868,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b98dce5b8a6c1c5c2804cd26be37b203c56aee083840f4bad5d1907c4bf0b295', 65064,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('82e1d9e57f5b1c3fba390bb1e428d9b26538ead3342f04c40e60ded6325cc06e', 68404,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('acfd284673d183fe78a563ebf695ce70f7800151495260debfa9532d93289a55', 65208,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e07191b9549a6c8c553608c75269487bb83c555c9e2fd9c08cfe704a5416e750', 68320,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('b42194ff2e3637db2ee27a0720eed118d756d564014725a948bcdc8964d25901', 65240,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('36f4cee581975816949c810a10be068d6131acdc211a99acb3a2ce6c9586174f', 68236,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('2305373351846fd5f75bfb35b24697021e9bd4ea4fac80bb25bfe62c9afcb604', 63764,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('29476cff7567544f2a04e61c90254033e0eb160089bfae4dea9871e8f6fbe2f9', 67124,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BarlowSemiCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _barlowSemiCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._barlowSemiCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _barriecito({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cbd439bbca5ece3347c1497394d9cdfd488742cc10ccd2413cdba4e819f236bb', 167636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Barriecito', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _barriecitoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._barriecito(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._barriecito(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._barriecito(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._barriecito(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._barriecito(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._barriecito(textStyle: _t(tTheme)?.caption),button: GoogleFonts._barriecito(textStyle: _t(tTheme)?.button),overline: GoogleFonts._barriecito(textStyle: _t(tTheme)?.overline),);

  static TextStyle _barrio({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e1745250902305ccc432fd4ac10b9b248159dddd57634c31c70b8b4f3e3983f1', 146692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Barrio', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _barrioTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._barrio(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._barrio(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._barrio(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._barrio(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._barrio(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._barrio(textStyle: _t(tTheme)?.caption),button: GoogleFonts._barrio(textStyle: _t(tTheme)?.button),overline: GoogleFonts._barrio(textStyle: _t(tTheme)?.overline),);

  static TextStyle _basic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('29cf0f576451b712f706b5f33a2e8e1b6e2be41ed145ebce30bcf8828ec37960', 45400,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Basic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _basicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._basic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._basic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._basic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._basic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._basic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._basic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._basic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._basic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._basic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._basic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._basic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._basic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._basic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _baskervville({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4f83292ed3ada742c822e6b55c57b05a68a0d27b136b872ed2cb3edaf2dd778c', 46788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('fdcacb6cacae51af7ce0b4bc57b4400feedcf38a9e21898b144205607cd15185', 48936,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Baskervville', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _baskervvilleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._baskervville(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._baskervville(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._baskervville(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._baskervville(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._baskervville(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._baskervville(textStyle: _t(tTheme)?.caption),button: GoogleFonts._baskervville(textStyle: _t(tTheme)?.button),overline: GoogleFonts._baskervville(textStyle: _t(tTheme)?.overline),);

  static TextStyle _baumans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9f9e8b94de7e96a118ae0165a927ffde8127bb9105f38bc5c39359622c7c40f4', 38752,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Baumans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _baumansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._baumans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._baumans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._baumans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._baumans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._baumans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._baumans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._baumans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._baumans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _beVietnam({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('0cc0f5cd392e42154ccdcf1ffc6987159ee0807caf89c6ac0796a273c9c80cd4', 43452,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('11b1d7f41abb8a24b4ba203416df07809dbaf7de51619a1d167ab9af0361b6b7', 44588,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('03d32b9f1d2ddaa56a41075b22ab477cbc078409bda7fe7f7e030491bf70988a', 43992,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('a46d7c089e1fe8c124bc2de7b2cdf8a7f23fc0e9724766f3029c5c528b88b2cf', 45400,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('79220c67d8f8488a5dc457833419e884bef66e01eae43ec9c9b7e2944c5d88f0', 43896,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e2928c1924824c824cac4ddaa74885a1fb9f3723429fa145c579cde5e79eeba5', 45368,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('8d504a978c86a628884d737bacc817b24a74963f8e36e6cab5e9b81b9977b1f4', 43948,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('a2af11a383bfb3ee1ef8731946b78f349dce66a9151e6724f9428a29af43faac', 45316,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('94efd29230ff40c08cd89d8ae44d0e847ad17d53088280868a4bfbe29bc9afe0', 43864,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('2e18bd0f37b3e15856f513a8bd6b5d019948460f502359bf06716759b5b07664', 45424,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6f6fdb78c7c80b7871c787918369b6f9908cb55d29a6f68602b90d557a0ef839', 43720,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c54104de856f3762629b69585ceb0eed536f7f7a19d2a2e1cdb44c1b1398e6b8', 45380,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('920f1f8cbfb2d9b94b66296e1f4ddf430a02ce638be482c79c598832645fda13', 43640,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('2140e6025b6df417db0a543e64c090a9a5aa119d7523fd43a5f806a1550bdb37', 45296,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BeVietnam', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _beVietnamTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.caption),button: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.button),overline: GoogleFonts._beVietnam(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bebasNeue({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bd16210fc689a14930beb51e89f3890e3167bdb105c0e7618abb62d6c4a2cc5d', 37392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BebasNeue', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bebasNeueTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bebasNeue(textStyle: _t(tTheme)?.overline),);

  static TextStyle _belgrano({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4b66b889e699bfe12ea9cc04621e48eed308f79ef2955cd4f20d0e7ddbcbaeab', 29028,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Belgrano', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _belgranoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._belgrano(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._belgrano(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._belgrano(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._belgrano(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._belgrano(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._belgrano(textStyle: _t(tTheme)?.caption),button: GoogleFonts._belgrano(textStyle: _t(tTheme)?.button),overline: GoogleFonts._belgrano(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bellefair({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('581fd752c6fe9933425b7868917fe51b6d222b42336b931e58385cea219007a0', 46492,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bellefair', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bellefairTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bellefair(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bellefair(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bellefair(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bellefair(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bellefair(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bellefair(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bellefair(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bellefair(textStyle: _t(tTheme)?.overline),);

  static TextStyle _belleza({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('916c38d3ec21ba4e080cbb7c82b60f62b023224acf789357a9338460a610def2', 27772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Belleza', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bellezaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._belleza(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._belleza(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._belleza(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._belleza(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._belleza(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._belleza(textStyle: _t(tTheme)?.caption),button: GoogleFonts._belleza(textStyle: _t(tTheme)?.button),overline: GoogleFonts._belleza(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bellota({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('29b1164370f0eca544e3c2cb64f06324bd098c99c35f5ecdd5527d6642e5a78f', 87324,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('2876a1892bc886d0df661eef1cc4fd3273dc8bce9563d1a7fba2c72987e340c5', 90184,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0ae1ca7fd73a6c369b6bf3b7326788cb2a360b467fa83a298140dac4166b8efa', 86996,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d628b046cfc942ee35db112226b78f9ac3973ccaf005074bbbe867656201b8ec', 89836,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ac23e7ab6ffb89ee1593424695c867b8150bd97cd85fdbe2a3d7f89bf32a0973', 87220,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e876bb51e7fba1f8fadcef59f4b68e3020a0909557cef70a98c84253c9e32f2f', 90052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bellota', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bellotaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bellota(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bellota(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bellota(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bellota(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bellota(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bellota(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bellota(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bellota(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bellotaText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a0643b4ed7b9e5fe0a6023e98e3c731ac5ed3dd6a93688e6d319415902455806', 85396,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('e0b3916debc6fdfc7a7fd3129785215a68039360ca58fff2137a5855ee962138', 88396,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bd71701b5f03e11645c6c76521346bb0658b950d8e568f92dbad4c0f832775eb', 85276,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('cab1408381b8c09a1322d14913d773a9ecd2af835363efced81df2db8aa5107b', 88112,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4c08136cdca5423cf6e4f79255b1d8968b3ce107c396b03445f6c49c286dd349', 85352,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ec9c1edafbe6c75409ba2200628821ee1f0dbad581d6f79db100aeb366b12ee4', 88192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BellotaText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bellotaTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bellotaText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _benchNine({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('819e7479fd3310e52e9754666e7a85aae97b6ea92363f425c93d1763341c5720', 38056,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6ff13f62cc4e1011ea688bc0bdad0ec34826a3c14cbc1b9ec0ed2b768a756be1', 38812,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ad7761d772dd04c7cf6c3ea55ea6f5bc9ca1540a2961a12251b37aee5d067022', 38748,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BenchNine', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _benchNineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._benchNine(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._benchNine(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._benchNine(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._benchNine(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._benchNine(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._benchNine(textStyle: _t(tTheme)?.caption),button: GoogleFonts._benchNine(textStyle: _t(tTheme)?.button),overline: GoogleFonts._benchNine(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bentham({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('36b9c399aae73bd09e01d76e51e8697f80e9e34f14e954b929a08d6cfbc5f697', 40176,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bentham', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _benthamTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bentham(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bentham(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bentham(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bentham(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bentham(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bentham(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bentham(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bentham(textStyle: _t(tTheme)?.overline),);

  static TextStyle _berkshireSwash({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2e73eb938ce44215938a21b199bc0a7eba8e1805d0d2528c3300ad7a1813d5e0', 57948,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BerkshireSwash', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _berkshireSwashTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.caption),button: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.button),overline: GoogleFonts._berkshireSwash(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bethEllen({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('33f7d9b097ad741e56ef314b447fa4e0d310aab981ba6aea5db368053b65bc56', 115600,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BethEllen', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bethEllenTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bethEllen(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bevan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('95fb9ca931c31e79c8312fb66d76a2239472f842f9aeed9c261367a55723370f', 55536,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bevan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bevanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bevan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bevan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bevan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bevan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bevan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bevan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bevan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bevan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bigShouldersDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('243bc59e9459b35c35fa0bc5cc49219e1cbf248be840664569ca730a8a7a7e5e', 60384,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f9d601dd24fc0f4bb73ca5a9bc3fb23c2d744597df0f10a2894d566903ba1154', 64044,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0d1c3a1a7aca284022f6d11318ac148fe815d11c400a02d20e25768bbcf17f16', 63888,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('782f7156f414a376945013c065917553e525e9f55dc801588c0f2f47406a51a3', 63824,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('abf50d14f1c83beca50dbf4875c46279d06f2120f997bd0b3670236cf24bf1aa', 63924,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('908c135c2591d12f000c0af1d59e56e72fb77beb39c1ba091505f250575b4ea6', 63876,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('19b8e205eb51647a9245e28993f1aa99df1cdc107cab1e823db05dce048363ca', 63916,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('71c2e1ad1b8e3abbf78e31165b5b054095b45b80cdd32410b9df8abaa45a631f', 65188,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BigShouldersDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bigShouldersDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bigShouldersDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bigShouldersText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('627d92b7b60e71b44920b0badb4fab35e76dc999346110b16b5503642b274d9c', 60972,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8aef88ac2024c3940f399eee0642162cf1880de4b3072c385da26169385aaff9', 64304,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3b28c250237404079c092e1f0bbe96a9877935f854758b23d0c596474d2dc0a9', 64348,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('ceadafc7d9e2a44c734bb0219be7688bb6f03e1d0788f1a6fdaff25989c7c821', 64240,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('891fff63a87492e0329b1ad1261d5d60e1e276099f63a26b28497f66fddb1e58', 64288,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('089e74d0e80e3f820d20c2dadb61e35e88025df110b9bfdf6878dd0c88300f35', 64144,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('c3090bbff39b913daac1ce49ed0afcd52cba93db2e114faba5840a983ff222f0', 64208,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('6a6e0bec5c1e7d0a62882e4f6be1b781665211f69d499f61aa439ad6bb097e60', 65320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BigShouldersText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bigShouldersTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bigShouldersText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bigelowRules({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b86229b1bc741bc11ef0517467d96769485504f74278c1011120697a17d74d26', 59028,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BigelowRules', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bigelowRulesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bigelowRules(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bigshotOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cd6b11ed5794f665b3e412e676ae624b63b086b93992d6c0b00c9afd26180c79', 36972,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BigshotOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bigshotOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bigshotOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bilbo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('55d2e6fb7257d5ade5d2419927eebf1f0c78ba65154b64d0cb737b6c8fa6a7df', 42864,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bilbo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bilboTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bilbo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bilbo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bilbo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bilbo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bilbo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bilbo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bilbo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bilbo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bilboSwashCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e55126acc93a6cae98b3736d06e24e1301a26f9aa4ac2173998ab1fa142b1736', 58124,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BilboSwashCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bilboSwashCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bilboSwashCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bioRhyme({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('8c7047e02059b7ea10893cf7bcfe3dc06e450dd3fb6000e05171462fedc43f7e', 69848,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b9ee5307ca507a88bed949ef452d4b6c835e503ef09b30cbb1ace6d65030e873', 72476,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bfe90585ffc1c3fc0d661d75c86187e9b6176836b56026b7882465f43a328616', 71764,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('cd56fec3e00f732e0ff393a16cd304a5b4818b7b5bc437e4f418142a976284e6', 71756,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('43c38cd7da3c0c61638db3dbfd450b28e4abcacc9a48011176274140cf681c2b', 68792,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BioRhyme', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bioRhymeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bioRhyme(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bioRhymeExpanded({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('7770459b3448470de7eebc842dd6d1b27857480f955caa6fda9114f30f9c487a', 69024,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('564af9bc89e9baac8c99c4a2b2bb1262ed16deaec1971840ab3e348ed0dc8e22', 72648,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1fa6003a77f1c41cfe89fc6db7c98358f0e6fa62b61c965e0e1a04ed960601b9', 72028,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('89375361cdabf9dbf2e57378fa40cc8c19512e518617d5e8502c9db8aa4ee2a1', 71960,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('586a8d74b8042767a173971c026734fb6cb75934497b3c9d2ebd80ad9e60c31d', 71188,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BioRhymeExpanded', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bioRhymeExpandedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bioRhymeExpanded(textStyle: _t(tTheme)?.overline),);

  static TextStyle _biryani({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('f65303a20787e99a61c757c6e4cbc9ee68af544a375dac932049def734163642', 123500,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('842f2d86cd486de76ca080714383fb99a105dfb85b3bae4360d00e8ac8db8c9f', 124924,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('16e70205340aba8294e2da2cc8581ec3c5fb3f2af846d51a3de360f447d6f254', 124200,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('80169a7f1fadd79859c89b0e9a066fd8dbbc460f13a4e5df8389cd853dc67be9', 124224,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8834894534eb39412acdbc906f20b8d4addd5339d6777eaf647ee1ecbd44538c', 123988,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('ba9bcb5882f72d4ac114689fb32db356c2be660bc64a16c88ac2457bdbefd777', 124032,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('5bad25e5e05861d1da7ddd858aefac18d200688fc997bf2760059fcc2c2ad30d', 123080,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Biryani', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _biryaniTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._biryani(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._biryani(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._biryani(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._biryani(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._biryani(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._biryani(textStyle: _t(tTheme)?.caption),button: GoogleFonts._biryani(textStyle: _t(tTheme)?.button),overline: GoogleFonts._biryani(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bitter({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('937e0cb8bbc92b1b89eafc86f73c06dec677f4e8d2c39de72208ae4fffedc7fa', 24208,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('7a9ae7d2a6428de7df36662a7014e91b880c5d09663ae9c66abb8a928c0ad371', 39064,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c41cd10ef080e4d415bc6da6d86b29b73fe87ba84afe455423476109ed6addbd', 25616,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bitter', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bitterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bitter(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bitter(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bitter(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bitter(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bitter(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bitter(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bitter(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bitter(textStyle: _t(tTheme)?.overline),);

  static TextStyle _blackAndWhitePicture({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0c951e047e8f1e152232363c35791b975f78ae96c97bfa6f14634c7a2551970c', 9586680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BlackAndWhitePicture', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _blackAndWhitePictureTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.caption),button: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.button),overline: GoogleFonts._blackAndWhitePicture(textStyle: _t(tTheme)?.overline),);

  static TextStyle _blackHanSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ea3e07623642e89ce9ae84a698b9557dd6361db9bc40b993b7715531404db088', 382952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BlackHanSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _blackHanSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._blackHanSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _blackOpsOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9a9eebffdb4d3c168c63bfcd5d0ec80a1571160a66e46ef698786f9c56922256', 41404,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BlackOpsOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _blackOpsOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._blackOpsOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _blinker({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('7c240948a3fc8d5d8689c3a63f7f8ebc6306f7c85e807823569843f0f54195f9', 47168,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('2a79a8324609cc2b3bcdaec6541902337b886042ed55c471dbb6f257c65b280f', 48596,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('3dd96a764325a06a02dcd84be7a03f3a2f2b6808e40d63328015690bf81f6c96', 48440,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51b0da89566f911a7458b35be7b50dd97cb0ac23dff1eeb067b4d64a79911f3c', 47676,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a51856bff19a13b746d4d2d4b3ebb07157b40df14a94c526837c9e5586337f01', 53416,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6eba9015f99f6f510f713d65f3f324ba543c2e9d3bc5eac9cbdd446b738eda1f', 48892,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('d898f7f6b1fb3ed914d6dfaa20bc29b0f94d293822df46b2a78b5759f2637549', 53068,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('1d02003dcc4ca64b3de96560fffcdd9e05125270589caabebc0da78d05d0f61e', 52352,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Blinker', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _blinkerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._blinker(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._blinker(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._blinker(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._blinker(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._blinker(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._blinker(textStyle: _t(tTheme)?.caption),button: GoogleFonts._blinker(textStyle: _t(tTheme)?.button),overline: GoogleFonts._blinker(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bonbon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7c2ebdfc96584f15448c9196a29a7983cad1097756e748e6d3d89db0cab6796', 38740,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bonbon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bonbonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bonbon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bonbon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bonbon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bonbon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bonbon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bonbon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bonbon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bonbon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _boogaloo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ecd8d89eafeb4669ce51f02cef4e529aa97180ed7c2a9cfcbad4714ed9ede46f', 33880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Boogaloo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _boogalooTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._boogaloo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bowlbyOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4d04430262e4d8e8e549ffcc4c97a27cb31ad26f9d2d85b2ba224381697b1a8d', 61596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BowlbyOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bowlbyOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bowlbyOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bowlbyOneSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e2826dfb2cc015f4d1a83c121524eff701bea716ad41719d21b0baaf0462abae', 45072,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BowlbyOneSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bowlbyOneScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bowlbyOneSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _brawler({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('58683ec3f93abe0d96615faa1fc7fce9f3297205572a4c8c6265d0be27219279', 64320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Brawler', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _brawlerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._brawler(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._brawler(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._brawler(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._brawler(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._brawler(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._brawler(textStyle: _t(tTheme)?.caption),button: GoogleFonts._brawler(textStyle: _t(tTheme)?.button),overline: GoogleFonts._brawler(textStyle: _t(tTheme)?.overline),);

  static TextStyle _breeSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9a7248ed16d47821a8836aa345a8297f6c44d86162fdbc6475497bc799db0e9f', 46612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BreeSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _breeSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._breeSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bubblegumSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('53e2f591d5b22787b4fd506e06145d2652da6014e1707f782a92395533188726', 38772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BubblegumSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bubblegumSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bubblegumSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bubblerOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fd7ed8791a88cc19effc14df166be456cef77a85b707501822da21df19386254', 30944,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BubblerOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bubblerOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bubblerOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _buda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('385d4247a0218281950ea513488d597434ce1d22bafe1b9e0b0853fce9304338', 90392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Buda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _budaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._buda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._buda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._buda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._buda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._buda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._buda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._buda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._buda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._buda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._buda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._buda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._buda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._buda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _buenard({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('98e52931f613305f11ff078f1cb569682195e516554178bf3c4127f644df907a', 59764,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8b680cec9af406d125f721b89472951a526fcf17393adea7449be902ffb7f5cd', 58608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Buenard', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _buenardTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._buenard(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._buenard(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._buenard(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._buenard(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._buenard(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._buenard(textStyle: _t(tTheme)?.caption),button: GoogleFonts._buenard(textStyle: _t(tTheme)?.button),overline: GoogleFonts._buenard(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bungee({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee34fb3fe185999f9942b2b39a37688866c1a4e25eab17c7a67765e7f47f6dbe', 110116,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Bungee', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bungeeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bungee(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bungee(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bungee(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bungee(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bungee(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bungee(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bungee(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bungee(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bungeeHairline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7082ad6f58a7ae0bdd49f1c56b50fdd5f19c8e5a7a760de15f353ff47bf2c391', 97300,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BungeeHairline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bungeeHairlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bungeeHairline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bungeeInline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c34108c66136e4485dbe7f75f62e6d782066911952901a3b1657b8d37d5bf414', 147660,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BungeeInline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bungeeInlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bungeeInline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bungeeOutline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('53bb5dbad57c06403c9f7c9503b0397f17f001d2a0881305c5bee9de3c610f78', 200136,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BungeeOutline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bungeeOutlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bungeeOutline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _bungeeShade({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bd736a1fd1e9468b036a7df272341d90fa2864fa1a985cfef42c164898cadd99', 330628,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'BungeeShade', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _bungeeShadeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.caption),button: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.button),overline: GoogleFonts._bungeeShade(textStyle: _t(tTheme)?.overline),);

  static TextStyle _butcherman({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5bcf1ab19e7b312ef6a3f23116fef277d7af2240e6ee5719e5a8688f36f00e23', 66300,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Butcherman', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _butchermanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._butcherman(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._butcherman(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._butcherman(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._butcherman(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._butcherman(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._butcherman(textStyle: _t(tTheme)?.caption),button: GoogleFonts._butcherman(textStyle: _t(tTheme)?.button),overline: GoogleFonts._butcherman(textStyle: _t(tTheme)?.overline),);

  static TextStyle _butterflyKids({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3e78c92335db0b2820b46df2d4a84c41e8690af1bac099b4a552e36736643b61', 202408,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ButterflyKids', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _butterflyKidsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.caption),button: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.button),overline: GoogleFonts._butterflyKids(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cabin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9ff30e9e9a66cf6a4e65d444d6bf8afdea7d574b27589397657972c2f9b2194f', 81084,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('db35751de9b88dfbea004784c70c96bca9d813b5521cf320e5cb30adfd7384a2', 80436,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('4851465297f9c9aa19d41a969b28272f070f43271c7f279eb6daf3f291a47609', 81516,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('2f1dff32a90462507aca783f85d6b2ed780858dd81a2a13bf217afbbfe5cce77', 81408,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b7e9674a2fca64e9eddd32df2987e72643c1fbadb5cc8158e4a429f8a99ea39a', 81656,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('da97f68bcdcff651e97b599499a784fc828a6e26feb94f391324076d060e3f7f', 81548,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9adb3df669ae368a467dbe74951a83ec476b74739063459b95b664e6ea2bf36a', 78196,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e4a3605f6b618e79e1d2bc2e4890babb2828cca85fee80608cb7d4a810b06eab', 80320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cabin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cabinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cabin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cabin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cabin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cabin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cabin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cabin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cabin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cabin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cabinCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8864cf658e1904654fb267649af1a35b07c0f9e7b2df523910efcfa047857270', 75132,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('19d7c8b72085fd1898042b6adfa002bee67aa85565ea042e3383c6d9718262f3', 74864,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('204e4e214a76e3cc970598f75636fbe098a6541146bb02dd3d1ec67c8e155e5b', 74872,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8b3d243ed807d45b1666f9a3866bc69260a7d81fe656a1d0fc9335302b4d82fa', 74732,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CabinCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cabinCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cabinCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cabinSketch({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c56ec3d2c6227ce0f5959e906b36dda6fbf2ea830ed4edeb9000ee53197c122e', 155128,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6dab969699fde26ddd2636960d9e77e5178036db4b98b1f3761df0e74e17ca88', 269912,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CabinSketch', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cabinSketchTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cabinSketch(textStyle: _t(tTheme)?.overline),);

  static TextStyle _caesarDressing({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee89ad88164ca8c3eeb747410087b9deecb5d306172af188f53bd267ec033f9c', 89212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CaesarDressing', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _caesarDressingTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.caption),button: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.button),overline: GoogleFonts._caesarDressing(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cagliostro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3f57e12bc813bf3381233056c5544a970ea10f321f64dc63eef3ae1e650b2b93', 37772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cagliostro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cagliostroTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cagliostro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cairo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4f4138b4fc3c1369eee1151ad813f76e1b371364feb318c2dfed606c6c7a98dc', 105268,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('22d57a326952ad111119348fad278153f66b456e3f1e1b3eba074a4dc167f96e', 104816,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1537c4e5a58de46dea37716791ce13157250bce598772e19adbf07abdaa2f5c0', 103204,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1f5b7f284695e2fd50ce750d2a479bcbdc7f701be3c33893f0773866193c8fba', 104040,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('56f0547834a0a361e7216604988268770c085dcbd6f3241778f613b02d6db926', 98368,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('4cf0e64d282c925bd689d2224fc9f34075e4586dbbebdbfa585ebab25a42059c', 105544,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cairo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cairoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cairo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cairo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cairo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cairo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cairo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cairo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cairo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cairo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _caladea({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('60f1d4e3a572497f3530ac2ae1478709e606b3bdaaa56f97fd7efbc48e01de08', 51516,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a200599eb491ec914c9ce2fe7b2cdda1f14b4d082af53d054932993d3db7e7bb', 50840,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('fb25a8c8d05e937b9c5c3a001d1801276ba670641e4332a5f5d83cdc357cc5c3', 52576,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0d6a8296a9489017c434820f994212d73ffe43b80bc9b3913f0eec7a4b3d4ed5', 50968,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Caladea', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _caladeaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._caladea(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._caladea(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._caladea(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._caladea(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._caladea(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._caladea(textStyle: _t(tTheme)?.caption),button: GoogleFonts._caladea(textStyle: _t(tTheme)?.button),overline: GoogleFonts._caladea(textStyle: _t(tTheme)?.overline),);

  static TextStyle _calistoga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bbcc8c6618b098df3f7de4ee7afbe7a4ebe1832e5d8cca3579199c4e73ef5e8f', 77552,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Calistoga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _calistogaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._calistoga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._calistoga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._calistoga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._calistoga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._calistoga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._calistoga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._calistoga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._calistoga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _calligraffitti({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('580e522ce80a61e980096a261015c86696213b70822d677e4de3902787578e63', 46940,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Calligraffitti', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _calligraffittiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.caption),button: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.button),overline: GoogleFonts._calligraffitti(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cambay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7bad4e2ac4cc5bdeef53e890b4b3d52b065fdae8ebe5f754f263384995f7c73', 140024,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e821a1eb24db547646223e8b5065d6feeed373e25daf722bd4c3499785d3b6aa', 155856,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ece04d3d10726b39914e7a3c3ebbef7ccadcf7a26272fc090c83d3bf7690eea4', 139576,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('d17daa8d61f0a8bdd69696d0da7fc566e3a13141eb0ae45e512b48dcafb92565', 151048,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cambay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cambayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cambay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cambay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cambay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cambay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cambay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cambay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cambay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cambay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cambo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4d8d683131ae5168d1210d9676808b76b985ad2a151d3a7514ec02f7b8a776b9', 29056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cambo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _camboTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cambo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cambo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cambo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cambo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cambo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cambo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cambo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cambo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _candal({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2e16795a5489340834dda623038868a2e7f48f4bc0f154f98c1a1962894a2598', 32200,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Candal', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _candalTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._candal(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._candal(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._candal(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._candal(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._candal(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._candal(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._candal(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._candal(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._candal(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._candal(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._candal(textStyle: _t(tTheme)?.caption),button: GoogleFonts._candal(textStyle: _t(tTheme)?.button),overline: GoogleFonts._candal(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cantarell({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1e62d82800c92f72ed501733b5d52d7b8a5d88d1c6315bfdaf7f8ce781108c00', 47436,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6d9559dd0df30daed7da97dc8ef05e7f39b72205fb9bd7a055ddaa5242afd36f', 50000,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('db0c34021061680135f973a2cb5565811527ea91f2fa07d023f4e105eb6f45d3', 49208,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('bb2c0f469972ec2016c3b8b8254ea0077f46207efb249afb3c4d356cf2c5418e', 52132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cantarell', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cantarellTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cantarell(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cantarell(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cantarell(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cantarell(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cantarell(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cantarell(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cantarell(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cantarell(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cantataOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b58597daf95866fac678391238aefbae4bc3e31e826a3b85a2c749c3844a4dfe', 57144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CantataOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cantataOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cantataOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cantoraOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('242d2167789079107cbe59c3e9ccd0339ca51419245296a4659c6b3ad73cc41c', 109236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CantoraOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cantoraOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cantoraOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _capriola({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('938d0b1c7f521513ee9bb1114d92827718670e0e5a495ccd564d70b0ddc59594', 78168,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Capriola', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _capriolaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._capriola(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._capriola(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._capriola(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._capriola(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._capriola(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._capriola(textStyle: _t(tTheme)?.caption),button: GoogleFonts._capriola(textStyle: _t(tTheme)?.button),overline: GoogleFonts._capriola(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cardo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('286e6a4bde92ea6087b503978338898808df924a3cdd8144741fa780d11603a2', 400420,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('43bee56e6bb3d2ad574558a859227592f0b0ac881a70fd8f2cf74b808bb9be00', 262820,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('10c0bab22a674656a3d5e94e05e64f9c6c6ea25acce0d0fc846f964985b142ce', 348296,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cardo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cardoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cardo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cardo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cardo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cardo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cardo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cardo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cardo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cardo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _carme({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('79973fb109b078d0e49d90287e9f6527dc8829c6076c878ed07743d78cfb988b', 60852,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Carme', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _carmeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._carme(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._carme(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._carme(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._carme(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._carme(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._carme(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._carme(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._carme(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._carme(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._carme(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._carme(textStyle: _t(tTheme)?.caption),button: GoogleFonts._carme(textStyle: _t(tTheme)?.button),overline: GoogleFonts._carme(textStyle: _t(tTheme)?.overline),);

  static TextStyle _carroisGothic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d013d780a3d17a244794f0d2649a6214a1946f102ddf0a02fe366fa7bb8bb6ec', 26212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CarroisGothic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _carroisGothicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._carroisGothic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _carroisGothicSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8b50b78ae9eb35706d3d9923b420465d6c6245e9469dcbe4a96c30d118338edf', 26084,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CarroisGothicSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _carroisGothicScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._carroisGothicSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _carterOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('64cdbf0babf6eb9e23f0a780f283a930636589b4b8d9a5d0cdf24888a7719292', 63872,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CarterOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _carterOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._carterOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._carterOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._carterOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._carterOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._carterOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._carterOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._carterOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._carterOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _catamaran({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('e8e9d704be93826d9781f133277934bb6184afd9522b149f005c78f5d89e62ac', 51516,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('3f24bc068d63c199fab01e5c0690d6e034f485057c3c19571b656e705a78756b', 51520,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('853537ef3cef46cebdd3f2ee0f94b33861095d50b2584d6f96a47725f6f4b79d', 51428,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6af095039ae2cc21b9f8e147b290dc6fae99dd4f45843dd262a9e30557dd4e65', 51200,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('2b80fad7d7ef99a42af9235090775e879520d07fb7b3deda4986a64c81be4a96', 51172,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('d77e1072b0d92cfa66cc458ff7e053b1e33cfa9dd663fb52f75062ba9a134122', 51028,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('47d32e32345049db4c0f41c0ffba707afcf0ac18cb7000817fd26ae811255728', 50828,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('342bd0052b9b81ca6df68a9cdda635ad6f77c796e37045545bfa1d0a071c0bc8', 50464,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('fa466db090fa897764fa413a006d0c4f7a975a118db3de634988a14f674446cb', 50220,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Catamaran', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _catamaranTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._catamaran(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._catamaran(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._catamaran(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._catamaran(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._catamaran(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._catamaran(textStyle: _t(tTheme)?.caption),button: GoogleFonts._catamaran(textStyle: _t(tTheme)?.button),overline: GoogleFonts._catamaran(textStyle: _t(tTheme)?.overline),);

  static TextStyle _caudex({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e0c195632ea06158f87e86ee898119dd8a7f59788999552ed79be77c33c6a726', 466276,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('53374860983e21bb358d83d1162c824903649ae49f873a963c665b066514bb9d', 559392,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('09a6db433fd45eb3e1423e9947afe5b766008cc358cb482b42103970fc840676', 471660,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('45c118976f77e53a2a5122e22cace7fb846373a14892fbb7e0ff61e1a46de1d4', 555108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Caudex', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _caudexTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._caudex(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._caudex(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._caudex(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._caudex(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._caudex(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._caudex(textStyle: _t(tTheme)?.caption),button: GoogleFonts._caudex(textStyle: _t(tTheme)?.button),overline: GoogleFonts._caudex(textStyle: _t(tTheme)?.overline),);

  static TextStyle _caveat({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0ffe3acdd9c8d91838d7ba021d1c4e9111151e34a104318a8aafe0efeda5755f', 165376,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6993da01fa90c359d45a03be9927b46be80d261978de6f5805f43d75ed2d172f', 166236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Caveat', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _caveatTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._caveat(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._caveat(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._caveat(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._caveat(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._caveat(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._caveat(textStyle: _t(tTheme)?.caption),button: GoogleFonts._caveat(textStyle: _t(tTheme)?.button),overline: GoogleFonts._caveat(textStyle: _t(tTheme)?.overline),);

  static TextStyle _caveatBrush({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('70de81a815f44819880ddba3c93eda87ab6bd1a4b21db15e5ba29c9271cba521', 232640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CaveatBrush', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _caveatBrushTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.caption),button: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.button),overline: GoogleFonts._caveatBrush(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cedarvilleCursive({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b1296a081a20bf4a1936ace5eac4d05fa6702cdfaab5f94a5088af4c0aa46c3d', 68704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CedarvilleCursive', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cedarvilleCursiveTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cedarvilleCursive(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cevicheOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9ed3cdc36bf356dbe366b2198c633acbf26815fc96c14ba05a7847b274043909', 36688,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CevicheOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cevicheOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cevicheOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chakraPetch({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ecaf4ae2d67c61e2a3fa8df13a271ccea00d43000ba74107e7bfda439f60b1d2', 70452,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('020376f9083d9c7e6f32ecb879dee72b6fadef64ea9a3df0bd01d4952a06f1aa', 72720,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6854c9992a9a1345525235ab8e75582a0f6f3f828c37e4720a78aad1de6c0aa5', 70160,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('114572d34834d0022111a2a7a0eaf1d6bb7e3b70537f2c52e283219fa86ccd02', 72412,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('179d4e7774a67d1c01789bcf1bf48e72fbc37fa173f3373470769b54a505ad17', 70152,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('f7172b64774efd15a32d833b00836c9e30c0ee766c096a08de2a427c904f5c2d', 72504,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a6b54f7d68496d966460fe300af5b72cc91ca631822110de9fbc976ceabb2591', 70164,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('a7a04e1ebef703c41253da2ca8a90c83a63649e471590d939c69828a0e0e591f', 72524,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e409c139ac42c535be29bfb904109788499a4b3971f95c0853dce713da259ea9', 70068,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('86042cd1693573443cb56c465a3f44172486eb888d707fcc03eb3dc8600008cb', 72408,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ChakraPetch', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chakraPetchTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chakraPetch(textStyle: _t(tTheme)?.overline),);

  static TextStyle _changa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('e248c51b3bc1f8fd1d6b980400670c54bf2cdf89f4c5e075bca29f09ecdb936b', 81252,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f083dc8e9965f9e9b8c6c977bcfac5a504f4ef820e8c8237f1217d4edf3bdd9a', 80888,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('01d71ec0cc7235bb908cc0c3ae45d1e10a2f87e4a61ad5ef855af157f39e8a80', 80184,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('fb1d544301460f01712f06d94a05af7420497d1b5791bdf43b542c0351227242', 80588,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c22f4b8d7a97aaa32759b9336354bdcf999861dac5d589a4e02e7e5bb9504f98', 80472,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0a274e0c0a7aa46f455bf65caff8b972998ce8fc975bf677ae154d5765ac4c0f', 79956,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('5d419cee41ca204d194f089cfd5d8d35ea6bc706a8f606ecaa69132df9854893', 79556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Changa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _changaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._changa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._changa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._changa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._changa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._changa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._changa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._changa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._changa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._changa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._changa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._changa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._changa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._changa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _changaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('55a043f0a2eb34269cfb137a6203fdc338019e9bdaabee1e685c6b37495cb962', 22668,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('241077b802e7b6209a41ea93aae98aa81d9f09e6f78fce924c863af6ca96b529', 26680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ChangaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _changaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._changaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._changaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._changaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._changaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._changaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._changaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._changaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._changaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chango({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('66d5dcae03b7a0d59f38640d05bb920cc6d3b4e2a1cdb176628330e20ab9a6ca', 40684,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chango', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _changoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chango(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chango(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chango(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chango(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chango(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chango(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chango(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chango(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chango(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chango(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chango(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chango(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chango(textStyle: _t(tTheme)?.overline),);

  static TextStyle _charm({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b2803aafd875584dcb262e1eddd8dc7542342f4d2d76ac5f9b06c6b5e2bae18f', 121276,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('40f34767fa59a87e641da20236b9966135321cb03c1ed68d88a6234d432d2604', 122112,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Charm', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _charmTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._charm(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._charm(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._charm(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._charm(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._charm(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._charm(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._charm(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._charm(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._charm(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._charm(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._charm(textStyle: _t(tTheme)?.caption),button: GoogleFonts._charm(textStyle: _t(tTheme)?.button),overline: GoogleFonts._charm(textStyle: _t(tTheme)?.overline),);

  static TextStyle _charmonman({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8c4d7f973e9f5d882d38668d863ec90889ddc79cd302e832da538621ac970513', 100884,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d1492915dc59b590610a5b5bcf4d1b9aca380c377b870a0a9de187fc05146908', 100612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Charmonman', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _charmonmanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._charmonman(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._charmonman(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._charmonman(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._charmonman(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._charmonman(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._charmonman(textStyle: _t(tTheme)?.caption),button: GoogleFonts._charmonman(textStyle: _t(tTheme)?.button),overline: GoogleFonts._charmonman(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chathura({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('78a5a2532fd10bcf3317ec8440d1e758a309bd152369607ccea764abddbcb168', 345716,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7b8357f2b60bfe270ca77801978a0bd5e729870ffad8b19d54ff69cded800a1f', 340972,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8abdba026fb7a58e3f5b2cbe302ab4d9e817e69dfd7c6fce0ffbf22fe9600f5', 330780,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('129573e675c52db3364e6d6ac3d517a6cb8113531a3bc2b54276e1d28d28c11a', 329608,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('c6190f40f502b8b950146bbe4ba7b7b02eea38047766ba5b56895059e3b6c655', 328760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chathura', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chathuraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chathura(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chathura(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chathura(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chathura(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chathura(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chathura(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chathura(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chathura(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chauPhilomeneOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c44d00d1e4d0cfcf8ae3458b12571cdd000ce9df7849a29afa3dd3aadfdb6224', 39692,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('5be1fbfb8c59a78422d618850745eeabe8bebc7aef35518a599c765168ad124a', 43992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ChauPhilomeneOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chauPhilomeneOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chauPhilomeneOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chelaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3efd79a48f37981dfb1dd9c73243093c103f990459d6cc0e0918ed692c2beef0', 35492,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ChelaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chelaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chelaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chelseaMarket({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7841b0525f53772efeff1353b0297e9faa176874f84319d11057dfa3d129147b', 172508,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ChelseaMarket', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chelseaMarketTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chelseaMarket(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cherryCreamSoda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('47e79c87ca78a16fd9c841454bdf7ea5a7485a08a7f78baddcc83bbc2f510729', 40208,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CherryCreamSoda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cherryCreamSodaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cherryCreamSoda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cherrySwash({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c16f18e4a0ef56672f00dcd810fae50a7468eccc6174968c6890ca1ed1eb4dc0', 30548,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('46fc53776950e3047f5b647b1819e4ec28a5521b733a7e614aa9d97562cb5371', 29984,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CherrySwash', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cherrySwashTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cherrySwash(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chewy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d88ead910c7aca7ef7e4aec8e38bc7bd8ea2f85b93181a960e2747192d839469', 36096,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chewy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chewyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chewy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chewy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chewy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chewy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chewy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chewy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chewy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chewy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chicle({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('463fc42349dcac85fa8e161556aa92b7ae3f8d9cd174ef7b134ac072382d6069', 40964,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chicle', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chicleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chicle(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chicle(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chicle(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chicle(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chicle(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chicle(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chicle(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chicle(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chilanka({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c0b4dcbe94cf228d02f67f71242fed2881a691a3b3516a791881a3428605d6dc', 338888,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chilanka', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chilankaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chilanka(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chilanka(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chilanka(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chilanka(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chilanka(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chilanka(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chilanka(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chilanka(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chivo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('994635489f0d118a198cb7efcdd1b61cbd4431c9e6426fffad5b731c4d2c1a5c', 44544,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f512baee58b1fc81a387836a8de41c055d2bebbfde221bd5f6829c1db58d9baa', 38544,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c45551e766074f40061345617f0e07c5a4a2ecbd70ce90f3c7456284827c3184', 41264,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('1940d6e1383f625468fbb0231dc6d8ea95eda2d8483e23e66e94d6bb05996ca2', 35312,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('49e634b98df69d1812b9406be76ebe8c76888e0202ae16c267aff5f9897d279f', 33884,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('eea6f18e9fa02d840e18d03dfe74e65437743472807f1f0a93bb11254419cdb4', 35400,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('b16f1d6acd367f8f1dd75d71e56027975f5f4c661b7272c0ae41a0635d55908a', 34680,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('da92d63af2ecddbae2e8cf92a528caebcba3ed94b7b00e2ab04d228c4622c806', 36840,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chivo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chivoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chivo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chivo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chivo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chivo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chivo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chivo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chivo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chivo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _chonburi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b8e4b1d59bd57981915ee60262422c0d7b7bc237ec938d181c684425e608baca', 112300,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Chonburi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _chonburiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._chonburi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._chonburi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._chonburi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._chonburi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._chonburi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._chonburi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._chonburi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._chonburi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cinzel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1a1d67206903b7688f4187df3dd0563dce75a49b26d036c7e88798adcd6c8fab', 55732,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d385de045feb981ef4256fb3f82d128c1835f686ed5611dd1c5b01e8b615e7bb', 57244,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('fbb068fbb60eb4c57957c490b9e8c4b00d9c8cc14bd064d85fca96516f5ae46f', 58144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cinzel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cinzelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cinzel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cinzel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cinzel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cinzel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cinzel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cinzel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cinzel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cinzel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cinzelDecorative({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e2559504f7da1fc2410b4eca9cb5ca6fee8c1ead7c3920a0b225ef4f1da9034f', 60044,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3a01d62b7c7d50b908e2fd62beb09363fb5e99ea2f21e0e79f71e5a6c356ceba', 61900,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a9e463550cabc5d5d694e24c136e6d235212011e58c21d523229960a16bc5148', 62320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CinzelDecorative', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cinzelDecorativeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cinzelDecorative(textStyle: _t(tTheme)?.overline),);

  static TextStyle _clickerScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a5d266712bdee3e9dc58039be9fe3d6492b6d9de30e12c387ff7726b7bc43566', 63596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ClickerScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _clickerScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._clickerScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _coda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3286b71ee83e8775ab6ae6fef1580c62d0344ad5a8a10ba144104648a36f9749', 37032,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('0f385f570ff23725ac544ecfcf2ec8b8cbca733a730d2038266a6eb8b071e4c0', 31676,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Coda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _codaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._coda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._coda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._coda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._coda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._coda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._coda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._coda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._coda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._coda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._coda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._coda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._coda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._coda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _codaCaption({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('28b801f8b4a3bbeae1f47a3081d64a60cba59d844b8d9719165a993bbfd5424b', 59700,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CodaCaption', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _codaCaptionTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.caption),button: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.button),overline: GoogleFonts._codaCaption(textStyle: _t(tTheme)?.overline),);

  static TextStyle _codystar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d8599cf77d1a295657a62a9be2067a1d7c27dad40e7ae89910c6516e57f1fdb1', 101120,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5d2fb67af692de14dd1f3b942de494168b78c1cef3cc103867d36c4281ac0b00', 106084,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Codystar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _codystarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._codystar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._codystar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._codystar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._codystar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._codystar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._codystar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._codystar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._codystar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _coiny({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d7c4ad8ba1a68159f3a01ce26a6ae52110298a54077d3aa35b12d216941a3f28', 88036,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Coiny', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _coinyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._coiny(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._coiny(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._coiny(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._coiny(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._coiny(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._coiny(textStyle: _t(tTheme)?.caption),button: GoogleFonts._coiny(textStyle: _t(tTheme)?.button),overline: GoogleFonts._coiny(textStyle: _t(tTheme)?.overline),);

  static TextStyle _combo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bb7529647493cbe7db3d0199e9c64a31b084ffe6f9bc8408a5eef9a588daffdd', 37416,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Combo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _comboTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._combo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._combo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._combo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._combo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._combo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._combo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._combo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._combo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._combo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._combo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._combo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._combo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._combo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _comfortaa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9c42dde162aca0ef35c66a372266676483320b31bd2d1069fd2ec3879d092000', 106812,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b1a86afe9202b2f23f62ea6a901f0f299515c34673aea8cf0d8ab2270b4d7013', 106948,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('30b5d292bb0fe9543a8ae812c3a2ce1ca57f9fd6701afafad31156536db5f08d', 106956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Comfortaa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _comfortaaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._comfortaa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _comicNeue({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('03e7eb4282b1113db14871908b545b6c90e66c01c71e25eebd86710af1675dc6', 36488,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('e3f90ddc32d7c1de1802b67c219fcaa9a3363ffd6798d5135d4f660a1dda1b26', 35420,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9d7ebe6d4d4dfaab467fe4a423295d991fdfbf4d1989fcaad2f84c5f338ab089', 36536,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('b5fb7946d3c3a90935983acd29701d85ed3c845dbea8a353f82e297d2c3c0fc6', 35484,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4b38da288c36361aa89d7bd2d0cb55585417eef4ae2b1c087d41fa9d3616eb70', 35256,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('77d1c55b067195ccd5450ef65c41c0bc9adb016fdc56465fa2323318e59a9fef', 35480,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ComicNeue', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _comicNeueTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.caption),button: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.button),overline: GoogleFonts._comicNeue(textStyle: _t(tTheme)?.overline),);

  static TextStyle _comingSoon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('193064f6768240e8165c7b8f6dec7b2dd4cf009b638b76c7b879098469346c5e', 49836,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ComingSoon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _comingSoonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._comingSoon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _concertOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2539111a44381dd36a5a1ab7f50323edd3755088027d0c83419b5ecb88ac14e2', 44788,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ConcertOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _concertOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._concertOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._concertOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._concertOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._concertOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._concertOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._concertOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._concertOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._concertOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _condiment({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('404ef1b407aafc9555242dbfc0416b9761054b9bc16abacf2ab328af7b034b66', 43344,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Condiment', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _condimentTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._condiment(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._condiment(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._condiment(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._condiment(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._condiment(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._condiment(textStyle: _t(tTheme)?.caption),button: GoogleFonts._condiment(textStyle: _t(tTheme)?.button),overline: GoogleFonts._condiment(textStyle: _t(tTheme)?.overline),);

  static TextStyle _contrailOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51cdbe97cef3cc835b94974aeff5d8805b5d25b1904ad5355836afe27b0cc199', 31136,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ContrailOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _contrailOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._contrailOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _convergence({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bee94289e5374af0501d83d8b767d631571ce0a2ab1c16a765bad418a9fbbf22', 30172,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Convergence', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _convergenceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._convergence(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._convergence(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._convergence(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._convergence(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._convergence(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._convergence(textStyle: _t(tTheme)?.caption),button: GoogleFonts._convergence(textStyle: _t(tTheme)?.button),overline: GoogleFonts._convergence(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cookie({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8d01e7c434faf0f6a1c7c2f49021b8ac01590d10ba4cb8c15683299ed0997536', 43752,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cookie', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cookieTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cookie(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cookie(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cookie(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cookie(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cookie(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cookie(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cookie(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cookie(textStyle: _t(tTheme)?.overline),);

  static TextStyle _copse({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ace02d3cf195f5ddfbe562a9361241356d198ed56d25ec6d8dfb69e08a50133a', 59116,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Copse', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _copseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._copse(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._copse(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._copse(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._copse(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._copse(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._copse(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._copse(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._copse(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._copse(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._copse(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._copse(textStyle: _t(tTheme)?.caption),button: GoogleFonts._copse(textStyle: _t(tTheme)?.button),overline: GoogleFonts._copse(textStyle: _t(tTheme)?.overline),);

  static TextStyle _corben({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d7fa399441299ed2b575ab62e7d0338bebb9b110c569b1ab9661d8df90029b6e', 35760,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('101e1a5b8d96f12fffab739f046c3a869a5edc6a0a4d2f980c26cef6648331c0', 113588,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Corben', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _corbenTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._corben(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._corben(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._corben(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._corben(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._corben(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._corben(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._corben(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._corben(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._corben(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._corben(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._corben(textStyle: _t(tTheme)?.caption),button: GoogleFonts._corben(textStyle: _t(tTheme)?.button),overline: GoogleFonts._corben(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorant({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('25d9142c8c73577fb3546a40795e753bab11f4e22663e2f1168cbc485cbaa542', 369920,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('d90d995e2a130e04d6e32ee3778e059092e41f5d9c1c812a659c7ffb52951a19', 241020,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fd04cb22306c1c15bb1727fc4b3d2344de940e929b75dbe3faa9b7f43f9e0d6d', 370052,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('1f64218505ec6321eba3b8df95d0806808f61c872f9c081bce39c00a402a4429', 240392,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('20c11bc6844b3f25ad300ce80d94c0c0fc2fb997b51e04cd1959156c6d78309d', 369256,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('47bba53369e3f5bcda0e230d7e6fe60ae86b40b59b80d57c603c50e273d2f17c', 240280,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c1821d5e327189284afba6a7a2a9831a3025677c5afb37910353410a72391791', 369328,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('c02d2b3a07288427fe5cd64e378eebe86d6a308b6d7dfe0e8cc4d1975d32e0d5', 240048,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a91dc6bed8f499ba7dfc43c8259fa142dc1d0097d84aba2a73c003c35b409845', 368108,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('01317d3f16a7d1e98e9fcb9e49778326433ab76c291971e501f5e721ac437b0d', 239228,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cormorant', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorant(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorant(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorant(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorant(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorant(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorant(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorant(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorant(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorantGaramond({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9e5ae2850e0033754375df527e1bb29ed63bd133553ce65b8d9313dd4cc944f8', 674036,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('86bc19f83cdf358de6e84a3bdbdc0f24e24d47bbdbf7cc2eac80d7bfe24dfdd4', 426064,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5a2dd210ea12467e5697bb32480d20e0ebfbe2c2af1c64b1679567cf3486a8a5', 673208,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('4766c3793328466bbd4f974a3843b2bffb312bd22c98098b0dec8990ba48f5e2', 424232,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('31bc31d93d2a5c505ca03887ae0ad2ad816caf59499f35016d89fe4d5db18ced', 672392,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('e2b5d7b06e08f325bc0513179903b1423183f6533fec2645b64a6e1f24ad699c', 424904,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('25068099ded344cf0919185bae33e11bca97b6c8b1a528dede8ac80325e27c6b', 671588,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e316fc5e36acd433eb0c3ea1b28d8475a1ff9d0da27bf329fa1bd5d54eb870bf', 424716,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b273c7be0b4af1389631638e4f056f5d9066fc17d321e665b3a28d43001736af', 670200,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e1c32c701a4b7594cd169653bc0feceed0160066ce7cedd06999fc884ddd6c02', 423900,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CormorantGaramond', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantGaramondTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorantGaramond(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorantInfant({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9168080bdab2d447729e3f3046722e4d88cfd4cb5a1862dc6d916cba737791c5', 674136,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('e6958c39fabaf907bdde7ba424eb0c17f3fef77c989edbaa01115b1fe5c6e067', 425328,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('47164cf35cfe61e120d0e8c3e775559372e1a738f9e2c57cf85aa05e8c4bc806', 673248,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('84f78b4a61cce77b8c2c9663434b1c6cf0316b556002a2c9ea9df9265533cf6b', 423500,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1d23820c90080bfb4aa4f9cec1e1ef64424729ef0c9b0e977e27806b21d81304', 671764,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('f8a57af623179b25d7e59c823c1acd0563f9cfb6f1f03da9532e49bf49739dab', 424168,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f6a06c7e0bd73d14e395e0d977119af3b5fae58a9ce153ab18a277182316b424', 671652,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e1ae8191f481ca057de000de05308f0098090fd60456b76f13b1ffdc82ac1b1d', 423936,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a03a98979c43146bda66d723dfb38c68b77012ab2433f4eafcbda573433d75b5', 670304,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ceb4474fec6832dee11e5cc5624186c760e7993898bc39599f3fe8248cbb1b70', 423176,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CormorantInfant', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantInfantTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorantInfant(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorantSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('20075e607eb45ea2e8f60f9365f2bf608df1251f443ae12295d751b425dd9b62', 652740,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e8c091c9484c2f6ac490d1613295b59e76d359ad34e1c52fb2f853a8c2ea0aac', 651888,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('85cf334d625e0deec8283f8aa03ec6295e20a52c371096595411dcee4bef2039', 650624,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2a187b0fe3cebc137da0b069c1017ad0c1cfb10ef8992089d21b8261bbc9ad0c', 650308,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('29e53a056b50572310c96ff3a83932d488c6954871aced226c122e7f3ff8b00b', 648928,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CormorantSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorantSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorantUnicase({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8b2f697aa9071850538a594d14122faff09a953f9e6b7897e5284ae9afe2c2b0', 653392,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a075bd869512a69bf9bfcb4b1987513cf71f5b0f8931adc373783f751c44553a', 652624,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('fa07955427124a8c76b2621bceba09805d61cc57efe1c57120f9fd91a46e04ce', 651372,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('34d64ee75c05feffc586b864ce55af03115c3fd6a3c3fabeeef53742fd991848', 651056,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ad4713eaa8a5f3198c0bed735f60707e4cb0c77de5643d8b4df7f61e8a8979a6', 649664,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CormorantUnicase', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantUnicaseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorantUnicase(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cormorantUpright({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('29c9067ec4aab7f8532dfad801cd638d35f8738903ec7c40f80069030e231431', 156128,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d7c8d8d44c6591234b85e43c1b61a5f4adc82016e3c7f315b206cf31fda62572', 155736,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('9e1c85ea60d180f0a621d975977e7e75c7d398a4d4fcb569d2ccadd85c42adce', 156096,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('0d60d4f81c0c154612e2e9b3b5dd56c2ab5e74e4d8e8507d9725ce908a54c914', 156140,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('441604498e23b982bd6adbe6fe749140f9955eddd7a905329bb88bf4ca9a8f85', 156320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CormorantUpright', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cormorantUprightTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cormorantUpright(textStyle: _t(tTheme)?.overline),);

  static TextStyle _courgette({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2754f22af579b8f14d78397e6cc4d3879519ad579085e8c047ba2f7719c592a4', 93820,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Courgette', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _courgetteTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._courgette(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._courgette(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._courgette(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._courgette(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._courgette(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._courgette(textStyle: _t(tTheme)?.caption),button: GoogleFonts._courgette(textStyle: _t(tTheme)?.button),overline: GoogleFonts._courgette(textStyle: _t(tTheme)?.overline),);

  static TextStyle _courierPrime({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4ab28865b2644070e548699748855f2d5a34b5bf8adea09607e18d4a7adc8999', 40588,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('7109c63818181b56013b7ced3e5da53d756aab727e6a9786a0c8a58affe4ec23', 46896,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('385e70d216befbb71f12f5009f1824d235e0f4f2ab653bb0296d5d999afdfd3f', 42136,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3f61e15019812e414a4dba4f3b4fbdda453e8c4dd18deafacb7c55686cef11a7', 47340,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CourierPrime', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _courierPrimeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.caption),button: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.button),overline: GoogleFonts._courierPrime(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cousine({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('753f2dd34e36271520e1bf057a91850492b226f76d6da301cf6955b4b32177a1', 191380,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('23ddf22bc3d06b028fce6e266632d38c97fa151a580be71b5ad43ee7d34d13a0', 200304,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9e472053ed3d50c647f75d5654f0d2ff42cbf5221cb14e1b1af3dc25dbbd6ea4', 191172,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('8b14c04baa12f36602157da1c6c26f539163a93e571133c17d0b5acc34345bfa', 199244,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cousine', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cousineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cousine(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cousine(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cousine(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cousine(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cousine(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cousine(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cousine(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cousine(textStyle: _t(tTheme)?.overline),);

  static TextStyle _coustard({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('657fe3ebd0e1b0402731533db6ddbe6120271871430adfff3ea617c35120f166', 39700,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('c9288e8be500e6cb9ea6f0ae05167d9ee149c0d91fc8a422055f396236b1e413', 42376,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Coustard', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _coustardTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._coustard(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._coustard(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._coustard(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._coustard(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._coustard(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._coustard(textStyle: _t(tTheme)?.caption),button: GoogleFonts._coustard(textStyle: _t(tTheme)?.button),overline: GoogleFonts._coustard(textStyle: _t(tTheme)?.overline),);

  static TextStyle _coveredByYourGrace({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e2e2deb5e6914da1e25b2a2f5161ff4e08d65d6e00d26081708efc7ffacca93a', 57040,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CoveredByYourGrace', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _coveredByYourGraceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.caption),button: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.button),overline: GoogleFonts._coveredByYourGrace(textStyle: _t(tTheme)?.overline),);

  static TextStyle _craftyGirls({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dc184885668047ca66db5a530c0462f1b1ef2f2d6867b7f938c59dbc9d282de2', 61632,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CraftyGirls', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _craftyGirlsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.caption),button: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.button),overline: GoogleFonts._craftyGirls(textStyle: _t(tTheme)?.overline),);

  static TextStyle _creepster({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bb14e63f8fb5e6bd8706e47aea59d9e2b6b3da1b2f987d1468a6ba5cda2d1fc1', 62700,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Creepster', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _creepsterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._creepster(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._creepster(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._creepster(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._creepster(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._creepster(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._creepster(textStyle: _t(tTheme)?.caption),button: GoogleFonts._creepster(textStyle: _t(tTheme)?.button),overline: GoogleFonts._creepster(textStyle: _t(tTheme)?.overline),);

  static TextStyle _creteRound({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('62fbd9c68fa6485a1a4fde14a03ed6a5268f26365fff7614e5704531390f0363', 59264,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c8e915bc50126a1af673b8fbd3181aa9f8eac78545ec1b8d827ac5bac66b5cc5', 67216,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CreteRound', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _creteRoundTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._creteRound(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._creteRound(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._creteRound(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._creteRound(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._creteRound(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._creteRound(textStyle: _t(tTheme)?.caption),button: GoogleFonts._creteRound(textStyle: _t(tTheme)?.button),overline: GoogleFonts._creteRound(textStyle: _t(tTheme)?.overline),);

  static TextStyle _crimsonPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('8b66abfec21e34e91fc61b2ac08084816d4d166259ea2198ed01578a1ac727e5', 89240,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9abd9060a62aa38f10dc60738f37bada274814485a3b3bef4353cbc2503358cc', 89212,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('510241ec6793070724a690b137fdfb9f98422a611b8f81c1e6f22d345a0fef65', 89216,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c758f7367d51b291ba0a17386117e7269f7a438bb2dc40acedc1574b113e43e2', 89248,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a0668cef91f47f8b6609de80f66e247d934bc12467bed847c61ad8397297db31', 89292,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('37a3b4d93b35047eba32401d0e748ed133547287e16a5bacc9e40c85d85b489c', 89208,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('2fff124d10656b451037180b7611d390d0fb4f603400346db8986461325e2503', 89300,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('1e12367e6d503736e81c46a7e8dec43a84b804f31bcd06c8cd2e318cac7888b3', 89264,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('02069dd1baa583bd54af1c82cd1979f3a078ee4087ddd6f64eb34b23c9370ee1', 91212,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('96b97a5f9ec116f9f218a3b7de6daa5e95e9c6cb1c49b21f12e2df59d5ff2380', 91168,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('737b0264b20a8110302dc2f70673ca8320d865b82c59d69c354a1e54b2edde3e', 91044,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('654dd004b7fefe64e3ef615227b16e1da3abce493c844e6359cebe3bc1e98f18', 91188,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('c98a3ef2ed0a7bc571852f4b28fe383e22c671bf9696106fb88605680abfe9eb', 91192,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('dfc39b2565c337e814711b840e339b33b5f5b223042561963c34a8a4cfcd41c8', 91052,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('a2dfc4edba8a2ecffbdf37c1e7ffc640034bbf2e83449b7e5df15e39cd78be80', 91200,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('a99ef7991d1f3adeaa296d774cdf32d4441511e024a0bf21a52b3cac625c49e9', 91156,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CrimsonPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _crimsonProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._crimsonPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _crimsonText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('883d56072155a485051564cd3019bb34a608ddfa0553e2295413e7a59c67bd28', 186656,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('33025a7588fc7f2ca1b8eb2b599e2420ad23278ee100a8f7e11c881d385af57a', 98404,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('37e75069b54a5c937eec2ba3fd3d193e3825fab2122bef2b86d86bc5ff1caab3', 76316,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('15672e6c5d2b277c8dee2e6dcbffc17d3ba0c9a3018c446e199636f68dd227b1', 74068,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c6bfa338154c86d462eef6a8dc69f2443ecc35740bbdc2f2da06e7599c037cbc', 92296,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c79dc3f51f37e16300b571c6835d06bff022a018b65d9ea69f1f897137acc238', 74264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CrimsonText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _crimsonTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._crimsonText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _croissantOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a51f330afdb3504b94cb09686589076855186483e4e89665623ebe0f655ce6ec', 54696,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CroissantOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _croissantOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._croissantOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _crushed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8487a87e68819238f02206a3eab5aedf7deae9e72b1010c364816df3934ab08', 57404,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Crushed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _crushedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._crushed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._crushed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._crushed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._crushed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._crushed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._crushed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._crushed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._crushed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cuprum({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bddf1f3b7162539ab2c939e699c275d83ee353437fc657257d945347dce5c66d', 69128,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('27d4e15720e86dcbe0f0f3e93656c40e57203137b143f5a396d8a56e654963c8', 73796,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0a3719a13307973f16e4ebfb3980da3f7d190316e71ada51aa42650b95524c97', 68608,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('9bac99436b2027f87f8c0f692398a62b76be18874fbda4ea2b56aaa99553e6b2', 73828,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cuprum', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cuprumTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cuprum(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cuprum(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cuprum(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cuprum(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cuprum(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cuprum(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cuprum(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cuprum(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cuteFont({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('264e6741d6541397294f9de009ed33b609adf005445eaf7a346c99b03ae75feb', 598524,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CuteFont', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cuteFontTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cuteFont(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cutive({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2e0849ce3a9bd06c1d093ce26a2727da8b032430d3d39d191cfd79df0983d490', 41960,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Cutive', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cutiveTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cutive(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cutive(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cutive(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cutive(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cutive(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cutive(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cutive(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cutive(textStyle: _t(tTheme)?.overline),);

  static TextStyle _cutiveMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0582d0fd288afe72a3eeebdace411705bd456580eb96ee5ef7214afd771ebfce', 47056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'CutiveMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _cutiveMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._cutiveMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dmSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e518fdb0a5c0ebe0d1d1b02a9025067837e79d235418ab9dc8366e7ce87fad55', 43504,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('de4a1215c7928ebdd157181021531f87614894038bb9396b05826b7ae9595611', 44712,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('683cd0ce949642886f9652656cfe66d569a79d1530fcde104214769c266ae121', 43300,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('c3126b61a6d535d42dd4e6e4eb66648863d4d4f9bf639d63da74d20cb3fa1fb4', 44576,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('940d8601e85100233071b73474474f0ea11612beecddd6da32efb7cd8a3971bd', 43236,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('579b8c8cd4a4fd71ee7ac563e399eacbcba63f3f8556516c95830d98bb9fbae9', 44512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DMSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dmSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dmSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dmSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dmSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dmSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dmSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dmSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dmSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dmSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dmSerifDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e1157689ec181ea520aeee52f8f7f8c16e0ced52d30800c402aae31faf50985a', 56068,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('007cfd580d7b1323a1b43156d2591b8119745361daba6117832dcbfb0146a36a', 50564,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DMSerifDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dmSerifDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dmSerifDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dmSerifText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8fe3c6727cf74e86cfd545dfe7e6aa3a1dbdff9563e84e085acd65c07f633744', 56120,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('13b9bbb9c2b065c645eb14efbe2bc8dd2a4e41e635d12f8bc15b532e1d5fc628', 50372,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DMSerifText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dmSerifTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dmSerifText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _damion({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2b178966c9329bdd54a10c83e076dc1647443dddd2471c9aa477780c6852294c', 51972,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Damion', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _damionTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._damion(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._damion(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._damion(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._damion(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._damion(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._damion(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._damion(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._damion(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._damion(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._damion(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._damion(textStyle: _t(tTheme)?.caption),button: GoogleFonts._damion(textStyle: _t(tTheme)?.button),overline: GoogleFonts._damion(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dancingScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('40f021e25f9f4e2b67f5072ac941218596581a1621931f44173cbf5245b91fd3', 90100,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4a2aa446dc86aad49ec46eb66fb313889bded9ef23f286664bba90a2eb156f87', 89456,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DancingScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dancingScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dancingScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _darkerGrotesque({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f789e82ef267fb0b5f0798267ba5e3340b661840b52e1de87f7830b7d87a180e', 40352,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('60303e0b600c0176b00422a680228f744d38795fbd8d35344f494b02400628c1', 42704,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('a6e1eb6614b97b3298d1d253f5ed4399556da5b06bb191596cebfc813bdd3505', 42568,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('3e516ad3d1d4cec56249227f367cba1e2830faa7cedbcf49abca81e7c202b434', 42552,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b56136288e57809ada8707a74f6756261c3763b3a2686398738c1fd25f157d9c', 42600,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('cf5f4f44b908aeed8723415a103b1ad9c5550388d2c8e139adab630a61a74712', 42632,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('eae6b24bfd325c090ef4a304519707f58942487ea7e118bfe036175f8c4690aa', 42032,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DarkerGrotesque', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _darkerGrotesqueTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.caption),button: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.button),overline: GoogleFonts._darkerGrotesque(textStyle: _t(tTheme)?.overline),);

  static TextStyle _davidLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8319053cbaa4074884c0364b74327548dbe246119e76a214a864d9d55a12353d', 91296,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('288d258f0790230352ec2d9b0eef7f533d14554250a99cd0b5cfc80c349d2b38', 91348,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d02a7be354414e34512a70b5f00901c7c3c4e7df88c6bab47e8ed2e50c770c71', 92540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DavidLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _davidLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._davidLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dawningOfANewDay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c8fb2c187b599f0368577f599628c83a2543f4c757231bb2c0843e98624eeb4a', 65320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DawningofaNewDay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dawningOfANewDayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dawningOfANewDay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _daysOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d74812297ac57cf4ce637c47f01cbcab907136f76e2a4028e2ad1e80bd7b8ab0', 65556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DaysOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _daysOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._daysOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._daysOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._daysOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._daysOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._daysOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._daysOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._daysOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._daysOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dekko({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('71d66d24dfda326e074654507fa7b6be6a766f318cf01f17b000fdc6f870fb4d', 214656,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dekko', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dekkoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dekko(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dekko(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dekko(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dekko(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dekko(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dekko(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dekko(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dekko(textStyle: _t(tTheme)?.overline),);

  static TextStyle _delius({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('882839f3551cbef380971b00494ffc16ba5b2f9841166599a0248fa4f6855cae', 77440,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Delius', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _deliusTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._delius(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._delius(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._delius(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._delius(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._delius(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._delius(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._delius(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._delius(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._delius(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._delius(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._delius(textStyle: _t(tTheme)?.caption),button: GoogleFonts._delius(textStyle: _t(tTheme)?.button),overline: GoogleFonts._delius(textStyle: _t(tTheme)?.overline),);

  static TextStyle _deliusSwashCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8a724c6c792da2cb102b6583bf9f9ed02312ab78bbeeb3c6a6efb9ddb096ae29', 63004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DeliusSwashCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _deliusSwashCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._deliusSwashCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _deliusUnicase({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3bbebd3cb94431156468b1ce457ee032a1f68d964171655b60f5ae2ecf0243cb', 32856,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f761b09efebd15e0a91eabc186d565aec75f56f2b04f9cb1ed1f72d91be340ef', 36072,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DeliusUnicase', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _deliusUnicaseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.caption),button: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.button),overline: GoogleFonts._deliusUnicase(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dellaRespira({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('62fa46916df65faadfa21dd5608cda99cea245fc2f736046a2118b3a95fa93ff', 51140,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DellaRespira', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dellaRespiraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dellaRespira(textStyle: _t(tTheme)?.overline),);

  static TextStyle _denkOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('213821a54136d58fd7013e4aca0f3b0307e9ec564c83ce75d6a9e63bfb6b1714', 36128,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DenkOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _denkOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._denkOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._denkOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._denkOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._denkOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._denkOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._denkOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._denkOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._denkOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _devonshire({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c62bc196f0a12683281e3842a99600f4f4755582173bca74502c02f9cf997854', 67192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Devonshire', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _devonshireTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._devonshire(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._devonshire(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._devonshire(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._devonshire(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._devonshire(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._devonshire(textStyle: _t(tTheme)?.caption),button: GoogleFonts._devonshire(textStyle: _t(tTheme)?.button),overline: GoogleFonts._devonshire(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dhurjati({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee0b382be9acedd63b3e624d49e646e5951cb5e8d54c0724ad01128bd8690012', 546952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dhurjati', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dhurjatiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dhurjati(textStyle: _t(tTheme)?.overline),);

  static TextStyle _didactGothic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c28f009d8ad88ab0414e29aabe1ad9f19a95836e772d9cb369f27a1ee0b23fa0', 132548,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DidactGothic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _didactGothicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._didactGothic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _diplomata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ff25ccc70ef0385bf72a71864293132375bd427ee6e3f974f22a732523948936', 43060,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Diplomata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _diplomataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._diplomata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._diplomata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._diplomata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._diplomata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._diplomata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._diplomata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._diplomata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._diplomata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _diplomataSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('35ea29b9848142b1f5c17b6b53c1ee204e69fe31d85cd0d67ab75f358b968c33', 42396,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DiplomataSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _diplomataScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._diplomataSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _doHyeon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f24aa5cecd71141bf907f712b4e1a8d1ae20bfc48e6f4c397af431431965c7c3', 408356,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DoHyeon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _doHyeonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._doHyeon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dokdo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b88083d5e2a376a3766403b0ff323016dd93814b3d540b48859e517dbcc28d08', 1385696,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dokdo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dokdoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dokdo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dokdo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dokdo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dokdo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dokdo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dokdo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dokdo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dokdo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _domine({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7b5d61cb478ce2e3fd32416939a39f3b9aa118d0eb76c107195e0857c44ada1c', 89788,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5865b0de838f6cabefc862631b06e8c7e86a0b8865e9ee530819d8590dd23e6f', 91860,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Domine', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _domineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._domine(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._domine(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._domine(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._domine(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._domine(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._domine(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._domine(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._domine(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._domine(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._domine(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._domine(textStyle: _t(tTheme)?.caption),button: GoogleFonts._domine(textStyle: _t(tTheme)?.button),overline: GoogleFonts._domine(textStyle: _t(tTheme)?.overline),);

  static TextStyle _donegalOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('75cadf3ba9559e8ba497b68a3e7695d2c733b4ce2264119f7f181974902025ba', 44828,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DonegalOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _donegalOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._donegalOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _doppioOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('72f56b16a716f87ccdb2d2fa52196eb1c365c8b142e58ef5bc106a01345cdc28', 36952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DoppioOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _doppioOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._doppioOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dorsa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0126c6beb66497797a2fe86e3ceecbd95fadcc67cd7ba35e2b604acdda520730', 20796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dorsa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dorsaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dorsa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dorsa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dorsa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dorsa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dorsa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dorsa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dorsa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dorsa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dosis({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('3ae9ee353b3e8df71d17a46208649ec71c145848f8db69eb86b9cc1c129304b7', 82420,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('be02e69501081e964d549ca957d036bbb12e816c1d224d1ce145ca31499bdfa0', 82544,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('313cd3d73107761779313dba36f6ec6a100a5a4daf06f4b78f8f733538936cdf', 83240,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('b1bef4924c728f63829085fe2ca4995a6a41c495df45c5830d51bf649e273031', 82808,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8b8741fdb78479290fcd114044c58c9263670dd32db70b744dd56764a8d0b734', 82668,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4124ad4492dbb70075dd1bce8976da33cbad57f2fc10eeedc7da35592285605d', 82876,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('4a7b18554b3247dd3b1384afabd828043b9a9417221c7480c2bb78a99bc4190b', 84236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dosis', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dosisTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dosis(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dosis(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dosis(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dosis(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dosis(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dosis(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dosis(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dosis(textStyle: _t(tTheme)?.overline),);

  static TextStyle _drSugiyama({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('222640befef81fb644265039a2b7df8ab86103b0d4427b5a88b9fb9ebbbcd273', 39880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DrSugiyama', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _drSugiyamaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.caption),button: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.button),overline: GoogleFonts._drSugiyama(textStyle: _t(tTheme)?.overline),);

  static TextStyle _droidSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b1efe4b6a8b73a7069e3a5ede472fb84130f7ffaaded682d112e93f0d0fa5a9f', 25204,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('32b87a290fa91f892687dcef391f2b06945d1be8f3dc243b55ffb118388368de', 25328,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DroidSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _droidSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._droidSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._droidSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._droidSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._droidSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._droidSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._droidSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._droidSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._droidSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _droidSansMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9dedfe943434b0c1c69af3c64930ea43797584f7c25bfe1bafe167c5b9ed0909', 65556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DroidSansMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _droidSansMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._droidSansMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _droidSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dcdbbe04f7d65d6dd062e948aad5cedf59b28322fcd555a4dbff9564ba77f032', 28380,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f2412575e58a24ba7f60d09803924763e7420e8a18ef8535551454a69b0e2765', 23792,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('11fcb243238a8c4df11d23a99078e060b56b2f23e44efcdf3323fde6290297fb', 28408,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('5072734295fa76a5684706f1c6fab998057ea2dbd03ed74b92b6b105d694e505', 29980,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DroidSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _droidSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._droidSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _duruSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('97e1b1a772ca2113d6a27390b0c7b2ce1a3b72cebf29a876a253b200136fd5b1', 50832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'DuruSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _duruSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._duruSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._duruSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._duruSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._duruSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._duruSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._duruSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._duruSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._duruSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _dynalight({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3380e0bde50ff63e8151f548155d2d265154e826a3fcd8e17eda92dd29d14064', 52732,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Dynalight', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _dynalightTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._dynalight(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._dynalight(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._dynalight(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._dynalight(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._dynalight(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._dynalight(textStyle: _t(tTheme)?.caption),button: GoogleFonts._dynalight(textStyle: _t(tTheme)?.button),overline: GoogleFonts._dynalight(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ebGaramond({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('45b9fd8b021be544bd8edb0bce9007faafdc3029fdb0f19e4deb80b50e9c4adb', 231176,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EBGaramond', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ebGaramondTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ebGaramond(textStyle: _t(tTheme)?.overline),);

  static TextStyle _eagleLake({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6a898ae440d1344e4a9d2174f6ee6479f00108b9baa6830fa6535a8cae6185fe', 77584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EagleLake', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _eagleLakeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.caption),button: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.button),overline: GoogleFonts._eagleLake(textStyle: _t(tTheme)?.overline),);

  static TextStyle _eastSeaDokdo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('28e44e5875cc0c761d9fa6492d1a738977cb5a555b57aa3016e44e2a138df2f7', 3175644,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EastSeaDokdo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _eastSeaDokdoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._eastSeaDokdo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _eater({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c8bc103f8051b7be6a60a18aaf892d18014b8c4d925fdcea5d77a5830c3cbb47', 83904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Eater', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _eaterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._eater(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._eater(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._eater(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._eater(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._eater(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._eater(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._eater(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._eater(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._eater(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._eater(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._eater(textStyle: _t(tTheme)?.caption),button: GoogleFonts._eater(textStyle: _t(tTheme)?.button),overline: GoogleFonts._eater(textStyle: _t(tTheme)?.overline),);

  static TextStyle _economica({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('73b7c6770eb6ca35b71cc345a389203c788cc27aac43302793865dc33771dcd9', 26708,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ce63d04fe7b161c08efa83fba9b4d096be6f6390a294e904e16f2d7eecc90820', 27644,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2886009c049eeeb1a75ea749115fbfece59efeb95fcaf29b5f8a82a8c680ab99', 27148,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('d8f54eb9ef53335c26d3f638df8a0bcbdd291dff65990970ea5cd5a2529dfd91', 26976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Economica', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _economicaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._economica(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._economica(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._economica(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._economica(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._economica(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._economica(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._economica(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._economica(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._economica(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._economica(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._economica(textStyle: _t(tTheme)?.caption),button: GoogleFonts._economica(textStyle: _t(tTheme)?.button),overline: GoogleFonts._economica(textStyle: _t(tTheme)?.overline),);

  static TextStyle _eczar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c6e04a6ef288e1fca3e9420bfd9752bfdc230a20ce55a05855a8896bdb763a8e', 196536,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d91586e1decf2874b409ef01f87cf50e9725e5f419ea08e5158a6c0a06595fbe', 196484,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('ba1eb42528b2001e261653b3e56b8566ae08e9a3a6709b57e20f58b84b82a76a', 196224,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('254b1a9878dd1e9479e9aab40683ad5d17b35782b413a724f71d89952f460b39', 195864,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('d9144eab6daf83585fcb44f4726902a8cbca81d5df060ed6f09787fd5192239f', 192624,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Eczar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _eczarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._eczar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._eczar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._eczar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._eczar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._eczar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._eczar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._eczar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._eczar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _elMessiri({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('05a194beec1a2e2d57ac0ee1d517ad0b59142391481adbd18fee77752639ddda', 81504,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('9da80f76bf936a3cccb71afc2d2a95fcb8eb5be79a494c0b44e5e75f61031a05', 82784,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('dc6415daf94f76a9dbea542ec17e7df4f5b01a18796c44448bd0c817cd2d433e', 82764,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a25eabeb2e7f6f2cbe92e832bf052cb0bd0930c95b6457ee6cb8469552b97c63', 81596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ElMessiri', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _elMessiriTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.caption),button: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.button),overline: GoogleFonts._elMessiri(textStyle: _t(tTheme)?.overline),);

  static TextStyle _electrolize({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c68d85c8396ce2228f3bd601b3423d838c24c546404f25a38db6c05e64a4521b', 34676,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Electrolize', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _electrolizeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._electrolize(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._electrolize(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._electrolize(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._electrolize(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._electrolize(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._electrolize(textStyle: _t(tTheme)?.caption),button: GoogleFonts._electrolize(textStyle: _t(tTheme)?.button),overline: GoogleFonts._electrolize(textStyle: _t(tTheme)?.overline),);

  static TextStyle _elsie({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bc0b83b9cbe3b25809361a2f4e495bdc9f10756f669072da3bc89689a42c8845', 40644,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('9aca439d3b5c4abdf62ae59fb1a643c185345724ebdb002f388d25d7926f8f98', 41932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Elsie', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _elsieTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._elsie(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._elsie(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._elsie(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._elsie(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._elsie(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._elsie(textStyle: _t(tTheme)?.caption),button: GoogleFonts._elsie(textStyle: _t(tTheme)?.button),overline: GoogleFonts._elsie(textStyle: _t(tTheme)?.overline),);

  static TextStyle _elsieSwashCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5073c3bee53b70fcf6b284c6882db47468b86bb95077b497007cfecf47b76bdb', 37692,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('b3610e846ce9868a9ba2c54980426523ef730f265ae56366cb7fa77fd9cdce35', 38904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ElsieSwashCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _elsieSwashCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._elsieSwashCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _emblemaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ae7300f04f026825b14eaefb3738782763992c203df0821debfdf47a5bd349ed', 61832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EmblemaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _emblemaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._emblemaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _emilysCandy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('333e01b7709d7ade3e2afa1ce5b5d193cbb59ce4909a4bd8a9061d7f12368e33', 236800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EmilysCandy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _emilysCandyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._emilysCandy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _encodeSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('8c0f6eafec00e65a8d851e33e6e7e658e34b858ffc9f2ee39ec4bf972891fdf0', 123088,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('3e78947fa53e3e3269b141c073de12ac5c7ad7767084452cf00d157c8c0a623b', 126316,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d81973e76c4a72a0723f8d83671c01e6a763e4c108b05dcb921abfe786017850', 126120,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('726603f17d4dde111b9e7c3a3ceab5b48d4d9fa010f95c39308a05f7744918c7', 126176,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1e6070ed7f7df855034f826d501716460f36b8d45f7920099539a66c5ccc44b5', 125848,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('7ed81c5a76ba3b44f2c7b4faaee7440283325e7bbe8efbbd976893ed9798166c', 126108,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f2bf7fce49ca2e3dd0d2fc1203ba30dea4e97ef171f1d693e9e21e23437dd8b8', 126352,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('474df7202478321bede629db8dd5a6720566e44763591e17dc881df6a0b50144', 126980,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('276a8dae33896588063889970f61a2b2ace3957ebb2024662e9637dc144c0e1a', 125896,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EncodeSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _encodeSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._encodeSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _encodeSansCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('c2d65f9836891e7be8e4f366b0daa5300822ec7e50add6db5597d2947739ea20', 123152,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('138b74330c8e0d86094f3164019df7594d74187b1d46294fc1be869488146eb5', 126308,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('c2fbe98bd01eed6d6e9965149ece772f8df140fa27924151375ad388148a46a3', 125988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('864d5dbdc88484d744c5f412429aee361f61759144cb2a09436e172e49cb0396', 125864,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d681997db3c7754ba70e3d8b22cbe560677787b73469a962a069f9e257235795', 125816,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8c085d57fde1c82f5051fcdd197852a958132024196a3989c6ab00f550576534', 125612,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a9dde6d2d55aa492820fd930f6d9358fe60b27d9deb328384adca6f7efd4984d', 126044,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('e295aa9a8ecab00ca9e9012a789c72ec620a1e03dabae570058ecf0b61ad43f0', 126828,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('65117e9c412bff42a1dd46d75a60d81bf0f70390e437c1d689525a2c422e4a71', 125332,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EncodeSansCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _encodeSansCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._encodeSansCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _encodeSansExpanded({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('380345d9f11a5d51121f04ec7692992b4393552df2a3a7d880f4fee2445141d0', 123684,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4a7de0181c2afd610c6c4f4cdd0c1b277e273ce075ebc1aeac436fad20e45419', 125872,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9b50fe9a059788e12206f492db451f122f3ae30e6b8aa5944b51f4fa9b128373', 125664,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f2fa9b86d419104b4b7ab7aa2d8507d9998032c843e7127317c103b55c3900c3', 125524,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('9ec9211a546cbefbb5fdbdca840aa8782bdbfdef2bc24a03e769b5676d869dd1', 125672,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('57adaf522bbff1044518d732d894dc3b9619455577129c3806e15c41ab7a0cf0', 125848,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4ff65de1f2f27bec57c2af88329ff74b61c90a349cda06d054d87125aa4d4588', 126108,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('93137f85c3ca94e2b0d5d2501170e4b955208bf20d99d3279a12420033315efe', 126540,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('bc58d2db7b8afc49e3bc54a2ffd46ce334497d9361768e992654a18428895228', 125144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EncodeSansExpanded', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _encodeSansExpandedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.caption),button: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.button),overline: GoogleFonts._encodeSansExpanded(textStyle: _t(tTheme)?.overline),);

  static TextStyle _encodeSansSemiCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('05e33431ccd816003d590171a6110b72fc3f122c224c46c4f5339f4919b57873', 123124,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('06726656f1a2937a42770740e0772bbcd1187d2bdbe2f5bfd42bab081286b643', 126604,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('6ea764a1fca4cd3308fdc9f6284e890fe9ef8409ab991115bb08a4d0be1b544a', 126332,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ec67d15d3d449c0b0cf65c4fc57fbca88395b306ff4f30d409b4c8eb4d06abbf', 126216,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('972df21a043f38bbac81d476692cdd0ccea7537ceac026fe837daf17c4836aa4', 126012,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('654f95bfaeb0563e8a7622832f25016d47e3f8e60e4dd59c2ef9cf3835f5e1b1', 126148,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('99c6ae51b272d20f915f0c4b8454b27ac9400423ba0a207b770a7dc3201f9d5c', 126476,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('7d33b1fd6f457c91d58d3287767a4f0089fa3fd5ee2c18539c597f8a895b3646', 127116,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a7075bb5ddbdaca47f1356022fa375630ca868fc11d6ac6e53026c8bac0888b1', 126184,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EncodeSansSemiCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _encodeSansSemiCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._encodeSansSemiCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _encodeSansSemiExpanded({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('dac238a8febf393531eee30878adc66774dcd33b426136f91db2c3094cdbbc87', 123324,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('a57cc45a15668d01ed3de253cf2cdf14b05212ccf8f5ed876ecdf23610598f7d', 126728,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9ce3f3d0f672e4bdcd7688f38c1ba9cb57ed89bab6f5028da4bb87ed3407edd2', 126540,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7e3397e73831600b41c8b2381dae7b2f9fbaf91ad2dd7eda631a23dcfa4b9d95', 126584,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('3fe7f827d5bc65690cf565f4e5a7662f8ae67d2871679b9cd6e8551a94ad4faa', 126272,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1ab6bbce3162ec2c3cdd343f0ff38a4d8988517afb002ad887736c6a2df3a9d1', 126556,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('35e2e50ea2e448f64fd31c6479eedc42e754710a0efb4e16fb6bc55724dc3b0c', 126828,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('aff573a59e5988f277836dfe45250f8fb62d9289084f3798c5b8d3adef115da9', 127356,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('f945eac695f316de1c89017007aef0369d2d9c13e4564a642da83224ea32e464', 126324,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EncodeSansSemiExpanded', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _encodeSansSemiExpandedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.caption),button: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.button),overline: GoogleFonts._encodeSansSemiExpanded(textStyle: _t(tTheme)?.overline),);

  static TextStyle _engagement({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('14dc139d3b6796ff833b0eb8daf08b16fcc822ca78db05a4bb8c6e65c16507ce', 75992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Engagement', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _engagementTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._engagement(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._engagement(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._engagement(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._engagement(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._engagement(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._engagement(textStyle: _t(tTheme)?.caption),button: GoogleFonts._engagement(textStyle: _t(tTheme)?.button),overline: GoogleFonts._engagement(textStyle: _t(tTheme)?.overline),);

  static TextStyle _englebert({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5ceab7490f339b83c9f46a3baf7274203de3e060802b185fbd65c2aa9f5ec76c', 52632,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Englebert', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _englebertTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._englebert(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._englebert(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._englebert(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._englebert(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._englebert(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._englebert(textStyle: _t(tTheme)?.caption),button: GoogleFonts._englebert(textStyle: _t(tTheme)?.button),overline: GoogleFonts._englebert(textStyle: _t(tTheme)?.overline),);

  static TextStyle _enriqueta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8efdf359579cbd9731b621eb32ddd55b3311bb4f3efe2479e1b87a731deb2b3f', 53432,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('75092b77ab687551bb7a93707771fa18a40ebfe0621befe7dbaca438b8a8c954', 45192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Enriqueta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _enriquetaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._enriqueta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ericaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('718a969fb44854ce221ced461f15a49e4e53dea2478eb4fb6bac911b5dc5a99b', 25996,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EricaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ericaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ericaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _esteban({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f0226acf9a0738f8dba187bbb11a569ea1e5329575144243525a23e543276b37', 46456,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Esteban', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _estebanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._esteban(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._esteban(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._esteban(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._esteban(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._esteban(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._esteban(textStyle: _t(tTheme)?.caption),button: GoogleFonts._esteban(textStyle: _t(tTheme)?.button),overline: GoogleFonts._esteban(textStyle: _t(tTheme)?.overline),);

  static TextStyle _euphoriaScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('49720d65299334ddc97b89311f78ec792b2862791a226a49f7bb5f8e19d709a5', 38376,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'EuphoriaScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _euphoriaScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._euphoriaScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ewert({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e2a4aed1fe4d33019eb7c6a9273a251e7f28ac19b2820f61ef61329d32cb89a8', 70704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ewert', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ewertTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ewert(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ewert(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ewert(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ewert(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ewert(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ewert(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ewert(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ewert(textStyle: _t(tTheme)?.overline),);

  static TextStyle _exo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('2eda7d4b0bab32b1724ead985ca4ab23ba46b1647e60b50df836f3e142105e85', 109668,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('5315edfaf9326a2112d609345e056a733da22ecf1c3aed8f0a78d51539300ec7', 115720,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('b9271134900d316a8aa07b17a3850ad179e6c77b533419aad39926ab5fbbba5e', 109812,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('58251d3b9daf7e91b2c9371c9800e0dbcd1374a54b0eee6b026a237c4d9fe63c', 116352,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('bf846eb403540e7bfaae3e3975ff0577b88730403c02d4b2e57bb241e7294e1f', 109416,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('278cc62e59aeca97f6e14f44ded0943df0201e7aa692faff1b40a9e6d7b22dc0', 115868,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ab24d45bd0887f54e98614ec395c5addfe82b0e8389b4721f5465954e1e2f060', 109144,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('b79a6db3b900824a3c9cbd804a328bc0bd070b648e0615e9a45f5a5c0eb8dd63', 115404,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('cb038971b993fa7fa126ed43d4dc54e20af90eeb8213b0c2a9c735a2c82c0d4e', 108848,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('224493dbc8c8852c0a452618d375990f1383d43ba5f9f4726b4d87ec6c6f50c0', 115204,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('754632bf7096e73d05f2e15e3f52a82b34201bad1aa105d6e650de745d120eda', 108772,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('397a2c49640d1470bf9df914dfbbfa914148dd86642d25e248193a1f649b27dc', 114872,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3b0e87021af2542173d6c39db5a95d9e18ba59c0c9aa7ad37b6df04523947309', 108476,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('75d249c747ae8332516fd6d2c3996d3f2c440f659339765dc8e13a97f942ad64', 114360,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('5e5a390588a0eb152906de109ebd9c65d662628da5f1afbb3d17bd4a237c873d', 108380,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('0c6ffd7e0358672dd7d40462c46a11562e062f1cab60d82d80b8a71737cb3141', 114288,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('9d12eeaf10d56d2e39321c9d10253d25ccce5e188ab6684ec5eac5d7d9ac99be', 108500,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('5a6cc3dfdcfe4e6990da4fa3f55a861ed2ae701a0ae1a30d30b23daafa215604', 113996,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Exo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _exoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._exo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._exo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._exo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._exo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._exo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._exo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._exo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._exo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._exo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._exo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._exo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._exo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._exo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _exo2({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('f19c0e2523de9afe6da463f303aefcf3e38b416875d48ef6c98328379e1a61ce', 73868,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('d39266e34642d4861ef777d4d3ae4150ae0b18b16d94713a78bb60cf03bf85b4', 79980,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('dbf766d9b363fe87cee0afda4c59bc8a59f1c8d0a0d245063c720108d85dd9d6', 75360,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('fb55978ca6abd55f49aab78def94b5c8b96bed1439a6dc4dae6dd1d0596ced50', 81004,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('64d41ba51bf8991e5322fbc8d80e400281604f70cd061562aad4bdf6aedd582e', 75152,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('110c181389ab4ffd19a1212a2c7b53e86dd2deefa76fbd3208663e85b34cd46e', 80724,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a0dfef91dddc6d2e9820c4faf4c31bfa1533f090efe935e91150ee1b4cc59f4f', 75456,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d7c5bd167ace5154cd5e8806a913d620cb479062db24c06433f7f38b3e6811cf', 80784,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f9b5326ebe6f800499e333e88b5d52d47d995cb1eb20ce541991deb5ae2792a4', 75568,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('6abd6d5f1ca760d693fe03958a2e85de8ffeeabb5e2794bc2725ce8775807924', 81168,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8999193c1336c6f666fba9f56ec1d12485be48c9f31a2e97e00056b311d2b79a', 77592,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('73cdbc23b75cf90b91216670334c663046fe0b9d08f39991d5b9d26942b358a0', 81332,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2fa1bb398f33123661ab6d19927457c499ee32ba16819269d005ec1a4343aaf5', 77316,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('656cda11a815f2f5c7ef493608481f3ea6da47880dbcc3b6be65059319597393', 80652,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('88f76cbd5e824b5c45fb8278750d69a37690ede91efd8901a27dc5f20c69de70', 77484,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('fa96b010fc061593439675e03f0f7b4f36bcf4ef79b2f68d5820122313c84ac9', 80764,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('78b737edc063f02e62ffc88e8b71820aa12f17972b3dc70d9cc6aa20cbf8bb81', 76568,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('9c49337689c4c8e998cdfc92575356ddef9b8d31b07c19c2e7d466c806b5de15', 79492,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Exo2', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _exo2TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._exo2(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._exo2(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._exo2(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._exo2(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._exo2(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._exo2(textStyle: _t(tTheme)?.caption),button: GoogleFonts._exo2(textStyle: _t(tTheme)?.button),overline: GoogleFonts._exo2(textStyle: _t(tTheme)?.overline),);

  static TextStyle _expletusSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8e8194fbcb2069328e5c506a10ab38e405a359ec0ab5c0d2379659cdff0830db', 26352,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('072928d584fe0a92e93d576c43798a1dc6d1bf065c7db59d28112cb4733cad2a', 27304,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('b5cd6f4acc507801fef499ca08c7da56ff9e5df77a4ba14eac1718e7ccfe49e5', 26656,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('b16455d3607896d0b779898db128a332df5ed111317da3f1341a85a07317b209', 50592,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('732974a8456ad103e02e3ad28c0844e71113017aae30a88969af3ec454dc2043', 26636,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('935e18b8d6f075d9b37b0017bde129fd0e68ee0800f60eac4c68f6534c528aa3', 27828,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1f5f64f05469211d27b24f1b1f39e57ec0ca9e4211a24b28c336f629254bd482', 26620,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('77c1827497333ee775fc45b32a1c0c2da85ac489afa78e6ee3808130e850e355', 29012,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ExpletusSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _expletusSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._expletusSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fahkwang({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('07a682d6bc044cbd486744e34dcb061077bac07d9501f34c8f50b67aa2c02b7f', 79476,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('c9cba18dabd9762bcd5cd460bbc145d71a364a65255b3ff8514cb385997506c8', 82060,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a4f936e2bce0a9dc318b8e50537d34ffd7475cd6199842a810f7b9ef9072cdae', 79520,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('a1ef09b096105c18faf5fadb52cbeb7979873ad7e9d50910b116ce244b4fe166', 82128,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9e288aad85ecd44f0568c3d218d1478f896a2e9656dea8978a0462f0432102f7', 79356,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d39b9b3782631bd9e5ca85b327f2e86ade2f88ca6d30a9f85112209c08f703e5', 82044,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f7b5bd7dd6726ca8619156e571f3ab9429a229e110e87eb4807508a6e603b055', 79100,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('99dff1eec80cee80e76e31de570b32a627c8b114c5f4a6edda2349c62ef7eb9e', 82064,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b415ad58dda4167eef2957ac799ec99e305a626797d3f015c814096dcab8244f', 79136,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('a3cb35f606a6f504a703c26834f242e79e57064c9cc15b016acd7ead15c1c379', 82048,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9d4c87b61ab6b7a8c8fd345b20f1bdea3f0eaf90b1f3d014ba9a1aed4df71bc5', 78988,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('02444f0d64cab232aa85ca6646af07c761791397753194217bec25ee19e4107e', 81940,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fahkwang', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fahkwangTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fahkwang(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fanwoodText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('37c7865d9942ebc3e421992f87faa2a1c1f686716fd40054035736abd0938f1d', 119168,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ebb9e6f0a9aad6a9a9a13de40ed43e94061e0aefeb1fc8ab3399b0a3307dfee8', 96316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FanwoodText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fanwoodTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fanwoodText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _farro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ca8a2c854888fbeb59e572d229d903a5793ba08741fb5effc6484dad0baca84b', 38668,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('04c2276c71a6e273507190f49761498509d6b0b4dda77befd400b8b093ca1ad8', 38536,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('43a287bb29da4b09c5492c818eeb5cab21180fcead8c66a9340ba185728d5ab5', 38584,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f000197888095e4fccd58e6e7af75f410a611fe4292e359d52d9110505fb0373', 38012,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Farro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _farroTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._farro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._farro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._farro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._farro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._farro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._farro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._farro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._farro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._farro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._farro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._farro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._farro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._farro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _farsan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('06d96e20a2d15a86aca97dc3632eec9628587c3c335c563af7181458c2e91c54', 243680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Farsan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _farsanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._farsan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._farsan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._farsan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._farsan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._farsan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._farsan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._farsan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._farsan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fascinate({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f23d154a851bb211f83de2d4f7dd5242620662579daa75f0a4ac8e4c692a1832', 51484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fascinate', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fascinateTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fascinate(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fascinate(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fascinate(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fascinate(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fascinate(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fascinate(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fascinate(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fascinate(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fascinateInline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c052c5d8595ae4b44c8e2c92cd12be41381064837072f05fc6a3f4807f1d80e7', 59188,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FascinateInline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fascinateInlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fascinateInline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fasterOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fbde65e70c94e07f0152fa5b1506d0a77cf338a94d29423fec1aa0730891cd04', 44372,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FasterOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fasterOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fasterOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _faunaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('afbf7594d1feb78a9b5e6262887492adcf721a6e1d033b1c6d26aeba06bcc132', 30196,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FaunaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _faunaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._faunaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _faustina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b83e2bcd1f015e1e288c5870cf0301c94cff5d1d346b1c0b7d0e497ec7165a06', 83308,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a7f8c492e8ce7588c67e918c52ae5a4c9517a62c3057c9aaa9f2a2f8bcc1278d', 84980,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('ced47c330edb05d2c4dc0cfe0e0b69f9b23cfce448a95ab12a7179b3f3e7d8e9', 88172,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('02caa39209526de5d9a8cd33d2d06056bd7dd2c4f91748ddd6a5af7fb9abfa87', 90276,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('617c505971ec93fa27bd52270f4a605f1f9e8c04efa06181c1f9e6a684cb907a', 88292,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('5f2f74ee4758fad98604d34c6a8e8df131c924bfd4654546327cc02df81af527', 90052,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e680d2565c4001336be567bd147c16b8d88d21b36f499cd98e689a429568ebcd', 84148,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('32a38ed85ba3470cf4ff6929aae4fdb13233d68ba71b97ce606bc2ce782b0961', 86792,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Faustina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _faustinaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._faustina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._faustina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._faustina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._faustina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._faustina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._faustina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._faustina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._faustina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _federant({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('64e759e186856942cf96caca16925f320d145c552c214f61546d51aad8e02bbe', 32556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Federant', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _federantTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._federant(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._federant(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._federant(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._federant(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._federant(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._federant(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._federant(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._federant(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._federant(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._federant(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._federant(textStyle: _t(tTheme)?.caption),button: GoogleFonts._federant(textStyle: _t(tTheme)?.button),overline: GoogleFonts._federant(textStyle: _t(tTheme)?.overline),);

  static TextStyle _federo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cefb7b8c896226fdb5493d3bd75dbb0baae167b10f60d892578bc75dc1acc5b5', 116756,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Federo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _federoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._federo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._federo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._federo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._federo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._federo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._federo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._federo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._federo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._federo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._federo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._federo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._federo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._federo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _felipa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1636ce9582e69c11f567c7e8cbea02601d37fb40da1e6affdd5b71a01c7cd36b', 39952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Felipa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _felipaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._felipa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._felipa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._felipa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._felipa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._felipa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._felipa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._felipa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._felipa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fenix({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8601d9f9c9a93dcbc9a75b2e7e9e1f567e66ca628768e1567225078fee043e8f', 45096,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fenix', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fenixTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fenix(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fenix(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fenix(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fenix(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fenix(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fenix(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fenix(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fenix(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fingerPaint({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6ab3ff7f8e0eaf096c590997201b069ff984623d2eae2b71d8712f4a94a504a9', 101364,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FingerPaint', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fingerPaintTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fingerPaint(textStyle: _t(tTheme)?.overline),);

  static TextStyle _firaCode({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('53d9824e306c207a6de228abf02372c59c9b2166fc2a5b38d40d9f8b2cca4f53', 140772,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('952b0d5a1d329fa4c8229aa97143ed9ff3f239f1b4bd84e4c14b6f4f1ccdd705', 140656,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('eeca9b497781ac45524ddd9ca6fdfa383130e3d2a613045bc288fbeaf3796ce6', 140608,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('9272ceedc952a0945683c249045952038f3cd3c1cf0bd0bfda3a07417e44fd48', 140904,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e534947b075377251fa622cf2ae6881dd4073346a5fefda144b1406f45b9ade9', 141148,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FiraCode', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _firaCodeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._firaCode(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._firaCode(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._firaCode(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._firaCode(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._firaCode(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._firaCode(textStyle: _t(tTheme)?.caption),button: GoogleFonts._firaCode(textStyle: _t(tTheme)?.button),overline: GoogleFonts._firaCode(textStyle: _t(tTheme)?.overline),);

  static TextStyle _firaMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f17d60778f78f5928584a4f314a221b328dbce03da62fcc09caeebac82f76809', 131780,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('003aa1dc6866482549cf715d4075e470701e918eadd47a035568d8d254f63e02', 131368,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4dab36f8faa3f89e09e177a6ef40eaacd307b98b2a38a14426be96ce9ed67a3b', 131392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FiraMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _firaMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._firaMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._firaMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._firaMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._firaMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._firaMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._firaMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._firaMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._firaMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _firaSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('8c710b8842ec687cf4d723fa7cf54656e4600a5fc0b35581c6c5db5811eb3648', 363328,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('c12ca8dc162546809677cd3a931692841e7d605b092be571767436772cbca571', 377284,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('0fdce9dc421c231fd5eb33b58fa54bfc22e73eb766fbf24c099102a3c9745a04', 367616,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('6fc161a574855f456dd5f6aca03b07bd5fbbda95409eaaeea8d32b83efdd82d4', 381668,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('0cf10b5f7c89c8b6cc74e27189f128a0632fcc969d1d71639d7df41a988241ea', 366972,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('ed16991f9880c1cdf370062abe98f041f9c4227d7b7533bf2f7915cd203d33a6', 380468,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('25d5c70026b4ecf845ee6e70a5db8152c460c77457ee2c198f857b9dc194d2f3', 366252,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('68cee55e27446a07ee1a11f047f9ce975c099a77beb93636576f205f1f79e949', 379696,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('92c4968351b66aa1751300d33479286d7efbba08a54f8e4ff3bf2f46a9cf39be', 366356,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('61820fb5cb8cddf45429ac27bd1b3ddc92f5fa8df2558b86f251a7d3b02eb896', 379848,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('63399ee49cc66340dce320237ad9177a3c4425f1e2e067f36fc16613bff0566e', 366296,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('5bb43f8686cc19df2202a071cae38722fe0cc2a3a3fe6e23a2cf6a96f7744782', 380132,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('87babfdf164afa1f458032e5d4166b48f6e1fe8599501da30592a5f2fb2dd18a', 366376,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3b86fe4a8430dc147fd75bedeb04f37cb3fc160fcb9b905263e11f945cf8de60', 379804,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('c11b26719603ed8ca563718737b415405dd2010a56408dc403bf6292e3c11561', 366128,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('9c5bac7e128fa9013ef3cdc329d8f441aea8fdca1051acdb22814bfcf14f8aff', 379332,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('3a957f6ef941a2c07855a9f053c3f0c03091299a68530247f3bb1c3c6ab574c4', 365756,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('d2813a992761a32da93a8230e2d86dbc1f4c430516ebc63b870d6865995d8233', 379500,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FiraSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _firaSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._firaSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._firaSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._firaSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._firaSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._firaSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._firaSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._firaSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._firaSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _firaSansCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('bf9b3d9811dd234f65f59b0d76d65a3e1e0c670aebac4deba38952c2a936f715', 362440,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('90a6e0b1a1c39abb49b18aa5dbe06d7495f40394b01fab73b9e1e2bfec8a63f1', 376612,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('a88fd0b03c58284d60144855004f6888c1b91eb5a7d21ac6060d56968934163e', 366560,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('07ba37d808679122d7388590ccc622b6f8f48bfad8116ba243f202818d5cd687', 380672,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('028eb7598bbb6f3a2bf5ea109d7df59dc6518811cde6bc25a6f865eca25b8cee', 366388,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('c87c9cbd8b98469f1021dcdc5e28dc336195b600990e646a06cd9e832b747236', 380244,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('169ee94c3194b600460cd09916275e7fb039fb87644ad57a8892658bba9306c3', 365908,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a80c7a96e3707ecec8c736d84d84610e8872d361a22b5dbe0ebc3edd438d0d73', 378688,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('703cb9e1a6d80a19812381b5edceb1970b68ee76546ba8ae6ffed4c952fc475c', 366208,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('9ad537677b67359092459fe782eab5dbddc81f5a162d5e5089e46dab0d6d3dd5', 379868,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c134a6d726ac821a9d923951743e3265e9f99a3853356396d759d0fb71cda42a', 365892,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('59ba972744bb1ef52a903a84b4b035e2086ee740963c12a11f352474b9aa841e', 379376,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('29ce6255f4e521be2749f9557160ebbff60c5d160cd3a920e7bfc471c723dc3f', 366196,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('02a6c070347c5261fef75b88834e9b34ca51774d98830932ac9082d60713a416', 379104,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a3fb82c69c6f36043219173b6f3137c43ead2f79f748d4a4a92ab045215eee54', 366556,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('22f5b83e1b510958faf311954f84c3a505ac7ca89aa279ee4e6a9274ec38e37f', 379268,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('cbc26fda4428ab404d1e295ba3295da5cacf05e0851f8e4db99a4f65e1a0b382', 366044,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('d732a2087e508d3999de6ed5f8c8834fe6eed4e270dabbce0bdc668087bace49', 379108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FiraSansCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _firaSansCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._firaSansCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _firaSansExtraCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('aa0b73aa84c42a6d80d67e8301430b1553b52c7bd68fb79ebe8a2ff750ff58d7', 361612,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('9f3e0c06798b24d5853a7192055d69133a9cbd73a9af9f24f62a00b0040d5776', 376268,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('bbe50e8aab5ce91f02434c94791440b79cfbc9ee514967d9db84519325fb09bc', 365232,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('1c79fb24ec14754ab4fcb134db375dcab006d976fab22d0b109e35fdfcd23366', 380328,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('40d22d65e7e493b473980345c73d89b480fede26e26e656d2f209dca5e38c1ff', 364864,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('facbc467dbce58d849a1d881e13552a97aac95f1729e1fc2616bcbb139bc454e', 379592,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('86b9aeff0987b7a36348174495862b0223a80ca3b251901d0ee4e171911f3313', 364844,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a9b18a404b2171c7bd6f0b62b4a449ac30caaf7479ea04cf72848bf1e102975a', 378808,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('7fcaa10bd6c77effd3a995f07ef8dcc91c68362f20f82be9f906ba8cd66e3a36', 365952,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('cf42464fc9f3e1569e0e1538e46fcc39fd02dba1db928aa594205dd74b6e7c72', 379444,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('0763b0bd415a608f8406877206fbac60d4785217a0983cf5569a0a2ed2922a87', 365700,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('0f8d32c8579b66b9a1c5be889f3a3b21d4bd26f53af102bd2b4669b8407da059', 379196,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f844b8d0ff4049bc54bf6eeb2fadd15e2e910f98d0a77a3ca693111015e8a365', 365784,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('07bfb33f5214d059269b95893bcb1220d50d72c1912c6b53f105a147900b7806', 379176,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('7a9cf07642c68b3200835e3a7e3688ed58ed76a3180a2e5cf9b94ce09e158671', 365784,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('16f3dcda792af199394d486b422a6a669c52ee944c7bacd532337e88d9840501', 379648,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('99e363528f9256b35bd83f2a25a2e5f6739df4eeb724246bc87c5ab657192270', 366184,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('53c97db75ae729e99796dc36bad33e04ea9d0036b759f49f202c3b403c3df3eb', 380528,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FiraSansExtraCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _firaSansExtraCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._firaSansExtraCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fjallaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9bcbda294de33762d864eb998b9a19f1590afc95fe83a252472514751bd3ec21', 26548,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FjallaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fjallaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fjallaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fjordOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1d617688444b306b1af1ecd21190c110fcd2299e6164c66b9828f25bfaeeefa2', 54132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FjordOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fjordOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fjordOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _flamenco({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5e1405fc92b58d9d35feb160e51edfaa54ace38f1e035d9fe2bfbf79a4087fe2', 34360,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f5146448316dfb5f65a04e6a343c26f45f45587351d34559af1459a54eaa864c', 36340,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Flamenco', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _flamencoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._flamenco(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._flamenco(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._flamenco(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._flamenco(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._flamenco(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._flamenco(textStyle: _t(tTheme)?.caption),button: GoogleFonts._flamenco(textStyle: _t(tTheme)?.button),overline: GoogleFonts._flamenco(textStyle: _t(tTheme)?.overline),);

  static TextStyle _flavors({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f56d6a319c30faa62651b4a9fde87c7e4a496c678e7fb6642dccfa9c815d29dd', 186224,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Flavors', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _flavorsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._flavors(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._flavors(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._flavors(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._flavors(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._flavors(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._flavors(textStyle: _t(tTheme)?.caption),button: GoogleFonts._flavors(textStyle: _t(tTheme)?.button),overline: GoogleFonts._flavors(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fondamento({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('75f9d66c336050a69b4366a5bd1cd8d8a0a5b7338dddd16b9af1f679ed3f6543', 86560,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('78976bc375126e59b80ff99b8d26195e4332d5cc86505149fc21d183b60e8340', 78140,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fondamento', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fondamentoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fondamento(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fondamento(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fondamento(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fondamento(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fondamento(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fondamento(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fondamento(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fondamento(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fontdinerSwanky({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bf7bb77a0222af06961048f7335a7c3ced76ac59796882a14738b145a87f9b7a', 45108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FontdinerSwanky', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fontdinerSwankyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fontdinerSwanky(textStyle: _t(tTheme)?.overline),);

  static TextStyle _forum({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3dd2cb0744af0bc963b13a121b6194f8d271243f3973b40041c90b6113d168b2', 204156,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Forum', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _forumTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._forum(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._forum(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._forum(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._forum(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._forum(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._forum(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._forum(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._forum(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._forum(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._forum(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._forum(textStyle: _t(tTheme)?.caption),button: GoogleFonts._forum(textStyle: _t(tTheme)?.button),overline: GoogleFonts._forum(textStyle: _t(tTheme)?.overline),);

  static TextStyle _francoisOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9732016aa4f374d99be54bb4dff92ffaa1133a4d293595c2bd7f621e01b38e85', 57756,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FrancoisOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _francoisOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._francoisOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _frankRuhlLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a5522476a201c815bdc0a30e19c5eb768edd4ddbe563647bf958a6326d7de351', 62032,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9a33b30005cd2b612a70785a7205c43bf5f1a43c839b44d7ab7ddb581503e7ea', 63180,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('009ea0ba06f79de2ac7a440b5f01b2aa767bbe10be39cfb151cef128d8c5c378', 62764,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('bf711279089d27a7d3707704287cee15972baf963565dccb30e23486a65697cf', 63068,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('1be4c921fb7b84259c4252c3caadda7f65b0ed5ad332ce0b680224f76e280363', 63056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FrankRuhlLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _frankRuhlLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._frankRuhlLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _freckleFace({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9c910c4a9c496679a818b2d0399b140f598d9f2f8b80bd1ad82b11b1aee3e93d', 120676,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FreckleFace', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _freckleFaceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.caption),button: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.button),overline: GoogleFonts._freckleFace(textStyle: _t(tTheme)?.overline),);

  static TextStyle _frederickaTheGreat({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('532a820c85a4591fdb49ad776bcc3950cb9e66fec68cb9263fc47c65406e575d', 486172,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FrederickatheGreat', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _frederickaTheGreatTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.caption),button: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.button),overline: GoogleFonts._frederickaTheGreat(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fredokaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b002f69e5dfa418bb4943743c033c0ace0b62544c935797166842e3571c6e8c9', 43452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FredokaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fredokaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fredokaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fresca({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a2fb3bbb67399806b72a60bce8a66e5e8c7260a33a6ac9368b6130534242f340', 32596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fresca', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _frescaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fresca(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fresca(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fresca(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fresca(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fresca(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fresca(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fresca(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fresca(textStyle: _t(tTheme)?.overline),);

  static TextStyle _frijole({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('82733a19e8b30ed4cd1325f58bf2631042b40495acd959d7dd5e38a7437ca7b1', 227444,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Frijole', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _frijoleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._frijole(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._frijole(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._frijole(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._frijole(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._frijole(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._frijole(textStyle: _t(tTheme)?.caption),button: GoogleFonts._frijole(textStyle: _t(tTheme)?.button),overline: GoogleFonts._frijole(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fruktur({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('78b40ffd5e4efdcbad2cda23700072933938f41123f3149b98ceef2c1abdea2e', 53120,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Fruktur', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _frukturTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fruktur(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fruktur(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fruktur(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fruktur(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fruktur(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fruktur(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fruktur(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fruktur(textStyle: _t(tTheme)?.overline),);

  static TextStyle _fugazOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bfd2016b130a197bdc3a7842cf6711aea8a2bc92fc2b0962ff9c9c266e680a07', 27820,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'FugazOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _fugazOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._fugazOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gfsDidot({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f1953ca586ed73b65dd476de045e1f32b7446b71165bff9533f465ac46c73741', 191144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GFSDidot', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gfsDidotTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gfsDidot(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gfsNeohellenic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bd8b39a679957cee00c5e50a23c2e6d3d6ba8d207873672a245c1de120f75028', 189340,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('44d41c717d709e6a615d33a24a85f8bd9bb4eff83466d4fafb85844a41ac142b', 164156,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('07ff63886ca5101d1a9bc31d7fb3f8dba0dfe2b725183cfb5349444e2ad8d4ad', 148172,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3317aac2c90d40a458f2817b4d514af6fa109becec2a0735a3415f2fda7a4603', 161008,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GFSNeohellenic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gfsNeohellenicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gfsNeohellenic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gabriela({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2de2bbd02e6ea795828c6e6d6f6caf4fa1606b6a34d85e13e2700bba2b35e174', 60904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gabriela', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gabrielaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gabriela(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gabriela(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gabriela(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gabriela(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gabriela(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gabriela(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gabriela(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gabriela(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gaegu({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('4b15c05b09479751067fd7c35435678b929504ea6e4a7e996ab5d09a77df6a9c', 1665520,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('aee336135ec347654a2f36421c05f5d68a6017eec18e264e58e7aeda0f702951', 1687664,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('047c721d06b371ebfb6f94beb758b1de181d8afc8c8e6eca6829405bd8a1cb91', 1588560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gaegu', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gaeguTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gaegu(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gaegu(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gaegu(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gaegu(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gaegu(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gaegu(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gaegu(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gaegu(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gafata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d93ec736426526ff4d866b0522a300711a10168b8198ae7985029233601b84ac', 37384,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gafata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gafataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gafata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gafata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gafata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gafata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gafata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gafata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gafata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gafata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _galada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51eded8448fda4469fa2bddc7f049589ba69c75270cdf61adabbe4453abc8728', 155660,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Galada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _galadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._galada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._galada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._galada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._galada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._galada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._galada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._galada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._galada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._galada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._galada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._galada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._galada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._galada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _galdeano({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('854bd50aee5dea55f44b1b53ec61e1810043d0a16cdc4adaf2cd764a30bb3424', 24820,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Galdeano', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _galdeanoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._galdeano(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._galdeano(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._galdeano(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._galdeano(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._galdeano(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._galdeano(textStyle: _t(tTheme)?.caption),button: GoogleFonts._galdeano(textStyle: _t(tTheme)?.button),overline: GoogleFonts._galdeano(textStyle: _t(tTheme)?.overline),);

  static TextStyle _galindo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c0d36dd1f81706dfcb698113c2682bb84feeffd515b1fa33d5c947ecc09e9719', 57688,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Galindo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _galindoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._galindo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._galindo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._galindo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._galindo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._galindo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._galindo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._galindo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._galindo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gamjaFlower({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e1315b2ce49da4d60b566f31827736a5b33670f46d95c26c4df7a7608f8634ea', 6240108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GamjaFlower', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gamjaFlowerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gamjaFlower(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gayathri({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('6d8dba16325ef843155b024f792235ef54403fc4ce39f71ffe50c6a7cca110da', 149780,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d5538d385b6f28efddc8cc7d5e5cf0dcbe3243febfcb81ba4112a03ab5901d1e', 148700,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('dac84e865cf4bf1f5f2bd54100f9b5ded81e0b2e3904ba8a3a6a992df1c13627', 149624,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gayathri', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gayathriTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gayathri(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gayathri(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gayathri(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gayathri(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gayathri(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gayathri(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gayathri(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gayathri(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gelasio({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2c178f975cfe7fd1383143d870be6652cd515bc4ce08487980cc8a24cb7d6658', 81660,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('89d39a153c70693460a8dfc8abc227627e98f02a750210cdf30eafeaa3c07eff', 83204,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('065abbe7b6a9053e634e391d0b4b626891e33a25a559b218467c09f92b7cbae7', 82068,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('1f797bb1ec2839e88936d4386b44e04912d4d0dd8d71e154e831a3219ef0ccd2', 83592,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b65a3501691d4bc3cf001ba7b5ce1b366cf394b48c365a5cdd65d100d824c21b', 82096,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('60cd6e57a0fbd73db6d7c92723083486d34b20aaca29bd13abfcdd63d30a6965', 83636,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f820053044147cdbb3843e05a662ec45de690ea2b00e3fa9d7b8ef154b1caa0c', 82276,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('14cfaa5707e104d5c01401d62d8b27006faa96f78acc2952512962cd9a5059b1', 83448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gelasio', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gelasioTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gelasio(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gelasio(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gelasio(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gelasio(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gelasio(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gelasio(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gelasio(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gelasio(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gentiumBasic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('86bcf47467c7c966ff4e8c216451273329982a4bbf3477b33615c1e5ff916fb2', 204224,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d84eb1ad32e37c3f5e4a8eeaf077b66ec63a516eb0a631a71b3b17b0d6c43de1', 211200,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('33b22faef221568e2734ae86ee972b4499a967b00f6d6ae128b1649a904044d7', 207812,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('b1ea05dbd54b903a6206abbb48c0183924236546ddb457db2f97273aa1d47fcd', 213608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GentiumBasic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gentiumBasicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gentiumBasic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gentiumBookBasic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0323cf4ee5a40f059eff7a114c130fd29fb414699c37336d6d305d42e3d30318', 206468,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('105db1c75307402ef0aaf8126c049e1910ec90f6a89c2745ac1fff1eb7525d03', 212700,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('743cd21e49c299921cf5cdf719c179e0adc85a19aa73a142726805c1cb607f82', 207756,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('73ca1eff2db69f993bfff34753f6f216404bceaeb657dbf84734a8bce6f279a5', 214236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GentiumBookBasic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gentiumBookBasicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gentiumBookBasic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _geo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1eea344681e2eab82088131eca8f88554cd2107b68a5bc70ac8e0eeb7877920e', 27012,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6aff203bbf11c87ca0cbd331d3181277be2cc5f373a85fc6a0c898ed393d151b', 27932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Geo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _geoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._geo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._geo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._geo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._geo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._geo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._geo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._geo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._geo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._geo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._geo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._geo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._geo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._geo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _geostar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7b9967368c76fa8693221781a74e18323bde42a1df8fff30b1d5b2dd2e654dc5', 41264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Geostar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _geostarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._geostar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._geostar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._geostar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._geostar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._geostar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._geostar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._geostar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._geostar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _geostarFill({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4be1af95d7c9c5f412f0bd7ca965a79a3691840d102dc4d542068f95fc8a04ac', 38800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GeostarFill', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _geostarFillTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.caption),button: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.button),overline: GoogleFonts._geostarFill(textStyle: _t(tTheme)?.overline),);

  static TextStyle _germaniaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8b7dd1af0258695612f37eb7db169c99f09801337d690f6880dc4a7c351f830d', 33192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GermaniaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _germaniaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._germaniaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gidugu({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8cbe8c40904c76d293cafa7611edff01d450f676f40d33e66863b5f7b10e7e1e', 185544,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gidugu', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _giduguTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gidugu(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gidugu(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gidugu(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gidugu(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gidugu(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gidugu(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gidugu(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gidugu(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gildaDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d46a827dcf6e69348a898d71938544f7f63de075eaea97cb6cb797bd3c234904', 36756,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GildaDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gildaDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gildaDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _girassol({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4ac0b37ea4560c8fe837a50cfdeb9b18f00c84d4fe2556fd1934257270c6c1a3', 31140,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Girassol', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _girassolTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._girassol(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._girassol(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._girassol(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._girassol(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._girassol(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._girassol(textStyle: _t(tTheme)?.caption),button: GoogleFonts._girassol(textStyle: _t(tTheme)?.button),overline: GoogleFonts._girassol(textStyle: _t(tTheme)?.overline),);

  static TextStyle _giveYouGlory({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('309c5df7e1fe41874a8f14de3edeb9c32a42ec3e31d17e863696920deb848095', 42564,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GiveYouGlory', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _giveYouGloryTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.caption),button: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.button),overline: GoogleFonts._giveYouGlory(textStyle: _t(tTheme)?.overline),);

  static TextStyle _glassAntiqua({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e175bb6abcc9cd23e8e7fff60b5a13a870ecafeb7aab3af67614547c14354aad', 62964,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GlassAntiqua', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _glassAntiquaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.caption),button: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.button),overline: GoogleFonts._glassAntiqua(textStyle: _t(tTheme)?.overline),);

  static TextStyle _glegoo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('91a94e2b397503a978c0e061d4d1f39323e741fd649d6f743538a8d947cc1f13', 226220,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('32ba529e1df310b4629e2a4b94b577e8d2b995647f1b0b02b97cbc401c43100c', 221232,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Glegoo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _glegooTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._glegoo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._glegoo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._glegoo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._glegoo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._glegoo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._glegoo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._glegoo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._glegoo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gloriaHallelujah({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0ea0610b2d462be9ddfd55db487fd670e7b0855857d198cc6293f623adc66ff8', 56248,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GloriaHallelujah', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gloriaHallelujahTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gloriaHallelujah(textStyle: _t(tTheme)?.overline),);

  static TextStyle _goblinOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4d2f4678ed209cc09bfe4cefb1df66ef95e21a1b2f6f71fdf1c8408b5135472f', 36712,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GoblinOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _goblinOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._goblinOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gochiHand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e396d3d6d4147d9267b06c9619b938d34176559c67b48c046d971904edf8ce36', 36908,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GochiHand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gochiHandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gochiHand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gorditas({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('987a5551dac8207ac89158c984bb117eac9569a4def85c67405a6f7ee656ca7b', 76880,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1a73ab190434815fb46d5c9f8095a8d40543c248bd203391f3e120aebb2c223e', 78612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gorditas', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gorditasTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gorditas(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gorditas(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gorditas(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gorditas(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gorditas(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gorditas(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gorditas(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gorditas(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gothicA1({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('1ae3fbdff726cb716a361659f8efd51296b280ce94f4582c7eea6a69905050e0', 1315216,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('c2132aa2e6fae5ce3ac066aa23fc45e7a83571666c0b4cc9c4dd7bf734363f05', 1313548,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('91a462996301381a669ea6f51dc5030f155c0a85e896a575a5d80dfbd8471779', 1314204,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a9676e8d54fdeef2976f9c8fde17f39fec21956933f3ee203655c2655f350e08', 1311208,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('4d0781b8cc09648594a3bba783b1d463592a004fea48584b181b631e2bfc9956', 1311800,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('94fbbaaaa3c999db13176f3b5a8cc657f1e471472f8efc8fd47d298191d6ea56', 1311192,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e689bf118e2ff1a2884e3170b3d1829ccfdd0147baf98523e7fe0494299969f1', 1310932,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('db82d9a4e6dabe467f8879d6c23074f7bb1b8ea95857527aec64201e53126f6d', 1310760,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('ad367f71a0970215c6e16efbe180999b11228c398745e8021187b0aa608fdd2d', 1312032,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GothicA1', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gothicA1TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gothicA1(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gotu({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a8a68ca0799b2cb999b3b4c9ed791251063ffa4c8d870256ebc31438c8e3c5f1', 517000,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gotu', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gotuTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gotu(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gotu(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gotu(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gotu(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gotu(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gotu(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gotu(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gotu(textStyle: _t(tTheme)?.overline),);

  static TextStyle _goudyBookletter1911({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a4ea1fd345de7df9251d754f6ecc38147180ed991b78a0979f3ec409ee987e8b', 53284,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GoudyBookletter1911', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _goudyBookletter1911TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.caption),button: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.button),overline: GoogleFonts._goudyBookletter1911(textStyle: _t(tTheme)?.overline),);

  static TextStyle _graduate({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('26483ff4a5a591dbbd59a7a59b4dfcfbc10b96f20b67a1b2af0da6fbc33dc2da', 22684,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Graduate', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _graduateTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._graduate(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._graduate(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._graduate(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._graduate(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._graduate(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._graduate(textStyle: _t(tTheme)?.caption),button: GoogleFonts._graduate(textStyle: _t(tTheme)?.button),overline: GoogleFonts._graduate(textStyle: _t(tTheme)?.overline),);

  static TextStyle _grandHotel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0804e7944e677d28eec42a45ba39935faadd27b2b1a8aab2e96c1736b7bb4e2d', 64596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GrandHotel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _grandHotelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._grandHotel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gravitasOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8173c77c59dd22de492971f099b97bde163e13062c6df365ffe3f201cf4de551', 41424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GravitasOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gravitasOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gravitasOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _greatVibes({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a4131255cb3cb73cefc120a8d68c6888fa33a5c24045934a0353f0c199fe254d', 105956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'GreatVibes', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _greatVibesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.caption),button: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.button),overline: GoogleFonts._greatVibes(textStyle: _t(tTheme)?.overline),);

  static TextStyle _grenze({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('0990a8c493d15ce4bc040461ac83778fbd658ffb4e5470ded379c5d932c0ad64', 62884,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('b76ab96616d0138d6376f8da6777f4dcd53174ecd6cc3d105f926d138412156a', 65344,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('ea5652640e0126eca9dd8ec9af72afd38c03f0608cf8066ba85e8d3cc84b72f5', 63156,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('62177aecb9fc857767b77f93de0e28aaff0aa14d6743fcb2e074b3b17d10ed6a', 65532,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('306db261f5db582fb834c4d4bd749cd7bbd220410f22c0f91e9da3906fea195a', 62964,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('8328aa2d7be6cb51506689c284e11d44e22a65cc87f444619d3e74029b3c6b4d', 65500,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c881a6bd46175e518a6059d0c5fd2fef4f0e1ad8433e903ab0df21ac113772f6', 62924,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('396353d483f4c64a4c320999b4a8ea7bd7d3fc2f3d1126d31dd62c2bd7474f60', 64960,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('7685525db63573b7d2818041934dd2608e56fd7eaf5af7bcbb29f02b9cd5f948', 62892,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('da991020ed06646693057a5dfc4dae9bed270609081f0e2167ff1b6d6893483a', 65556,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c4b885545038f7f41fa22671f8e1d9becd9672ffe403f1267a77e244c2ebbe7f', 62772,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e85fde935308bfd3bcdc33373ab0a7296b4c852c9689504d830dd8a2c722828c', 65404,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('59bbcbbac7dbc3b0875ff2e1f9b73917427553fe9494ce5072c9408e4805693c', 62696,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('b408bf29942d61415edcf80e8d329a6c9d54eedf1b2a0be057164e93cda0029a', 65328,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('10f31373e1d786f62febeb25a546f803218359aefe0c2e9d0247008665f54a92', 62844,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('6c6bbecf82467b9cbc2bc5373b2132d2a72fc1ab1d19beab9247d96b9aeaf437', 65244,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('e99c2c3ccee2de60f0fa0836977cfb7f1f5db667eaba9c59b205a9860377cb15', 62624,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('26ebaa2c75db3de90f21f701605ab5e085a7f4c1f23fcb5235a754a34ef4defa', 65320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Grenze', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _grenzeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._grenze(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._grenze(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._grenze(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._grenze(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._grenze(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._grenze(textStyle: _t(tTheme)?.caption),button: GoogleFonts._grenze(textStyle: _t(tTheme)?.button),overline: GoogleFonts._grenze(textStyle: _t(tTheme)?.overline),);

  static TextStyle _griffy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9f37c4a3b39667330abe546b4133f6acfb3799da67a89997fb46b39dbc3fc6d8', 208332,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Griffy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _griffyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._griffy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._griffy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._griffy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._griffy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._griffy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._griffy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._griffy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._griffy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gruppo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6cf289ec6fe4592706aa68de1f9711e3f1967db26053962cfbddd4e51a7ac65e', 58988,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gruppo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gruppoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gruppo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gruppo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gruppo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gruppo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gruppo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gruppo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gruppo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gruppo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gudea({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4b41bce93d5a05ba71bb86e2be22eb03b270fa198be7df07c9c5a818a1724c0f', 22884,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ab00b4c571bb901b0d274550fab83154da5b8bb4529e382ae7d58962b0d05f80', 26980,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b1c48f399971799fe09414206e205ea8a5f37a1e17adc5ed4329ee9ddb9d074e', 22512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gudea', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gudeaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gudea(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gudea(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gudea(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gudea(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gudea(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gudea(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gudea(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gudea(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gugi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4fbf616bf21ec330d026a7115b7224fe9baf30418cdbb19b26eed6ebcd6ce2cc', 552880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gugi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gugiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gugi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gugi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gugi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gugi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gugi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gugi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gugi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gugi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gupter({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('98ef59cfa0eb83781f6573b4ad1964bf98369e70db38156479c353702557fa01', 33868,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('84381b04d635b2daeb369d9c0afa5ff2489d0cda8d9660ee7631bfdf82f2eaeb', 33688,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0e63fe340f8e61f9d4d9c5bbc638e79930af1125c534f656814a99d3909674b0', 33692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gupter', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gupterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gupter(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gupter(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gupter(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gupter(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gupter(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gupter(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gupter(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gupter(textStyle: _t(tTheme)?.overline),);

  static TextStyle _gurajada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9647a956c03e34f58b38200ffb45cc56377e8ba1c333ce052b8e20c3216198c3', 234900,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Gurajada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _gurajadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._gurajada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._gurajada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._gurajada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._gurajada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._gurajada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._gurajada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._gurajada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._gurajada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _habibi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9177d379d59937eb418704aa1a5f16ff6bfa046d3828ba6f495ffe7c2d040c5c', 36236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Habibi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _habibiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._habibi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._habibi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._habibi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._habibi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._habibi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._habibi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._habibi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._habibi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _halant({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('efbf1567d1ee285b609cc33198f6bf85b75ffc137871c0c74b770bda82fe5f96', 163344,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d2becc2fc9d31bd06f7378b501b26b4eb057167cc3722297588a277f45b05fba', 163064,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('e6e6c9b73832eb91900f4298ec5c6b73e8d537163220299fa6213b8d702b9f37', 161020,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c38923af0ef17edd914dfb2737891b725cd1cc9dfc36bd72ba413213e99839a3', 159016,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4d09a5ce42fc23e8619b6c817a9bc5522bc64ede74b5a75d99fe2815244ca6a8', 157804,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Halant', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _halantTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._halant(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._halant(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._halant(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._halant(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._halant(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._halant(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._halant(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._halant(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._halant(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._halant(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._halant(textStyle: _t(tTheme)?.caption),button: GoogleFonts._halant(textStyle: _t(tTheme)?.button),overline: GoogleFonts._halant(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hammersmithOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bbd2dab2dede4753a7b96c8c6c16d212a15b9feda00f0620edbe4cb62e1604fe', 57584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HammersmithOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hammersmithOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hammersmithOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hanalei({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a5f5db562e15a26c9d07e75a9375af4b46c68460a9dbaaf21847567dafcf8619', 183760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Hanalei', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hanaleiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hanalei(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hanalei(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hanalei(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hanalei(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hanalei(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hanalei(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hanalei(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hanalei(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hanaleiFill({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8a762eb869da8deb93071d72d31cc3f5d6ab83cbeff8da397a582e507aa65465', 91692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HanaleiFill', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hanaleiFillTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hanaleiFill(textStyle: _t(tTheme)?.overline),);

  static TextStyle _handlee({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('10f3e83c9fcbcd234b04cde9d1f8001a0255ea2bf3be48eb39ba87a44ff27fac', 39084,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Handlee', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _handleeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._handlee(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._handlee(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._handlee(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._handlee(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._handlee(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._handlee(textStyle: _t(tTheme)?.caption),button: GoogleFonts._handlee(textStyle: _t(tTheme)?.button),overline: GoogleFonts._handlee(textStyle: _t(tTheme)?.overline),);

  static TextStyle _happyMonkey({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('edf47e48fdc5ee842cf7de5d9333a50f1455140283974d5f0585583198b0b994', 55964,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HappyMonkey', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _happyMonkeyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.caption),button: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.button),overline: GoogleFonts._happyMonkey(textStyle: _t(tTheme)?.overline),);

  static TextStyle _harmattan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('41320202de91ac539042bef1e0b4e68bb221cb422a2afcfd15a946a73ac99f64', 528540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Harmattan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _harmattanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._harmattan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._harmattan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._harmattan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._harmattan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._harmattan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._harmattan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._harmattan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._harmattan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _headlandOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('09bc81418bd95b221c7661eb2081838c8bd80b6bcd38c45d2e560ff3983c9fde', 75448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HeadlandOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _headlandOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._headlandOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _heebo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('2f2d859884539805a307db5a1953174f56bbb1e6903e915be95fe2a03d9ccacf', 45672,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('eca72d49e0e063205daeaedb86fcdfc0cc36c5aaeb2d564ace316302e6ae62d9', 45524,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('afb3fdd559b309c81c88a054148d94587299a397f1e8a3798cfb7cc2d485369c', 44868,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('6655017f4c44bf09c5f66243feddb0c2cc8654284f24057da878243794d13286', 44708,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('61bb78902136df2bcd0ef85590cbe95a59a3d85b975e0778906df1211029bd34', 44840,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('c1324f3250d2f9405f19d63450423cd5a8a8cf6c6b7129e3afda9592f69c2df4', 44964,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('500b1881e185310128c33157aa1484b2a52573bfe32f11d60065e0deffe8471c', 45328,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Heebo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _heeboTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._heebo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._heebo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._heebo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._heebo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._heebo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._heebo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._heebo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._heebo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hennyPenny({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f0a1cf7a7ff413b8e4b7efebd74b65892f11e78dc663ec993b133ccfd9177864', 78004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HennyPenny', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hennyPennyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hennyPenny(textStyle: _t(tTheme)?.overline),);

  static TextStyle _heptaSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('534d777769f5477f07228b5576ec1d9e5f8524ebb5568ee0c7ead05433221d78', 96352,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('de95a9d08b1575d9f362c8b8fdd65bd2909ac29ad85189cbcc2d2bb7b79bae55', 96348,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('4cd4b89cf596ab747187626051fcb2da9f1ee5facedc163666b009c58d2e6a4a', 96164,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fd8aa078be565bf9944c3c9a7158b16836fdcd409b6df1377b7ce805078acf7f', 95980,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('7d62a8746b071e53a6b32f2f3a0052555f9d40c47fecd5bd70697f632af7b585', 95988,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('5b2cd08d92feb50e4548237182dede8320631fffad112e55ac8ffec9bd254dbc', 96144,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c732dc9ed4d5762dd9391ce2ed11a31606c9ec3305bef745bce6d06bdb2403df', 96504,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('d4ba935b82b68baaeb5bc719f5132fb28f94a27979e65e4ad25c5ff85d02303f', 96856,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('bf562116fb32949fa7d908466470e1c6d03ae7bb83023d1428527ecec91d9201', 96924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HeptaSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _heptaSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._heptaSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _herrVonMuellerhoff({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8c993280c6ba0eaa30f678b4c9821389abad4632e23c3a1629655afe7f463395', 46576,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HerrVonMuellerhoff', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _herrVonMuellerhoffTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.caption),button: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.button),overline: GoogleFonts._herrVonMuellerhoff(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hiMelody({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('306d4c79415f43cc2f655c997e9edc971ad12227c39d46aef4fae766ba572d12', 6090832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HiMelody', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hiMelodyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hiMelody(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hind({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('fa60918477db30de0e2a697db644a3ada9014744668b10708e487b2731a95e70', 152472,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c6c2ab346a94eb5613fbc0721b8b1b9062968050182abaa239ca636a32911d90', 152124,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d4fd25d01c80707a336cb4b040f3a52767f1cd612f042572d044e0b575c4d05b', 151708,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('98d33c7c6f79077dfb001ecff6aa383168fca5cebe664a277c74acff145e6685', 151452,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2e7dd62cde147432a10070b99d17f623f3c13f9c8796be3afa987f6e0707f030', 149692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Hind', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hindTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hind(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hind(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hind(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hind(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hind(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hind(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hind(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hind(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hind(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hind(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hind(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hind(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hind(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hindGuntur({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('83f2591cf78a025ae8e85ebecda4a590c393eb80bf83f18bace7e5d144b57bc8', 173452,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('58962c61fd64e7df2aa4d0fbf8b7044df4531b4098533fd14348043d05fb8b42', 172528,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1548c29a01fac4cf5904cd44cf584eaec84e08ed0b15f96638c1cb9ff8995583', 171468,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('12aa908469a5d74ca315816664934ede78906a4593e2310e5ea1894cd964c2a1', 170280,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('751c8dd12898b1caafe20c6458531dce8773242b36537ea2e341d9a4bd01bafe', 169956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HindGuntur', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hindGunturTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hindGuntur(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hindMadurai({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5d2a60f4ad6943bf7f1de4b16722cf8992b893d91bdb242860538507d4514dfa', 71760,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fe0b759733d5d95da02f65af60da858c2e45e9fc35332036694fef1e4f2369aa', 71136,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('367a1897906f0dafe97990639330a1ad8058b45f8d8deae93db5e40a9ae90f44', 71428,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('559d4bdf4c6fc62a412864ae9323ea997294ef17fda3b84684d928c0e042c1a0', 71476,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('59964f77b9fded7f3b4030894b5bde3bf552e70132670a0108ec2218ae31fb9b', 70344,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HindMadurai', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hindMaduraiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hindMadurai(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hindSiliguri({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ac4fb0e6616374786c8c79c069fb7ec555580917d9534053bbc5cfca7cc35a6b', 135788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4f3c785b698527e53bc193bce4c13e1eedc1eadefe7c65720c5eb0ddafcc78c4', 135144,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f112da1e6bbd4b1fbf998db772359e0812e0bf2acc7c60e21a0e99c24ec1e48f', 134792,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c80fdec935e6023f68b5a13e7bde8edff218450fe58f3ca7c3fe6e454b4cdd54', 134828,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3b363f06eb2b3264843731ba51fa467aba8cf06454281e9ceab83a3bc8c802ce', 133192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HindSiliguri', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hindSiliguriTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hindSiliguri(textStyle: _t(tTheme)?.overline),);

  static TextStyle _hindVadodara({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('28ad92a17d66f3a0995bb68875c29dba3cdaf9fb43feb40a882e2eb2638b7d0e', 132940,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9ceba975d8428bc0815764806b013c8ab2629dd726f64eedc432d9089567ba31', 132588,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('99808cdfa62f14d0fb695cf7a37fd7987ec1f14b71dfd11d87f428432e5641c7', 132420,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('931dba7983e3c75f3bcfc57cbb486114347aa39bd48e261bf327bfc5d2b2f7cd', 131916,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e717f555c38c3a3665cdb7fc053e8b12904225205d5eab82b472417208c7c483', 130448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HindVadodara', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _hindVadodaraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.caption),button: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.button),overline: GoogleFonts._hindVadodara(textStyle: _t(tTheme)?.overline),);

  static TextStyle _holtwoodOneSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e13ec5f1ab20c1d4d3cd916510331011904e2d9a5083dff4b0bdfa42c86a4eac', 36652,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HoltwoodOneSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _holtwoodOneScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._holtwoodOneSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _homemadeApple({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('492f1c4f1d496ff595958cd8454693eccded599173fc699c93cb2df8a2561201', 109592,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'HomemadeApple', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _homemadeAppleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.caption),button: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.button),overline: GoogleFonts._homemadeApple(textStyle: _t(tTheme)?.overline),);

  static TextStyle _homenaje({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('efaa8006929ef2ce2bc82593647ea2be59dcb513e048e4cb4b105cc66119d343', 21568,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Homenaje', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _homenajeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._homenaje(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._homenaje(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._homenaje(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._homenaje(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._homenaje(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._homenaje(textStyle: _t(tTheme)?.caption),button: GoogleFonts._homenaje(textStyle: _t(tTheme)?.button),overline: GoogleFonts._homenaje(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ibmPlexMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('0b176030119e3bf8008cc3a1ab395de2490609893cbf42c9ad93a1b97131c1ad', 62804,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('49cc21b7b1c2e02aec83be236218fc1bf64c43ab6693d02e5f57dc5c4d580a42', 69308,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('84f407c2acc498e7797432543eba48500150e851182f2706d2a48e4fc61aef13', 62428,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('973e67e339972330580f84b47bc69af70b6ffb871605061a2c44830772432449', 69268,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7860eafcb749cd16c35f7d63a81d0d83919b82475eeb29338cd5eea961a4bbfd', 62176,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('ad14a6133399a3b691d1311e56718da47fe30d69f6f48d68f43c25f62084f4d0', 68876,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4e5360e6435ca0fda23ac8bde947e30a690395bedc6a0e0f9b360aceeb490851', 62712,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8b7513201954154b316d56ba7185e0f58200a044e0150145e17d797a98dcbb52', 69680,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('8bea2481c75885bfb6d132add1b2ac6d4ccdbedfa94dda1d4dc34e7d00ca8ffd', 62328,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('eb363301d9364248dd094562021ed86fc2b1b9e2351f313c635e72b14d98179f', 68924,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b6f0266c5d40d72cd5d4051aaa3dc1836d7874fc40471cae205892e07fdd87ad', 62288,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('48174c08a0c28ee87d255c8380c23b2beca649d5ed46c8287c5062304417209b', 68600,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('089c2f087950891775cef79553f8c15f825bea671e0a1323f495354feb06d3b3', 62324,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3fdca15f4f471d5ef3f57c790ad9b09474ab6d24e75f300f10c9eb8219ddad39', 68980,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IBMPlexMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ibmPlexMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ibmPlexMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ibmPlexSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('813b794a62b57fce9544b834ad183c1e5175f1825c2fa2067d3480518d81f446', 97392,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('550fbb9acc0447f5ddf482b1659912f8f4076179a59e288fd71dc1e7d86885c9', 105688,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('f6209628705dc0331422f8e21345a1e1387a26fd07293496dbcc6a3551859177', 99360,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('224494b659d44d626398ec8760d4b0e4ea459e0be556f8219de0ddf0f170cebb', 107380,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('86b8f04cfeba166a0a6eed0b57970518f638c9745fea6212e6805b004579da75', 99180,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('60e2fc65f3e87d1813c4a598c88cc21e21334a5b6b8e1d821dbb7b17edabbf21', 107012,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8cd70b2671db7396694b0e2a1a3a9859018db199711237cdf67322e3d9060bbf', 98888,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d7e4bb3b1d26be9695d85cfc1cdaef4376e22aca80f216e22c43c28ce7969ae0', 106248,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c8d348ccb6205cc4dd9833d972d8decd8b526df3d482aedc4aa47ae9f7bd46f1', 99256,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('c576912fcd0266aba72ffcf4b1b7d770bdf1353f90c2a0bdc8686e8dd740eac6', 106664,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('26aefb8b77b2efc1dd517b6c5baaca61435844c281e5a51125bd65213f2cc5e0', 99140,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('1aeff1379a138b4aa07f5fd0066ca778f321b9a1c8f1b234d858812b684ebb66', 106720,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('13670a62ca981b5bc10df4425d93c3c41647b8934455c891e16f9384881606ef', 98260,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('64d98b387f5233a7cbc684f09cd4b5c622058a02d63fe1af27e247ee88e4573e', 105704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IBMPlexSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ibmPlexSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ibmPlexSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ibmPlexSansCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('95cb5ef68ced474a2288be174bf62af93746ddbce9a8be785d59e05d46221cb9', 64480,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('ea2881ac7cbb7d0a0d0d89b3c81e0ccbd79e1dd040b84f4b28c7ea083a958926', 68820,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('a51cec8648be38680ff0325b258659173e8d6cf8bf91ce3af4dfe72d96ad57bd', 64844,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('459eb773994095169ba8f6f04dfad1a45c205782fd393d467e9c8d3a21701fa2', 69132,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('c8260d42c2195a564a8bc5b74144874ac850ad48b4c507271d5fe4151f4802b6', 64424,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('2b1c9ad90a1fb240d2e8ebb5f3a3d4a544c37662964daf7dc0941d047876b826', 68452,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6f14a51d14c32df9b6829dbd95e680ca603bb1f0e0c8a23f3d18f6e96f970eef', 64056,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a2c2c799b5a7b8b957579016dedfd8bd110c064310c1a491a71ee84964ff0a56', 68720,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('17c6dabfa0ed7d9b258acae9bd3a20e61dbd27fa029bd3df75a0deadaa90e24e', 63756,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('b605737f157c6f7c5977d9a151ff622fa93439d4b364d24f6431f52eb6a5affd', 67728,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('368b327e4f44c9bf4ba628ecb081c53e0e3f087a4c0822435fe6ad6527dbe958', 63804,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('a4fd2820e497b76a6c413f52ce87fa7521d6ff5bd0fac82b9c53e48c5febf174', 67920,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('58ace9c95662b3ff47b0a066336d863bcc0515df78f5a23e9e424c1fbd4f451a', 63812,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('064ee4d57bfdc62832b848b5c300e9abaadd59d151ca0279ad569edceffcf029', 68712,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IBMPlexSansCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ibmPlexSansCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ibmPlexSansCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ibmPlexSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('a7d42efee4f1a7ac97d078340d6652728fe15929c68ba6d23cb2bb12c08ade3c', 104216,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('2d6348f0337897dfd4f35a24aeb41df7d2026b073c6e62091ba3d4be45deccef', 114056,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('22d162d23ce0e5ad78699d3f15d64aee792adff19238b2d5fff9ed6e4e2aeaa6', 106996,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('eca320d0ebf030d252c42622bd633b638607e007a1106887d72c483f4ab3703b', 117848,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5b62452067d16ab5b1653fe5af7e516fd1d6a727050d37060d0f83941b25ff44', 106800,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('66bf94992c7ae7e495fcd422302ec2554955bf1ee81cc891a365b889836f3386', 117812,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('69cbfef212c06c3e226a30329e377aa4501105e862a1d1c6cd3fde2b6c15507d', 106692,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('454337a7189c7dcf2a8c37a8d69c51ece177de9ba36cb5133fc924e7bfd7042b', 117816,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('9700f2e4399528de12a7e7ec1551047d64261256a776bcdd963c55963568f4b9', 107204,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('92215eb3720b2d7e6181a7f1a7f330fc9668b05e48e1160a1d0bde3d1ebd34d9', 117868,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('85939ee252119c0a4249c1d780751347047ccdc1fe552595be038544c3792788', 107392,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('4373c99de7c1eefefd7971019ac15ad2bc0db7cd3f62c3013925018d0586e38c', 117840,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('fe6766f5ba5906651095f3917fbfa426cf5904f0f0c7490a7b6d246dae8d60b9', 106036,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('8728efc5271b4928172f32a8701ff0e2cde5210bd8277aa95cd936d723eecceb', 116836,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IBMPlexSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ibmPlexSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ibmPlexSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellDwPica({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('04268ecc548fa2dfe787958a051a8e1b42b355a945f5a4d47f003e70886debc3', 216968,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d2109f0f97280a92b37673b7bf664eee72f3b3874097dcbf1906740841b17fb0', 244584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellDWPica', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellDwPicaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellDwPica(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellDwPicaSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6fb16b0108016bc27dd4f279a9d1e8247d0028f492cfca827753ea01a8423c83', 198012,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellDWPicaSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellDwPicaScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellDwPicaSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellDoublePica({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('450b7878b03e1b88b59cd3c88d5a9dab68e698f5e89d49f6bd99bd40514f1eff', 210916,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('63f80b5f83de7edd9b6a5674a903289d1c0f0679fefe1835d013e2c6910afacd', 255092,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellDoublePica', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellDoublePicaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellDoublePica(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellDoublePicaSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f63ae624a66cf32943ef34cf81b7d800305ce516f8396bd0b01895abf588d8d6', 197012,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellDoublePicaSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellDoublePicaScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellDoublePicaSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellEnglish({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1f559be93fb1947f0551b021260410225bbafe0586dd5236d734d852bf0769f1', 194992,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('67701b098b491cf87633fd626de486662128571e48aee106245d472750bcd7c4', 202368,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellEnglish', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellEnglishTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellEnglish(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellEnglishSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b52b93a50244bb83984cf1b52863db1a14baf8f683fe002dd71199783477502a', 183932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellEnglishSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellEnglishScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellEnglishSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellFrenchCanon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3a31b3ab35a73617ff634ad3017bc55e23ceb3daa2bf23c00c25afa3331aade8', 145832,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('54332a8adf4fa4b9bd5ba4553b7f66a4e8c5ffb07d61701dbfee60bfac4394a4', 158184,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellFrenchCanon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellFrenchCanonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellFrenchCanon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellFrenchCanonSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('618df3e2380b8d244fa861a295bcae3cb41ac4f0cea67f01a815355fcd198ce8', 136188,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellFrenchCanonSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellFrenchCanonScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellFrenchCanonSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellGreatPrimer({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fede2a25cf42680231c7bfb90da7306e0962092c8e1074fbfc44ef59289257ec', 216552,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('020c8f65ef327b827d6e28ca2e4be8f019b4a81075f1c7c00a53993664b41b93', 249324,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellGreatPrimer', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellGreatPrimerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellGreatPrimer(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imFellGreatPrimerSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8894f603e127ce2093a63d487149eb1cf10f58b20ea4abbae6ac6635472dcc85', 203776,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IMFellGreatPrimerSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imFellGreatPrimerScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imFellGreatPrimerSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ibarraRealNova({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fa62d319d71f5e7580a79ee36ecae3548c35a0e2d7892f8695afa7e237a3b660', 58948,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('0f9205ed765c8774cf31fd539aee83f11aec36439f0fd12bfab29a491352b9f7', 62160,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('91c844d08ae013b372d204d91e5dd37e879057e12a50150929228512c78eec5d', 58676,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('77e539a16bef74671e0c9ea382e533233bfa3f2b0219d2bd7d2d11db7502dc23', 62244,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a2ae8b1765ec3d56c893888f27607c49f613d48918f01ed3034e7c5119269948', 58544,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('be0a49f8da3aff4a325e615fb9bd69330b92f562ff4c805471e29bca7ec57e72', 62316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IbarraRealNova', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ibarraRealNovaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ibarraRealNova(textStyle: _t(tTheme)?.overline),);

  static TextStyle _iceberg({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4863f9363951873a52e866b2ad79c760da5a5c1c076692511a8fae46789aedae', 16680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Iceberg', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _icebergTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._iceberg(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._iceberg(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._iceberg(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._iceberg(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._iceberg(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._iceberg(textStyle: _t(tTheme)?.caption),button: GoogleFonts._iceberg(textStyle: _t(tTheme)?.button),overline: GoogleFonts._iceberg(textStyle: _t(tTheme)?.overline),);

  static TextStyle _iceland({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d15cc78dabadb60a047db08291c49cb8c2d05c29de29c7505de00383b8f447cf', 17548,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Iceland', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _icelandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._iceland(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._iceland(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._iceland(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._iceland(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._iceland(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._iceland(textStyle: _t(tTheme)?.caption),button: GoogleFonts._iceland(textStyle: _t(tTheme)?.button),overline: GoogleFonts._iceland(textStyle: _t(tTheme)?.overline),);

  static TextStyle _imprima({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('40a584db206f3a44197d5245155bcca66a72cf6c2dd346e78ca4b30b36af92b4', 24864,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Imprima', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _imprimaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._imprima(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._imprima(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._imprima(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._imprima(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._imprima(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._imprima(textStyle: _t(tTheme)?.caption),button: GoogleFonts._imprima(textStyle: _t(tTheme)?.button),overline: GoogleFonts._imprima(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inconsolata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7b710cb16b36b86fd08be8de67824345433e776ff152ce4d819f8dac26b76bb2', 70528,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('499bfec42f5525e40e1acc5d044cce315e80cc9c1205db693cf68fd5a7b724d3', 74916,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Inconsolata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inconsolataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inconsolata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inder({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('eb41a206e08e82f74d76415f5d8d2feeaf53587676b8ed6c2ea15bb2e88ccf8d', 31008,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Inder', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inderTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inder(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inder(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inder(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inder(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inder(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inder(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inder(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inder(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inder(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inder(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inder(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inder(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inder(textStyle: _t(tTheme)?.overline),);

  static TextStyle _indieFlower({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('61c24604992861512306296260abd7382a4e89dbe2d6e0d5ba3dbd1a15b95ff4', 60484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IndieFlower', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _indieFlowerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.caption),button: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.button),overline: GoogleFonts._indieFlower(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inika({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b4a85642ea25e8b6a0657684af8ab67401b31b1f39ef952616d46f1ee711107e', 39652,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e831ff700e7e5ee39b33fb1ae47d7f98ce526a136e1d90c4aaf1cbfbba0d4336', 38688,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Inika', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inikaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inika(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inika(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inika(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inika(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inika(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inika(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inika(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inika(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inika(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inika(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inika(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inika(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inika(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inknutAntiqua({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8fae03035a8fb6772fc7bcac683c4a01747a3902ede69b6897be980d35cd3c42', 279252,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bad6e7b6f2580d3870d5242c04a7edbb0712500e639570759d1b76b16ad225af', 274980,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f7bad3658649b817553e3c3a1e3b75b8b1c2f93af24d3ee0c2f491f13695cee4', 277544,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('4249a7edc9acfbbb46d50638be038427a109d75df9478fd696a6d61ac2c6262b', 277284,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ed4800a911bc4a319bbb68949167b0e0c9149ae4542444b3643b0949f21dbebb', 275168,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('58f6a2abd44b4a7ba81f42611ec481c40e08bed9129fec6f638b2dca583bf20d', 274600,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('068486e18282d9c5300c186834bd1a055d1d4d2697ac3498756bc41e999b676b', 269264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'InknutAntiqua', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inknutAntiquaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inknutAntiqua(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inriaSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('3bde5e08b5ec7274f1c28704b62bd581c28724f8cf4412d56a9e24435e927789', 45140,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('e33d8e62a895c0402146425676e4254906218e07c6adde8532ae0f436aff96ae', 46472,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('78a5989461a98cf7daa6612f5b9240f06cf592fcaeb0684a49a73d5616085753', 45356,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('dea0c172e0ec1669869a55587b188534d474341d049a62012e316cdd79e82f22', 46704,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7747b367f8106ba29552aff3126864e3d6b20c008e33d214252ca30fff47f65c', 44708,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('70544f369add81b1bf7a0b8f3d4108c7bdca0f1426f9251c47d8d54ae6820b90', 46364,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'InriaSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inriaSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inriaSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inriaSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('843b3e9e758e66cd88535ad2c67fba727e83e342a871227e9d6dd1640acbd496', 55144,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f4537cff635316910c2b9f1449b29caaa2d9aaf852dc13bd2d82adc9070e861d', 54868,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3e86dfe8f6fc1e2431b0a39040b2dc845fe91b448d1a75733f8a2e1d8dd54586', 55368,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('911f907aefd837c9e50f383f376f437fef8b69dee712ca4f5513ffc70769cc5a', 55020,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ee42dcf7120d640f7b28930c80818aaec0e114784ea1935fbf0721429519d6c5', 55188,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('503bdc8982bd9fc8af24dadb68f8e5304ddeb3d2aa5f9135811977c9b4c4eb80', 54952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'InriaSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _inriaSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inriaSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _inter({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('897d64cd0dfbeb56e7867aff5fb59519c0a18eaa535b4d4f9d636ac43028afb5', 257128,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('a8c528f80a6ad8d07eb0a822ff9763e3286ce1463b1cd881cafbc2d3d9018512', 256936,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7cedc5ced62f88258ed3781a814ff426d7c63e5ef822bc77e66b393b3316ce86', 256628,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('74b0b48ce5240039e1a17c62f24f5abc322d3d77d4bf96efcdad6d637123cc9d', 256476,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('177913939a2c83016eaf35b8dcf5b863fcb5d8e86fcb78a14ad753d055d06436', 257944,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f0a9e5b2bc1eef6c3241a779a62cea7c34b88535d7e586390fdcdf28ab01d673', 258828,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('94c9d9a14fc9ae26fd08041b634823238718b745b8a34986ddfb57cf3db367da', 259260,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('e5493c1e805b48142688a216308108352fd538721635d7f990c47996dcf8e2c4', 259864,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a2a712f761390199ddad75da5123d6f97f529f5d6dab247f94ceb954a8fe381e', 260212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Inter', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _interTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._inter(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._inter(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._inter(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._inter(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._inter(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._inter(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._inter(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._inter(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._inter(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._inter(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._inter(textStyle: _t(tTheme)?.caption),button: GoogleFonts._inter(textStyle: _t(tTheme)?.button),overline: GoogleFonts._inter(textStyle: _t(tTheme)?.overline),);

  static TextStyle _irishGrover({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('871e6c825a4e60667eb8131be9f23ace65f65e3f15a9c08c3a798797c9e361b2', 52272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IrishGrover', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _irishGroverTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.caption),button: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.button),overline: GoogleFonts._irishGrover(textStyle: _t(tTheme)?.overline),);

  static TextStyle _istokWeb({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('69f0e211d11c1acf74b2c9076af79b8c4437700758d0282acf48674ef128953a', 137024,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('05eee5ff9d276f82970504c5e15e6097ae58262e043f86c6620a18611cdcf94e', 89568,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('000e33f7e7a72f87087ee83ef75edf7993294fc065f5f8e52ae6ca1c90c7517f', 92660,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c19d7189ef0fb5066351d3851d3a386722d97b98c62fc344ffce8f4f1889512a', 89608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'IstokWeb', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _istokWebTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.caption),button: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.button),overline: GoogleFonts._istokWeb(textStyle: _t(tTheme)?.overline),);

  static TextStyle _italiana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b1324621b4067c2f4664c85776eaa7a358556c72c41adc3672d1e85e255b715a', 31560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Italiana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _italianaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._italiana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._italiana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._italiana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._italiana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._italiana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._italiana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._italiana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._italiana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _italianno({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bfbaa565dcb115e0d8e8af969814850e25a50df02022afefd5b2ba3174c386e3', 137316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Italianno', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _italiannoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._italianno(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._italianno(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._italianno(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._italianno(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._italianno(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._italianno(textStyle: _t(tTheme)?.caption),button: GoogleFonts._italianno(textStyle: _t(tTheme)?.button),overline: GoogleFonts._italianno(textStyle: _t(tTheme)?.overline),);

  static TextStyle _itim({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d649b08c03fa8e37e169c6e7fc22372fe2c6f97d639fbcbe67f8702afb9ef1bc', 249260,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Itim', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _itimTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._itim(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._itim(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._itim(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._itim(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._itim(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._itim(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._itim(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._itim(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._itim(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._itim(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._itim(textStyle: _t(tTheme)?.caption),button: GoogleFonts._itim(textStyle: _t(tTheme)?.button),overline: GoogleFonts._itim(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jacquesFrancois({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d263121e53613f81bea06459cb1ac924693f48b654d9943d34776a3efa1fc52e', 42580,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JacquesFrancois', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jacquesFrancoisTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jacquesFrancois(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jacquesFrancoisShadow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e4664490f27116a48b79a15fc06c1817e3669ac1d3ee0e65f80b093997b5e935', 56088,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JacquesFrancoisShadow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jacquesFrancoisShadowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jacquesFrancoisShadow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jaldi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2fd0aecfd94af32615e102201a3d6b70dd7b98a317a4b6457f9d5683435f2680', 273184,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1eb9040b249dbbf98470eca20e05d667c64d16570d20f4f3b5c8082472d03566', 272924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Jaldi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jaldiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jaldi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jaldi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jaldi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jaldi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jaldi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jaldi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jaldi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jaldi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jimNightshade({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('69667733e323bd8537cd7e8ab6c0cde0b0d48e1f336695228e8a9de962feec29', 153264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JimNightshade', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jimNightshadeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jimNightshade(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jockeyOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cbdbfa4fff4214a6685ff84262303ce8f4c9a4b6e563f149a8cc5322417aae81', 48560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JockeyOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jockeyOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jockeyOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jollyLodger({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('816f864e770d0e20f949a3c6064291765734593637efde29ea2295a773c7afa2', 39384,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JollyLodger', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jollyLodgerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jollyLodger(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jomhuria({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6dce267ed457cc6f5511cd60d4fbbc941e2c0cf029959a91effbd93815f66d47', 170560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Jomhuria', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jomhuriaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jomhuria(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jomolhari({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3ee25009d9daf59851273c5b12d4656fbdfd943f715735eda3c58bbf19ebd677', 1002648,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Jomolhari', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jomolhariTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jomolhari(textStyle: _t(tTheme)?.overline),);

  static TextStyle _josefinSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('d9274027036e4bec6eeac49709c56529144d0714f2d42cfefabb8f29aa669110', 71844,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('fe583724f6b3b6ff7f2a65b872c7a8be86957b1f03d8efb03b7c3a83271d22f0', 71124,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('2bfd7038e00c3bcb80df604697efc092891a519557503aab5b119fad6fb79d41', 70504,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('7ab4a22bc24c0da9b9abeae23dcabe78ebe9cb10010845ffc5b916764b87f63a', 70336,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ad0ce8b3f694b796a43e60893235246f404c728782ef2719a3122b54b6aee1d6', 71316,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e240205c12a00fd8fec9a99ee4ce68015307c91c1dc38586775ff103177bbf6b', 70608,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1af031215debaf6e64b6373e58d995de8763c248952fcf2a5f2b03b1cff3e26f', 73004,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('d8d67f5eb2f1bd5f94c9574d8aee64e7e1706e25d0e4715e73d236bf12efeca0', 71876,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('dd252f6382ade7107cb7955cfb5062f3b8b8546376fd9bdb6774fc830292db75', 70672,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('de8609adb9deaf3cd40532c56050226a1aa22c9f100b56fd248fd4b77fd8fd88', 72656,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JosefinSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _josefinSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._josefinSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _josefinSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('447b30a4f09ce882924bc14b5cb2d46ed8a09e31fbd138c82200fce2411f2612', 20404,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('9e521fdac6770840a2382fe98c7220bc471558f801d8965edf8573e7f30b69b5', 21704,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ed15a28fd4c2b8d4813431c543e1e1d9293d3054ccc2ba5ef342f99ce5a44c08', 20896,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('5e1991a7b37703dc6b6e746ddc357b7310c82534d6438bdb6f7ae3748790800e', 22096,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a95bda8e2687087242a1a437c00ed9c693590a2280a21d2a4734a3ad6dfce08b', 20448,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('61d7f09bf0f42191d6840eb606f9898b7faf7fe6493a630405fe91aac97327f4', 21468,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1a3215f9937cb8a3b66779e1b69158645771177c7433046a9d0929ddc30e126e', 20744,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('efaff26fee494b1b09da8456684d5c03d3bb898803d186aa6a88154f10bfdfee', 22096,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('00f4364ef7f981110c8e894aa31ef2195629999eeb5bc8689c21745ec03cf534', 19936,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('999b995ee79a2865d9ed663bd3b3d65fcd10a6c15198afb228ca225b210eac8c', 21064,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JosefinSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _josefinSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._josefinSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jotiOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8f5feca23a0920be0f78e1eb58c62cdb9ef32b1c4142f6b1ebc3cf13e172683d', 45536,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JotiOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jotiOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jotiOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jua({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6e140114334d538cd7aba3f5c53621623e62b941efa1a0fd2aa8d5dbea4c61e1', 1366212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Jua', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _juaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jua(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jua(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jua(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jua(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jua(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jua(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jua(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jua(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jua(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jua(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jua(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jua(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jua(textStyle: _t(tTheme)?.overline),);

  static TextStyle _judson({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a0e44f8bee5db23549c40c2bdd46ee689a1d4427410df98883638059880eb73b', 120496,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('434a445b96fb17f89c47a66f76abe63757bb6c0997d49bc83a86e2b0cca56b58', 111732,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b39af14b252a5cb398202d4738e995ef23ad94afe48fbd78fac58759d298f49e', 107400,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Judson', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _judsonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._judson(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._judson(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._judson(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._judson(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._judson(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._judson(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._judson(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._judson(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._judson(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._judson(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._judson(textStyle: _t(tTheme)?.caption),button: GoogleFonts._judson(textStyle: _t(tTheme)?.button),overline: GoogleFonts._judson(textStyle: _t(tTheme)?.overline),);

  static TextStyle _julee({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3f334d6179a0a109566471f8a12eb16eb9b7ce8b2fb4ae975450fc8a2dd71358', 30828,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Julee', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _juleeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._julee(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._julee(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._julee(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._julee(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._julee(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._julee(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._julee(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._julee(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._julee(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._julee(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._julee(textStyle: _t(tTheme)?.caption),button: GoogleFonts._julee(textStyle: _t(tTheme)?.button),overline: GoogleFonts._julee(textStyle: _t(tTheme)?.overline),);

  static TextStyle _juliusSansOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2453dedd8ffddbabbe0e7b6822b7cf607757d98524241a40596bb7ae18212156', 27868,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JuliusSansOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _juliusSansOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._juliusSansOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _junge({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('573f4ddfb30769905cf4446b3fc01243dd50c8d9ad1f810c91f3b009b109d031', 38872,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Junge', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _jungeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._junge(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._junge(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._junge(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._junge(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._junge(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._junge(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._junge(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._junge(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._junge(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._junge(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._junge(textStyle: _t(tTheme)?.caption),button: GoogleFonts._junge(textStyle: _t(tTheme)?.button),overline: GoogleFonts._junge(textStyle: _t(tTheme)?.overline),);

  static TextStyle _jura({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('77bf0cc35f4472e54d1b2daf9d1bfc5f02b062280d8dccd089869c247b4787ee', 130688,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('33eb5cfd183074e05fa8299bd75531ec22a6a6d5f8778170d27310d95b1bbbb6', 131592,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('77d5a89082924bbe692443c95c536a679eef0891bfbe46d7e30f206f8486631f', 132540,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('85ee38dc27e08fef91f43a628bfb4a044e79102b07af8ea7d859b249c169aada', 134512,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8215e86097df83eb3473c6f3ee4d3c63cd00dce9d02b9cd816d27f4e13616183', 136056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Jura', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _juraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._jura(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._jura(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._jura(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._jura(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._jura(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._jura(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._jura(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._jura(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._jura(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._jura(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._jura(textStyle: _t(tTheme)?.caption),button: GoogleFonts._jura(textStyle: _t(tTheme)?.button),overline: GoogleFonts._jura(textStyle: _t(tTheme)?.overline),);

  static TextStyle _justAnotherHand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1a03840122f7580fc7dfc0c3371d5450fd3b1c04f891bcc1e86780354e7c53d4', 164136,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JustAnotherHand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _justAnotherHandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._justAnotherHand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _justMeAgainDownHere({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fc0ac5f253850191002f529e5fd66829627682a2f9740fe0345a4bb339da7438', 52984,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'JustMeAgainDownHere', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _justMeAgainDownHereTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.caption),button: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.button),overline: GoogleFonts._justMeAgainDownHere(textStyle: _t(tTheme)?.overline),);

  static TextStyle _k2d({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('d221fa3a362d33d180e193b479bfddbf9e8ab02b545540d3a80121af669090de', 90864,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('2ee77370590db6101099fae848e5f0e4fad425bcb6a8bb711390100587eacf49', 94760,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('84c5594915b66f9cd68b4acb3820acdf5be79979f881f4edbece711c1a63d0cd', 90688,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('989bf534f4958d0d4655079703f5c6788e8cd7b1add81d08a1de93c354d69c1c', 94820,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('bad065e1eeca31036e60587a4472530b8db84eb93149d94f2b687a28c8b0af39', 90728,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('1696fa34076cad6a8c919ffbe3247882c29a281086a573ddb8abc0c175794aed', 94808,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ebd6d32612d7badd90f78a25b0a45e1573bcbd0b93954b702d17188d178d9e87', 90976,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d7dc126127f8fcfeda097e5da4a1097f60e396ed7c4696060eaa0da6f1727366', 95068,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('57c28cc8eae5e455cd2000ea358ed6be014ff9f0e69866e18a1e7b9c6345bce0', 91356,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('00dc6e342b171a8e55a277d83326c4612d8f176cd576ee5f666636b13fc4ca18', 95456,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8ceb3795ff3e683d9c70a4d12f431d94434b2527d61dcc11d59f840bfd644a8a', 91488,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('3bff6acc9a59d6af0e9d2b3170d55987d1c96e9bb88ff5c20be84053cdb0dd81', 95596,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('42e6c8a5b79abf6121af3fc8777219f39b88045a96a42dfe628d28c2112a4e12', 91500,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3d449eedd3718213cee306d0dd007fccf31827c55aa2d25b3d14ca933471e53b', 95704,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('8f35ce22ce957eeee7bffef62f142fb7bf751169767ad5ab73cd78ba6c135821', 91496,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('2141bd5b98bac331831e687a2131f46a8d23093831953a533451e0081a54f6aa', 95800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'K2D', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _k2dTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._k2d(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._k2d(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._k2d(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._k2d(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._k2d(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._k2d(textStyle: _t(tTheme)?.caption),button: GoogleFonts._k2d(textStyle: _t(tTheme)?.button),overline: GoogleFonts._k2d(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kadwa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5b5f18ab4eefeddcf41f6246b7bdc63d6971c57ff6d628b86fc955f8eacc2e01', 216352,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2355f2b7cea1ab51a7388a8586f175dbb411a58e530e26b1f86b5a62ca80faa2', 208480,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kadwa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kadwaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kadwa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kadwa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kadwa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kadwa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kadwa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kadwa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kadwa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kadwa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kalam({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('acc410247649f3164d61952a81b88737fb56977ac409e4d5f35d960e3b13747a', 220496,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('546c956074b4cd1c7d9936a82b03a712ec46df693b5a0faa80d4233f6bc17d2c', 220796,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d48470c951c546b15999abb42141211e85484cffff16ce7612d07676efb9d0d8', 223060,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kalam', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kalamTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kalam(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kalam(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kalam(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kalam(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kalam(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kalam(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kalam(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kalam(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kameron({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('31d4c66237b8a2353dcb28cc0c0fcf347f10cb20582071c7db1e3d2820bc9d29', 39420,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ba1c38d9290bf8209d9ff96941f976a43f44f9bd3eee9b066349fe39d6a0eef6', 40328,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kameron', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kameronTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kameron(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kameron(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kameron(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kameron(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kameron(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kameron(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kameron(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kameron(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kanit({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('9ae2534d6b4ec69c677d8c2cf336e1ba3c802e9e316c028c99a8db43ebb63f70', 91856,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('07d136289c506d3788ccbfcdf9e764427270b557b1b601d925bf997d002827ff', 101028,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('5a7bd784e91a9a006ec021a5f891a29ac3d867878f998bb1c2d7cdeac7dcb6b2', 91724,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('4171f0d7fdb919ffe44d9fb9fcccb08610ca5646f6e1f258e62ebe1b237d40b7', 101072,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('af3df5dc97d26cade1367d07a411e2ce209ab130f0d0f22c73594f2f9488f231', 91856,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('684fbd0330c7997a7aa6d6b72454ed7dbcaab91d2c54be50157988c9669ff845', 100884,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7996f53043acf5b6c782024a9c21ccd0bbab714f137cba3f64a2108709df989b', 91176,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9367b66fe82713a777016d80d74986e22f272688d4fa1a7aaa2e8d999d31b0d4', 100492,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('696301b8ecd45c7227d2c5ff3a308bbf701b05428b121fa43523622416c87e12', 90588,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('6dd4b995a1dde18512697195090fb6bee9d0f44b124e8deb55d8619204637957', 99036,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('ccc6cb20ad4fe61a7cd12f4124476933985e5e8c105008bf5549dee46d671fcb', 90688,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('5f81f4c0eae984a4ba6dec488b4b74c2b72db9871111ee3b595473a73be34d5b', 99316,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9844297d29f6a9c9d97cfa435750cc2933cc8d47b30e9c380e080d665310aaad', 89616,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('84a74264e2a1b11040aa80b859501eb498938736938cc12e1838be482ca1681f', 99564,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('ac86afa00dd8b070dc0325ff6ee63daee98cd4004aacce60aab9a9f147d3151e', 90344,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('0d3cf6f6f9f8952c9fbffa0fba60279f3b0fee229b846a4ff1d127732642c3c8', 99912,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('593120b5c1292664ccee5994d9936265b8372449097d70ce0cdc3737408f0c1f', 89780,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('887e5a2586587398cc15672b3f3fef3e35836150f74ff4c8f80a34895effe69a', 119368,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kanit', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kanitTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kanit(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kanit(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kanit(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kanit(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kanit(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kanit(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kanit(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kanit(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kantumruy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b1d181333c6beb8df855376481f36dcaa1e27f9c6fe7ba0c990035a73aca6686', 43484,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9b0483d5bc7f567f83bda10131a033929865349c666f585d4feaa69600a60802', 42468,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6e6b33a5b9d03c7ed3f4e94d9704262ca70dc513ac1f129964f79ccddba04e06', 41952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kantumruy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kantumruyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kantumruy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _karla({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6f59c39b7fe5470c4c19a0bd67174cb94cdbe2053382046ea00b00fbfd5008a7', 16768,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8dfdedc9371e4b6c128ba66b488cc38a94142de7a6aec5633026651dbbe7fd50', 18500,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('60f1379da84423da4c84a9d3ad1a1293ce82daf3c8337c5f3d027e5e0aa892c3', 17820,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('11cdf8ae7a17fbd7e9d7e2b43ced2e092b6d3a77cd2846dbf42cf3d82ffcb5e8', 18624,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Karla', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _karlaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._karla(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._karla(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._karla(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._karla(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._karla(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._karla(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._karla(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._karla(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._karla(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._karla(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._karla(textStyle: _t(tTheme)?.caption),button: GoogleFonts._karla(textStyle: _t(tTheme)?.button),overline: GoogleFonts._karla(textStyle: _t(tTheme)?.overline),);

  static TextStyle _karma({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('3efd1dc089cbb099173fc03a8bfc22d406db0671888af830ca7137e548369989', 213140,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8852b0f721a3603b10be618c6a5ad02f581025568b8db801a75130da5f0c8d48', 213320,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('2701feff031a171c4d982c100c27cf15d52d5051c49481762f43eeecc4bd54bd', 212556,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('932cd064de412606a66f2a06a29ed0003de9669fe26d7f1f9f3e76bfc74dbb78', 213564,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('132e41c0f90df6a2646b59a685af793e0ce62b2b64245d2db081d1ab1f6889e8', 214132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Karma', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _karmaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._karma(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._karma(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._karma(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._karma(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._karma(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._karma(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._karma(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._karma(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._karma(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._karma(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._karma(textStyle: _t(tTheme)?.caption),button: GoogleFonts._karma(textStyle: _t(tTheme)?.button),overline: GoogleFonts._karma(textStyle: _t(tTheme)?.overline),);

  static TextStyle _katibeh({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('16765d8ec4094a1fc5253399ebcf655c81c391de1a03f36d75059b0118e154a0', 188360,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Katibeh', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _katibehTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._katibeh(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._katibeh(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._katibeh(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._katibeh(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._katibeh(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._katibeh(textStyle: _t(tTheme)?.caption),button: GoogleFonts._katibeh(textStyle: _t(tTheme)?.button),overline: GoogleFonts._katibeh(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kaushanScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a873f20587d6d9f0fc829b52f62b3d79665f806ca3062b6d5c14e6450e10c623', 138340,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KaushanScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kaushanScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kaushanScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kavivanar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('18f829fa1d200c2774144c3fcc8eb4f393a7bf7e2c8e3d95ecf831dd96e498ae', 66336,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kavivanar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kavivanarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kavivanar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kavoon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2c2328be5a827d790cddbe56db46b1c94043f473e5d01286be1567e454a4038d', 52288,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kavoon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kavoonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kavoon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kavoon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kavoon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kavoon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kavoon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kavoon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kavoon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kavoon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kdamThmor({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9fc30fa8d328331e5132a7c7bf04cc803ada727681101c00dce2c9e84732f191', 56332,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KdamThmor', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kdamThmorTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kdamThmor(textStyle: _t(tTheme)?.overline),);

  static TextStyle _keaniaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('39c288c7a1580666e2ebb839a9df6cfb69104742879e8e61900550b02a4f9fb8', 38764,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KeaniaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _keaniaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._keaniaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kellySlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0e2083c69e8813f4eaba66f9dbe4960cd23ce5e098577997c4a3ae8d09c15c31', 77792,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KellySlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kellySlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kellySlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kenia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('504cbb4c7a6888c5333bff718cde206f914f047b6247076cd4033f6457a2a9a6', 39060,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kenia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _keniaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kenia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kenia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kenia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kenia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kenia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kenia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kenia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kenia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _khand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7cd4683a916646dd278fb0eb4426f6826ca4f0cc92ce083de087f2287fb11f98', 168560,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('325e1b6938310cd0385a917b47fcadabece70ea8fa6356a276e20fb171d57af5', 168592,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('6dd2785eedd866d3f7e329ad7264d66157ec7a40ef41d48aab098287b5a8863d', 167652,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2471269ec4d3228c379da2bc6e54db78b4c7b315613d0cd1e639539c7d92d75d', 167892,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('609dc9682e1321a8db6ab6a4caeffe07395b8517327ee5ce936b365e586fb402', 167440,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Khand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _khandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._khand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._khand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._khand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._khand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._khand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._khand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._khand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._khand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._khand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._khand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._khand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._khand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._khand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _khula({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('565c281fe5c11e451834dd30eda6e6d94a41c1a9c186c175541aa8ddef492d4f', 103456,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('743e9de20b77192c80fd43452b591fcc85ef36aa1dd7746171503962b5687046', 101668,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('af7d4733894aa875443cf8921445981662df9f4f3ee13e8cc151dee7c9ca5dde', 101652,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f8536c085e0c982334e632c44c763535658fd643b50254fb20784b8f377a6231', 101984,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('976ee869557699be72a4b83bbb3362cc7be7de27930b5b671210b69063a49d2f', 103132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Khula', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _khulaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._khula(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._khula(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._khula(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._khula(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._khula(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._khula(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._khula(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._khula(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._khula(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._khula(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._khula(textStyle: _t(tTheme)?.caption),button: GoogleFonts._khula(textStyle: _t(tTheme)?.button),overline: GoogleFonts._khula(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kirangHaerang({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('419ae98f0574b7c2a5b81ce99a859d0db9335d7be00145712bad1d7d8881abb1', 3554608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KirangHaerang', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kirangHaerangTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kirangHaerang(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kiteOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('34684b654cf048f7030568588f753ee06c120f4d68ba9426e47995af21a6aa8b', 37560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KiteOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kiteOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kiteOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _knewave({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c3a13f54f0f82d09a1c116c40d693c4e9a6212437c8602f91acb88a205ea9fdc', 32412,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Knewave', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _knewaveTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._knewave(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._knewave(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._knewave(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._knewave(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._knewave(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._knewave(textStyle: _t(tTheme)?.caption),button: GoogleFonts._knewave(textStyle: _t(tTheme)?.button),overline: GoogleFonts._knewave(textStyle: _t(tTheme)?.overline),);

  static TextStyle _koHo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('7b4addbdb3d0cadc2f6c0149b90b29c059dc7f2be08d0b28292acb880db45124', 86716,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('73dd6271884581477beeb0860878fd6b524f3e880cc020295c24e2bf1d41a70c', 90908,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('676e89293e4714a1c63fdd477c5dc88950461834031e2ea0437e65b31fc5a03a', 86412,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('5c2ce20516635678f4f67581782cd3c0429b8cf361e732c24021bc1711fc609e', 90612,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e8128e00cc778e37cc7db7f518f22ca833399d8c4bdfac07fd1fd063435ba658', 86204,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('3225382b5d36a6963f8d1cc5fb60086a657ecb39882bab5259eda483f292af57', 90532,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('90a011adf31d93ee90f5e105dd20a7a69e7de53626672d10449e9bced87b5916', 85892,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('cd0a466ebee7135ca6790a7908264c0457b65dbd9c927ec7082f43827d45f5d4', 90208,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('7cf86562498ddfbbaa3a3b5d46e848407702a925472a4a3e76ab1ef1a7949106', 85700,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('cd527fcf4a07b728233b2d93e0ef12477bf9988918e604f16fd823a15a2c3639', 89800,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c059ce850125c2f3bec60528a808fea56f6191b9b9bac380a4a38da9d2f42bfa', 85128,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('16a471d3f9b251d19034945ede1cd8c304c08caba74db67fc08e01556ec0e3b4', 88844,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KoHo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _koHoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._koHo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._koHo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._koHo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._koHo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._koHo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._koHo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._koHo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._koHo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kodchasan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('2edcba243e7c1435577d6a15a666013f9b4f4db824a08ac150024e2000e4b7de', 95536,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('6dabeb02077bcb1ee80b8aa519c66632dc2429a3cd60c6cabd5f91154288b103', 99884,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('6eb43574315a2c2b393aa7ca05550b9b578bddd384857e454e5fbe82b515bfea', 96716,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('fb557cb4f6efc30f933535fb5248e6730fbdcd42302a4b7ee4a58357d71aa0a9', 100924,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('eeae77f326fa242ac959bdcb27637f93f6ca476033b7d1e36f106cd40c510317', 96988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ec040aba86add77fe833d612e33ecb85ef59b26b83c92a86771db7e3f11a8f55', 101700,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('25d7924da481a4595e389025f7a5d21b4bdcc49e7e9766bcdb939f3fe48a3f11', 97288,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('86198a3feb862a0d1abbba874238ef724e7f0e39221baf31690c24d363b75c52', 102088,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('fa4d9b59366b50f70d33afeb164cee9a13230055602bfdd410ceba9ec9c94132', 97376,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('bcc4ef0fab22eb3e1e2ef611c53721b1d133ddc5ae972a8e978c4b8024b6aa30', 102560,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7df1e9c701a40ce05b3d8a4189480e045deff521a283218f2094f2cbbc434e17', 97212,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('37e6fe167fcb53ce25beebb7983c99d3fb3831d1891cb10d36bdffdcc9bef707', 102668,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kodchasan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kodchasanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kodchasan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kosugi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('100d52cf4a5ea4cf706199b6573e20b6963747dbf39a6fa2bd5eace488da7cfa', 1918404,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kosugi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kosugiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kosugi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kosugi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kosugi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kosugi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kosugi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kosugi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kosugi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kosugi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kosugiMaru({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9fbe25d62fc496dd41c965a6a410bcb248978277da1dedd4682e2b1d72c4ade9', 2558132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KosugiMaru', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kosugiMaruTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kosugiMaru(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kottaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0d0a0a70c6c66af4f55948fe817266bdb57b4ac8de0a0fe31f41350ccb139a41', 36576,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KottaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kottaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kottaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kranky({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6ede337ff9d5b44d7958a35407098749494ddd69efd07cad00c906439794d962', 198904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kranky', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _krankyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kranky(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kranky(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kranky(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kranky(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kranky(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kranky(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kranky(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kranky(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kreon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('988fb49f563aec3452b26437e4cef99cd52bf368c5fb6c30e7b9e1419e4a3723', 37016,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('95de76c3d8f95714fbfda4a89b6cf0b74a4285d9d0f81908cbd91c7146109d83', 36852,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9d9092c90a6173026afefda0a94456688b33166363b733d8d42200e68837b012', 37648,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kreon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kreonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kreon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kreon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kreon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kreon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kreon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kreon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kreon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kreon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kristi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6769ae6a5019b65b4c320170421385429bc0ab627affdc0b481ad8b7f7e2814b', 26988,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kristi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kristiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kristi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kristi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kristi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kristi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kristi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kristi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kristi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kristi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kronaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c3051123d5b341e07e0a0c83f46022f8c16edd2373a7405e1857ddbf3ac95132', 35168,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KronaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kronaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kronaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _krub({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('e99da9729e8beb706a3f7dd95ff2b13b7e33f89ceabaf9f2330e61896b93fa39', 81664,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('63f21c0600aea197624e3d1c2e40daafe5eabdfd3f3b604ef5a0240158275df3', 84648,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('c051f20fb436fad0503f887fa3835d2787be9ae5fbe5be539dc1532d24f8df2f', 81100,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('e7745d1a884ad74618766af351077c4625adf1e3ba22d4d86f3aa7cf49306b98', 83988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d0e841ab6bf1b00cdeb73777db2ee1a1cfa53adda512b49fbd12511e8fd15169', 80988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9e23fec650c8fabcf0ecb628c198acb3c2a8cc928f9ab5814f5eafa81c9ceeaa', 84040,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('2964f338dadae9da331e3cb292ca6fa5a8fe4eb8267fc4846b40115fbb645f2b', 80900,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('defa6560ee637da7a34fda9c66033c4a5465e3bc8b92a02da190b58dfdd71ad6', 83856,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('6f875531446bca4ea9d68ff550096ba0371fb5c0b8fa84667d9de385848b424e', 80800,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('af1dcba5de7428e1ddd0d849ddffc16f048518210fefe8a98bf21ff22234b3f1', 83792,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('066231a170b822e951eb201a38fd17e6a13d82773be17af5e9b184928e32c6c7', 80756,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('bb202066513c0b7b93b2e8552d17feeaf2580daa45fdf8e88f3e98205ca2342e', 83796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Krub', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _krubTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._krub(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._krub(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._krub(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._krub(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._krub(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._krub(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._krub(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._krub(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._krub(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._krub(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._krub(textStyle: _t(tTheme)?.caption),button: GoogleFonts._krub(textStyle: _t(tTheme)?.button),overline: GoogleFonts._krub(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kulimPark({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('840c4d3989e45ba899e1b3d09646ca3f9bef766fb66b167c5ea95b0726f44a0b', 42840,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('8737e36ff5a77edc8d6596fcaa803b3cf72b11b077e0b7b0397fa81c2f03dd31', 44900,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5f528827be704c4d4f91d75915cedac8ff4754733bcac2e61e48bdac1e6752eb', 43988,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('62e148954a2bd0e9e8c26272bfc3eedaaeecdf3a318ade20223eb51d2b83abdb', 45800,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d2dc8ced6a590e1bfbabfeaf4b27a7366fccc572cfee1fe459f22618ab3f1e58', 43976,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d3d40eaa8f0ae675fa6895c58f65a5c082236f54ee433a53963584e3f308f7c8', 45616,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('cea3878ffef1244f27d1495beb506d10f3206d59da7d09f737ac355fde66784e', 43876,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('62a7e064a37929edd5a709ff870cd8bafcf530cd6439f26277ab061d4128a8ad', 45616,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('23e77b347e0afbacac1a4ba530b6fc6e0a7e166bd3edf29bdc414dd6497b806d', 43444,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('baa22986aa8baf32baf6fbbd27e630ee792aac59cbf10df4701f9cd85d3232cd', 45424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KulimPark', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kulimParkTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kulimPark(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kumarOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7aa5fb44eb6e2f7f5a30bf8ae90da684a6d448b161974422dee1109dcdb3cab', 94132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KumarOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kumarOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kumarOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kumarOneOutline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b69d95adfdc90ffb8852e1828c7d227219b5374737613f23a88cfbb02439e915', 127824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'KumarOneOutline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kumarOneOutlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kumarOneOutline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _kurale({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dfcb85ac1c2a3ca188df6595b0099ece1a830475577e1897d491f575e6746e56', 164312,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Kurale', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _kuraleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._kurale(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._kurale(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._kurale(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._kurale(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._kurale(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._kurale(textStyle: _t(tTheme)?.caption),button: GoogleFonts._kurale(textStyle: _t(tTheme)?.button),overline: GoogleFonts._kurale(textStyle: _t(tTheme)?.overline),);

  static TextStyle _laBelleAurore({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('604ab650c1e1ab2e45459ba2bc1302e120467025e2f3a9946978bb7e7e0d03a3', 58692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LaBelleAurore', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _laBelleAuroreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.caption),button: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.button),overline: GoogleFonts._laBelleAurore(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lacquer({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4d33d0518b8cf4ae8d6149c8bc8e7e19ced4124d6b80d47934fd4e7897cda55a', 203048,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lacquer', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lacquerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lacquer(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lacquer(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lacquer(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lacquer(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lacquer(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lacquer(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lacquer(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lacquer(textStyle: _t(tTheme)?.overline),);

  static TextStyle _laila({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8aac335fe109f453ca82438785143a3d54ca6b5860f929a066015b366dd23603', 203036,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ba573905733e8e1ec12baa194825add1cb80997c3c08b032d6439d524eef298a', 203952,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('445309cf766b79874168d66f2dc2f5eb067c865989ed496a8e2389411de9e18b', 202320,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f393a4935161c1ac8a55a20d2a1107e698de003ace696ae5c6db50c7bf8c0781', 202264,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a2cfeefaeb650171ed23e31b4fe85b7c5b8605f36e351821ffd3a351aeec6c17', 201144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Laila', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lailaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._laila(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._laila(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._laila(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._laila(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._laila(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._laila(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._laila(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._laila(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._laila(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._laila(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._laila(textStyle: _t(tTheme)?.caption),button: GoogleFonts._laila(textStyle: _t(tTheme)?.button),overline: GoogleFonts._laila(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lakkiReddy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7517025d73568d9d811b25e8c5ef20a9f9d94bb816d4f334668f3c2d2830d079', 379840,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LakkiReddy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lakkiReddyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lakkiReddy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lalezar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4fb2ddb0068e2bc905effaccf71a86ff357486d6a30804cd2e1a8109d0f165fc', 190024,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lalezar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lalezarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lalezar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lalezar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lalezar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lalezar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lalezar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lalezar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lalezar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lalezar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lancelot({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a717264fe5246a5aae3c8706eb7368a7a36008880de093d205dadca67f8cfc97', 30668,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lancelot', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lancelotTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lancelot(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lancelot(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lancelot(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lancelot(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lancelot(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lancelot(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lancelot(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lancelot(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lateef({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('db6ed59fb822daefac366cd24ad8a0d2b7d9bf35e1ea45490ab50b3f50b0de88', 172748,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lateef', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lateefTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lateef(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lateef(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lateef(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lateef(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lateef(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lateef(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lateef(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lateef(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lato({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('2e734a39ad0b4a1dffd327f552cce678e867791007200be49b6a93a6c7c71b27', 83268,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('00d4076b836620336e608f16588994045e53f8aca14d9e430205db56649a8a55', 78920,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9b25850654f3dd59daf526a3d63dcca1c435e231c9fa2dd949ccde9cea994366', 80608,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('4cf23877950718d8775e526ee06380072a1bba6692d47bb5fb623fefb650b74b', 79388,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a649aaf21573a59079c46db19314fd95648f531e610fa932101f2705616b2882', 80676,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('484dd58cc095656f129f756067ede55183de20d70a6260c22ac747ed583672d6', 79376,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('407592da08cb1f6060fbc69262ad33edd0b61ec9160521455eca8f726bbd4353', 84716,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('6449b474d050304983a9431099406936e7f6978e22025a4a5ff8533871529bba', 79536,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('abae7ec6de16f8108f1a3e1e3dc9edf11c5903ab89b3513821f4e079a51ae175', 81116,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('60407472b091a98e26c61f47900329eb3f971651fa76edc26d9f32f87e27f13f', 76532,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lato', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _latoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lato(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lato(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lato(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lato(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lato(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lato(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lato(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lato(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lato(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lato(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lato(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lato(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lato(textStyle: _t(tTheme)?.overline),);

  static TextStyle _leagueScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ffa526d6dea17c40fade9bfb691be36a5db63e9da4a760462b7df5dce51f4e51', 51724,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LeagueScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _leagueScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._leagueScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _leckerliOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4f4b119a522d79aaa310d37682ccbfd758366df5ab6009b1bd0ff022a5405a5f', 43164,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LeckerliOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _leckerliOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._leckerliOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ledger({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3d3e17668a2b5762ca671d8a2496ba50de6e3896eaada54fa3f74ad82f0daf43', 62272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ledger', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ledgerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ledger(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ledger(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ledger(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ledger(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ledger(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ledger(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ledger(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ledger(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lekton({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('919f93dff330901c348455426b31bc6ad6270b29b4527387ab2f16ae1a8b1b37', 114272,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('5bdc665e2f574f3cde6b0db13ba296956f6736f4277decf03a015151ca063072', 34164,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('34d7bf522a1cd2ddb84bd57082d9651c5155029004a5a66c713dec61c865ab08', 113636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lekton', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lektonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lekton(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lekton(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lekton(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lekton(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lekton(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lekton(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lekton(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lekton(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lemon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('512e0e1aeb4008ca5b6b9a325a936751f306ba97d1a480fe76da5adfc1f404c8', 34600,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lemon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lemonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lemon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lemon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lemon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lemon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lemon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lemon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lemon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lemon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lemonada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('cd1018b5355f76f3e9ff9d859172bbccef3a0e0bb0b6956ed913a2edba4e9673', 101408,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6c9760a51ed4b78cf2a172836b2cbc10f540963fdcaf88ef76d10cd4559ee07e', 101664,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b17674113757a97537383dc22f4c28496ce5d1fc8274386430fd9d602216a6a7', 101480,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9f8159cd531775a6fab18432a618771064672ca7a1c6c7db49780d18de0d87d0', 101300,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lemonada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lemonadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lemonada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lemonada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lemonada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lemonada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lemonada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lemonada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lemonada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lemonada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendDeca({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8189083bf427d48fec9a74c5fc413be97f92e3b7533eb6682832054fc561e6a4', 65388,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendDeca', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendDecaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendDeca(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendExa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fb84184cbd1e9470db5355e5c25309509f5f98bf0676304b47958907ba6f7e12', 65876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendExa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendExaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendExa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendGiga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1239824b7d568f46db623f61bf9aa0fc21275920dbb5861fdd9d57f132aec548', 65932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendGiga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendGigaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendGiga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendMega({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2a632f61e3b47867cf774fb3d70ed1a0007cf19ae44be394ea6b878c35648111', 65940,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendMega', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendMegaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendMega(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendPeta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('417f097595c2e66cb6c0ddc8f6add4e4f493b24f53527848dc0d03462e133fd5', 66008,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendPeta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendPetaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendPeta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendTera({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5d4d1da38f1fe26a0b69152ff29cb43aa95028fdd9ceda04924ee0236771e324', 66040,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendTera', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendTeraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendTera(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lexendZetta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e6de0f389e45c6725bfc8b444ce22b404d8ef5f4649f41b979fdf5cb1125dfd1', 65904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LexendZetta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lexendZettaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lexendZetta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode128({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a60bde92bb99e259f050c9d55ccd67ee6844aacf2e4af2b0e58f75109406ae95', 11724,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode128', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode128TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode128(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode128Text({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f4129dbbda4ac792c69c162a644275345c7a08c7619a041d31702eca3b14b308', 23364,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode128Text', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode128TextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode128Text(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode39({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a605309329470cf91b7f9343b36bcc438da6738fec78fce2ac7a62acf989e1c1', 7248,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode39', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode39TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode39(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode39Extended({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('edfdd0513a19347cac4818ed891b4a30a77b1e694da00c3a0e6a1cb397e33c77', 9912,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode39Extended', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode39ExtendedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode39Extended(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode39ExtendedText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d1a436e9eac25119a1f5a775ca357a2bceb9bd198386f7c5ea1d29e70aa83257', 21148,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode39ExtendedText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode39ExtendedTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode39ExtendedText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBarcode39Text({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee70d574bc973714d8a7d914d0647a5125c638ce6a1f231fae84020e61b2576e', 12448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBarcode39Text', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBarcode39TextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBarcode39Text(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreBaskerville({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9823638a0177e6fb752280379b200fdaa407e687c8c8e2e7f67bb73b6098f478', 101356,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('47c63ebb507fc5ce683210642c5b0529745a907c2a98ca886eef85e798558b3b', 121336,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e4f9416f4d8d90e78dc3993de94575a0c44a72da6b4216e5f6346cfee242d201', 101584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreBaskerville', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreBaskervilleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreBaskerville(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreCaslonDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c30a6ef1396c17e855a72b95f2848b064fceedce5de3bc974c99f5a75c48148f', 63388,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreCaslonDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreCaslonDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreCaslonDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreCaslonText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bf61a45047b0948452918933bf02a0c550f66b703720c33a588f9d912c930525', 58628,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9127e87ed024695b4753bfa734aa694e4e7ca57ec318f8e69856ba19b8bbd8d6', 64300,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5b9e7454ac79e153edca85178361ae1f5f7e9de7ade1e87c1bc514bdbd0baa5a', 58284,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreCaslonText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreCaslonTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreCaslonText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _libreFranklin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('a1f21b9a28ecb3d6ea935dfde51aee05540140c3a25253b0641b9444dda667c1', 57732,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('09e958f9da1c899ed89026561f56a7c052b9408db021ae9a897f9247aad44039', 61308,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('97dcc6cedbef15bad22ec4941bcf10ede26cae6bbf0844281f0935c77e475130', 59320,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('d7ed8c62c5358fda45d46e54541af5e0e8397f71242f11a485c04dc39a11218d', 63088,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('948626a8cfb11d7e06c5fafa6b5e1c4fa4be5db5351c6a223f2ca782b9795798', 59124,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('34e2e0606ed438b0a6d4debccf0e4c6db3db50b9963425c4f53fa58c91e75aae', 63500,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d81c9f4f52bd37777bfda74e64a609d354ef7ccbae5ccc54d946e46d0355ce5d', 59384,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a6f8c531931908db5a4f8c02ab8f7bb923b97ba2db982c240715f93114bcd958', 63856,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('05ef5f27b97c4867b996bc39496419b7ece8741ac22d6eefe59e893a9a499089', 59800,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('92e317ea35eba4231dde4a6c824a53ccfa8c615e10e8ecc6cae2d148cdff6b49', 64444,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('b31f2f6914b461a54f80a39780a73cfc0e9fdb98c0025558fc780865881f4379', 59952,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('51e7bd4a4cc8faf0e20e3a2f9ee81132e7a586a1cd64c19fa34654b505fd56ec', 64912,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('df03d679c9dba10b0ec29c9d44006aba2dd476ae7c3886c4b3e713665ca443fe', 60492,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('a6883fda2b8a258fd408d8655880863ebf75e8eb0c22afc895f6e7f60d955d6c', 65272,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('09d37126271e3ab9282776debe97a4652875fb69f4d98f773a1b6b8d37256299', 61056,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('1a059fcf7d8cb61a71e33599611f5f014c20d34592f0ce2d4afb7ce9e3dfbbd8', 65812,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('41ab0fe0ad9c37f298d693d6b8e4c5f3cef041ad27ed08c25ee44af8653ee501', 61128,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('136f29fe980b3eaed9bf88c730b2383f963681429fc8d55de10ce71392487a12', 65916,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LibreFranklin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _libreFranklinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._libreFranklin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lifeSavers({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('04d39ceac525bd7119947e50ca506cd62efc8803e38347a7b1d07e401463bcee', 136132,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('362b7da392f70200e34ca8d939a7739b45fdd4cb54b9aee41f6a1db39d13a08b', 109788,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LifeSavers', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lifeSaversTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lifeSavers(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lilitaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9bec8798e040c1fbce51e8a057cea3e28ed1d6af1f649b2abec2cba17eb20016', 28044,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LilitaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lilitaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lilitaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lilyScriptOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e8c1fa639d81f625fc5e1f8d3e2988ea5a29d0a6b0a0b6b6a617ee21af28ffc6', 37524,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LilyScriptOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lilyScriptOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lilyScriptOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _limelight({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ba79f57019c587202d831e35a7e10e6dc9ab23546f46ec9da01aa4d25d509913', 63860,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Limelight', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _limelightTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._limelight(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._limelight(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._limelight(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._limelight(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._limelight(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._limelight(textStyle: _t(tTheme)?.caption),button: GoogleFonts._limelight(textStyle: _t(tTheme)?.button),overline: GoogleFonts._limelight(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lindenHill({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f32a2438962995a6cced863561c2653cdbd06a951ca2497da2a9275d3fb83fcb', 124796,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('312de55c585397a60a43de01015efb512a794ffb875c4edd86fcb2e8af39db39', 94492,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LindenHill', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lindenHillTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lindenHill(textStyle: _t(tTheme)?.overline),);

  static TextStyle _literata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f994a4c14415cfac63df0a88d12df379634376d190047a3aac8c1ccac859181b', 136204,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1011ff34c164167eb8c8e3cca7b775188431d8992affa5794a30375c51b6d938', 136324,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('497b001be8a26d6015abe84fe17796af4a7dc95f03ad846ec89f4a5555f9f588', 136392,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('438f5478b62d5696ec3eb207a5421131200429183907d6e3b4beb353b7169c6c', 136280,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('fbac7c28db9313dc90a0f798d878fbe937ab215b86a35aef428cbba8f8fa8594', 130704,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('4842145089ec9a11f9e11c7ebcfba39e857c3b88315313402619eb2a34bda353', 130820,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('49a0d45ea7e35b031a48ab51d25b49734acf802145bcb84f0870c6629241d148', 130820,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('b5feaa5aa4ea544737c3a07671e847a9c6664d791d284ccd3866fe24d45f2927', 130680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Literata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _literataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._literata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._literata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._literata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._literata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._literata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._literata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._literata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._literata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._literata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._literata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._literata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._literata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._literata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _liuJianMaoCao({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b88821c3a72f98bbab2428a3b3f4a51c2f0eba1644fd8877d195afdf32143cdd', 4937244,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LiuJianMaoCao', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _liuJianMaoCaoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.caption),button: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.button),overline: GoogleFonts._liuJianMaoCao(textStyle: _t(tTheme)?.overline),);

  static TextStyle _livvic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('69cf7d68bd7ea7e4f1eea68a6ce1241109949e773f7342713cc8394cfc3a9350', 75488,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('bac5d8a0627f56ade7281b777b0753a1e5c0d8954b749c43c474cef3987fabb3', 76756,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4339e04cdaa30779650ab9cd08a8e6208806c5d3e61ae9934286f6a0fb3045e2', 75700,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('1e90ead4569f3a9562d934ed81529f5b9f77d31c3f3fb04d0761808cc8121c00', 77044,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('1d4d9954fddbfe812dc3f05be50de4c32cc79db0ac03c061be82e347885a0d16', 75612,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('56eb0ced8438e313f473ed5c0d4ee2b2a14fd14f795e437c8fe91da30d6bfa87', 77080,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('684c0977078ce7a0aa4baca696a867093d47a8b698ac6524e6cba0262e63cc57', 75488,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ed0c728d0a90d1b99fd01bfbc0371e526ddad2ea79d269182c60cd5bb8241393', 77004,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c9399fe200dc52728dd923fc8ef5e8f2566eaa599bfcc903102b49126535701f', 75736,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('eebd5e2f0a3762de32ae06a0aecd96d94322b7e078bc768455d63e202a74411f', 77136,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('38ef1c46a21565d37981213d2daba4d8f216e1f0f25972c1003069f2c05df6d1', 75880,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('4c557b68961f711648417be8fe965f0ee26452f0b78ade0beda7fdfa4a13b939', 77048,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('87b0c42cfd0f29daea2867b06adda2fdf978a1c565072fc54ba65774ef420c1e', 75936,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('5431f875e19403b74700eaecfee54e157b5661d8a1fb32712bee2165274e7b03', 77016,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('4a61243d45e4b7c886a8af1be0488f4cd259518fea160b655891a491dc90bd01', 76060,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('541bf67ff4d9b5b56c9d47e30220519bc5d38c2ca202037bf673fba3fe3a8b77', 77112,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Livvic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _livvicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._livvic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._livvic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._livvic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._livvic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._livvic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._livvic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._livvic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._livvic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lobster({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ce455bfe5094ab723cf0b59871eb112f9f9acbe6d58811590b3d22a7236fa435', 257344,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lobster', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lobsterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lobster(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lobster(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lobster(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lobster(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lobster(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lobster(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lobster(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lobster(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lobsterTwo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0c7a1501aa183946996d6a6dd00639131356d161f596511cf06339053570e634', 108456,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c0dbd5c04e410d8e4da9017651e742b0e62adac50ae9b77ad22cf0407e27e211', 111476,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('510f984a2bfaf23d533e8c389063fe40f2e0d02c2d16889ff79e565345b3aaa5', 106956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('37a829bca6d8cab14c9768897a1dafc7fcc08b7b459ba3bd2a2e0dac406eead9', 110608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LobsterTwo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lobsterTwoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lobsterTwo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _londrinaOutline({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f2c1c90df8f0b2111b8b45fe4112b8016fcde0874de248c3bd10e4f63da86e57', 79572,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LondrinaOutline', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _londrinaOutlineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.caption),button: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.button),overline: GoogleFonts._londrinaOutline(textStyle: _t(tTheme)?.overline),);

  static TextStyle _londrinaShadow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('84cd8dae1b878c823a1c39d7d9e9893bae747ef212a4a917ab537193b2399287', 85464,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LondrinaShadow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _londrinaShadowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._londrinaShadow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _londrinaSketch({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f0bd303136aee90e673136b6266fb6b196cc94ef0966d955269deffaecbffacc', 172392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LondrinaSketch', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _londrinaSketchTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.caption),button: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.button),overline: GoogleFonts._londrinaSketch(textStyle: _t(tTheme)?.overline),);

  static TextStyle _londrinaSolid({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('85115a63ada513540474540a077cb696b1e089220014e3496bbb17c6d81ae8af', 51980,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LondrinaSolid', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _londrinaSolidTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.caption),button: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.button),overline: GoogleFonts._londrinaSolid(textStyle: _t(tTheme)?.overline),);

  static TextStyle _longCang({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('abadf560e9284e557329d5cac93ab26b805d175ed1d48da30b843ac4c21623a2', 5150448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LongCang', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _longCangTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._longCang(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._longCang(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._longCang(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._longCang(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._longCang(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._longCang(textStyle: _t(tTheme)?.caption),button: GoogleFonts._longCang(textStyle: _t(tTheme)?.button),overline: GoogleFonts._longCang(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lora({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ab4a36d4eeabba7b21d6d9f9cf3402c3cfc28c64a4fb06cb6c424de03a8c98b9', 116620,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('5bda244cfbcaf07666bfff144e4e1e5809f93966fa537d9ba1a29fcfd7e0ebb5', 127672,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('aada77cdac3a872737be48f8c95b39befadbb124e16cc8b8e5076dd429400ea1', 114072,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('b8238541d0dfa01767e098baf5d7942885a58372a7b97e09d2af15e9d295f2f2', 118464,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lora', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _loraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lora(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lora(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lora(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lora(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lora(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lora(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lora(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lora(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lora(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lora(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lora(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lora(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lora(textStyle: _t(tTheme)?.overline),);

  static TextStyle _loveYaLikeASister({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d7068a0e071e73ae0e18893c97cb33a901b4cd1482fed4150d017e6ac0f7a636', 271876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LoveYaLikeASister', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _loveYaLikeASisterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.caption),button: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.button),overline: GoogleFonts._loveYaLikeASister(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lovedByTheKing({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a37e323dc32cf1679842583e8ac1cf460c0cbf68f0367394bb943ad1f662a77b', 27432,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LovedbytheKing', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lovedByTheKingTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lovedByTheKing(textStyle: _t(tTheme)?.overline),);

  static TextStyle _loversQuarrel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2b3afd5d2a24b3641cc9053301da4dd11e595d360d1f052a9527036e96ab00e9', 61824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LoversQuarrel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _loversQuarrelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._loversQuarrel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _luckiestGuy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6a9e5eaeb4d4b04aa5e82f16dabc4206d86d2981ac19d033b535be88d1a773e7', 72952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'LuckiestGuy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _luckiestGuyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._luckiestGuy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lusitana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c6df963163bf20f6d3c7e20307b4e363715e13d9047b5707caa9407e11af4ebb', 30140,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f5505e39683b141ee21482fcfc3818a5bb6f049abf15928c81caac05296eba18', 29236,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lusitana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lusitanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lusitana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lusitana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lusitana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lusitana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lusitana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lusitana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lusitana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lusitana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _lustria({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ba208c56243ec0aa08c1b911132f8649f5d87f93a699d115fbb59cf02e5bd636', 37352,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Lustria', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _lustriaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._lustria(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._lustria(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._lustria(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._lustria(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._lustria(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._lustria(textStyle: _t(tTheme)?.caption),button: GoogleFonts._lustria(textStyle: _t(tTheme)?.button),overline: GoogleFonts._lustria(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mPlus1p({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('0654233f2cc095bd1af48724031070c0b16e3dd46fc5c29bd87070d485b7a366', 1766584,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('328d60a811d0715a23a96805dda2004f69c4b0a888dc1711c77a2d589650c97f', 1762104,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6d33f3ea856c224db5e2d573ab252d85cc66e3d2ec9981d4dded4cb5df17a345', 1753640,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('45129fd4450f7465b6ad68ee3a7f2579df75712cdedec1690b2f2b8e2a008400', 1753792,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('42106dfc33cc933616115e3c69191bc75d0675df68106571eedbe23c14b5ad1f', 1761472,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('27bd65580cfc4564b1dc3ee85e12bdc336861dc586fd838a943bdef4a3bd8730', 1768720,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('21baffc573a6103dcd6c23b9ad751e3686f142c921212717fa3b4356e01a38bc', 1769116,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MPLUS1p', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mPlus1pTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mPlus1p(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mPlusRounded1c({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('6d028025ec621f30d69f25f3b121f0eb6e4678e96d47f16d760f1fcf59248d2c', 2899200,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8e6655c0fc1e40abbfe6631bef1b71cf55ed1f706c0d130fa9fc82cfb1a644c7', 3284736,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ff70cb1f3f4fe4691c6ec7c7725c4a0aa37e2d1fa2704d659c9efcd304a6bb24', 3379736,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('a6066483cf3c5b68c17d69a4a957e9a50dbe366ac10cbf88a9f3776744ec5048', 3422384,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c9070409f93c9e7a46a302d0205de1c15bdde3b59f65c32ff73315592afaf17e', 3532232,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a7b92c0902d7c3f543a4ecc04c44c8cf62f26c4bcc92ecb26e40ef9849277e61', 3617848,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('cadad2376795cd1bcdaae984a16f1fef7e2f18ca27fd2493f32f620867a1ef05', 3624724,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MPLUSRounded1c', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mPlusRounded1cTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mPlusRounded1c(textStyle: _t(tTheme)?.overline),);

  static TextStyle _maShanZheng({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b09c8b63681f2770158618c3110f15aa53948e2ef43d7bcbee34cfe43cdfa646', 5855516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MaShanZheng', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _maShanZhengTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.caption),button: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.button),overline: GoogleFonts._maShanZheng(textStyle: _t(tTheme)?.overline),);

  static TextStyle _macondo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ecbf710a53864dd6307e2422a043a2a6904563df10226e7278fea2ef2d293dbd', 48728,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Macondo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _macondoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._macondo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._macondo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._macondo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._macondo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._macondo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._macondo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._macondo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._macondo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _macondoSwashCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4143af0ceceb156b80e5e2055d178d84cfca13b39056f49121b05c6b3843f1fd', 32968,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MacondoSwashCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _macondoSwashCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._macondoSwashCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('9e8f4edc7b74697883d4382000502d7429481f7ccc59b65ac62c28e99481cbc3', 40552,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('4987425fde45e8da45ede3fad409b0ac00e32ca0255a60b44b8e1f701764346c', 40352,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9e3c24ab83037a6d4fc5b72d068caaa6a0767414bd20d7defe31c562ced6d6e7', 40316,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c3e70bf71ab0557ddd82906726c36d89e199792db1997040b1599f61e00acd78', 40136,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('052e0e0f174e9e8ff63bf2a85f70db6cc59d3391a016a31ace8e20c49d0fa0d6', 40004,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b94e1f9c917ae40e5e6b8d95fe24de1817e37942aafb9b9310d5e0d4b049221a', 39924,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('7746a4ca1c6767a971c0db31ec18594fa5211adcc318e293d27b55efc36bded9', 40036,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _madaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _magra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9af41cbbd0f37a100cfb6828248fbfbac10111faefb7b379eb4d74092ebd2f8b', 45488,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ab81d03efbb8cfb766cdee7ef1e7333d196769ab264426971367541a4feee673', 44452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Magra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _magraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._magra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._magra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._magra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._magra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._magra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._magra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._magra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._magra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._magra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._magra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._magra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._magra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._magra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _maidenOrange({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f4952dcb36962c7d3f35f54be08eb204ab4600cfc9afad59f213d36b5ff5e8e6', 60316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MaidenOrange', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _maidenOrangeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.caption),button: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.button),overline: GoogleFonts._maidenOrange(textStyle: _t(tTheme)?.overline),);

  static TextStyle _maitree({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('0739208db7083eb1320ec06ca68d5399840b972ed04401c338c373289f55ea74', 123008,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('19f05ca05c789289a2d8b35a68f7d2eb186a1bdbb47ff7d630f96485b8d06f67', 120308,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('acbe712e2f0c98c52be38409f5b250521e6124b9af003a579b4c94e4e1ad0f49', 121608,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('40f80d32ae82b7f67fe5a2ba972ccaecdf4b1cafee213b04baf2deb885eaf0a5', 123172,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('fa9e3fc69089c2a19cf33871b62432a04f1b7d8bbb7faa0150665802ed267f0e', 124716,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0dd3d4080658f7cdb11b91c35ec62b8ff94caac9d5808f03343f66556b2f0ed9', 126316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Maitree', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _maitreeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._maitree(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._maitree(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._maitree(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._maitree(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._maitree(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._maitree(textStyle: _t(tTheme)?.caption),button: GoogleFonts._maitree(textStyle: _t(tTheme)?.button),overline: GoogleFonts._maitree(textStyle: _t(tTheme)?.overline),);

  static TextStyle _majorMonoDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9901077f5681d4ec7e01e0ebe4bd61ba47669c64a7aedea472cd94fe1175751b', 73196,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MajorMonoDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _majorMonoDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._majorMonoDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mako({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('db4609e335050755bb95ce1a179f4666e1a93d3fac9c679e99d96b472582d0a1', 64280,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mako', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _makoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mako(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mako(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mako(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mako(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mako(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mako(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mako(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mako(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mako(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mako(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mako(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mako(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mako(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mali({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('e492669e95f03389c8fdab60ebc0fc25dc89f921dfa3b4156ed4ee3556b26a22', 104192,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('9c4049d3990bfb82d515b0f6b44c0669352cf1d4f0ad71a6c39c4d800d91afc5', 107084,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7ea3a4d356e5cb938ea97489c60b148dd2e33b9bdc641f01c245b965a8028725', 104400,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('4aec4ec351696e4bc5a49deed841e02a84880d0fdc72dafdedce7154770dd8d0', 107256,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cc1fb36bca8387ebe3fdb1a9052a01ed8312a51a3ac265b51d93b7a6bf6ae45c', 104480,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('575418ad9604b624f1d09cbaa0d15edbdec2653423419c83fae61131d0f0fdc5', 107544,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('56baed7152d5e08635cc8a9e3a241afd0e7659f30374cb82033266959d273382', 104528,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('d1e4f0963402e82a0e541cc7ff0d371c1311270840c7059b94bd710b0953210a', 107536,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('3d34348744efcb7d239f7d07237bf644507c1d98545de940f5e36475267d7937', 104580,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('56a65ebf56f24e0082786c224207d28f9e3ac7d58473839ef4e014f58dddc92e', 107532,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7d22887c912c6d24c96e8a7bd85a8bec285b2f6e82cb0f1239c7d62df8d66db1', 103972,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0cf0f0229db8cba537f46efd1c9a4734268f6011e5e10fc1ad8981849edfc421', 107396,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mali', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _maliTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mali(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mali(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mali(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mali(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mali(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mali(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mali(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mali(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mali(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mali(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mali(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mali(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mali(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mallanna({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('81feb01d40b2b7875e496dde6320f6af4ca381b03d376608ba5d8f9a8eb72db4', 359540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mallanna', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mallannaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mallanna(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mallanna(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mallanna(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mallanna(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mallanna(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mallanna(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mallanna(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mallanna(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mandali({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bf8fcb272aa15d749c2b5a6660a64af1b0014a47b0fe3ed3394e761ce7637f1d', 368992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mandali', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mandaliTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mandali(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mandali(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mandali(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mandali(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mandali(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mandali(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mandali(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mandali(textStyle: _t(tTheme)?.overline),);

  static TextStyle _manjari({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('bf27671bb835dda0357f930bf36e8187a3b84c55eee29c45942c1f24658669b6', 136496,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1f336f99d4a94b987c207d844c5dcf944f0499c38fa5136e75debe864ea9cb43', 136428,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3679ad318e4f3587d288eeeedd62d875b904a491a6163aecc418b38e359be2d4', 135944,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Manjari', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _manjariTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._manjari(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._manjari(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._manjari(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._manjari(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._manjari(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._manjari(textStyle: _t(tTheme)?.caption),button: GoogleFonts._manjari(textStyle: _t(tTheme)?.button),overline: GoogleFonts._manjari(textStyle: _t(tTheme)?.overline),);

  static TextStyle _manrope({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('0e0aac7c30d815ffee8f590cf386f62ccea077282904c5bcc089f83e1e3fa6ba', 84572,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b00c95e47bd20d7096fc9bd66552bab89fdaee62611c600e651efcc4c1808b29', 84708,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1f742b6ef495bb5b9f5b968a27c50281ca1f9822bb53ec99bb3757ff2f3febfd', 84680,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1b26cd5641c96028ba3251bc1c3017c3b7f0f66db8bffa236e6a9fba9273dbe4', 84776,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2926db83b22f15d5dead94c407d4b830fe032adae54af4611e4a3b1d95e5059b', 84684,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('89fbadf5ffbbcf438d182a4931c241c4beb528b1c11c22290afc4b4b8c8f854d', 84536,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('f94757bb3fe3b1f1a20cdb49284c1a311dec4ed72554c5858d186fc93db7afaf', 85448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Manrope', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _manropeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._manrope(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._manrope(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._manrope(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._manrope(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._manrope(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._manrope(textStyle: _t(tTheme)?.caption),button: GoogleFonts._manrope(textStyle: _t(tTheme)?.button),overline: GoogleFonts._manrope(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mansalva({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7918b7006d7a856d653dd2465a093d28c6a2fd94aca6109ecd700d5e4c09dc7e', 79052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mansalva', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mansalvaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mansalva(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mansalva(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mansalva(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mansalva(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mansalva(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mansalva(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mansalva(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mansalva(textStyle: _t(tTheme)?.overline),);

  static TextStyle _manuale({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cfd06fa1d33d937fd3d097835096788da1e29fe217c0e6619d7f4e92770987f2', 91676,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('b7144bb9db9fc28df1a2f22173a91396c535d078a58256b0937d0ed4916ac08d', 96700,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('bee63de104b5fab81c246551830fd9cf2910da15ffb1fe837913493df2612797', 94432,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('b9d7d38e3301e49ed48cee4bdbfdf8bf85004f299e7d33795cc55fad29b5406f', 101664,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1b0e482a58bde31d3c0408ea84a5ce8287b1669e24bb7e75648b20ee859ade8b', 94576,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('023ded306bfcddff115b0b04ed36de8a5184275774cd972ce1fb34d8d917c61e', 101776,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('50014d6214dc09001362c4e4a770de808a95fc3f590d52d895c9eef86b71d68a', 91536,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('2a59ed27fb6985f70acb9fc94d9038ae63cfc4a2ddc5226dfecb7c8407b5a93f', 96612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Manuale', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _manualeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._manuale(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._manuale(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._manuale(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._manuale(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._manuale(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._manuale(textStyle: _t(tTheme)?.caption),button: GoogleFonts._manuale(textStyle: _t(tTheme)?.button),overline: GoogleFonts._manuale(textStyle: _t(tTheme)?.overline),);

  static TextStyle _marcellus({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('da6549c2bc3ceec2f36d4caac4758fda610e67ff654b4c90304b83b55ee36084', 45588,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Marcellus', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _marcellusTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._marcellus(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._marcellus(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._marcellus(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._marcellus(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._marcellus(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._marcellus(textStyle: _t(tTheme)?.caption),button: GoogleFonts._marcellus(textStyle: _t(tTheme)?.button),overline: GoogleFonts._marcellus(textStyle: _t(tTheme)?.overline),);

  static TextStyle _marcellusSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7c5ce48eb9c8ceab009d792056be549983c1b1322fca2784a6e75e7579b347f9', 47472,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MarcellusSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _marcellusScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._marcellusSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _marckScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f111edb73a2a290328fb706396fd239519a491528780e18030fc8b0265a1b669', 83616,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MarckScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _marckScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._marckScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._marckScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._marckScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._marckScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._marckScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._marckScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._marckScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._marckScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _margarine({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('86d801ed5c2e92441a7292c5dd8599a87757c63d0c8723543bcd44b504f37776', 148404,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Margarine', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _margarineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._margarine(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._margarine(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._margarine(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._margarine(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._margarine(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._margarine(textStyle: _t(tTheme)?.caption),button: GoogleFonts._margarine(textStyle: _t(tTheme)?.button),overline: GoogleFonts._margarine(textStyle: _t(tTheme)?.overline),);

  static TextStyle _markaziText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0e5e6bb8cf276742072a5a22282dd79c7d532219e9a950faad9fcf21d2cf8cea', 120520,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d6f033a9cc38e8da2e1570b35f84c43b8312a13a2f126dfd89f67a322513d7eb', 120652,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('68bfe2ab439b778907c8544102bbbb7de31be886ff40a6bf5172cab6c7c23eee', 120692,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('342d38b7c70eeaf282e54f367d5ba4eba6d1c07b2c2363023084bcbed4d1c05e', 120648,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MarkaziText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _markaziTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._markaziText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._markaziText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._markaziText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._markaziText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._markaziText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._markaziText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._markaziText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._markaziText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _markoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f84b713ecebd47ffa67dc6fea96096b65f6a1abfb9819f1014a1ed0d1a4c1455', 34436,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MarkoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _markoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._markoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._markoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._markoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._markoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._markoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._markoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._markoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._markoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _marmelad({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9d26c08790a329b7df0bf3cd14c6102856d22040c14545f72c05a2f1f47633d6', 64620,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Marmelad', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _marmeladTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._marmelad(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._marmelad(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._marmelad(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._marmelad(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._marmelad(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._marmelad(textStyle: _t(tTheme)?.caption),button: GoogleFonts._marmelad(textStyle: _t(tTheme)?.button),overline: GoogleFonts._marmelad(textStyle: _t(tTheme)?.overline),);

  static TextStyle _martel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('c4024da71647bc66c6880037b41d29ad5ae7b5426518ad225ee14562d6dae75a', 120120,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('138cff935a5284819d91b6908fed6fc1cb770eddf8d812c17ef1dc6092010fb9', 121516,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0bd68a5be6ee9107bc21ade86bd0199d47d96c7895a7a1c2c3080377779b268a', 121136,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('d22af0f3a51da296280637f9124f2579cf8b495c74ce080f84aca6ad6c12c889', 120600,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5b81175087fcd5061785115771a9e1c7ab3c69ca0de682426b8338a372e23153', 120924,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('3e03eaab1b6ec761214d4dc76edf835a3eafc1c7170942a240f46c25a571bd41', 121552,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('8d00654db8f5901e4a51129ff21160fe34513ff2284309ccd0b00cc79684c7cb', 114876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Martel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _martelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._martel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._martel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._martel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._martel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._martel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._martel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._martel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._martel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._martel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._martel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._martel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._martel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._martel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _martelSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('1fc958d478da9b8b19e77c989d4fb6dbbd2f412a15b122ba72a2b11ee450907f', 107308,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('2115f8757576a27c80ccede4ba84e8febb53a0ec9f63840ab713b4d5e848f950', 107084,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f782be9e1cecfb4c75dd0bb7a8d88dce2794738a35bf5532079d99d4d529502d', 107068,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('52f4a456d3927808cd2aa64f46cd6d63f7a938b904b289f66ab69c0db2e884a7', 106336,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('fcf8c1bb73f62f8c3e86ed5126daf3eb4ee130c49e70f7ebdcaf27ae635bfc1b', 106340,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('0860874935148b1b8ffd9705d6ccef02322d3972a1bf7a38e63a65cf542e6395', 106224,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('9145c71bcab8472ba22b19f9e4e898639945be5fed13f10cd4d399fd5eac5a83', 105840,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MartelSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _martelSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._martelSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._martelSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._martelSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._martelSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._martelSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._martelSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._martelSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._martelSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _marvel({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3762fad5facc07dfebad111a683192dbddb8dc02a4a43406d2c79a4303b11b95', 38196,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('aaf0a4ec8425cfad4c7d8c41f37da8d7de878baf6fe877de46e9bb6a21afa443', 40644,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('84edf56bb5528f4a5a646cc54e1df7f8b8f0acfcab08ba176e2140d05e3576dc', 36944,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('3b41fd323f8f2702af4eac210e3a7aaccc576298b28256bf11c98cba436c90c9', 40056,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Marvel', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _marvelTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._marvel(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._marvel(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._marvel(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._marvel(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._marvel(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._marvel(textStyle: _t(tTheme)?.caption),button: GoogleFonts._marvel(textStyle: _t(tTheme)?.button),overline: GoogleFonts._marvel(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mate({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5701b2952429c600058781ef4db8a7525ee3bfcdc98015ed08588eff40647848', 28168,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('30cd036adcb37680b470e2671c3973733f6900c1cc99419e1fde6201aa100018', 27660,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mate', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mateTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mate(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mate(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mate(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mate(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mate(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mate(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mate(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mate(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mate(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mate(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mate(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mate(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mate(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mateSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9105b12c369a593ea31abf9530db6e89458635e2c5584c36d4e9af55177be4b8', 29808,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MateSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mateScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mateSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mateSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mateSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mateSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mateSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mateSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mateSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mateSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mavenPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('20ff29ac0e19858eec2689ee81f18e45489d0afec4b61a21036d0c755edafcd7', 60872,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('afd784d77bd20f7e76864636023d94a988f8732c47ec791f79d096b11d1c327c', 61472,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1f1c606af4cb59fd55c5e9d478e3c109eb47ee3c48c458ab10edcbcde15f0562', 61364,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('9a922f263eff247f7ccc3823865c2b9241e10c305b6c64b3754dbb06ce6b5e33', 60948,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MavenPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mavenProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mavenPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mcLaren({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ca48a5e17b0201057453d49c4271d139e5824b553505ad1c6fbbd7cbbbf4d1dc', 54088,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'McLaren', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mcLarenTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mcLaren(textStyle: _t(tTheme)?.overline),);

  static TextStyle _meddon({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('50d2aafad12ffd4c696c904a7fdfa8fa855a6edc2d671fdd64af6375a052029e', 79884,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Meddon', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _meddonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._meddon(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._meddon(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._meddon(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._meddon(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._meddon(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._meddon(textStyle: _t(tTheme)?.caption),button: GoogleFonts._meddon(textStyle: _t(tTheme)?.button),overline: GoogleFonts._meddon(textStyle: _t(tTheme)?.overline),);

  static TextStyle _medievalSharp({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('93afbe692f662b93c6faf17b061d07ad7b343db38496d49e05bc31fcfaf585ae', 71108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MedievalSharp', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _medievalSharpTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.caption),button: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.button),overline: GoogleFonts._medievalSharp(textStyle: _t(tTheme)?.overline),);

  static TextStyle _medulaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('01411348aab468ebfca2f176a931010b30ec982ff382993310e5cc4d65e49904', 33636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MedulaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _medulaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._medulaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _meeraInimai({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('199785360f92220660b6a90e66afd8907c31df21ef4e4470e2af99c968017208', 72272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MeeraInimai', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _meeraInimaiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.caption),button: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.button),overline: GoogleFonts._meeraInimai(textStyle: _t(tTheme)?.overline),);

  static TextStyle _megrim({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('af75cd9219b5b5df8c1ebc7dff3232935d81325c33d502dfabc83f32a310831d', 32164,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Megrim', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _megrimTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._megrim(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._megrim(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._megrim(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._megrim(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._megrim(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._megrim(textStyle: _t(tTheme)?.caption),button: GoogleFonts._megrim(textStyle: _t(tTheme)?.button),overline: GoogleFonts._megrim(textStyle: _t(tTheme)?.overline),);

  static TextStyle _meieScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('aefe23d9bdd07bdf03debfd770abb2ea2f50634e5b0803593abf3eb0b9a784c4', 53640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MeieScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _meieScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._meieScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._meieScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._meieScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._meieScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._meieScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._meieScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._meieScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._meieScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _merienda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1132399bc1f3e2caf41c69cc4f7c590c83da549f8e9b8cf43dadc262df733048', 41028,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5f177984e147fff648e2e2bd9ca6e74e13c2be2d6d14b466b154b51e93df5f14', 34984,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Merienda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _meriendaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._merienda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._merienda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._merienda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._merienda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._merienda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._merienda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._merienda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._merienda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _meriendaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('aa4c2d33606a440380daab12052cc4b38ac64de26f9dc46de18e3405571ea638', 30500,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MeriendaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _meriendaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._meriendaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _merriweather({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8e88a5324d8b8b44503a016700f8509fb935a78d5668c821daa0092bfea21493', 73036,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('328531f24df7325999a988ae9020486990b3f719e0380ebc4c92287bf487a8ff', 77736,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7c2d3ddfee4c635410c77868a5443efcbf7f660b64d159ba2cbd7d03f43e02f3', 74308,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ec0e385dcae93a7bfa85adcf27ca8465f179fba9a112e05f07384561b29a4b1a', 77292,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('853dd62f5464fdb7677eeceedf17f771b710501d4fb15dd7076912d7430e92e3', 73672,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('acca91ffc59368ee6894a41c9c417f5d2ec9f03c2c181b8e90013e49a401caf4', 77196,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('aeb362f6ad7c32d24b6a96265394b98c1da77b6620d79ecace57a083ff21c9d2', 74176,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('c6aef6fa65ac3afe1f4e813c13cc623329ddae356f8fa330370e3f1cd754f928', 76980,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Merriweather', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _merriweatherTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._merriweather(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._merriweather(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._merriweather(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._merriweather(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._merriweather(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._merriweather(textStyle: _t(tTheme)?.caption),button: GoogleFonts._merriweather(textStyle: _t(tTheme)?.button),overline: GoogleFonts._merriweather(textStyle: _t(tTheme)?.overline),);

  static TextStyle _merriweatherSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f616380e06211b4f761656da4fa581a7d0342e10ef56f5be45bee9306dfc3a9b', 41572,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('05ca1d14a17191d43a6d7622e29059462800af4da0f507c95243b2bad8fa630c', 42068,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6bed429e28f419d7f2a83544104f8c0561a37b088ae9f84c2bcd7400c2589dea', 41204,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('2064c7a30f875f7364657c94031f67a4ec37225a03e604d81190ef884df6b744', 41616,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('fa38d2e5c8adaa4e200490a344d5cf28495405d0d83c6a0620bef8510853c9ac', 41152,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('5c33c69255f4345f6510aeb92fb1edd05495c99313368face8b8c9f996bf5545', 41752,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('344758d11e4f83c18b0998f11d76dfc215dabfffa863207739c8a99248ec5f89', 41740,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('45321dfdc3c655bfed2b7abc7fb30131d49e307233bf42d8a8d477135890fc04', 42420,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MerriweatherSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _merriweatherSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._merriweatherSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _metalMania({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9495d91ee2029ca622be05cf5924ab5d44a3f54809cb02e792987386e0ba2265', 215332,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MetalMania', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _metalManiaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._metalMania(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._metalMania(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._metalMania(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._metalMania(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._metalMania(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._metalMania(textStyle: _t(tTheme)?.caption),button: GoogleFonts._metalMania(textStyle: _t(tTheme)?.button),overline: GoogleFonts._metalMania(textStyle: _t(tTheme)?.overline),);

  static TextStyle _metamorphous({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('83d03fe24f83517affbc43ea6f81ba72a2accf111f2e33ccc4cfe1a857789185', 68972,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Metamorphous', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _metamorphousTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.caption),button: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.button),overline: GoogleFonts._metamorphous(textStyle: _t(tTheme)?.overline),);

  static TextStyle _metrophobic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fba0d5a8f2ffaa5c02bcfc5580a50f6b1dac80580d8d3a77073e6a74aa189b5c', 30912,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Metrophobic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _metrophobicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._metrophobic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _michroma({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5799106e7f554ca9657d0f56c31b6babe55b321aefea779d8eae0c68dec1fd03', 46924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Michroma', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _michromaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._michroma(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._michroma(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._michroma(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._michroma(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._michroma(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._michroma(textStyle: _t(tTheme)?.caption),button: GoogleFonts._michroma(textStyle: _t(tTheme)?.button),overline: GoogleFonts._michroma(textStyle: _t(tTheme)?.overline),);

  static TextStyle _milonga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0754de34c73ed1446cebd4a2c6594cd4e24a2b8cd3512ad6e0d157285e9c2f7f', 128132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Milonga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _milongaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._milonga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._milonga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._milonga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._milonga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._milonga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._milonga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._milonga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._milonga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _miltonian({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('39ba52477439aa52410287a79a2d8064fb7b18f82af5f6ae22fd50b70e31d96c', 91816,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Miltonian', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _miltonianTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._miltonian(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._miltonian(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._miltonian(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._miltonian(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._miltonian(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._miltonian(textStyle: _t(tTheme)?.caption),button: GoogleFonts._miltonian(textStyle: _t(tTheme)?.button),overline: GoogleFonts._miltonian(textStyle: _t(tTheme)?.overline),);

  static TextStyle _miltonianTattoo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e6b0d4cb984d618866e97a59156c448971703186b779d38d1402b650790004cf', 69528,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MiltonianTattoo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _miltonianTattooTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._miltonianTattoo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2cb3c2707dad5e0a5f21dbad8da10b86eb3b1da477394a33f4d47a819fafb82d', 151172,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7dae008ee6a398a7d7b23f1fbdeeaced41fd8ba3b71cb12b94900ded063f6467', 152540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _minaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _miniver({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5fee893072a2326d9baa9122deb089cd6f8d0645ee00cd02de22b415de3c7c54', 45408,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Miniver', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _miniverTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._miniver(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._miniver(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._miniver(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._miniver(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._miniver(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._miniver(textStyle: _t(tTheme)?.caption),button: GoogleFonts._miniver(textStyle: _t(tTheme)?.button),overline: GoogleFonts._miniver(textStyle: _t(tTheme)?.overline),);

  static TextStyle _miriamLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c4dc8662662a1708ab4d397f59152bba9bde4ce4c524d9286d49d078a8c58dc6', 74628,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('cbe1ade0a4a8eddd786eb1050d18d81c71465545f3f80392927a36af9035c775', 72092,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MiriamLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _miriamLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._miriamLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mirza({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5b1ac6cb285ca3492e313a53d5252b9784bf7607f2835a2d44cb3cbad0168539', 177820,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('423532407cc832ef84cc8f08a3359f26b50e721c8aa0e00221e4215cc83440b3', 177352,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('4225215d0df4ad389c4ac29d48fddc531703776591ade64c23f6f995669d4078', 177188,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('306b412a39d9f93ca840c13ca62300eb5c7712e2afa94bd7ef2272b51131be6d', 177052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mirza', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mirzaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mirza(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mirza(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mirza(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mirza(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mirza(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mirza(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mirza(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mirza(textStyle: _t(tTheme)?.overline),);

  static TextStyle _missFajardose({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8de81a59ca34a15be7f6749a4f5247486c41ce79afb9b16e4212d54c0e5d9a89', 58824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MissFajardose', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _missFajardoseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.caption),button: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.button),overline: GoogleFonts._missFajardose(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mitr({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('13aa43b100ddb2ef3f574409c44d5148c96e262d636030f3546632afc8bec583', 140672,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('42aaeccd38bab09aab541391f181cf90544aed031b28240064e03a597d820aff', 146132,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51a838bb86fd8ae3d3b14861b86090b8e590d6cec16828f5ff85cc29e255fdd4', 148012,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('a8c0fad121eecc6ccc06afd51a3ed04b7632eabd778490fabe406d010d492fb6', 148128,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f52b41a04226fd35e8292e4074e68cf18847a0b362d1ea41038b6cebcad7953c', 147556,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('302b58d18b982fe3745338cc6ea87e5868436d2ba962262423c98cac9d161c47', 148144,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mitr', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mitrTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mitr(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mitr(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mitr(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mitr(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mitr(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mitr(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mitr(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mitr(textStyle: _t(tTheme)?.overline),);

  static TextStyle _modak({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('999298cc9b836b6d428706a18192f20ce4f95b9ffc84c016dd59527f7735bdd4', 362296,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Modak', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _modakTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._modak(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._modak(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._modak(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._modak(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._modak(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._modak(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._modak(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._modak(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._modak(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._modak(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._modak(textStyle: _t(tTheme)?.caption),button: GoogleFonts._modak(textStyle: _t(tTheme)?.button),overline: GoogleFonts._modak(textStyle: _t(tTheme)?.overline),);

  static TextStyle _modernAntiqua({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('df7e73ec3e130e1a70e2680351228d3e058ceea718f4e7ab314b98ce3978d7f9', 70060,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ModernAntiqua', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _modernAntiquaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.caption),button: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.button),overline: GoogleFonts._modernAntiqua(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mogra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('11a1b64ecdf329dcbc068f036c2c09a2058b63bda66c3a541102b48e959c2a4e', 233848,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mogra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mograTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mogra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mogra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mogra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mogra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mogra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mogra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mogra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mogra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _molengo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c17cda006ffaf122363be2ad7ed8394c0bf59581bd9e5e9a7e7f5c0ed161a4c0', 34868,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Molengo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _molengoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._molengo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._molengo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._molengo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._molengo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._molengo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._molengo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._molengo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._molengo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _molle({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d081c5d8d7d19361eaa68e5c05b211b519fa2d27ca94a3ec76da0a39f880acb9', 35904,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Molle', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _molleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._molle(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._molle(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._molle(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._molle(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._molle(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._molle(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._molle(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._molle(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._molle(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._molle(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._molle(textStyle: _t(tTheme)?.caption),button: GoogleFonts._molle(textStyle: _t(tTheme)?.button),overline: GoogleFonts._molle(textStyle: _t(tTheme)?.overline),);

  static TextStyle _monda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b28adc169d42a434c7b435bab7f4c11ae50fdc1516bc03426f8835d8b70dbee7', 28212,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b05dc6798c3ea80d95c20709740c72bb72d07040538c1240f850c220292e3f6f', 29004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Monda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mondaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._monda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._monda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._monda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._monda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._monda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._monda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._monda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._monda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._monda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._monda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._monda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._monda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._monda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _monofett({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ebeb36e324072bc8a4e7717f33c5c72271409af395fdf3b4f1e66b529addb881', 58108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Monofett', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _monofettTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._monofett(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._monofett(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._monofett(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._monofett(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._monofett(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._monofett(textStyle: _t(tTheme)?.caption),button: GoogleFonts._monofett(textStyle: _t(tTheme)?.button),overline: GoogleFonts._monofett(textStyle: _t(tTheme)?.overline),);

  static TextStyle _monoton({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('432f7ab89e5991e379800eb285fad653a999a44aca1f9204e62060bbf932b2bf', 51556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Monoton', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _monotonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._monoton(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._monoton(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._monoton(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._monoton(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._monoton(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._monoton(textStyle: _t(tTheme)?.caption),button: GoogleFonts._monoton(textStyle: _t(tTheme)?.button),overline: GoogleFonts._monoton(textStyle: _t(tTheme)?.overline),);

  static TextStyle _monsieurLaDoulaise({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('def26258142aeeb4021fb91331bd0a7dae943c48caa8b09211393a16ed3c53c9', 54240,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MonsieurLaDoulaise', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _monsieurLaDoulaiseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.caption),button: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.button),overline: GoogleFonts._monsieurLaDoulaise(textStyle: _t(tTheme)?.overline),);

  static TextStyle _montaga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3b97268f12c527fb933009800e8d887c083f48fa733c69dba7961c887909d99e', 33908,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Montaga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _montagaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._montaga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._montaga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._montaga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._montaga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._montaga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._montaga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._montaga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._montaga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _montez({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d2ffdd5ee7b2b6e5f8a08b9bc62a24eac29a4755576e27b7856e039043d596ea', 76776,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Montez', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _montezTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._montez(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._montez(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._montez(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._montez(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._montez(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._montez(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._montez(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._montez(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._montez(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._montez(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._montez(textStyle: _t(tTheme)?.caption),button: GoogleFonts._montez(textStyle: _t(tTheme)?.button),overline: GoogleFonts._montez(textStyle: _t(tTheme)?.overline),);

  static TextStyle _montserrat({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('13b843ab4d5acd6d99d06a88bbc492bd3ffb0d55b01f159c34a0a6237cb2f148', 151968,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('282f82e77ce6ec450987922f6c8c55456bd826c8a1557a007adeb4c460c6ce27', 151680,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('b058309166a4bdbc1e36f0f4ca0b8349e9705f457bc71a190e34624de2062455', 153076,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('778b3406a7b740d7d857323720a66ef72ccb3b507b3488b2e56fb9c9f52977b8', 152248,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('25cab2a480827c3b70f98fa4fe09b06a974b8afb996f60232b5acacb57acade2', 152908,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('7b490e666930fe7f1379aa62b203966a6f284a9dc74b09e8dd5c59760da460f8', 151788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('470e93c06a9fffa6851375f54047917a9d774ed6027d9f044cd1bc8d4cd5630b', 152396,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('83e171717660560888d9a84b2a2b1409b6fb43b806ce9b96059c974be4126d64', 151288,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('cec0f6e0bfbfaa352eb189f0eb220916dd278b02aaf824be87055ba5cc38d58b', 152092,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('a61fc08703fd75883c389503641242523b7140ac0b6df6b22106902767e7bb2c', 150928,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('5f82f6e55db43e905c6ab9d04395566b243c41798d6a53545ffbd10ed6c424c4', 152148,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('625ed5e1a74ead073b6562f04b509f83c2e1630b25ea4c98ccd3d275418c0308', 150648,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('052bfd7f3dc788ae3f0d59dc8e5d65be0c1ec9acaa6fbe53dc70640f64c075bd', 151780,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('7c882260e0b6664897eb1747188ca151cea2a966109ae534e0eb706aa990510d', 150528,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('8bac23178f38bab6018ed343c524a822a5bcbe2a021decbf30f85a9cb61aade0', 151776,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('f2c00bb055d9f815d97ed28ae9e26ae9bff8d0ffa7c6e9ddd3cc47c070c922ea', 150292,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('c64d95a01ae992dd8ff7474e55c16b2a05ea6c4e9aa944ccb51d4b1016232583', 149380,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('6eac88b190248d68069db0de9c165f24aaffc22097fec98ba72710c2f9a96a71', 148416,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Montserrat', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _montserratTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._montserrat(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._montserrat(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._montserrat(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._montserrat(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._montserrat(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._montserrat(textStyle: _t(tTheme)?.caption),button: GoogleFonts._montserrat(textStyle: _t(tTheme)?.button),overline: GoogleFonts._montserrat(textStyle: _t(tTheme)?.overline),);

  static TextStyle _montserratAlternates({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('5c09b026797ce5fac448caefbdc866f5a81bf9cc625984ef1aa9403631484819', 111412,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('c82e331c5ea52753b4551af7eff9d03c3662fb16fea5c00fa558120532424212', 114640,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('3a0f2fd4ee372169bc19522956923e1ade9563dbf8789d7a74576eca54c0cb98', 111792,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('9e8fdaa328523c20fe857f63acd10406a6fe6165bc82fd41a676e77c55374087', 114648,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('009e98fbd7f5568e68b9379e0d049e1f646ef5001f366eca34cd44c262443dbb', 111672,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('d82d87be0bd762617314db90ed2694ea7a75e7aeb4e4da266a9581c67fd97d09', 114248,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b2f5d183ba5588c36e0f975cd5c154bfab1c4defaf7edcacb101f20a83721bb0', 111272,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('a94551458451c010e364df974a12e6de5911fe56b117390ba8d52ac82dfaaec5', 113800,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('0ad6f1c378b9acd74dc8ac990b61607e3b218a3fbf0988f0ef5c508fa13fdab1', 110856,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('4afe42c2aeb0bd46a2c9f199560bd2ebedb166d1e67618651870b8421499c300', 113540,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2fec79e6e398e2c513322f7af66001553bf74c69cefe117fb05472b44f6d95ed', 111008,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('3ef634325d5a61d0891d3a6eacd265a2983cf1e9e84caafc7bc2addf2f554d69', 113232,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('54d33b2d46c465e38dbbac2b2b8b5f0a6242270cf0d5511f0161c21e1f0d4ccf', 110620,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('95d8420481ab395146970da7489bd9b91f5c0437ac1806c84583787cdd4d9b58', 113136,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('2dd175394efc14d9c412b3bad3e06b26a98655760909e676e5be12e642daee59', 110684,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('0ea02188bddfbe57ace54b7785d677eddcdd630d1073fdcda277f1186aaedf20', 112928,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('4d1eed87eda713f3f729c721ae1754c382e1517f51f29be05babf98f8e985693', 109236,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('59d0191230f070e7792b5c21e8a1f3ebc0c132ed6564d765d8759903325bda9b', 111956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MontserratAlternates', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _montserratAlternatesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.caption),button: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.button),overline: GoogleFonts._montserratAlternates(textStyle: _t(tTheme)?.overline),);

  static TextStyle _montserratSubrayada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bcf81f50b96cbae5ccbd3337f693c53bbbe2bb5717bb8637eeaf4d5dff5699c4', 24284,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6a2a4c0ee5aade485aa6bf9a1a43b1ef3fe0aa5dda27e70b0b9abe7625562124', 24316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MontserratSubrayada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _montserratSubrayadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._montserratSubrayada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mountainsOfChristmas({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c2200cef227dc27280b133ec5d366a7a1c5e8956523b6a69490c6d3be875831f', 122496,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('52a7b2b21269dc6d67187a7882fa4bbc19f093792adc852c62497c6495d129e6', 123356,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MountainsofChristmas', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mountainsOfChristmasTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mountainsOfChristmas(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mouseMemoirs({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('36717824ce8893e8e49e371730b587484db4b095302a60970bffe613c3a81960', 55516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MouseMemoirs', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mouseMemoirsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mouseMemoirs(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mrBedfort({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e15139ad970a418042aa1bd423cac0ecbc77211a359ea93bf60c67ade7f97542', 37204,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MrBedfort', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mrBedfortTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mrBedfort(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mrDafoe({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7130e498cceb99869e8233972404152d7f191ca5b5e37435cbd7b31758dec294', 47928,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MrDafoe', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mrDafoeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mrDafoe(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mrDeHaviland({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d8eabbdbc1c25c4982d316b366f4cd39f1d12589d7442ec03923353e8b739132', 44624,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MrDeHaviland', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mrDeHavilandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mrDeHaviland(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mrsSaintDelafield({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b864d74de51aa37c270217c9c01320fd78f8b1c23077b4ef0c20cb697a41d899', 49092,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MrsSaintDelafield', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mrsSaintDelafieldTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mrsSaintDelafield(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mrsSheppards({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e405bf3cb038e30fac744c48068e8e3687a50c1b5cff874a57476b07f44b3b04', 42336,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MrsSheppards', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mrsSheppardsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mrsSheppards(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mukta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('4a09d53371d63ff1a2007025ba620e2d49a10d6fa1cfd9771079b881fb10260b', 302792,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('afd7468706fa0ed52e0b848541b4e7443296d0e40213e7903e1d85de5b78c259', 299500,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7a26594f60f0a156f11685565fac877993f2081741d7eafc7a67d82010f730f8', 303624,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('a8691ddcdc7892d423b4906d2316da09de32309d3d68b21b5d3d640e28901896', 297420,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('7d8e1e1ee78a611bd420d3ad4fb7812e49164acc68f473ee133666fe5376d477', 293224,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e6fcac27938712ebc52654eee052ffee3cb5608feef54db55a22964fe8c7d974', 294800,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('861cea1030f95eb8f746e95524c8440b56afdd6606e07782193fe436cc52f46b', 294532,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Mukta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _muktaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mukta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mukta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mukta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mukta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mukta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mukta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mukta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mukta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _muktaMahee({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('deb2926281b06e4d02371cd3f6f4883d13a38514549e581c6269cb16250c5a63', 159216,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('448813ce747d7ccc8e7b380c48932fe537454f9a86ac18052fa515874298334e', 158236,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e185695b95ca5300e131bf6cf64a2442b7517874432a1a82f968ee61ed116717', 159340,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('e224c5c38bb5fe5efb69e8392dfd476427211ddb37a97f4fd77b807d5aad8b7c', 155880,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f2c62fede24e5fe712f6f59500c550749c89e47b21cb749ea96f447ace17a57a', 155776,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0bde54d9dc9448b8d81abd2d849dade4e04c4b7c4ec8565ccb09e80f0fd2be99', 155836,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('561a2604bd143dc10cc3499ba4e3c7eef16b6705db72db31da22ad356b76feb5', 155592,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MuktaMahee', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _muktaMaheeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.caption),button: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.button),overline: GoogleFonts._muktaMahee(textStyle: _t(tTheme)?.overline),);

  static TextStyle _muktaMalar({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('9ae35f34ee0aecd84455b8074812b101d5d11bc4ae0ada4a90c3e6963cf1b93c', 176484,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('2d5b4747199d5f755d4d21f2dfb23f52cbeba3d94d82a526575d63a6be36c99b', 175612,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e58544a43eef9e9b107ca973ca2d3233a1e15b8eddffcc73a3cb767a82c86fd6', 175612,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('05e1d0c09c615550bb87408248e0d42ce654f55e0757f1fa6f4f93323f8c8121', 171128,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('e4f26dcbc25c0f26d1fce4a3558f4aacdf8089148a638079c3353f6049ae21e9', 171032,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('bacffc5f82b7219e1a4ff85b030aca1a5f805e0a1224534a6f2bfb01e4bd61cc', 171620,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('848b7be10b4d701ac02f5f2208071858aa399b564d503cd2e4ca428d25886da9', 172316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MuktaMalar', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _muktaMalarTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.caption),button: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.button),overline: GoogleFonts._muktaMalar(textStyle: _t(tTheme)?.overline),);

  static TextStyle _muktaVaani({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('29b1cbb5d158be22b06c5c6af360d55da720b6c8a7b9b218dd184cbfc2a97885', 346528,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b273ecb298d23bd198fdcf92d8137f3bb392abc1843e055c814580f254f3a4d2', 354676,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('89cee2e2edc87643ff46594bc56da0b32e9f4fd9acb8b87979dda5d4da2bccb6', 344512,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('5da49257aaa42ad92f5abf8235b58834033471554455112dea55a3a00761f1c0', 351576,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('7f14d4f17f14c4106a7fe56a9e591a9ef7d89e8dee221d5b4d359cac2667f138', 349868,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6e1e0572586f30b3b9b794997b0b26cc725d41d3348eda988662d14d1fdc89b4', 349956,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('09f9de8c00ef147925056cf61c1d7e324b50fd29b1fe15c95500c506ddd79aeb', 342704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MuktaVaani', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _muktaVaaniTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.caption),button: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.button),overline: GoogleFonts._muktaVaani(textStyle: _t(tTheme)?.overline),);

  static TextStyle _muli({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('dbcba4190351f997830d7652727c7f42e0c882f325d1f75ba8a3c606f8ab0e23', 66880,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('939afc08c356b9f83c67ee2b78dec42c2f7e1eed1ade0be8b8fc1095d1429b04', 68176,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5de108957fcdaef883f06a6d0852f415189779437851b0d6d7abb06c9b717a86', 66540,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('7cc6d79998df498ec95b3c68aa52f263ad62a25202e7971a6b75de645da069c2', 67788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ea4701f9a5e0b0e4c96b45b1c04278e62159ddb385941274af0394132622a139', 66444,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e5a17a307589ccf860441ba4904d3819f0ce0a4d7001a6e4b7d0efd5858bcde8', 67632,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('10d78b9b78e06d25335389823e4383b15fea791de3324adb6497069821c2e214', 66332,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('9844bb9dc82723a3d8c41821d7ed75f37aa979969dbcf244e03676190a26c279', 67648,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3ab6877022dc43f69329d1c8e73ede36b36ef3cd49a833da18c388c6311a18c7', 66100,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('93112f6142019f2669649529f27d3d42f5bc8859bf1dadaaf1ab66b07492b366', 67360,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('9ba6c90c1b1b2a61cc450ef443603f86e5acffbba7430c4d41e9ce1ef434b516', 66120,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('dc2a00ad0b251d39d19272f9277b6940bb685b29b9cecca33bfb4008d5188d2c', 67316,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a887d75b7f4ca0f8a220638d755864474c4a89972ef84be00ba81d5764519e8c', 66128,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('c1c38c7b31e983faf9ac1ba63d8a98cb93cdf7c854abd833e826a7bea94248c6', 67448,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Muli', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _muliTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._muli(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._muli(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._muli(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._muli(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._muli(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._muli(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._muli(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._muli(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._muli(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._muli(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._muli(textStyle: _t(tTheme)?.caption),button: GoogleFonts._muli(textStyle: _t(tTheme)?.button),overline: GoogleFonts._muli(textStyle: _t(tTheme)?.overline),);

  static TextStyle _mysteryQuest({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('45f3b5f241a077e28d45ad6f0d542f3d9f2e2204a6d7ba78f4438c3960639003', 41708,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'MysteryQuest', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _mysteryQuestTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.caption),button: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.button),overline: GoogleFonts._mysteryQuest(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ntr({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a81d9625c6e1cc5d20f097e68c4604194966a833b0bacfa533a882ad3fe92592', 197756,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NTR', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ntrTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ntr(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ntr(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ntr(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ntr(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ntr(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ntr(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ntr(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ntr(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nanumBrushScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e99eadfe916b8afa1065e368b0c06a725089504ffa9cd2bb1832cbe59ecb4822', 2740080,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NanumBrushScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nanumBrushScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nanumBrushScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nanumGothic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('384554f92bd4d754bd8750f8885c456c5264d6814731376178dd0727fcf2d98c', 2879864,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('66257cb7dbb7d38dd5d9b0c7a1f9df7ae828f4a2a79a37070603405220e9f32b', 2891140,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('560717e4c667f1bdf58f6426ef133e74637eb3c1868feff814bb8a5b707e6880', 2951544,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NanumGothic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nanumGothicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nanumGothic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nanumGothicCoding({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('87aa4e424fb41b2eb66974966afbb9b9d113444c73ddfec8d9960d1c9f15ca2a', 1432612,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('bfd061e7ac41bb2ac41c1b32e194b64a92ea19253afc0008d1a5e58e330434f9', 1458744,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NanumGothicCoding', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nanumGothicCodingTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nanumGothicCoding(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nanumMyeongjo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3df71af0cacc55f9ee8f8e5e35a48672e379aefb187f3ae133a8fd5100c3810f', 2167668,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c78488cd4af94bf04459b776f90fbe7942e11af15dda46bd856a1abc0523ae11', 2241272,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('2da8166e69673863a98b44792cb5b54e1a13b597c11dca437783e5a9336cfa9c', 2293712,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NanumMyeongjo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nanumMyeongjoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nanumMyeongjo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nanumPenScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2e0017c2efd9b7de2cf1b9d90c99ebfd4be478763a4f265915ce2302d928a6f4', 2533592,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NanumPenScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nanumPenScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nanumPenScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _neucha({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1e6e5577b90d7925c65ee7e36c988d5da0c8abd382abf4f7d7a5cbc0ab477a99', 74808,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Neucha', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _neuchaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._neucha(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._neucha(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._neucha(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._neucha(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._neucha(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._neucha(textStyle: _t(tTheme)?.caption),button: GoogleFonts._neucha(textStyle: _t(tTheme)?.button),overline: GoogleFonts._neucha(textStyle: _t(tTheme)?.overline),);

  static TextStyle _neuton({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('52a1f786965c5e1a5ddb72c3453133e67248c6daa74320a01e034161e4476a0f', 36124,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ff0297b52f6d34d72fb14e197dd0504d57fdb2769b98619facc41590e900c8e9', 35804,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2147893351f8ace96b011dcc7c1c826ba84daac170ed6538e0456e5ed8ffe947', 40944,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8be52f34f889303ed24d24ec94bc56c8fb7130049db10eb3983aab619a05bcb5', 38564,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1c83bf4d18e666ffe37bb75b7005b9ad99f4166347cbce93e1f798c45954f87e', 37052,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('2ccde11ee55979183e280ea4860ec28e4fd88da81c66a8eee82963c4fe2befca', 36760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Neuton', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _neutonTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._neuton(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._neuton(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._neuton(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._neuton(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._neuton(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._neuton(textStyle: _t(tTheme)?.caption),button: GoogleFonts._neuton(textStyle: _t(tTheme)?.button),overline: GoogleFonts._neuton(textStyle: _t(tTheme)?.overline),);

  static TextStyle _newRocker({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('20dd1e4e2d3c0003707b649a59ebb5a729e108cc20929f1a1c06bb03319b07d7', 128612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NewRocker', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _newRockerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._newRocker(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._newRocker(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._newRocker(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._newRocker(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._newRocker(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._newRocker(textStyle: _t(tTheme)?.caption),button: GoogleFonts._newRocker(textStyle: _t(tTheme)?.button),overline: GoogleFonts._newRocker(textStyle: _t(tTheme)?.overline),);

  static TextStyle _newsCycle({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9dc74270959405ee468a6ea83452b01a8075067bf71cb96c8097511477f8aec6', 178676,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('301d13c6e3a40093c2244566226928b2e8bd2843d5cb06302c5c30b44c3d4bc2', 60472,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NewsCycle', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _newsCycleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.caption),button: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.button),overline: GoogleFonts._newsCycle(textStyle: _t(tTheme)?.overline),);

  static TextStyle _niconne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c5d99f37c7fc29904227e4a5909347b604c87dbe244293db4353ba24f5263d28', 45568,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Niconne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _niconneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._niconne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._niconne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._niconne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._niconne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._niconne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._niconne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._niconne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._niconne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _niramit({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('e92669e514d741863c49ee66189090f4d5dca5b6a9d34ccbe435b2f5af660c42', 89528,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('d2d4697e15bf89f5f5ef604984ccc6a79f078de6f91e60deae5736de825110bc', 92352,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('cc8b41b318e8ef4a063f6a1d3c4b2b8b07029e70b412f4aff994ee4849efb09c', 89344,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('8b5560e9959b3ffe8583ea5591a0852f3cb9dd7d8f256327fd1dfa761aebbc97', 91988,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b73b7564f064368ecc427a55f6f52ab3191726827cc1b6c8fe10059308a2c576', 89224,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f2f02627999eb05690e589cbb7e0c1ab1e977f24c976bbeafab5c8bb041cb23c', 91860,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d57314c8b28aa732f0904f616db80bd02f471e91a0c0620454016ddb37200371', 89172,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('3c7d65b0b7438466a6707ae7ee57b82aad56e02798b2bd582110803cfd632e40', 91624,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('932bdc0ea4e9406b713a29b1a936c3bfba71853a8f834dcf9129914d6ed2f0e7', 89112,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('deb26883a193441eb594a0e8e42bac1d2d1ac822053c3bd7fcaf06161fbc281d', 91760,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('67d40f2a9e3f3cc8c4e0873f0c6aa8b2db46210c344b6805eb7a3280b6430a85', 89328,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('2d5a53eeb80546748e52c84452b17b60d1e4abfcd7e01f6d6f909ad0446c9f19', 91772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Niramit', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _niramitTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._niramit(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._niramit(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._niramit(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._niramit(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._niramit(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._niramit(textStyle: _t(tTheme)?.caption),button: GoogleFonts._niramit(textStyle: _t(tTheme)?.button),overline: GoogleFonts._niramit(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nixieOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('087111fe60593408bf58ff7befff4b557a237a72d80e56ad3727d99693b4a087', 52532,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NixieOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nixieOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nixieOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nobile({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d0fcaab1c3dc981d4dcbe2840d5a12039de03b68f4f2736ac648e6eb339249c1', 35992,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('88fda8926ed6fdf634aeaf690e2d21e66e8e88231993df94bf3b2359a617491b', 44588,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('809ce5e05bb84a8872fd7ec295e71892fab43593a18179bb43c2a0f94cca53d2', 34836,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c889dceebe4337abc148cab8adbcb5ad8e6277635316b13a75afb02db100212d', 44532,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Nobile', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nobileTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nobile(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nobile(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nobile(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nobile(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nobile(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nobile(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nobile(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nobile(textStyle: _t(tTheme)?.overline),);

  static TextStyle _norican({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f4fbc9fb71760f8b74862d7d705863f375de95bb99192acfeca61ab3185b6468', 46812,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Norican', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _noricanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._norican(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._norican(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._norican(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._norican(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._norican(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._norican(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._norican(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._norican(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._norican(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._norican(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._norican(textStyle: _t(tTheme)?.caption),button: GoogleFonts._norican(textStyle: _t(tTheme)?.button),overline: GoogleFonts._norican(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nosifer({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('db6d798eb7a5adc1193a4757fba4b3bf0f2bf34f9456f9b72dd63e8c21a304e3', 43228,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Nosifer', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nosiferTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nosifer(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nosifer(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nosifer(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nosifer(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nosifer(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nosifer(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nosifer(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nosifer(textStyle: _t(tTheme)?.overline),);

  static TextStyle _notable({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('17b2981242270d0087017ea92cac3bb8bad89c43bd4d9907ded7255e92dbc8aa', 24588,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Notable', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _notableTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._notable(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._notable(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._notable(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._notable(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._notable(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._notable(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._notable(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._notable(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._notable(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._notable(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._notable(textStyle: _t(tTheme)?.caption),button: GoogleFonts._notable(textStyle: _t(tTheme)?.button),overline: GoogleFonts._notable(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nothingYouCouldDo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('be0f234b092c9c449e02760df9a51ff0a1bb5867a70825d7074238c1e26e9664', 34872,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NothingYouCouldDo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nothingYouCouldDoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nothingYouCouldDo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _noticiaText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8aa05df6db1fd8277eb2791ce573473314c741b8b6b0779c1f5156a33c24e54c', 82260,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('eae99ba15e584587a39b40e2c6b930d2c6da34555025ef2fcecdad8b5d1096ec', 66644,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('16462e88dea5568eff3522e2b0e80ac4943e7ade072e98099a0ced914809837a', 81364,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('89293c9cb0897a9fbf4e63241a6b72e62599bf45fe58a6163b953a9c980ad1f8', 65616,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NoticiaText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _noticiaTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._noticiaText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _notoSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7ae7b625c88992d250a617f91f64e254aa6ea78ca904f1e5fc1f588f0bb9a4ef', 310656,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('3b65d8f4cdb5997c9e205e125755bec66ef6cd73fadfbf1b6b8b8592d4a952e3', 211128,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f16366c45a8cac801cadd57c692f16cf4c967e3758cf25a911f7df101c23dc11', 307772,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('2b36c5bae3f90cb9def112b8d15a224e0f0e4a0a75a5d83718690c6927872140', 214176,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NotoSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _notoSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._notoSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._notoSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._notoSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._notoSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._notoSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._notoSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._notoSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._notoSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _notoSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('756d85930a29b444fc130d6ab854e9f796a951dff740c2bedb926522aa2db185', 219488,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('3a8f4b27348c68ceb866bc4d52c0eae507c8cf764c1ab8d398805aeb89e40eb6', 220592,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b8ab5cf0042204e461a5d83a980849507daa6ef58dda05725bcfa7403675eb0d', 220292,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('fff456cbd82e58d6ca98db85fc03a22b982377a0f7e36525541d06b1eaaa1db0', 233960,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NotoSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _notoSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._notoSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaCut({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('543ab5f33cdf7dc59059344f4a7edc567bd3041f068be2f42c28b47d67dcd3ba', 52852,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaCut', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaCutTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaCut(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaCut(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaCut(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaCut(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaCut(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaCut(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaCut(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaCut(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaFlat({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('532bddc6fc21c8561e5bcd3b4e0378be147a5f2eaff0e7e9624374551f0c4a2b', 53976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaFlat', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaFlatTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaFlat(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b8d5ca79e024fdc4cd75176241d8d2b12f485ddee89219d04d8210d4f53e8919', 156104,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaOval({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('73667c60ecac141cd425d3162ed4340d8b511095054d82311ae58c07da3deba4', 56484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaOval', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaOvalTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaOval(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaOval(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaOval(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaOval(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaOval(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaOval(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaOval(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaOval(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaRound({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('153aad90d58ece4ea5c7af76531c3fac5f2cfd1c45563654100ee416c5250af1', 53704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaRound', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaRoundTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaRound(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaRound(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaRound(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaRound(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaRound(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaRound(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaRound(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaRound(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9a1e6015bbc608ce441cf104443e50cf0a417624044e945f9d6f4bd0fbfd3e96', 66560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaSlim({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1b56497df8d2fd1b918c16eb9ff0e33f3d57c66a8c3b83e0d23aa0124ae67ca5', 53708,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaSlim', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaSlimTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaSlim(textStyle: _t(tTheme)?.overline),);

  static TextStyle _novaSquare({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e0a393378490eb55bf6732aca6c44a808436009d82e3d1c08bfe96e079af967c', 49156,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NovaSquare', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _novaSquareTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.caption),button: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.button),overline: GoogleFonts._novaSquare(textStyle: _t(tTheme)?.overline),);

  static TextStyle _numans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('77ee8c9adcd406c31bd7c13355d741311f9644b995946fe712a47d15fe49907e', 39320,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Numans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _numansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._numans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._numans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._numans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._numans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._numans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._numans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._numans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._numans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._numans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._numans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._numans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._numans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._numans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nunito({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('6b0fb0ec88912f1ff7a203e8c74ec905e0f2333d071fcb6aa512434f693ed426', 84536,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('e542c8162e83b8b4a246d9752149784b7a910e9079625dfe29dfa33afcdacd7f', 85516,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b6d1ca92958aefa0ca13e7461a345871a0c815ceddf57dff8f143c5cefe954ac', 84496,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('bac03390f60c9c7b5298d6e7849699b7c337daf835bb93fdff988865b0590410', 85628,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('86b77a6cf443c94b0310523682920874155c008981b3bb827cff87b769309527', 84452,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8d666361a790f47bc95f249d2c144967589066f4c39f08d2d6a9afa7bf65570d', 85404,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('73212904c911defbb848aea031cf5c7bc5285462708823e12fdb1038f8488039', 84440,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('f3dd598262205c5e81b5834c0a103e1fd79a067d9fab79eee988633314bd4f91', 85572,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('443daf06190f4c7abd94b7917adb41656e6014e81c12eb036656d63f2b0c08a3', 84332,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('895450a4f7d173b7729b5b09d6b86710da891fa88870c08630abc1c3c186f8ea', 85344,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('18790abbb2d00a39aa0f2ddf3af3a275ce1328915d899d44e31fc996c651dc5d', 84280,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('18558eee9acc53f9de8633498a026360f25c82ef2a1e12b2ec7b9e736237be90', 85276,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('51945e9a938a0ff892a18d5e623e439bd2c363d1cf2e13251b78f545f1de1d09', 84400,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('b3cebdbb4bdd22cce2495c53142cf925a2e430788ce890e6692637f5d4bb5af4', 85376,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Nunito', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nunitoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nunito(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nunito(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nunito(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nunito(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nunito(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nunito(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nunito(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nunito(textStyle: _t(tTheme)?.overline),);

  static TextStyle _nunitoSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('70c2474c36bf599083e387d302c27f28e5439ccd1d15425222ba9855b31f6e11', 72256,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('c77baab8ad61508949ffaf4c0fc2381d7f31ddc2f12f24bd32fda15d0f02970a', 73272,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5af44ca8126245c16771271ce081fc4c5f5801d190ca549007575c51ec1c91da', 71848,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('acfe4eb8ed22882df2b122cfe78b0bd761d3025ed62826d5335856d565237582', 72916,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3b369d5939d0bdfcbe583bb27259c6f6616b01b0948a86dade1dd3ec128c3898', 71716,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('988d1d496236aa9ab3e63745e0d5d82783762ea4d3a21d1940ffa2ff7111b664', 72700,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('62d9b0c17a7423bf90868c8da851ce9b40f15422fe0604d85f036703a60f6807', 71704,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('79fc6cab022106d0daaf1abc5b854c8a876df8e831445c71bc095e8be2a9bd1a', 72760,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('471cb67b6491aee31f19c1ba10edb324872722bfd6b848706ba31614fe6e1655', 71640,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('cf6f24fcf4a51b61957a7b72cb3e4c38fc3a9260e5323ee20a7b24bb2c522255', 72560,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('7778244928e2e17a87dc2b7bf3a424a284ce6d4cdd2bd9a3f27fbbb31e7a1dcb', 71468,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('c0bbb1deb95af6b335d94ee8dd132d4ba26aaee59cd749c84bf1c7609a164748', 72264,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('76da9a3301eb15a1f2488e15b4385547bcde1c10b13035937296cef72d4deee6', 71596,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('1ef6bb692fd273ef402051d20962975c507172596da00ed72faf7907d1e00118', 72484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'NunitoSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _nunitoSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._nunitoSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _odibeeSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('60c83726ff6c690c3a0e1bcdbb9ff0e6b85667b08a959d6fcc925159de6c5122', 28464,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OdibeeSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _odibeeSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._odibeeSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _odorMeanChey({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('50cfa9e8e065a77d82613a14408be3f61743af92c0b938b32e0fba703c21f027', 294900,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OdorMeanChey', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _odorMeanCheyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.caption),button: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.button),overline: GoogleFonts._odorMeanChey(textStyle: _t(tTheme)?.overline),);

  static TextStyle _offside({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c98690ef66d169347f8cc0792c75158c05d2b92130f122f890ac9cbd756c13e7', 30792,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Offside', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _offsideTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._offside(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._offside(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._offside(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._offside(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._offside(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._offside(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._offside(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._offside(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._offside(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._offside(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._offside(textStyle: _t(tTheme)?.caption),button: GoogleFonts._offside(textStyle: _t(tTheme)?.button),overline: GoogleFonts._offside(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oldStandardTt({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0fc6378f19416dfb6ed096305aeb6abee213fa26cbab142c18d51d02e9eeb452', 149944,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9510de290956127c311e2965471c31d5c34905c6172d5b9af444bf336c9d956d', 164788,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('235d7e3e4dfc767cd24f3c17574e5fffc001f69a5af3942f47726c123762776a', 149128,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OldStandardTT', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oldStandardTtTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oldStandardTt(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oldenburg({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8c67d292b49c2c0beb3655aa66d9ec6090cc7c03dcfd25c4dbc5518bc9c2ba4', 46200,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oldenburg', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oldenburgTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oldenburg(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oleoScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e45b8be9acc97bbb496e30675fa48edc79f4cfe2e8c66346914c8264acbe18b3', 34932,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5742e5a26ecfd414f7f87868d0fb5fefead55b1227f381bfefe5243750279804', 34580,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OleoScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oleoScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oleoScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oleoScriptSwashCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9375d47eb832ce8884342c974dccc6d94746d0e57dd79232ee81a5ab8c9d36a5', 40040,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('fefbbb389f88ec3c2fdca446b6cd4543a073c75e48b59a1ca1c1fc03ef8756b1', 39736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OleoScriptSwashCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oleoScriptSwashCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oleoScriptSwashCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _openSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('eacd6dddc04472f7143fcfe208f2e1bcd372f6baa8574529deaa2d5961e4d990', 187204,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('49c8ebe40f102f7ad2dd433e64a028047fc85d52d305404b99d691e7c6de6c84', 190952,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7b37b8abba9dcb01b9474da19527db14307fd9211e34e4d8a3d77dc9a19f2753', 186620,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('4d84c30311be3a86ed8993c8180488f191020fae18ee4ccbd0208384a37e5fcc', 190900,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('bfdb79179948b408b6573789e358547c8b4b589b73a7eaf8781b17c452785032', 187252,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('ee3556d7dd065b889a31834e7e604d8501cc86bf4d360e5e2d0291abb30c8a86', 190272,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('39b0f5fd8bd8495e7ba04ea5bd88e0fa7ed612a5c54b6f83bc77a7715c517d88', 187976,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('6ec2660f3bd03b0f3f097fbc1c23f351f7582dc5c8859eaf84be1fd2a074089a', 190768,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('6b5975e42b3d385f32384d58429336513a51ab0845da7723ee788a0046c844a9', 187396,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('22818920197a7a95e75e2f91378fcc7e5f802f6067e933050b85732b71e3755e', 191556,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OpenSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _openSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._openSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._openSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._openSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._openSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._openSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._openSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._openSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._openSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _openSansCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('04a7cf776cec6c53387f15bd8878b365d22ea65c97dfd605c269b3774e4e7ed2', 186164,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('c5330d8a82169e940228bf53acb980b56a23fb1f640d6bf8b7e18a8681d67eda', 189912,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9b8228ed1f9d087708d275dcc32be58269ffaf9cd7f8028db765305347303f88', 229856,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OpenSansCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _openSansCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._openSansCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oranienbaum({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ce3ec0eb54fc0cdef2aae64151cb3dc95720f5347739c1c1d19e6d2bb3629d6e', 88736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oranienbaum', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oranienbaumTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oranienbaum(textStyle: _t(tTheme)?.overline),);

  static TextStyle _orbitron({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('92d53d02a61d246157ee4ac3e2668206b546a454087e25530c48918b92bfce32', 39048,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1c174158cbedc3b8323f310b03842e82bc72c5fd2d5327ee80671506188cc6cc', 39312,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('baf59aa462bae9b1e738270aa2b901810db31788e78774046146f315809bc1a6', 38148,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('3853d940cd873a88dc5e24918311876228ef02a6216677db898c41efccc598f0', 37192,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Orbitron', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _orbitronTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._orbitron(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._orbitron(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._orbitron(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._orbitron(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._orbitron(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._orbitron(textStyle: _t(tTheme)?.caption),button: GoogleFonts._orbitron(textStyle: _t(tTheme)?.button),overline: GoogleFonts._orbitron(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oregano({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e94ad5230aca64ae37dfe726233d5567a0743967af08b68b44f81d2b3da30d36', 79904,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('afbb45b2855b15596c6f30346e28c0c3cfb2145954f5abfaf9bf3b9f0b8e2f1d', 86584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oregano', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oreganoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oregano(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oregano(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oregano(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oregano(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oregano(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oregano(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oregano(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oregano(textStyle: _t(tTheme)?.overline),);

  static TextStyle _orienta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6d087fac0635ed6186f7b55f474c1522ed229582419b850a3f77f333d9b0a355', 25648,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Orienta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _orientaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._orienta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._orienta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._orienta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._orienta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._orienta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._orienta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._orienta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._orienta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _originalSurfer({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('433a93a4934c3d3f80f80041f426946c8347e4e210da65e9a8adff9d70180e23', 57376,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OriginalSurfer', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _originalSurferTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.caption),button: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.button),overline: GoogleFonts._originalSurfer(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oswald({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('73cf9867fcced84ac0fd26238bf74e4e1f69dcbefc5ff327c2a69f6c5c107e5d', 65000,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('f10d40bae3fb58ed7a554af7cb46beca6d4f2866de12223b8e349f1b30c76968', 64960,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9dc4929f8d8935621ca4717817eb3167fc881d03d496c6dca51ff292f730c873', 64572,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f59f85cc613954e6acc66c7f89abe9b46c1add1b2236d5bee71f4a71a7769402', 65536,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c0d6ab388b1c3537b78f8976a204a6dc2c5d62b73ae37506d1c93575e52420f2', 65388,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a11b684909ba0ee2b2c493e89626c6fa9df02e25dec537e42127fa0b1a4e5e92', 65232,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oswald', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oswaldTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oswald(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oswald(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oswald(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oswald(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oswald(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oswald(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oswald(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oswald(textStyle: _t(tTheme)?.overline),);

  static TextStyle _overTheRainbow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3bbe72603fa8df4b1b63a308cd07fb091054678395faeddc3fc2388f614bbd29', 45732,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OvertheRainbow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _overTheRainbowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._overTheRainbow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _overlock({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f4eb336168d4c74d8a4795ef601c2c88a8c6e58cc2029bb029abde86dba8de8d', 49100,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('862e0a21cd810bed2e0c1809a8799cab17a8a9c3a1b24486e797286d12bd47e0', 43720,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c181ce17a8b786d224bdfb18e0b0fd345243fcdf4fcdd4a301a6b68c6898e1bc', 41936,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ac1a5a813f6667fe8e4a60d3450a57e9e8dcbb9beaa2619a979bafcf0261698f', 45416,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('2f8bded0796145dd91249b13aecd8e185ea1d9222a3846c3873ad486679f5524', 42788,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('dd19e6be709bf9ee365d90ee333b1766e7714578cd954bb3b5dcb1fae2e2022a', 43736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Overlock', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _overlockTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._overlock(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._overlock(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._overlock(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._overlock(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._overlock(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._overlock(textStyle: _t(tTheme)?.caption),button: GoogleFonts._overlock(textStyle: _t(tTheme)?.button),overline: GoogleFonts._overlock(textStyle: _t(tTheme)?.overline),);

  static TextStyle _overlockSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3d11bc0fe1ba6d164281473c9b2a0321ffa27975909e1a6ce39c31f5d16b2372', 36592,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OverlockSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _overlockScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._overlockSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _overpass({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('c5a2c38a969c611bc238e0242455585ccfc48cf11fc9cd85063641ab4b2d7bb9', 82300,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('8ecef7f4baf8bb9d34f1619e0a9ee510cf744ff855c5d5b856e508d1b2af0b81', 87368,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('54947a66287be19cdb01fbceed60457202e90bdf36580195800894eb70d641ff', 83236,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('4ddb32270da20661fabc6aa1e944e280881d9603059b11da50ca0b655b159bfe', 87320,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ba40f1801228e6e65c3d4a8e7ba94d86c2855de57d4193bf93aaaf65d91138bb', 82468,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('b2c69aa4282875efbbd517f89eb8a9a2ff7ff6523948bec58365e27a992e2474', 87092,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a5d3ea903c065a7e458256aedede6ee1b27ab4b67c6af46c31eee97fcf66108e', 82184,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('89e039660730531554ae5f96a9ea3faae03107ccb63ca23fff3acebd28ca7dce', 86832,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c474f4f6c3a2d86f49aadc0cd3d5bfb14968ecdc2509b30baad6c0ce881bddb6', 78972,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('8a01f2c08d4b650cb7c597e094ff0db9cb4ae6b1bfc79ad9af8a20ba275a567d', 85736,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('43a5239e32a28e8d1efbf2a9b8922042b98e6310bb1ebf89af5a86bdfb35d997', 80524,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('06068d83442ba5f4324460ab2602523f4b89643f8afa4440fa2051e47a16e95f', 85472,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('894fdd41407a09bc7c4336dc3462d749cd7381ab80e320fa78a0475311e9ac69', 78216,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('aa9e63cded98890be1bc09083dcb64378b7f35f4af84f43e9635e50d404cdb53', 85280,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('59f5ad4bb5b4469f7c3079f4bd6b3996a5c81d01f9f4311c74d68e9411f66c51', 80720,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('a9e3b080c9a28d813d94e69fea3eb65560b09cefb4e4653b4baa47a7d95be402', 85204,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Overpass', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _overpassTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._overpass(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._overpass(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._overpass(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._overpass(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._overpass(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._overpass(textStyle: _t(tTheme)?.caption),button: GoogleFonts._overpass(textStyle: _t(tTheme)?.button),overline: GoogleFonts._overpass(textStyle: _t(tTheme)?.overline),);

  static TextStyle _overpassMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a46cc06eb5b5001bdf1404b0e24fb82ee14159aca202af7094984ff4d48896dd', 118416,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d3a8c0a4613ebae3d21471198e12e57aa70e9f051f7592e3942953e2c36bd190', 118208,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f6b8f8180ef4c0f650402aa53effdd61f2d9771c4973d07f722d14ebd60e59da', 117696,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d8f645bd2f708d8127ab1d3078ae22195543fbe52abee9362a8ed5a980cb1648', 117800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OverpassMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _overpassMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._overpassMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ovo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('50e634088f389dcf2f463aa182c8ccb9d19042decdd216fed34fa70b5dfb49fd', 50840,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ovo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ovoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ovo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ovo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ovo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ovo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ovo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ovo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ovo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ovo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oxanium({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('89daee61e7358c34dbacac977e9f2c92221971ab81d9345af9d294687a538ace', 24156,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('fef895a1cf0e2e0ea02299a10df50702cff292d28fd9fba618f118b9d7f1cc70', 24092,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('09fedc2fbf2c81af9711328c3b1fe1bf632512d8714d254cafe53fd7c9e23ebe', 24072,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f15be0f59920c03bbe89ad1bb66c9df4b660acb2c329f30e1d75e846e10e30d2', 24076,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c3a19352e2ab05f91352b26d6eeef4d8b57575350956c0a8d99d7824bfea43c6', 24076,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('02e5724444f1a7053fc3043649b8c5b76a2f698757d9c678cc2e80dbaa8a221a', 24044,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('1d805023212166271a84af73c8e13073ce5a29746483c5fa3ae9941eaa7577c8', 24036,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oxanium', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oxaniumTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oxanium(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oxanium(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oxanium(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oxanium(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oxanium(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oxanium(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oxanium(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oxanium(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oxygen({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a7e1244b4a11ee9f21f86e2f25d7dd963f8e8f93d7b8e411620c959f4cf66fa2', 27560,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f6497c6c0bb7a884669e84095f3e56550bd7c0ccba79656b0af00d8b3200d790', 29168,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4bccf594c248e25c3da7e37b9dc5e9cddfcf3bc405504b7d15f4523358d81f76', 30052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Oxygen', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oxygenTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oxygen(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oxygen(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oxygen(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oxygen(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oxygen(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oxygen(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oxygen(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oxygen(textStyle: _t(tTheme)?.overline),);

  static TextStyle _oxygenMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4a8f20c04bb875a24603d2f13aa59fa112316075b0d8531e06a1212759450a20', 28468,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'OxygenMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _oxygenMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._oxygenMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('76d11b0f53258fdd742b27fc7e194046840c2fc0cafe1246aa0c27718a5f031a', 84568,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8a587dc4260abac4008021f8b9302115ee0f9616aee70d95d4d49f447f4df0f9', 272864,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6de2d3f34e12548006ef800234119a1b1d90bba33fb1d33f5bf41577bc954338', 276952,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2a88a8de5aeccdc3e4febba14c9ade00ec49e16f2718050be6bc3f4f37e8ff0b', 291536,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('a37694659d53ae08c11bf532f8871e90b911f61967c3e23f456e59e7c55b33e6', 270132,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptSansCaption({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1245ca967adbb79f480b169e92cf44a71ae4cb8571b9847ceb3de43e7235361c', 260480,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f47afcc4feb502bfa6ca192ad230e0d743be26deb97832412722544b223ed461', 291560,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTSansCaption', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptSansCaptionTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptSansCaption(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptSansNarrow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9d184233e6f48f81c6e510a1067d4f632052f899bf2f2bef4a69ab709bfe45a5', 268240,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a16a62299cf1143c59a4ec676c956c6831a90698fd830de4c85632a83c56d52c', 278220,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTSansNarrow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptSansNarrowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptSansNarrow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptSerif({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('77cd8f3a9ae2f3546135a48656a468afd4312d1ebf5720bb967ebe3a43291fa8', 260788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c623ffd63812daa5b0776e75e7a99de63340eb1fa6d3d5692c27a5fe30e21c22', 263700,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8945a761fd4a69fd6eb9b058e025925dd964c9b2cf5cc02b14290746f6aaf356', 261928,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ab351a82c9e93d363fcb9525df6f6d111fc14e15c3cf0d5e125e77ef0ddf5fd0', 265096,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTSerif', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptSerifTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptSerif(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ptSerifCaption({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fa2de071d21315555c75861f438b09fdfc9205ed9845c49d401903c6db245582', 255368,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('0d238ee69704d0810493bff87f27c3236c6c9b81abda84fba39091e70f47eb26', 259580,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PTSerifCaption', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ptSerifCaptionTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ptSerifCaption(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pacifico({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('03452c0b90c71f4088222325620904576503c4d5a3a6c563ee22d1e896788d3e', 143508,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pacifico', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pacificoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pacifico(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pacifico(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pacifico(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pacifico(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pacifico(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pacifico(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pacifico(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pacifico(textStyle: _t(tTheme)?.overline),);

  static TextStyle _padauk({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5326568d3a2c4690b03acaafdf444cd2e52712e7a16d96a3639b40f17fcfe8b0', 408956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a3054832e288beedeba883a9477e908a910c186e002a455277fb4c54e37518f6', 416804,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Padauk', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _padaukTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._padauk(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._padauk(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._padauk(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._padauk(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._padauk(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._padauk(textStyle: _t(tTheme)?.caption),button: GoogleFonts._padauk(textStyle: _t(tTheme)?.button),overline: GoogleFonts._padauk(textStyle: _t(tTheme)?.overline),);

  static TextStyle _palanquin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('c2f2587b9d7e9715b99bbe03f6115a2dcf52f8cb016c7e31f06e26561f3f13bb', 273560,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('e3ae6db39173fbbc643b90005a108980c36ea6111e91516ed3e754cd247f965d', 275156,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('94dbed29146fdc39c8979eff474e5210368a5276c9c7b55706418b745036a240', 276496,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a3fd79ddbba4270727bcb4649e1015a2726418eef7abd8cb984139bca11f5df5', 284496,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c027a6ee638527b57eed686cb93382141e9da3ad55c331614b735f4b26dfe2f9', 283708,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('e342fbd31bc4d7a837724b2e51ac0c6e4057d44809e8e984d2c72c0b0a3dc48a', 283824,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a1812757fe429bab601701c1010e05f49540ea857170789a8ee91e0fe1d5e9d2', 272160,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Palanquin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _palanquinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._palanquin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._palanquin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._palanquin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._palanquin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._palanquin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._palanquin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._palanquin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._palanquin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _palanquinDark({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2a564d738b34f664cbdc4ec631b53907f90205b8dd0e177be158ebc30b67182a', 265580,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('2741c907db3e5853a79489713ec11a8669cff876897076b98d70d302086296c9', 273044,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('ee40721d326a2509669e0c3f41d846f48e353b774b15fb78426c4e812aadf4e9', 274468,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3f46195270b56b1dd32d5f48a0bb546a30e424b9d30ff4daabe395c2257a157e', 265000,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PalanquinDark', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _palanquinDarkTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.caption),button: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.button),overline: GoogleFonts._palanquinDark(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pangolin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9da3dcb4b5f7ae5a76923e77c68da25e9539a3dcdcad7fd654387974f9ff89f4', 238600,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pangolin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pangolinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pangolin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pangolin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pangolin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pangolin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pangolin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pangolin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pangolin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pangolin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _paprika({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3611025b91e6a3a1daf2e78541775555d832ba6b4f010ae8b4553d5d5be2bac6', 42292,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Paprika', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _paprikaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._paprika(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._paprika(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._paprika(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._paprika(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._paprika(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._paprika(textStyle: _t(tTheme)?.caption),button: GoogleFonts._paprika(textStyle: _t(tTheme)?.button),overline: GoogleFonts._paprika(textStyle: _t(tTheme)?.overline),);

  static TextStyle _parisienne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b6fdb3a0ca128ad6afbc6c8892193cc2a122e6934dc75c4644f8819ca09b7042', 60832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Parisienne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _parisienneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._parisienne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._parisienne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._parisienne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._parisienne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._parisienne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._parisienne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._parisienne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._parisienne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _passeroOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b2d19067da678681f5952e5350d1924a2ac5a8a03eda9d27347e43a3ce35f8ad', 33600,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PasseroOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _passeroOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._passeroOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _passionOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1f9e3f81509fa1087e3a4636d898f6ce048f4953bf6c06a6d79d9cb78115c03d', 24640,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('567181e9763fb8cb33a51945378a8a2756c423cb05608d37fdc2e0d8ff170fa1', 24420,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('351dd38c35e67c20b4ae84db1964391fd924cd245611616eacaf6b9e63113442', 23980,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PassionOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _passionOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._passionOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._passionOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._passionOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._passionOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._passionOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._passionOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._passionOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._passionOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pathwayGothicOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('39c8099ef615de3477faab7247ffd06193e4c4244406f6a3d888c1e1763a01cd', 25172,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PathwayGothicOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pathwayGothicOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pathwayGothicOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _patrickHand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b63c9a7041a5fc7005d8f0580dd04bf71c5eed9b4b6d843857ccb8f2485ebbf6', 122740,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PatrickHand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _patrickHandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._patrickHand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _patrickHandSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('73b9443b6806844f52e636b33036ac9bba72136e16d3e10e7fc43d906509238c', 89760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PatrickHandSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _patrickHandScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._patrickHandSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pattaya({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('041d4a84883eccfdd46adb393da062a32f3b3c0deafbd5431c6fb5e6c2669c7c', 282908,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pattaya', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pattayaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pattaya(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pattaya(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pattaya(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pattaya(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pattaya(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pattaya(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pattaya(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pattaya(textStyle: _t(tTheme)?.overline),);

  static TextStyle _patuaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b23d7030cb223723e1ea6fe64ca5799ae86a5c9c7d7343dfce539e574a5004d0', 35576,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PatuaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _patuaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._patuaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pavanam({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('177d645082f388adf4ae3cf8413e270d77cbb5f7b24b7d521cce366a857de30a', 48596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pavanam', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pavanamTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pavanam(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pavanam(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pavanam(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pavanam(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pavanam(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pavanam(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pavanam(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pavanam(textStyle: _t(tTheme)?.overline),);

  static TextStyle _paytoneOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8b6fb867bea8e0668b3117749a0c761f24623a872f905f98462fb83791b88b00', 187580,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PaytoneOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _paytoneOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._paytoneOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _peddana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4c066d855b7652305b1b9d3d0308b0c71161bd1e83a7b4a8bdebadd005f749b6', 492376,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Peddana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _peddanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._peddana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._peddana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._peddana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._peddana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._peddana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._peddana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._peddana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._peddana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _peralta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('28a0d3b695c9ecde1fe0ab5e4dceac96b21749fe6a3df062847e363b47af3360', 59184,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Peralta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _peraltaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._peralta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._peralta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._peralta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._peralta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._peralta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._peralta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._peralta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._peralta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _permanentMarker({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b256508a46019a9b82045efd1b32fea49660231fc60b1b4bd43585c2808cf128', 74216,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PermanentMarker', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _permanentMarkerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.caption),button: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.button),overline: GoogleFonts._permanentMarker(textStyle: _t(tTheme)?.overline),);

  static TextStyle _petitFormalScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('60b5efe480f0bafdd5de13f5786bc9017ffcddab4de13ece1ee542791fe4eba2', 120832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PetitFormalScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _petitFormalScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._petitFormalScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _petrona({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d80f7ebf1277bc91932826582e099143b69fb77dc61f1259d442558087cc2714', 80736,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Petrona', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _petronaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._petrona(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._petrona(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._petrona(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._petrona(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._petrona(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._petrona(textStyle: _t(tTheme)?.caption),button: GoogleFonts._petrona(textStyle: _t(tTheme)?.button),overline: GoogleFonts._petrona(textStyle: _t(tTheme)?.overline),);

  static TextStyle _philosopher({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51b0e57bc81490c490b7400858499b5823a13926de953476e8d40730ab9fc02f', 74064,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('32aafaf60ca199b7f91291e6aa9e68b91df4b48f53246f454e7eddf8e25ff50c', 73948,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('174ba5b59df6e5bdec8e23657ecdf679226b3b6f23f5625fa814540e88b30628', 73580,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('aed7000bdaef8a04be340ee51e9ff7157c538442a3fda8daeee40a849eaf33cb', 74272,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Philosopher', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _philosopherTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._philosopher(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._philosopher(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._philosopher(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._philosopher(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._philosopher(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._philosopher(textStyle: _t(tTheme)?.caption),button: GoogleFonts._philosopher(textStyle: _t(tTheme)?.button),overline: GoogleFonts._philosopher(textStyle: _t(tTheme)?.overline),);

  static TextStyle _piedra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('44d0853d7548f46be84298314d45874783d3dfd1459f5286f1426fb025483348', 75936,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Piedra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _piedraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._piedra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._piedra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._piedra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._piedra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._piedra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._piedra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._piedra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._piedra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pinyonScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('76a6132a59fff29721156baa5452296b0cf50a435c5bdba96e8bda980999341b', 62100,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PinyonScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pinyonScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pinyonScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pirataOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5fb40958eab064bad8294b018f0eff54a3deb5dcb3717eecc9dd41e8db217618', 56268,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PirataOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pirataOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pirataOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _plaster({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('075c37d102ea4665ad52b444dd9ccf8c06ebd6d7125c8cf59644c1b1653abe6d', 30672,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Plaster', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _plasterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._plaster(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._plaster(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._plaster(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._plaster(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._plaster(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._plaster(textStyle: _t(tTheme)?.caption),button: GoogleFonts._plaster(textStyle: _t(tTheme)?.button),overline: GoogleFonts._plaster(textStyle: _t(tTheme)?.overline),);

  static TextStyle _play({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e198eae88b87f9891da54cbb4e5b631b4f8e8af961970b14082506c5c1bd3183', 123764,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('46b28c6395256a72fe1900fc5218c9ef0c78153157532b0ebc6b6859696d717d', 125468,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Play', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _playTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._play(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._play(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._play(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._play(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._play(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._play(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._play(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._play(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._play(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._play(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._play(textStyle: _t(tTheme)?.caption),button: GoogleFonts._play(textStyle: _t(tTheme)?.button),overline: GoogleFonts._play(textStyle: _t(tTheme)?.overline),);

  static TextStyle _playball({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('73b95f0b1cd341f32c0f20d1fda10e035733b1906538a749d3fc06d9402c8f2f', 42772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Playball', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _playballTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._playball(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._playball(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._playball(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._playball(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._playball(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._playball(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._playball(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._playball(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._playball(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._playball(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._playball(textStyle: _t(tTheme)?.caption),button: GoogleFonts._playball(textStyle: _t(tTheme)?.button),overline: GoogleFonts._playball(textStyle: _t(tTheme)?.overline),);

  static TextStyle _playfairDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('924bc8e9d64e8b2f2cb789375461b2d504e9975b6f77da5ffc252ddc8a3aac57', 157252,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('548814592545ef5a92d9c32a90d369cc51da8a75c2a9397c3f8b64550d64f723', 144588,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e5f443f351dd32a170af092c9d5509a205b292561fff1cc93c7a775be1508529', 162776,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('b30290eb18fd60330cbcf52d5f3cfdb174100195152ee6c527c286b01155a193', 151536,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('b6c0ff8733004f8c2f6cf42f45af14fbd569ba824fb2843b3db4f3e15616cedd', 159648,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('19e0ceccbc574b8a28fe94bd62388dc4dd8dbb00da8fda92003d293ff75bf9ed', 146708,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PlayfairDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _playfairDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._playfairDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _playfairDisplaySc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b4e28ec5aef07315383b9ec24d14cafd9f9e82652f0907ffa96bc78936a2bcf3', 108552,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('fdba2100fec23dad94f0b77ea42bd7fe1e70cb13c977ff4097bee8f4a5d3deb2', 102356,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6e248f16fb366b22ece90b547726b0fa0844647d39802ca9bf4509e2c994973e', 112728,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('40348910c72e109930f4b7b7beac71da6dbd2154ab6e19342f6403cfb39799b8', 106904,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('76b7867b75532041e0acff80523482c84138383984e6e03047bbcdf82664edaf', 110508,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('2bd6dd3db89e38a5d8e179e638978bc19492a6891d5a77a39f9391d18b2d35d7', 108044,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PlayfairDisplaySC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _playfairDisplayScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._playfairDisplaySc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _podkova({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0add25e02638273bd9b4fcf35c8b76256a3a4e03952c161c48592fae22c5fc34', 107676,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('3f02b4ccaed0ce6f2b29a1a9a6a7d4277651708435bc6f85466d43b1f7946980', 107876,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('0cc312c8ebd6612b3c99e662d435f1299506dd87fe2eda68b3a99a77910ff84b', 107768,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('18a450ac10399ddda8864f93d96f61b5d636d2d450b6ce5b67ed4247c24b8fb4', 107696,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('f608ec4d8cd807e20ea8e24c392d1d2a7480b32148f5ad72b5c133b6f630b8f6', 106876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Podkova', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _podkovaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._podkova(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._podkova(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._podkova(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._podkova(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._podkova(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._podkova(textStyle: _t(tTheme)?.caption),button: GoogleFonts._podkova(textStyle: _t(tTheme)?.button),overline: GoogleFonts._podkova(textStyle: _t(tTheme)?.overline),);

  static TextStyle _poiretOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('67bb327af0416e138d92e1fea7c569a19a5c981b0997edee4464ad15cd4ce9f7', 47660,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PoiretOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _poiretOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._poiretOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pollerOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8000b5517c4c1c62df73fa743687dad6e25276b2caea09a6ff237f0c19f9128d', 31540,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PollerOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pollerOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pollerOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _poly({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('25d6b0314754bfa56533ecd2bf390f3f2108e60043db13b206cca5e0a900f857', 76776,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('cc94a04fc599f53d7e32be6f932b998f8229d4e0462ebb808d61554abb4f0dbc', 74188,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Poly', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _polyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._poly(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._poly(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._poly(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._poly(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._poly(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._poly(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._poly(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._poly(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._poly(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._poly(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._poly(textStyle: _t(tTheme)?.caption),button: GoogleFonts._poly(textStyle: _t(tTheme)?.button),overline: GoogleFonts._poly(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pompiere({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('938a73a33e8b01f6bd94758995b7e75a9f06dd9d7cc1977ef653cb5f0368004c', 36692,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pompiere', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pompiereTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pompiere(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pompiere(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pompiere(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pompiere(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pompiere(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pompiere(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pompiere(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pompiere(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pontanoSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5642e38228ac272d77222d1b2150dd461c55d090beba64bbb9f11d169e573589', 28232,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PontanoSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pontanoSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pontanoSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _poorStory({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a915416edf6eea5c6eb16e098a45ee910564e4d15dfba8a3136e293e2f2d8a67', 1802972,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PoorStory', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _poorStoryTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._poorStory(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._poorStory(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._poorStory(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._poorStory(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._poorStory(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._poorStory(textStyle: _t(tTheme)?.caption),button: GoogleFonts._poorStory(textStyle: _t(tTheme)?.button),overline: GoogleFonts._poorStory(textStyle: _t(tTheme)?.overline),);

  static TextStyle _poppins({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('609ae3f057d392507fed90188cf6f9d5f85bb59f613c0decb2ecc9f51312a5cd', 148976,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('4a2e8bca7b027b0f8cc0218b80ec9823ca3b98d4a06f17651337b01fb85f8ede', 172308,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('2a489fff366883b0e5df107f6f4d5af2554723b61495c5509d4c3f62e038bc47', 147952,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('e331f856e52ddab916a83bea449fda91561fab22bef776c8a817bcd9871ce0c9', 170912,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7f15d9a49bc6ca8b49ac995bbc36065b4bab0ed9f6d394a4c49d8f9ac85672c2', 146472,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('2d4fb2fa8e59703eaf3fd748fdba32ff276e881015912154d7ffd5c24ba0afd6', 168944,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2425ebbc021bfdd18fe55edbeeb1539d22a217212c14430a7d4d75266a333bbc', 145312,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f058c785d855d5a6020eee6962eba4a653a871e6f07cabe930504e857b76ccb7', 167140,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('45870260a29fa7d3e0eff8cdd91993fb4a9ce4cced3d7b72c3ef7d24380bfc2d', 143516,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('231c5c16820cd2507d24716e41bce0bafafe7175410e6197b5621c9cedaf84ff', 165512,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1d665d5b75a9500040b2cc201c2b07af5faca7228372dc6f4572d2d5b2291097', 142148,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('cb112397951c33d64e908cec5cf9f34d1ecc2c13f047f98061f834fc4a96e490', 161896,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('210933fb1bb4e846d37ef00c92cae636ac35633132cf2157c7ac879f27f82068', 141260,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('478ff165d4f208b41963f9774fda29358a902ad29026d486a94a50bb2e9b7a05', 160224,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('9599edf36a7c40e752cd1fbc308f5351c59aae0b3bd6fa5bfbdaa61c16f8cee1', 140220,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('230e076f3eaab8aa5b295152336dd453ac731569b1f72b4aa836f0edd6cdfe74', 158708,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('2535406edd2aa55242329705ca9418a07d3a51ae28cadca3ee5becae61aa8987', 139056,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('82eaa315798c980852cb782b3dc81adeb39c16903a1a46d96e5917f79266929d', 155956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Poppins', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _poppinsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._poppins(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._poppins(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._poppins(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._poppins(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._poppins(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._poppins(textStyle: _t(tTheme)?.caption),button: GoogleFonts._poppins(textStyle: _t(tTheme)?.button),overline: GoogleFonts._poppins(textStyle: _t(tTheme)?.overline),);

  static TextStyle _portLligatSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('84c1f23904d96ac1b51af7e38d0892c88f5a84b7bdd1c30685b9cb4d2213706d', 34340,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PortLligatSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _portLligatSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._portLligatSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _portLligatSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('14a5e5dd29e0381386f5b0417b504bb1aadd724682e7f07cd5d09f95b4c9cc99', 38112,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PortLligatSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _portLligatSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._portLligatSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pragatiNarrow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1778fbb91f3825af5daf5dfe6d44737ee48e6c63a95f25348b39ccb9fcda8fb6', 229548,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9e7b8eb47eaef49ea50a19115bddfaf35aebf2f4577f8a3b9cab531595bc97ef', 228640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PragatiNarrow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pragatiNarrowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pragatiNarrow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _prata({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dae0ecee4b97ae6292786b6e9e7efc1c63cf85f8beaef215151813c08fd2aa02', 65088,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Prata', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _prataTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._prata(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._prata(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._prata(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._prata(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._prata(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._prata(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._prata(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._prata(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._prata(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._prata(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._prata(textStyle: _t(tTheme)?.caption),button: GoogleFonts._prata(textStyle: _t(tTheme)?.button),overline: GoogleFonts._prata(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pressStart2p({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ba4683bc76380100a5f8e7fae42dd03216a17bd62025a4f24d933df65845a9ac', 57416,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PressStart2P', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pressStart2pTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pressStart2p(textStyle: _t(tTheme)?.overline),);

  static TextStyle _pridi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('25767951345549f712ecc99e7f7e0ed309d7e3b707e8f82ac578dea2843ee338', 120664,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('418f1e97f68102aa823ef64c5f96fbcec3fb67597331f6b65bbff28c82031fed', 141312,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('33f3b1e354916fe8ce1a179c631238fdc60f52a959f39a02efbd3f8023bfbbda', 141904,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('b57f641bac735f6cd44057a11cbabb787cbc33d1c8270040dc7d1cb6c4563858', 137940,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8847f26d3d388eb8a757c857d14058773c4f265b29fe5ef2da5da9132fb2924a', 118788,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('26c0c1d38bb9f9387d48474dd1abf32af18563e40fa1067abcfa242e8870cf6b', 117864,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Pridi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _pridiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._pridi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._pridi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._pridi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._pridi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._pridi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._pridi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._pridi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._pridi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _princessSofia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9f20c793c38b666148e6b2cb5b5303d48501b0f54d45aac73f3b59a495c7cdc0', 272212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PrincessSofia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _princessSofiaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._princessSofia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _prociono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('61f885124a2a2bbcb15f757f4ac96bf9509c0c1869f1efaa3c4cc6ce99d01f16', 31088,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Prociono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _procionoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._prociono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._prociono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._prociono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._prociono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._prociono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._prociono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._prociono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._prociono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _prompt({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('48988c00dff9e5346bafb0230e233cc244d06d53de9a8c7b1c5ae95b508878d9', 106868,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('fa017c19d47d8c1de3c967302dc49e99d37de71795dfb971c06ce63c31a2b230', 116584,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('be13887c30cb0eb82b46627a8d18c34490049df205c234b3d27d8c3efbfeacec', 106872,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('2ac60a88dbbd5f9ae43c89ce90966920480aa263c9c157da76a8f51c68efebc6', 116628,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('3e355dba756f556f47a7a9d99fe46cfa2d2676c6937bb2af9f39e84bf13ba0a8', 106216,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('cdbdb3675fcbe7c22771818e356aaca5f5bfbd59635b7223dff98a1ef9843b4b', 115964,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a26fa613f518a56e8d6ab2da471f1a74fde4a5fd95552a539694b777832f2627', 106060,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('2ac0428ddf82e1d43425e6afb249d0000b0f3eed6e8583cd6712f53f585f33fa', 114924,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('627e26dc44fbd7d87a3300a5ddb700b5d169b5cee2c915f78085ced694f0ef98', 106100,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('c455330873fbc77aaf5958ea7fe12fc7af2325446a34440ebaf090775b7a2f4f', 114748,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('5be3aa9ccbda532fccad8b87b6e554f0403860f32b4499ea56228ecc81246e5d', 104076,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('692795800d326358c0dfeb443453d36353284ee31c283cfde37df17258f6f2bc', 114500,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1a3f1635714fe8861ed1027027e0e34183db3b1197ebfba3c2283739950e1fc7', 105580,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('46317d49f08a684dff0cd9a335124eba5f1feebc850ab74ab6a023096f224c4f', 114080,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('79977c86dc67cc15e7cce3392fd9a3b9bfcaf261c5bf48de9820fb6b9cf8dd5a', 105156,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('1bd02cc605f0e4ec0c90fa33ee5726bd1679d6a36c64f1779de4aee232e8a88a', 113996,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('5f0519c649be920aec99489ffcd76b23ec686b254b28fe9cffdd6e5690280c41', 104892,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('9390dbb38f163bec75f6d6682ae93a821e776cd9bed89bf402c7104d295dca25', 127800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Prompt', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _promptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._prompt(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._prompt(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._prompt(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._prompt(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._prompt(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._prompt(textStyle: _t(tTheme)?.caption),button: GoogleFonts._prompt(textStyle: _t(tTheme)?.button),overline: GoogleFonts._prompt(textStyle: _t(tTheme)?.overline),);

  static TextStyle _prostoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('48e9abcc05d19f1dfd678d55c8747ed931282ea5b332f232e7fe90254af60f9a', 69248,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ProstoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _prostoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._prostoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _prozaLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9b6195e0fb14a5155dc5f1e836d174961876e69e0c471b7ab8357696acb1d404', 77600,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('79a33a14fa8f5bd86b8bd985de9a92647b0d6b62085299ae05b0c4f2cbf98bc8', 77756,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('ac113922a0dc8f8533dcac9f1f9ec44f777502e94608291bd50da0fa981083d6', 77960,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('a6506ab9342408e2f16f5991f7f13117f9c080dfb34c268e4378f507d01fe3b8', 78168,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1e1b5cd4d00344b8bbbb015679e9bd7cc5e99a2fa3d6eb18b4f1303c90c3e68e', 96824,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('522e6755ed4fd909ed6968fa89460d7eb69e6b90fb0124f5fec6dfadb7dd5dac', 78188,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('14701643695bd3fb18b0e9f16049cd1caa35acee12446ecf10b0a179697f7748', 77756,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('176582be0d8f918514d1f30bb1cfea4729cbd968974eced79e977378653c62c9', 77952,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('6d37a997a436ffd489943e8d33d8917c4eac47e1c20959ae0cd68f6470e932bb', 91092,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('e5a8cfe2f4e6f80f7a40d647e5ca78ffe1df63c22c413d962ce2f937a8ce34e2', 90644,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ProzaLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _prozaLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._prozaLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _publicSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('bbeb9408fbfe9d5d9ce8fbafbfc03c6b6cdf568002d0617c5ba2e7a7ed4e2927', 47064,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('c5315eae10703301b7f62e88a7de796fcf6d0e22ce0484906b2a75717045d602', 47172,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('c24444db34cbde1fe26eee9e01a5aeecaa2d5d04d760b016effb1efaaeca1eab', 47136,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a43ba20728262f80018c0f9cb41348b11a7a0f7ce4cec9524908f09a1ba9fc10', 47124,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('3bd3b338d1c2daf799f2856f74a39cee09cfc8dd65a08a77dae77e3fdcee5516', 47156,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1ba049c8f5505f644eeedde917f31244fbce5797f1daa0bc6ad7dee626cdd493', 47240,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b64cde6ef854e50377acd226084a3b56da54c708c4b6b56b0e6efdbd6725e2eb', 47276,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a88f82d3a4c9ff1ef0ddd06d1f62a10636942fb2461837a8555c5a0c6c362c84', 47420,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('d59239c8e796e666d395620e22b7a4456496e2593b03448fca6ea8d8fc7697df', 47392,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('b7e9ab1ba3ba765f5775306a4f4f66df2fc253782bdca66c44b36e09b4a65ced', 47388,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('ce8d4637dcc7693ff3984ca3de2859af73e35a18142f87dff9fb8c3e2f9e8fa3', 47468,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('1c6bac423bb2503db975062139990578c28e1b744fdf169b762f0ae69e4f5ad2', 47408,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('ed1d4975a041ddce0d086e9b30feb0d85236d1e95edeed6848841f480af24a49', 47296,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('a66352215ff1f71f3e0c04d07175608a1992529cf83d389cea2e601a72d4e90f', 47424,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('b2bdd1391e967996ae11ed929fa55e3811b4928bcdd356295d10ae67cef03949', 47488,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('056bab577fca8b802ca1629b53e48d0b66c5e0d7568553c4c85bc0107d87c865', 47544,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('9e40fa8d8ef6e8979ff49e3f9220489c0961ca308a318f3400b176a6594877e9', 47736,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('0b536907db7c2710ae92a77a16a1a413f3527e60b0fcc442d4f74513b6249e69', 47740,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PublicSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _publicSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._publicSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._publicSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._publicSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._publicSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._publicSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._publicSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._publicSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._publicSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _puritan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('53c4e62f0ae59849064a30afb5f388987e173b8699d99efa7364a1b99c16385d', 36476,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('28385ca71871b908d353e761320647ac350dc310f04d767c54ffa33c5bb0e846', 37752,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4a044a29b77d5907eb6eb71d1e7955016b52b63e928f6a1381bda726cb81317a', 36232,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('792b0deaf812e2c13a119b6c56f14b2c25e985edc90ba79c34dfe61c0d28db06', 37656,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Puritan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _puritanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._puritan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._puritan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._puritan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._puritan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._puritan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._puritan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._puritan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._puritan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _purplePurse({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5653d111577461c5bb526447a3f51696f803a7e41f0e5d379ae3a558f69927e0', 62452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'PurplePurse', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _purplePurseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.caption),button: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.button),overline: GoogleFonts._purplePurse(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quando({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2a8053aa17f88c09896da7eb7b6ee5d1652eaec863ae13d59efd1a763afcdb2a', 49748,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Quando', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quandoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quando(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quando(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quando(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quando(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quando(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quando(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quando(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quando(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quando(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quando(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quando(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quando(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quando(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quantico({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c0e68a0bf4434bcaf5078482638325be95f9ff8d23e161320e71396c3bac24db', 20892,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('8dc51f4e759adff1e4ef04d9489decee6534f253a8c586119e29e6ac5d4ba3e8', 22120,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('893455159a698723c49ac3c7b21b2eab8d58a8ae07a566c4b1aa1d49d301b100', 20872,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('1021a5020ebf627e4f792a27cf1af37913a9f7f26454ac4cc914f0f78b08df22', 20636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Quantico', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quanticoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quantico(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quantico(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quantico(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quantico(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quantico(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quantico(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quantico(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quantico(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quattrocento({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5889732ed96c5175bebb886a2f99f90cbf93d54ad643f7cf5376b4532c385aaa', 79000,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('72919cef5349b9fa016e032e20becd479cf50e5b1a159f0b68747631e333ae6c', 80100,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Quattrocento', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quattrocentoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quattrocento(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quattrocentoSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('114280821a2f8698d737c5c9bcbc986cf36a4dbd9fa7c58e448b35520a6053ec', 48788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c933f0ba971f5573109a7674a40f980252c7f3c810a75f9ff29c016102118e85', 61236,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1a542b5aa650f5ce3fa5e6b692feef037c10962d8ae63545c47fdf964e5b3e26', 48324,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('edadcb4799c44215ae17124bc3eac621aef5a4348743df4d74ff83fd09a601a4', 49520,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'QuattrocentoSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quattrocentoSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quattrocentoSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _questrial({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ad815e7b1e7fe3c135b94c7241340918c62215027afaf848638e71f9ba75125a', 64528,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Questrial', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _questrialTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._questrial(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._questrial(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._questrial(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._questrial(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._questrial(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._questrial(textStyle: _t(tTheme)?.caption),button: GoogleFonts._questrial(textStyle: _t(tTheme)?.button),overline: GoogleFonts._questrial(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quicksand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('1d9cb44be0f4a238981aae2eb07e9157e00c48fae09163bea0866e136d1c3f1f', 82640,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0f408f35c3679417b5580701f3ac08830ce36535af5a643a2ef5b59e91c3c6b7', 81668,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('76d743f0975259e38b62a1b671044d0a6584e7ae0a8389a9dca5d6d7e5e24031', 81400,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6bb475d143c61221c4ea174d3c51728268e58b12dbc14600d59020ef8deaaead', 82168,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Quicksand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quicksandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quicksand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quicksand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quicksand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quicksand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quicksand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quicksand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quicksand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quicksand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _quintessential({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('030ff82f2f4a02d56504ed9191c94412439e0fc2bb5ea13d563ecc793620de06', 73476,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Quintessential', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _quintessentialTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._quintessential(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._quintessential(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._quintessential(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._quintessential(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._quintessential(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._quintessential(textStyle: _t(tTheme)?.caption),button: GoogleFonts._quintessential(textStyle: _t(tTheme)?.button),overline: GoogleFonts._quintessential(textStyle: _t(tTheme)?.overline),);

  static TextStyle _qwigley({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9e8fd5b41b64bfc84fd94dd67445892d8149c004a0054984f37eb95effb71095', 40404,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Qwigley', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _qwigleyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._qwigley(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._qwigley(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._qwigley(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._qwigley(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._qwigley(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._qwigley(textStyle: _t(tTheme)?.caption),button: GoogleFonts._qwigley(textStyle: _t(tTheme)?.button),overline: GoogleFonts._qwigley(textStyle: _t(tTheme)?.overline),);

  static TextStyle _racingSansOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d832218eb9f68c818398e21dff506b95b27cf9a0830a3866a204eb2d2044027a', 96960,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RacingSansOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _racingSansOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._racingSansOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _radley({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6793fc8150706eb473a493107e09c2e519147ccf8d28dea89f49427c0dca0481', 47660,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d01dd3f7b9c28e1f719a10c2a9dc88cd2827fcc64c09173e01e8b397f7615442', 40760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Radley', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _radleyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._radley(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._radley(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._radley(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._radley(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._radley(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._radley(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._radley(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._radley(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._radley(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._radley(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._radley(textStyle: _t(tTheme)?.caption),button: GoogleFonts._radley(textStyle: _t(tTheme)?.button),overline: GoogleFonts._radley(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rajdhani({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5d3e322fc971c11dc62d2cb01d49ffb76c16b801c7811493250d84aa8f12fa3f', 235652,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('28d153f34f1ea3bd1abf9d6639f49ee9ee3b8b01badde2e32892146d8196b19a', 234648,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d0e11c0858bfd9226f322293328602ca2c5a89cec03fd80c333f933e0b26e653', 232788,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2ab7a240fa08011c00222b91e955d71588ccf8d82ed43833580bf8a20082c836', 232244,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('01025724bc7898c86c82d19ae1779cb44ca7492a947094eb0249653e3d26850a', 234596,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rajdhani', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rajdhaniTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rajdhani(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rakkas({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b55368f62b7541a21f5f2e81100067268567c036b1f9f1b1435d7f856475a9f5', 91160,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rakkas', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rakkasTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rakkas(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rakkas(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rakkas(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rakkas(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rakkas(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rakkas(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rakkas(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rakkas(textStyle: _t(tTheme)?.overline),);

  static TextStyle _raleway({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('e8df4e8d960459bd5865f3570b57e6df699c766519716eef5e7875dfc55f60f8', 132996,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('9593117176336e51cd9d5e6beece2916b11b6dd91127af0ec0e8c61360e1825d', 105072,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('9fd54bfbbfe5b0f9225c616bfaf9b554e22453bccec74ff721bfa2e156349515', 133284,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('020054507630a95da95e3be3a49fc214dbcfaf24390608c7a2b3d7f50f92d5d1', 104972,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7404c4efdcd985236d209c5c0c5e33de959f635b2c6e360941ba22f8753d88dc', 133000,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('66dc7bf66966029a73a06e1220a824348a0d1fced869b33b94384866a907b404', 104376,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1aec65f5e5dca3ec9f8719936af31f54336bb5d99f25bf343ff25e009d5e569d', 132488,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('7f67d86f99756ac80abbf4a03a41535ed9d8b077f56460fb30a9cd45ca561a22', 103996,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('4c263e938d69d7fcfb458613f3f273780c02bda6d38090fc8cb2244c06d0b0a3', 133172,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('f794d63e5851c970d1f8527131022b8779e7f1aa8b8a974dcd0fdb49cd74270a', 104476,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('626bb691bbecebb8a239831c605068f546cdb97ae010463f2da45417e1741d82', 131884,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('2884ba45cbb9cb0d03e03d9ff7ddaa586469062b6a0c7d9eedce5c300a8874b7', 103200,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0d65094ca3a50e3e3078a2e46a4229f4552983b5f75ca1375acc7e5846dc40fb', 131004,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0d7f50973be9d011396bc034d6db727bd7c8bd04c394b691aae038666b286658', 102236,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('8051619be163d93f0ff326ee63a4aed4a38042fb23c4b565f5e87408bb6948f5', 130004,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('7da482be71166cee8c0006906b0e930f45a5c8d6e5324b479edde0024dee23bd', 101848,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('5302665d52f11188ff3c3008199ce8ca17835eb68c7c7bbbff6175e39879178a', 131992,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('8a5faa87c4f12461b775bf2c6693db562a932328b199affc9c16ea56206f534d', 101876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Raleway', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ralewayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._raleway(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._raleway(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._raleway(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._raleway(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._raleway(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._raleway(textStyle: _t(tTheme)?.caption),button: GoogleFonts._raleway(textStyle: _t(tTheme)?.button),overline: GoogleFonts._raleway(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ralewayDots({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4b4b8ff2afb81e87d73fd84bb88f05e768029ed7d4f839078f82d515111ba83b', 254512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RalewayDots', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ralewayDotsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ralewayDots(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ramabhadra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f8ceda8c345cda5342d5ed25537f3c2a16bf4548f447746c5d7553cff470362c', 329608,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ramabhadra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ramabhadraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ramabhadra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ramaraja({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2d2ad7c6159f41c62bfca6dcad8df09173bd8915c107915bc3f035cedc1d00a6', 496892,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ramaraja', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ramarajaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ramaraja(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rambla({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8cc56fcd2e3777d5c3699b8db651965ee39a057e20813adb1a07b181a8511e65', 34284,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6486467dd0269443e3b474df8d13f8a02e42791674f0fcf5964b9ee8419cdbae', 37096,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3c855f5e3c26200aeb6e55a7d0bbf80b16fceb67ab65b97d50a788c68d315379', 34640,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('f20b77570105aff68e4179538c4243221228d9f13bc6eb988847fdf6800b97b4', 37324,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rambla', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ramblaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rambla(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rambla(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rambla(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rambla(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rambla(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rambla(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rambla(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rambla(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rammettoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c98688de086da1f823bad61e527562aacacdd41a5cf8072e7c7d6c4fe3718dc6', 30372,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RammettoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rammettoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rammettoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ranchers({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ee03833b1756509c106b58261df85478f7bd82ff2fd7ca6b4d5890de33cae655', 121636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ranchers', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ranchersTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ranchers(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ranchers(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ranchers(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ranchers(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ranchers(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ranchers(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ranchers(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ranchers(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rancho({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2691ae7a785afc3443c02c1383179f3e510bbcbe3015a78c6b04b9a2ce719ea2', 44424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rancho', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ranchoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rancho(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rancho(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rancho(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rancho(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rancho(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rancho(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rancho(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rancho(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ranga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e51a6898e34d12bd9b9057002e645f176d30f5e821bfaa1ccc4e56294af7099a', 119128,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c5c763628e805a2af3c9deb68abd0b70227a98911f7ba56f4f8c2a3e8c286b96', 127288,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ranga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rangaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ranga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ranga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ranga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ranga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ranga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ranga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ranga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ranga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rasa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('6d1458902052379a4c442fe3c08dfb90a878e6187abc480b52afc11943431dd3', 192536,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d5a933545a7d1e9a3ce0493c853f75c27dc067506d4c32398c0f724f726435cb', 194280,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f5a6e10ca22dc5d39cb49a70330bb3f3b7dc5361feb0b59693284816acf3dc6d', 193900,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('0ce2031b3cd5dd01a2d4c96225c44fa6813df124cbf2f4f078c859e4e0abdd6d', 194140,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f756b8a84bfdccc709dbc00ba23c8852f077e23210d148b4a158e4feb7c1901e', 193644,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rasa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rasaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rasa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rasa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rasa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rasa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rasa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rasa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rasa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rasa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rationale({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('be5538f847ecbac23916ea02bdabf914bbcb6d6d35c8ad538b227d6ab3efffee', 44712,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rationale', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rationaleTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rationale(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rationale(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rationale(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rationale(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rationale(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rationale(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rationale(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rationale(textStyle: _t(tTheme)?.overline),);

  static TextStyle _raviPrakash({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e1c97910a94c8297b0463611bff91a4178d5e555acd6915846dc0d34b7da5221', 231772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RaviPrakash', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _raviPrakashTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.caption),button: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.button),overline: GoogleFonts._raviPrakash(textStyle: _t(tTheme)?.overline),);

  static TextStyle _redHatDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('675f7abfa369dc6992d9baf79751a6887711f613b7b4783502dbc42d135ad755', 36544,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('2e8b90fd9cbce501f652d35b743083be439853e2ee98669ec4885ca518c7fb30', 36960,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('93f27cfcf7823481e7194e5feb84bb5724ae4d872ae2d45469fe2732eb1ffbba', 36388,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('fde77be04a3ff0a0162557ffb4a34ea35bfc2b6d6221ea52f4784ee861d23115', 37004,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7897d54780c1af5e3be81c46c850d6cf5cab921a6d3b9b6f01bc53832a8fba74', 36436,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('7d663aae94b1599f6acc3c66f68bd11753c1f0065a6dfd808229663939991c88', 36884,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('f3fa64617097c3954eacdd21e4502eb79d00053e29ca37b5e0047cf0e3d49aaa', 36364,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('ea4b150dc2f0ba9a550b1a93217bc8dd275a6534aca092096abff10a4751dab1', 36832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RedHatDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _redHatDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._redHatDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _redHatText({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0d9ffb6cd7ed3ba3a171dc3f14fc4f0ee80d0bcc276de998f2d1856e2e4c46bc', 36580,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('c25033ec3d2ae9b4a79da58b3a841070303dba586f0797ab0d60afcd8d5e6708', 37152,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('8e6613e0c2b79e3e7adfce20e339e92aa65b3b932d8daed7102603d8a7e05352', 36568,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('492f537d5c3ba80c637f66cd970d7ab47e7cdf85b3daa0783ae5b96ea8a95770', 37092,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0ed0cf791ad1be4c2b900b22803db61988f37e96e044682319e45bce7a859b91', 36524,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('be2de719ea5a677cf21fed0bf32ac84f816db39db4d91e04de07bd8bfcf2d8d7', 36912,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RedHatText', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _redHatTextTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._redHatText(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._redHatText(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._redHatText(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._redHatText(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._redHatText(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._redHatText(textStyle: _t(tTheme)?.caption),button: GoogleFonts._redHatText(textStyle: _t(tTheme)?.button),overline: GoogleFonts._redHatText(textStyle: _t(tTheme)?.overline),);

  static TextStyle _redressed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b7da182df7a86a14b448d200c3efd866dca0885111c28fce6449cf8aef103e77', 78804,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Redressed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _redressedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._redressed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._redressed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._redressed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._redressed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._redressed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._redressed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._redressed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._redressed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _reemKufi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ea139970598b2fe720c5ddab2a0e2483460759bc626931104aa1adb9c4ef6b9a', 58312,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ReemKufi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _reemKufiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._reemKufi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _reenieBeanie({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3bc036be5570dcb23bf8f01f888f56bc55c5e3606875bdd2bb8afd3ebb48d2a6', 88956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ReenieBeanie', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _reenieBeanieTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.caption),button: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.button),overline: GoogleFonts._reenieBeanie(textStyle: _t(tTheme)?.overline),);

  static TextStyle _revalia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b093f6aebb81a6ee15d476875815645a7d5544b359370f2565d91a77dfa8d3e6', 34108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Revalia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _revaliaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._revalia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._revalia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._revalia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._revalia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._revalia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._revalia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._revalia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._revalia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rhodiumLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9c5b10db8b1e6bcf720d3a76cdf51a5dc63ec9f1a7115e777e07921fa2b738e6', 154452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RhodiumLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rhodiumLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rhodiumLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ribeye({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9fe858f86a4e9a56b2a520c8f615ee7dd682f4a2fed5b8033405258755e1105e', 78076,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ribeye', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ribeyeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ribeye(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ribeye(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ribeye(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ribeye(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ribeye(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ribeye(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ribeye(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ribeye(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ribeyeMarrow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c246f9f2e382d8da82319762b401df8a1426fa767b74d168f0d1abca33fdd43d', 84848,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RibeyeMarrow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ribeyeMarrowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ribeyeMarrow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _righteous({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b40fb221f7d3d9f9d2681d60785245f09112b91485a2380235241e647b852428', 43104,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Righteous', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _righteousTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._righteous(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._righteous(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._righteous(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._righteous(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._righteous(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._righteous(textStyle: _t(tTheme)?.caption),button: GoogleFonts._righteous(textStyle: _t(tTheme)?.button),overline: GoogleFonts._righteous(textStyle: _t(tTheme)?.overline),);

  static TextStyle _risque({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5f8b847245100d0b265af4b51f5155b82e072ba6124a272762a8868071c2e9a8', 58976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Risque', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _risqueTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._risque(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._risque(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._risque(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._risque(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._risque(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._risque(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._risque(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._risque(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._risque(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._risque(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._risque(textStyle: _t(tTheme)?.caption),button: GoogleFonts._risque(textStyle: _t(tTheme)?.button),overline: GoogleFonts._risque(textStyle: _t(tTheme)?.overline),);

  static TextStyle _roboto({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('e735762739638d19335103f8e7a343545560f4b2265fd35a4f0f516f512a7760', 109484,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('aece4c53901fff188a2cb1aab1024ea53b459e2181d47d9b3700c13d33ade89e', 116036,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9d1bd6e2cc14a33517018f1bbfdc878cb18e7894f39fc7c36436ae18440621e7', 108652,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('0810007c837dfd034071c166e5f3ed111b0180b2f6af17a5c14e006a8e05784f', 115656,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('030868028bda24a27a45e0be44c8ae15544762b94f80da746c8b8a1c05f8e952', 107800,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6a79346603274d80f27fb4de32a0e7a60f62c53c8069df2750e79b8f10e30649', 114644,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('388ace661d10e5756d4de58035d6687cf35c0b11c8185b098468741ca2e8a6d4', 109344,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('257c7750d0c1570dc2324571f2998d43e18649848595361a6b136bb0d3d2efb2', 116372,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('ba3855457bdc103784c39219f0ce666683084df07dbd7eb7d8c35a40cf8f1c8b', 109712,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('8c9936227e9fe936594819bbf4aa9a26d9b044f0b440800a4ade3e3e749f54aa', 116424,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a1ba74d13db1b16771b1d8e705e4c9282ef1d09492783304ebc025adb6ba1914', 109832,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('a4c423dcbda812fa36cb0325f3aad0fd9847e8a5b0a26f31094db0666e721c8c', 116668,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Roboto', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _robotoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._roboto(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._roboto(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._roboto(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._roboto(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._roboto(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._roboto(textStyle: _t(tTheme)?.caption),button: GoogleFonts._roboto(textStyle: _t(tTheme)?.button),overline: GoogleFonts._roboto(textStyle: _t(tTheme)?.overline),);

  static TextStyle _robotoCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('779b7e4fc31ca5d743e125a1799e9c79dc6ac4ec6e87ca8668ddbe5a157114d7', 107676,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f3f74b2f03d3c52f24982b0c06b087165cebeeff210f3db18314a3cede24d9c5', 115124,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a0e62c76df9173512c94484b3994d83d2b4648dadb8ea6104f3656a3b60f25bc', 106992,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('271bd0834c4b4fdb5c9c023bbb4067bb29b29e248cd45f845be792f649d30934', 114324,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('75a8116fe33c85a153cc824951286cc88ea5c5278e72f1ad56bf94693e9302e7', 108832,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('6aeda8628b19ddf4671e2e3710998ea138a2cd845f54640bb82f89acad0bbaf6', 115668,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RobotoCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _robotoCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._robotoCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _robotoMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('e54b0e2606a8e454e92c100a791d8b71811e052d42fe4b32896466b8f0be270e', 85128,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('3eb07be624d5ec7a80bcb5820f19fe80008142212ee07cfa2bf9a5b70f94a6a2', 87936,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('1c9d3d466aab107a76ff737ac20edaf327476dbcc6c6dbd77a00094bc79727bf', 82784,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('0f72866d63d772ac722b847dfc2d8ae72d00e74b69f1b95374f6f71677a4cb05', 87832,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e3284818a33743fb9474240557d229c111ec2b584d14913e5d32af7b74487458', 80684,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('3d8daba697d824c67c2e385af80a546763d80262785e6adb2e681c714782fb22', 86816,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c451bd3c919883e57c526d2c2bfa3e98dfd63411a8b872828891908ba78ad63b', 80120,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('e78535fb7ee0b0f96d74454e5c73e28c62d48423449a97f0d749ec7c920fa921', 86724,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('107b5dac259223182470928048382c0cef0d4b668d0775ac03c0a44c847ea2c7', 80304,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('6551cac967c818689406cd0ca591d8a251a88cbff6790b5ea3c0e3aa2f541668', 86788,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RobotoMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _robotoMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._robotoMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _robotoSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('39d17021e49dab28b629d9c337f6d659da0a8b37bbfb8ae5ccfe9ee8f8d16878', 109020,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5b6bad2cf6f07f140e117c46893165483ad9dd034a75a4a090f1d9825992210e', 109636,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('89c16ab4d99ac752daea2ecf31af3aae669305b909e558170bafd48dc9b8b9aa', 107180,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('e87e906df2d8d66b24a131bef23415760d6d2afee657275eb91f1a3a5e5dcb5e', 108520,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RobotoSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _robotoSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._robotoSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rochester({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3497dd76e37f779c2ea2d2d0ae96b0cbf2170cec9ad27c806d0b3b31c859ee13', 37824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rochester', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rochesterTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rochester(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rochester(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rochester(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rochester(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rochester(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rochester(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rochester(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rochester(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rockSalt({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f806681f8229dcdbd4eecfbadbbba02c5db0e98796d6996917c01a006376910f', 117412,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RockSalt', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rockSaltTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rockSalt(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rokkitt({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('9a0a1b138370aa3841a848edde26bd7045ac2a5a0f13a513b247417c3489811c', 59248,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('840d357a7d06133d859000a071917c4ea92f02d0f001f247137046392166ff1b', 59120,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('19b250411cba0e1bc39378cf1e47ecbd217b7b52e845159655611f9cce3f016f', 58996,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d605b424de78054bd585518d8a4e136ab863ab5f3110ee43cb0745bca0f94eb3', 59040,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c3ce457383a5f17f5736ecff7d423f0d5e1f10ba000e7a78145fef0d293439c7', 58848,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('710018ab00f1b7534021eb425d0afa5cd1ccc82a3d91a174d7f359afac93f384', 58800,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('76808b96844704a6d75bee1943315ea236557fc6fb1a239ec5fcee6f9c5fcd58', 58648,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('1e99689267ca0778d003215820f88badff6b9986410c8b9d07d2c857c6e04beb', 58464,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('a8cf419d654432575866170e1d718f434f7f5cfa52673194ae8fc3d08cbefe92', 58212,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rokkitt', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rokkittTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rokkitt(textStyle: _t(tTheme)?.overline),);

  static TextStyle _romanesco({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8d69cd23e2f9e72bfe24b40e81d3301f35d942aa11864ee86d116da929e93a27', 52112,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Romanesco', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _romanescoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._romanesco(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._romanesco(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._romanesco(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._romanesco(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._romanesco(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._romanesco(textStyle: _t(tTheme)?.caption),button: GoogleFonts._romanesco(textStyle: _t(tTheme)?.button),overline: GoogleFonts._romanesco(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ropaSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ded2bcc06059fc1d86ad77aedff4ca5827287da7e5d969867d190f24ce2c5916', 39140,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('0fc33e982fa4003ec3947ef040bddfed3e33ad447086af587ee5ed6cc4ef4fac', 41796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RopaSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ropaSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ropaSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rosario({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dc6413573a989dcba9ee4d0b7670f9eb53c458ddefc205ef6e0bd1e1c0be395e', 44412,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f099b91c7f453830c2471e0be3a576f1f58943f343e98b2d994a8f195364e51f', 44488,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('eba2172f0e05afe4e99a14d3a265d3f334e6110105c10842f43387dc99341df6', 25204,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('2fde400ab1655e1710a53bca2ab413a1504a54748fcac3b8ffea6135f4b8aabb', 45640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rosario', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rosarioTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rosario(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rosario(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rosario(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rosario(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rosario(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rosario(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rosario(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rosario(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rosarivo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d5878b2fc902263df1fa49b327526cf9d20d935600e9d19b05ed00453639dd2e', 41296,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('0decb12337d01f7da972a8999c759b44d150a6b4da6f78459c1fc7732df0e5ea', 39196,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rosarivo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rosarivoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rosarivo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rougeScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fda390dca3b917e1245ea6c06da950ec2a4d3ee0f5b6d3c128c0049f2a6bc5bd', 46704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RougeScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rougeScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rougeScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rozhaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f19c35bdc6cdb6ad7f6251e42e4bd0c4e43757cb71b9ecd26421f1fac039d1ef', 197988,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RozhaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rozhaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rozhaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rubik({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d06ee1ddd9a38ecea7c204c94d69e670e155c7e5f6b9ca5bdbbc851871397569', 106476,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('39eb0e8cc0f4f0f949cd7ab1192004ad43fa616ab0ba09ba2f1c5e975b6ed29f', 109452,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1441b864d5f661c6ad072120b1ee340e6c799fab34f7d408ec3fbf11f41f3ea0', 110876,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('1daca2e29940a75b3f1d4f3d7bb0356f63332d3013133093e3a75295dcdaf781', 113204,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('334711470701a9df2e7c93bcc418d6d16e8844ed0bf4ae4411f588cdb913869a', 110968,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('131d5d182158888dbccfcf0de7726b6a878bdb7eb60bbc96fb8a42561abc6b8c', 113252,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('395804d64aff5eda80de3c9e8fc2ffe482af2f6483707546f9fb8c3b14e747d9', 110580,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('7dc9a621668992ae25fd33cb83bc658c0bd8e2068c92524544164c3ba79737b6', 113060,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('f660cd5e361c3f00ea913d713f53325c9248887d961ee7a130335fc796750fff', 108720,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('1e373f9418d94e2ae6e4b31972520bf13c7b93e0811f8621d0ce8d72e0576c9b', 111512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rubik', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rubikTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rubik(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rubik(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rubik(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rubik(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rubik(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rubik(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rubik(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rubik(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rubikMonoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e7309c62b1b75116a4ed60639db8643e8bf50f3f4ed2f798823b2eb3b1f2a225', 76472,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RubikMonoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rubikMonoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rubikMonoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ruda({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a254aa475c3646075b11d4e1a7db06d96c2f16a001e31943133c66d6bbe7558d', 24500,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('af38ec0bb3b6d599d8ad3f56b0f6f3fb81bd7dfd3234fd8f9dbaaf5029c0b2ab', 24336,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('0a25461d4ccbfb0f3a77a33f66143f8474a3eccfbee06850f5e778bf29216894', 24284,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ruda', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rudaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ruda(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ruda(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ruda(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ruda(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ruda(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ruda(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ruda(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ruda(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rufina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('13bca1c6fdd801a76033b1400e39b72e91e0afb66bbfe9c7949ba573a2fef8dd', 39992,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('dde1bdffc799ca56ee0f9a9f0386b734acc2abff4459d9ac91da48b589078fb6', 40008,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rufina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rufinaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rufina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rufina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rufina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rufina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rufina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rufina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rufina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rufina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rugeBoogie({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('91717da896d2b742035d5a0b0ba8e6e4eb616fa3040d3ba55be14c2e92b1aa8f', 63488,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RugeBoogie', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rugeBoogieTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rugeBoogie(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ruluko({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('518872494d9916ac67c11f0d33a4e68e70201fcd2c5edc6925985bfb1a22a9c4', 27388,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ruluko', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rulukoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ruluko(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ruluko(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ruluko(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ruluko(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ruluko(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ruluko(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ruluko(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ruluko(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rumRaisin({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('15dd5f0a1c1162127387747b68fb4d16c6eebbc6ee30b8af755f7898ea9494fa', 61396,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RumRaisin', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _rumRaisinTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rumRaisin(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ruslanDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4ed18797941421375fffab1522b84e81a16d399abe36964f4f3278683b1dc29f', 57264,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RuslanDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ruslanDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ruslanDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _russoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('42938246c94ba396145f46606ca60fd6409d6626953609dbd587a50757963337', 38636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'RussoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _russoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._russoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._russoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._russoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._russoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._russoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._russoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._russoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._russoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ruthie({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('07b0c223b1890d96133629bd33f84988e27371098aac4a68a738cb05f15ce183', 57160,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ruthie', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ruthieTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ruthie(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ruthie(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ruthie(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ruthie(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ruthie(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ruthie(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ruthie(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ruthie(textStyle: _t(tTheme)?.overline),);

  static TextStyle _rye({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('925017b50d3328d30961faf597e0912d32371e48a76c36b3d89fa06e538003bc', 86244,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Rye', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ryeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._rye(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._rye(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._rye(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._rye(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._rye(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._rye(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._rye(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._rye(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._rye(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._rye(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._rye(textStyle: _t(tTheme)?.caption),button: GoogleFonts._rye(textStyle: _t(tTheme)?.button),overline: GoogleFonts._rye(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sacramento({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3063956ef6275e1b23cf8ab5ce022e853414c069af3d200d3cdad4924c5f6eb5', 79268,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sacramento', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sacramentoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sacramento(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sacramento(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sacramento(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sacramento(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sacramento(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sacramento(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sacramento(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sacramento(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sahitya({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('54146b1b18bccc5173c7f1cc478fd450cfb721e1b3d40df0ebd3dcf6711c6c48', 186736,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('14383134c508c525e61d88a045189d98b08191a7cadfada9c90a82eea5d88ee6', 186312,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sahitya', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sahityaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sahitya(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sahitya(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sahitya(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sahitya(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sahitya(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sahitya(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sahitya(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sahitya(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sail({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('448cb365963b156da5ce3bb2b69bd8c6837dfd0a2beb5f00d831143b1910ec6e', 32436,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sail', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sailTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sail(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sail(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sail(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sail(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sail(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sail(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sail(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sail(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sail(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sail(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sail(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sail(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sail(textStyle: _t(tTheme)?.overline),);

  static TextStyle _saira({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('b6d764b20e47ac3d6764acfa56dcca309c570f72779558c6c85b227d3d52c1a9', 74292,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('2b401181dcedd7b5ce954c3110d4a358e96333124e6afb4335cf4ce5a9612a21', 80648,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('9bc2a7efb47daf648f831278c1e7d476dc527592af052be0f1b56d14e3b4e333', 74772,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('52c681d7513af192559d2240ada8f9fa22b3643bdb673ee7e21e6eb5684435f9', 74492,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('2ca26aa1deaa72e2d0a3578ee8e0308aeeabd47a10628833efad904d84f252ba', 74924,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('d9b40c01b3303786bc3fffeff6a6d3a756acf2bd892721e8d28e640b1269900f', 75408,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6f648ffbf75c94be4a3f3bdce9ed055f5ca4c76cea8df354c32deecf172d4bc3', 75764,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('e7ef6f260e896a02dd09b2e149372bffaf3c2fc81e6a3eaba79751a2f84bc498', 81492,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('784cb5c4c9a4355b55b1f819414b962800d401a312f0874e035e90ba2d1ebeb8', 74768,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Saira', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sairaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._saira(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._saira(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._saira(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._saira(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._saira(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._saira(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._saira(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._saira(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._saira(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._saira(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._saira(textStyle: _t(tTheme)?.caption),button: GoogleFonts._saira(textStyle: _t(tTheme)?.button),overline: GoogleFonts._saira(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sairaCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('8220c0c8f2f9288ded38da89babb11b6da4163ebaf504f877d22fb4ee43a5418', 74008,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('589e794e8c485b04766db461cee8244dec0abc305e90f5cffd6dc37917ace3e4', 74504,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('6aeb3495feb7c7ed8e87afce584590944e61b1a581d26f494de054b8a430dca7', 74344,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b0c1ee3c73539fe0da52806bb378267b315d3ebd7ffd40f7c435dd3dfef91baa', 74884,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c78b83e91201287296ae34c6159727fed972526b1dd8aefae5b922dd4196e687', 74876,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f1b084d4812e81b0cdfa9eed1b7256d043f5d4d8a00a81ab67440f9354549fc9', 75652,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9ca3926b06ade51157b1ce932574cac89a6f16dfbdd601a345701da25b7aa8dc', 75188,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('17caf4ad92a39b0d9333a8f668c1582d993748126b1a8ebbd4b26bca25c66a00', 75336,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('3235689af1f16e3535c26922c2fb739dd02adef166d3e761175b3af89f72240b', 75076,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SairaCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sairaCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sairaCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sairaExtraCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('322d3973d59827b2504723abf3285c2d1e85181532fd146fdbabae00398ccbb1', 73676,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('d52785c9322fca08c09dbab7952bdc038ce7ef5f58298a5252ccc2a9bacfc316', 74496,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('aa5dedf23086451deef347c47898e8c5153ee408af19c44b9e780c1d559c7ce3', 74168,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7c5c7b4ab19710c4557e47580d437ed2eb1add2fc90a641088ef31539197d16f', 75172,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('36d4ceb6924f219a43b1ef0abcf228bb570891d5c6360bcfd359afccb20b87fa', 75268,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a69037b3e5411f785d7b05bb682b957613e8105cae22044518c630107b4504b2', 75560,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('3b08c582f603d1d8ae1944b4362aa3f7db533be5b7ba1c0f4971b93188a903d4', 75436,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('3d5b2328322a4ecff567415a1417dff7b0659414c992b7e2b88ca399d456df3c', 75340,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('2f9e1ef084cecc66c6306c5618a464b6f6557c0fab6b20f4061378300d83e090', 74940,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SairaExtraCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sairaExtraCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sairaExtraCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sairaSemiCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('6b2e6d1dd40d36454cc2926dcb4a1a5561eefd558ed4335da50334fe382ae95e', 74456,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('ce22147c0af87efa1aecbc39ff8b87923aee3cf2f49375403f5f34979223e610', 75020,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ef45b03e2a6a021a7b398dc695d9fe949857b4defe4cd062b0d2be306f51ef4e', 74892,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('80d72d164a187ce7476240396003c4b453c0f3b4565db50583a99ec1485cb6dc', 74776,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('77903b1b3697f92cb3c1338d2bbd5de692eb31244fc785e5224c5e32faae51e4', 74988,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('10bc52c72bdddd14cf11a9a428d2dd3348861b4c6106cd154406562cf41b7e66', 75212,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('daba4551f3f2e9c9a6720e74d136524da54d3946352c47f4df6e3acb9a315ca9', 75536,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a742dc6740800e28cf269ffb74084610ab7590779de6185e12259b99ca780d21', 75728,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('127a359a67e8fa386310e298528a130878d4284d08e3c7c34872f38bedbe6be5', 75328,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SairaSemiCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sairaSemiCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sairaSemiCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sairaStencilOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8932ea7e84bb7b374ef9df790d899402addcdd8028ad4d444096d4ae658c1030', 66688,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SairaStencilOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sairaStencilOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sairaStencilOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _salsa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f7150b0f04dbec851c854504d5f97adf34024d4260449086de5fbdc791ab89ac', 56632,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Salsa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _salsaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._salsa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._salsa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._salsa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._salsa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._salsa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._salsa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._salsa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._salsa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sanchez({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d4353709b92c21bf0606f2e6c956fddf56ee0fdea20110524ed03052efcc2bbe', 72504,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('62da09506355ddb13a8f3a0b9829d9420e5a0dc10a04fe9d6bd314501b513c93', 75164,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sanchez', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sanchezTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sanchez(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sanchez(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sanchez(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sanchez(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sanchez(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sanchez(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sanchez(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sanchez(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sancreek({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ed5c3c851564b594f1e46baf486678ec23c42381e0439cdb2c79c04ca159563e', 49604,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sancreek', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sancreekTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sancreek(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sancreek(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sancreek(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sancreek(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sancreek(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sancreek(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sancreek(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sancreek(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sansita({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7e365aa3bbe93b56d5d0182d955c0e71da391d8d6a95479cab79fa24ced4e21e', 47676,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('5aadd2db25ea4fcdeb76680b8b44761b6914ed6b874b5861a9e8c52412b66918', 52676,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b4828652c6bf26cd36ad5741e616104c91b8c4023c6a891b4460029e6642a4cb', 47984,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('50757fb78ba6b455ca114555fcedffe03432f6fd4eb385544018c427a43c0430', 52732,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('45499f61b5c2d545e14c3d78cc4a76d906ae3a15bacbf4b5479233e04c979cad', 48108,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('6639d72f7bea1c80dcce732810166ac07da8ae78f5bb5cc798d11f97ce256a0b', 52764,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('21bb47cdb40ec87c2ddbbfcb8b02a2af52cab2e20147315381b65d54d1ae0e5f', 48696,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('2d3308301f6e427d108e0dab0cd6ed936a27d83cfd3dbfbc8693b260574b7cd3', 53640,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sansita', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sansitaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sansita(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sansita(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sansita(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sansita(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sansita(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sansita(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sansita(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sansita(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sarabun({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('50cf24ee678c36e02b98c19ccc01d8e59c50d00c66e75054e4cca503779d8f37', 81728,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('8ddc6bd48ee92ae9672930531c771ff526c5d8f06d26f1abdd8966cb2d563262', 84640,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('3d79bab342addcc5613aed52e171c972f57a291ab53a7058d0412e3ade2c009a', 81572,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('58630737fd991b60fc7250ed8c5dac4599dd5b338ee6cfe1e9cb05dc7d0ac3db', 84640,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('ea334f3326fdb7fe48915bb07db5004530cce0576194cc0c0865bdcf11cafdfd', 81540,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('1cc37aaa51644e80ff1fb97a07f05f066504d4b3e66358fc7c482ff7f79b4811', 84372,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5eb10ecb7f0b1864511e05724501467da68496508c15fbf0ed3958e162575ddc', 81452,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('4412c26720c9c31795b0d2912215dbdd0dfaf18b42b7953f9fb26b54427094b0', 84388,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('105263cd2ca92f9e66491c20400dfa6cdea9a47658d6074e7d04a6ceb3e2a96f', 81404,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('e4253ff00e203d8cc8e0b7ebf54e2a55a3f2874c5ac9d191861983700c85103c', 84440,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a93849f8fcd0c0df8318aa91b45b14a0b9d84123c8ec5f5d144347b2c03e00e0', 81284,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('c62534f6034acd31705d941b3ef92b86a40a6ce68879fe627c71e66f6d171add', 84332,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('330d03c990cec0cc7f6fc0c08f2fd09d616447a8b492c3decfd907d665be7e19', 80984,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ce3ba67e7cb6d8993594f6a7cac0091efe50173174ed9044ebde2afa86922db9', 84024,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('ad638b132e53ca7e95e1c81621980df4f1bc00248b98b088d5dbb67372dd5173', 80968,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('4bcc3502d7dc5c7b0f96076c30ed78f3854455f65e5146c76a13893aa033341a', 83760,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sarabun', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sarabunTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sarabun(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sarabun(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sarabun(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sarabun(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sarabun(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sarabun(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sarabun(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sarabun(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sarala({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a9d80ed2e5dae04bd639f269f2f43d7fa0b65ef816a0abb64bbcae03db7a59bb', 207268,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2b0699ce4a9bd9eb0f091d571c8992f4ff81d558ef3b60edd81a71a081a6420f', 207396,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sarala', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _saralaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sarala(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sarala(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sarala(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sarala(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sarala(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sarala(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sarala(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sarala(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sarina({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e8cf41d2055d00dcd843e227fa52df85c9770e93179c0cec39909e4fccfc2dbf', 96080,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sarina', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sarinaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sarina(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sarina(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sarina(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sarina(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sarina(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sarina(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sarina(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sarina(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sarpanch({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a694e1d94a3cd59dead878c6ef1da8eb55274eb3b10e6f667a4506f4d2bf6a36', 178940,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c7dedb13d24392e5c3e796641d50cce4643a03762ea0df2936f01cbdf94976bd', 178348,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('6bf8e038e00a3b7997da00d55f7715433a7c61351b1434e3659fb806f0c25a0e', 176504,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5e1a7afd37c3b896e4eeb5de1bd8a3414b6966b45f7a9652b041ae80cb3b1855', 178680,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('a9575bc7bbbe80afa882bd838018d60f95a70408b16be48f2ce3f32eefebc620', 185716,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('353bbda31bbbf4d1b499d676bded12b04e4aabafae78f929c4e5e875ecd09a19', 187296,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sarpanch', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sarpanchTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sarpanch(textStyle: _t(tTheme)?.overline),);

  static TextStyle _satisfy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4d3c18800d0d83b916c8d564ef9d72f9c23fd58cb7650edd14153251d25ffffc', 47512,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Satisfy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _satisfyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._satisfy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._satisfy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._satisfy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._satisfy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._satisfy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._satisfy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._satisfy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._satisfy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sawarabiGothic({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('da6058a80d658ffc7eaa1acdae31b56f86f9f59fcae94417efa5205b8c2a9c3e', 1895880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SawarabiGothic', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sawarabiGothicTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sawarabiGothic(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sawarabiMincho({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f3beec4e12191867fb2f0f6f9b79f2367eab607cb6a1f28f445a8ae4b13f6c15', 1081468,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SawarabiMincho', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sawarabiMinchoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sawarabiMincho(textStyle: _t(tTheme)?.overline),);

  static TextStyle _scada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b50d4e47b78665f29007e923c626d8127c7c9793f60cc8b94e55fe65a9e1b156', 62708,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('19e3630deea1d0d7694e73dfb85c5a97e8fc332031fc27897d4b5b14fb6f62b3', 66088,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9a106a75900b9cafa514e2c814b45cabcd61c5f50ceac1772ce6a12386cfa505', 62808,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('c61947a93ece6ef8f4f35e6f1f51f2d2eae7d27d8c1e103b8a0792818925421e', 66148,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Scada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _scadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._scada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._scada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._scada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._scada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._scada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._scada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._scada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._scada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._scada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._scada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._scada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._scada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._scada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _scheherazade({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('19195e141f9f7a6781f93d0ee49ef46a8784c28c28047b0b821b639546c9d562', 406552,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4a5d40a2e35f3920327fbc1d576a3a1f7aadda38089f736dad6eda793e74a225', 421884,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Scheherazade', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _scheherazadeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.caption),button: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.button),overline: GoogleFonts._scheherazade(textStyle: _t(tTheme)?.overline),);

  static TextStyle _schoolbell({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6746cbf7f7065953ffdd505057d2aafca2c4c38989ab1a2bb37f953e3692c7c9', 48472,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Schoolbell', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _schoolbellTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.caption),button: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.button),overline: GoogleFonts._schoolbell(textStyle: _t(tTheme)?.overline),);

  static TextStyle _scopeOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4731e0b7f73e41e5dbd3b6282d39a0c36cdb8455e36b71e9b60319540c088c3d', 69828,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ScopeOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _scopeOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._scopeOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _seaweedScript({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6a7c62dc8a68c25b3dda440a08e1f3087e28832110098b91b4c412a906ebafa2', 116656,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SeaweedScript', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _seaweedScriptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.caption),button: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.button),overline: GoogleFonts._seaweedScript(textStyle: _t(tTheme)?.overline),);

  static TextStyle _secularOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dd6c129ece769b38daf0095b6545ec239fb57e4a2747ec848b6a49958ff0ffff', 58488,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SecularOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _secularOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._secularOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._secularOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._secularOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._secularOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._secularOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._secularOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._secularOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._secularOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sedgwickAve({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('75c5db2b35fc38825c6bb8e5b7950fcedcfd03dec14b735dc12648a9b601d9f8', 92948,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SedgwickAve', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sedgwickAveTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sedgwickAve(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sedgwickAveDisplay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c1aa82570f810f79198c969d9475cd420e45b9de6957e8dcdedd71ecbaf755c4', 88964,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SedgwickAveDisplay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sedgwickAveDisplayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sedgwickAveDisplay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sen({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('74c43e6590cf290828c5cfbeac6dfeecfe47f48d77d71385189eedc28c93bd7d', 28176,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('384267b011f455064f728397ef7bf6303e94e62dd85613372ca7dcc2add6eb0a', 28104,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('709f63ed575896ba15fe606abd291ee16ebdba1d773b8df284f0c0ec5e6985e5', 28012,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sen', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _senTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sen(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sen(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sen(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sen(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sen(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sen(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sen(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sen(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sen(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sen(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sen(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sen(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sen(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sevillana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1932da733380cee1525fb66845203d6b91ab799d20f9836d43b021d247101c76', 65004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sevillana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sevillanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sevillana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sevillana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sevillana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sevillana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sevillana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sevillana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sevillana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sevillana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _seymourOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e7cbd22ce54883fd2ac35ed6713f3fe1d70045e47934b033a6d51357e4d097f2', 42796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SeymourOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _seymourOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._seymourOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shadowsIntoLight({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d737d913f418f2f8e85744c94be63b75e1af421856c3a203104a211dc7f337fa', 53856,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ShadowsIntoLight', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shadowsIntoLightTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shadowsIntoLight(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shadowsIntoLightTwo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('893c145feef9217e5c35f97bb6d74c1068a802587acc2f5f3c35f2c2ebf8730f', 39372,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ShadowsIntoLightTwo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shadowsIntoLightTwoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shadowsIntoLightTwo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shanti({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a3182c815ff6755fb8f9b08ac951b5735b102c05b851eac2b1f6fd50a623cd82', 65976,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Shanti', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shantiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shanti(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shanti(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shanti(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shanti(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shanti(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shanti(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shanti(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shanti(textStyle: _t(tTheme)?.overline),);

  static TextStyle _share({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c1621fb56fac35ccedec411f3ee0e726ca8c3b6c1e5616fcaec194d0e26c1207', 52788,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e7c900b0cd2cdfb860519a4df3b0242ad6ae849a1fcb892760fbf78e93214626', 54944,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('283b89ac6d01b1444d546b1992f9ce7ab0f1ecda06b9d33769bbbf3ee979a76c', 52808,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('a8f8a01adf843c6551142bd88a1f437fa3b739e7dbaaef798f80a5500afae4d3', 54996,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Share', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shareTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._share(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._share(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._share(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._share(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._share(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._share(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._share(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._share(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._share(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._share(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._share(textStyle: _t(tTheme)?.caption),button: GoogleFonts._share(textStyle: _t(tTheme)?.button),overline: GoogleFonts._share(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shareTech({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e1804d3fb7ab822590fa14a41b103a7d679b4d284079cee4c7c5ebef0c940510', 34888,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ShareTech', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shareTechTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shareTech(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shareTech(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shareTech(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shareTech(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shareTech(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shareTech(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shareTech(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shareTech(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shareTechMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9d8191f3a7dbbc940a83fb98e35db9faed0904879a2d5fd1d1c4443b1c3e9057', 25776,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ShareTechMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shareTechMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shareTechMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shojumaru({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fb8c1c2c57d08ed6f7529a7edaa63995da1703823a076877d46c77f0b984d3f5', 71256,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Shojumaru', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shojumaruTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shojumaru(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shortStack({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('558333b2d2edb0db150ab52358a8d983ea83d194559c81b99d0defac9ef6ea5c', 68128,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ShortStack', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shortStackTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shortStack(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shortStack(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shortStack(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shortStack(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shortStack(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shortStack(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shortStack(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shortStack(textStyle: _t(tTheme)?.overline),);

  static TextStyle _shrikhand({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('aacb9e67a15ab34c2c3cc3a314bd696f3ef409963bd74b25e61727a3b1414ffc', 219252,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Shrikhand', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _shrikhandTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.caption),button: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.button),overline: GoogleFonts._shrikhand(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sigmarOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a26bc79f6d548004cb3a749091e43721c48faa5e364f6729ca4ba11bc29f7672', 110044,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SigmarOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sigmarOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sigmarOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _signika({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('57a28a3623e1ad46bb9a9d87d09811b72a87364aeb2d326a4df99bf0e23c0874', 74672,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('028c027c049948e0a67c1a20b73992c9449bec50376131d3a57d3f98ad790c63', 75492,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('2d6ed6b2f09f8f763304a07135b4a8dca9de0b7e1aea586a5f033133ae2e83cd', 75484,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9ffc0cf7832a52fdacc4833c2d951e529281b9eb803b1eeac14f4e69a0b5d1f7', 74932,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Signika', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _signikaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._signika(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._signika(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._signika(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._signika(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._signika(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._signika(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._signika(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._signika(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._signika(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._signika(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._signika(textStyle: _t(tTheme)?.caption),button: GoogleFonts._signika(textStyle: _t(tTheme)?.button),overline: GoogleFonts._signika(textStyle: _t(tTheme)?.overline),);

  static TextStyle _signikaNegative({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8a98587d6b5889382e0756db0404bae7fab53cd05d1ed3acfe5d2e92ce054710', 54576,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4dafecef4dffed68c6467a6368c16342c151a400ebf2e1d10c208843e0f7f4f2', 53324,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('00703f7e2d564d97ed7ae01055939e32779956267e52d2c91697d4c58571d0a3', 52908,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('49c7f19df1afc9e1068c8860087405401cf9a4d406cfc46b15013bbb95ecb2e4', 53108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SignikaNegative', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _signikaNegativeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.caption),button: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.button),overline: GoogleFonts._signikaNegative(textStyle: _t(tTheme)?.overline),);

  static TextStyle _simonetta({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d055b6397968d2e7b9a9c70b4e5d12a390ae937fbb2c140c5a2ca2bcb019501f', 46244,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('dbbbd6a2dedbac1c09bf69696a69adec943f3ac81e9a4b6cedf0fab0beee274e', 42592,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('2f9dab867c54e03c7203dae54a40e8233843e6ed0c74e9f1c939a0c3ff6e48ef', 56952,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('b59c51c3445243e941c14dbc3663f87d2ffaa11e037d4eca6d8cc9103048d478', 61084,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Simonetta', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _simonettaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._simonetta(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._simonetta(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._simonetta(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._simonetta(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._simonetta(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._simonetta(textStyle: _t(tTheme)?.caption),button: GoogleFonts._simonetta(textStyle: _t(tTheme)?.button),overline: GoogleFonts._simonetta(textStyle: _t(tTheme)?.overline),);

  static TextStyle _singleDay({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b02bca0a89e3562bbfc779b333184a73ca6652a644aec2ca6113185f3fd7c413', 638184,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SingleDay', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _singleDayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._singleDay(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._singleDay(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._singleDay(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._singleDay(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._singleDay(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._singleDay(textStyle: _t(tTheme)?.caption),button: GoogleFonts._singleDay(textStyle: _t(tTheme)?.button),overline: GoogleFonts._singleDay(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sintony({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('69767c8fec4cb9cf66b8022ffc9f15e99f1b4f6a15c1412ba8974fd55969ffa1', 25664,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9c0d2538023d9d221278dc34698930aa90cd23ba0e8b8516986c6c7d88e03a3b', 25968,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sintony', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sintonyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sintony(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sintony(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sintony(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sintony(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sintony(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sintony(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sintony(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sintony(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sirinStencil({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('49b8495ba38ff41cb2fe6ffa19be0105173e6318d239a91687520ba2ed2b5cbc', 45740,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SirinStencil', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sirinStencilTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sirinStencil(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sixCaps({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ecba544210f8553e76664f6e55b95afb42c005696628af22f50b59b88678debd', 28656,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SixCaps', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sixCapsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sixCaps(textStyle: _t(tTheme)?.overline),);

  static TextStyle _skranji({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9ee2c9312ee6ae5db2fdf49b0a797da03bd5ae1df447d051b081612b3db1d2fd', 207480,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7dd8ded95fc8d9be6c80296a989eb3057929d548770081d17653c90dc11d8248', 206848,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Skranji', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _skranjiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._skranji(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._skranji(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._skranji(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._skranji(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._skranji(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._skranji(textStyle: _t(tTheme)?.caption),button: GoogleFonts._skranji(textStyle: _t(tTheme)?.button),overline: GoogleFonts._skranji(textStyle: _t(tTheme)?.overline),);

  static TextStyle _slabo13px({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('55c7ef45e832252817233d906300e1087c565a52b4cedecffcf03d7edb86f694', 32100,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Slabo13px', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _slabo13pxTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.caption),button: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.button),overline: GoogleFonts._slabo13px(textStyle: _t(tTheme)?.overline),);

  static TextStyle _slabo27px({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e451771d704b04c776176b6033f4c66aaab3edf2422d0811687a7f9b53c03486', 33960,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Slabo27px', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _slabo27pxTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.caption),button: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.button),overline: GoogleFonts._slabo27px(textStyle: _t(tTheme)?.overline),);

  static TextStyle _slackey({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bceb941e47abbef80f27aebbdcb657e241b5ea1f17923b61537b6f64ff87af62', 37516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Slackey', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _slackeyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._slackey(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._slackey(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._slackey(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._slackey(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._slackey(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._slackey(textStyle: _t(tTheme)?.caption),button: GoogleFonts._slackey(textStyle: _t(tTheme)?.button),overline: GoogleFonts._slackey(textStyle: _t(tTheme)?.overline),);

  static TextStyle _smokum({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2c700a4722b34ec677fb0c4c7ae242886cead014ec06aef3e02dc311def9ccbb', 63924,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Smokum', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _smokumTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._smokum(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._smokum(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._smokum(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._smokum(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._smokum(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._smokum(textStyle: _t(tTheme)?.caption),button: GoogleFonts._smokum(textStyle: _t(tTheme)?.button),overline: GoogleFonts._smokum(textStyle: _t(tTheme)?.overline),);

  static TextStyle _smythe({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1f1e3d2a79f5bdab563797693fd14a8c6e868b0778cf746e4a4d22aedc216dbc', 64160,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Smythe', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _smytheTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._smythe(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._smythe(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._smythe(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._smythe(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._smythe(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._smythe(textStyle: _t(tTheme)?.caption),button: GoogleFonts._smythe(textStyle: _t(tTheme)?.button),overline: GoogleFonts._smythe(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sniglet({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('106613b6566b3b9a696c095879b31e220c39d60c508dae033b5f3680aaa48732', 51356,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('439b0ab4a7a1d2a1328cc8eb52d10167325643f9c15a187d3d7650cdd15cf896', 54768,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sniglet', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _snigletTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sniglet(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sniglet(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sniglet(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sniglet(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sniglet(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sniglet(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sniglet(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sniglet(textStyle: _t(tTheme)?.overline),);

  static TextStyle _snippet({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8cc4ae1951b9917cd740fe17346eee27c893d200ad251063c1aa3c48b6e02682', 39260,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Snippet', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _snippetTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._snippet(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._snippet(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._snippet(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._snippet(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._snippet(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._snippet(textStyle: _t(tTheme)?.caption),button: GoogleFonts._snippet(textStyle: _t(tTheme)?.button),overline: GoogleFonts._snippet(textStyle: _t(tTheme)?.overline),);

  static TextStyle _snowburstOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f0b3d75c3024cdb3e14b5006a726dacaa747fd5b1436d7123f63ed83d1d60e28', 54060,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SnowburstOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _snowburstOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._snowburstOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sofadiOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bd2ee7258a722de3e36e84a9aadf3edfe4b91221f382e3e5bbe75b786119526f', 34584,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SofadiOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sofadiOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sofadiOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sofia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ca5d81d1b4b38fae521b80e8ab25a7632893d98285e79fa51e53975b807afcb1', 29748,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sofia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sofiaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sofia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sofia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sofia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sofia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sofia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sofia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sofia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sofia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _solway({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('30f12e709261a80d1a2f35d02c568e8080aa52e556cea38ec163ee09a6482606', 34188,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bc55ce65a041c9b5001bb030477677f6a44eeb3946a418259202a162382044d2', 36536,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c03b2ecebe399988e043ffcd0707d72b1327076b7c0f255c24c88e453a8163eb', 36536,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d3b46e3ef557420e377ce5924289b7f1987a6a99f5625aa5e6ef6f74002198fd', 37076,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('6be411cbc685fc6716528e253c309c7af939f60f2bf83919a384384ee527a079', 37408,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Solway', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _solwayTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._solway(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._solway(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._solway(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._solway(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._solway(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._solway(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._solway(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._solway(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._solway(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._solway(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._solway(textStyle: _t(tTheme)?.caption),button: GoogleFonts._solway(textStyle: _t(tTheme)?.button),overline: GoogleFonts._solway(textStyle: _t(tTheme)?.overline),);

  static TextStyle _songMyung({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('45407348eb54e83212eddfa7ad22cd18d0f75783316406f08beb532a835bc3f4', 1202620,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SongMyung', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _songMyungTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._songMyung(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._songMyung(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._songMyung(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._songMyung(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._songMyung(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._songMyung(textStyle: _t(tTheme)?.caption),button: GoogleFonts._songMyung(textStyle: _t(tTheme)?.button),overline: GoogleFonts._songMyung(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sonsieOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1a621714ea4d59e0ead90246169593f8487db34752634db76b12ab329e9cf4e1', 75992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SonsieOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sonsieOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sonsieOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sortsMillGoudy({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('70d3ad626ef92c3b9eeaff7e3694af6d64f477a31ab242d11f98704e9903a065', 121324,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d8d1d17c5bffaec08a5c129dfdbd62c0a538de036da120d20edef29019f0b5bf', 105636,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SortsMillGoudy', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sortsMillGoudyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sortsMillGoudy(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sourceCodePro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('5a618360951a8134d26923216c53da2cee51d55e6e2ca0003ecfe111b701bae5', 87468,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('e0184502d4eb4b41dcd3d65fecad4fcf8b6b46f13967b60ac98eedcc43aacb30', 87064,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2d1bcd5038af1287746b7b1d1a4db65f091b3e9811428076d43a73121893922d', 86408,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('18daf5f11e4f1462c2a5b5f8e439dfce5a846e27eff21a622f9031f58d257aa2', 85948,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('807061463bc4cdacd2299a10cc0b7862e4a925cb984fec0016307fea9df6aa78', 85956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('51b4ad25947aa6ab4e72faea203ad4b74e4de08b9bbc4d254cdd9dc26dfc2d19', 86076,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('677bde76eea8889e4ec713ec738f7fadd150aee2ffca36efb65946a45e6b93cc', 86280,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SourceCodePro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sourceCodeProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sourceCodePro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sourceSansPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('069aaad5d271d9417c8b97f8312f686cf5a9a41a8e3644b572c60c8e176ed7e0', 233472,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('1538944579d3bc333bfe34ed45c1db572897fcf695af75f4e45ef5ac42c3aa12', 84024,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('bb276921895494650544883e21f7d2bc91ec918522ac3d355582b0cd472592cc', 234308,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('c068f601e24f3e8ced3014cb3dc4a32022c06af8e27ca870d6c76432d280e75a', 83820,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6ed615e8d0355256e2d6d907b3addb929879c90c8383dd566b2208c79ffd16f7', 234740,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('e35d7fde727174172e9689f4584ff9e4559a37ca0b39b096fa72f0f657b31bc9', 83244,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('5629ccf5ed16fa41c51a964b882a8e1e1e395a714906a90567278bd0c439ecc1', 233912,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e8bcda13818deef42d6e19f3009f6e18a595746c5dcc1d35c56280c5dea32b21', 83064,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6b9e7872867a9a0fca2083e62b2c39727a93c81b736fb1e21cc1c29ba89008ff', 233516,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('f417993b734490d591dd2a3f10022f8ff1a376876eeca00098baf25759b2522b', 82856,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('1d969d176ba4ea2075fe69e5b9799e9dbc146889092823d49453241c80e93a2a', 231580,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('954080abe4fffebb675bea9c34eb0d873cf25f8674e9d55cde4c9c962f44a421', 83000,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SourceSansPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sourceSansProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sourceSansPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sourceSerifPro({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f87f7b82ba7f18f5fc9e92b9a88f9da0c847cee069182948fc67c6440c888949', 87572,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('21ba3c9624cb12920db48bb25f0e1db9398acab0031d2ae8f13b8628f4d02740', 88436,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('eb04de6aca072d01a88545fa409c6264d93f9b38f86a0ecd3a00708917085bd8', 87152,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SourceSerifPro', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sourceSerifProTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sourceSerifPro(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spaceMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1308fd8bd0f79e0517319bf0429226dfce5ae67beb495577737524f29b537527', 62960,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('461bb1d5b84d057c522eedf582e3704890be96aed239020438b09168f8ef296b', 69728,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('9d1e9fe7ab3138b3f1465d1b1afc457934abae86c1803611dbbcfd28f5f97e2b', 61696,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ec50d2d9cc5bbed72fae03e2bc8a720e2cca1324f8bc99b30089d51896917f0e', 66880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SpaceMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spaceMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spaceMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spartan({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('4869cf7b66d0abcfafa64d169a39a8d60f681ae939db8334f68920cadb32601d', 34308,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('46bd04dc18fcff69cd6119022da0ed080ab1f747a043ae642cd1f09687377059', 34392,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('8b99bb8f62db78d7bce20b083bd51aa4f624f859741f6d6cb1377c1b4e8849d3', 34356,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('de5f4b08f5a84e557927cdef6b4a25c339dd1d76a2011f735151de162d44a19f', 34276,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('d105bc50e2051f3f0a3e4ffd1bc4e0dc3d766607e557c3b6f1f26795a57176b5', 34252,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('039cfc4f464367e72a155853e5a73a28674cb54d69def7e8a9e0079070d7f515', 34276,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('322f9c7edf2eb6257b5f37642d91307f821dff6cc6d4ee33d4629189b43b164f', 34332,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('60bd60c81e7531c33b4e0734ea135bd549841147edb59355003ac9b01c5dcfdb', 34472,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('4fa2cc56e1f8204b4487730ab9ea24620b0649fe9ccd37048feebd3230c02cad', 34500,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Spartan', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spartanTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spartan(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spartan(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spartan(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spartan(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spartan(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spartan(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spartan(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spartan(textStyle: _t(tTheme)?.overline),);

  static TextStyle _specialElite({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('1a1b32a7d4f38d2ebfa68de6ead2295ba312231237e0088e5d4fc3e1c66a516d', 165808,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SpecialElite', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _specialEliteTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._specialElite(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._specialElite(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._specialElite(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._specialElite(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._specialElite(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._specialElite(textStyle: _t(tTheme)?.caption),button: GoogleFonts._specialElite(textStyle: _t(tTheme)?.button),overline: GoogleFonts._specialElite(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spectral({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('38faebd2b01ddd2e497f09028eb10210de56ffadde5c5842c2f70a195865e869', 199076,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('3ee03dc791594673ce8b752c95ef9d29d66d2afb3777a862edd4e9886ceff42a', 220088,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('877b7e52c3c9951be21132edc23e99f7b227c3cf6a6189a349ea4195a5ca645d', 227408,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('3fceb0d465d8e2d6c3b28408281c75b8a55b5228875d262f65cafbf9f89aa1b5', 240880,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cf0966737e7520da7784b9dfadc8744a34d7d90ab9d90ee290f28a8b29b868ea', 221072,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9ba9b61cb4417f86b861d19cadc70e612a8e32596f88e9eaf7f65a33ac37e363', 230908,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('91b2985ae69deaca521a82b390a544247f735dfd48b0338fa92a1ab42a0a6414', 233368,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('47041fa850a2c3190804212d1ffe2e590aef6306201b9cff1c6bc798da3ea255', 241960,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('04a313e8c2f5ac831e7298c25c6075b9660a810569519797c226baede971cda1', 233468,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('85a9ddd0720f69c9da803991658683f387f75a2d200989f17e4c84f03353a73f', 241720,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('49302f1176eef815c75aec07833e13b9758532914b49c1993e9b619638ebcfd8', 233260,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('8f82f95515722a631616d0b69effe11da9717cf7eea641359596c20dbe87a7ca', 242076,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('8a965c3cce6911f473a1523ad68029f95071a6aaabe726bf72ff4f9ed5455f0e', 221968,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('528018df6d31607eec08ae87cd710edd29678dd7b9a2946b21fe5c2f725d95e5', 230424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Spectral', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spectralTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spectral(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spectral(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spectral(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spectral(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spectral(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spectral(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spectral(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spectral(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spectralSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('63d4dd9a1b6ca94347d9be458d3d3f27437804fcdcf96de19115ce63eab80e09', 199108,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('1940514dc53b85d4d87e4f9ea64470eb98c107c053377538d63a88cd7f3c90e5', 220128,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('891b1d15d1fd0adffff4ab8a71237e846a7facbe29b6fa94e95a2e2125a162b0', 227440,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('4a35ca51d42122c0e214b00754e3aabd760891dd4fe8f23e3211970b66fccde5', 240920,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('992f8c6dff2fd1f14725272931fc3336a540546fa7846b3e278bd85836fb7545', 221108,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('0517c9389a7f90b8ee1d792ac8572855f7ec302e33658d957763f50fa551141f', 230944,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('ffddde35929f7228c85cec1b5c3e93f839d845a8f751a7aef1b27a53f7ed7d87', 233400,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('da37956c506e2a8bb47a1cefda935cc60a00a1735c34ec2727db59fd9f5c8f72', 242000,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('f7bfc53ad029c821a35bea359076f8a826719e43c0491aee00359e7acdf6d2fc', 233500,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('1fb487f3103ff60bc6f5f01b422f906549ece9883a49e5b87c3be0dd78428e36', 241760,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('cb2b064297cc41a5df572410b58a26772056bf765768fc1a1510374bf5dea8e9', 233296,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('380b7badc0bd105618648f3c7b9681a5e2c6a3b65569037a3c589e4a028aa6b3', 242108,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('cb4ff7e22c08a17af3b239331337982b0c9f8cad6207546a955a1ea2dadddf16', 222000,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('379b67f997439e4df148b4cd426dd5ebe6ec642bcf4d4a74f192d664f97306f4', 230464,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SpectralSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spectralScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spectralSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spicyRice({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e097f53ad6ba5f9e022be6b68002e3d8ccd021b1b340e077113c6d537de3ab75', 66828,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SpicyRice', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spicyRiceTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spicyRice(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spinnaker({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('086026fa129fbdfec07fc9736f5f1a5577d7c1a6f4cf1daa40f5a524db14db1d', 22408,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Spinnaker', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spinnakerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spinnaker(textStyle: _t(tTheme)?.overline),);

  static TextStyle _spirax({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('165b0a7ca4871b5440455c3c991428f478c37eee5f78637905aceaa58275feda', 49016,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Spirax', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _spiraxTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._spirax(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._spirax(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._spirax(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._spirax(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._spirax(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._spirax(textStyle: _t(tTheme)?.caption),button: GoogleFonts._spirax(textStyle: _t(tTheme)?.button),overline: GoogleFonts._spirax(textStyle: _t(tTheme)?.overline),);

  static TextStyle _squadaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d162c6edeab12c48ff421bd0de5d144ae2c1f762b16d00e4efb07d42b4847cbe', 19024,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SquadaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _squadaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._squadaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sreeKrushnadevaraya({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('380fee09dc7039f216c5208086c2919b9b332d06de401d60f4b57d8cba7e080e', 410260,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SreeKrushnadevaraya', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sreeKrushnadevarayaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sreeKrushnadevaraya(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sriracha({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9b5c54ea181b3d73d0d289e4182c26d2a6cca9e06c00edd861a65a36f6b559e7', 207108,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sriracha', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _srirachaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sriracha(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sriracha(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sriracha(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sriracha(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sriracha(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sriracha(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sriracha(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sriracha(textStyle: _t(tTheme)?.overline),);

  static TextStyle _srisakdi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5b078682ce7a5aa20cc137b975bd70e97752800f9ba9fc1761c050ef3bffc84a', 96252,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a3084b442fdea4ccce8907fe71e60006e0bcd2b686cd8c5d2c572d0483a1e27a', 96120,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Srisakdi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _srisakdiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._srisakdi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _staatliches({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('2ae636039aa5e081cbad2b79ad512682296ab9af1a36078372db12f68f540ab8', 42160,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Staatliches', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _staatlichesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._staatliches(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._staatliches(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._staatliches(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._staatliches(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._staatliches(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._staatliches(textStyle: _t(tTheme)?.caption),button: GoogleFonts._staatliches(textStyle: _t(tTheme)?.button),overline: GoogleFonts._staatliches(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stalemate({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c98986a49a80ea3130e9eb7c16b9470c6295a26b0207da72e59c4c01ab9c369b', 74940,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Stalemate', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stalemateTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stalemate(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stalemate(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stalemate(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stalemate(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stalemate(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stalemate(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stalemate(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stalemate(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stalinistOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('87936ca01db4621bdb144a35bb1e89bc7e9b769a899d90ea618736467886c01d', 30808,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'StalinistOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stalinistOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stalinistOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stardosStencil({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b677e9855e2ae2d05e70f39ac58d82bfe1f9ea6ecb62fcf63cc3c0f10c456ba9', 44164,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b5b4ccf1291484af094cadfcd7fa357b84b8c25db613f74330c32b39a270fda1', 34796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'StardosStencil', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stardosStencilTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stardosStencil(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stintUltraCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('feefd36d93b983bb86af74847749eae8e80b528fd8e91dd95e3ec89419bacb1b', 39832,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'StintUltraCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stintUltraCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stintUltraCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stintUltraExpanded({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e2e52b99f99f593fd768d038a499b7217a4852adceb02fa177857827ecd46921', 42348,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'StintUltraExpanded', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stintUltraExpandedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stintUltraExpanded(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stoke({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d452122746813947edb624edec6a876538c722d14e0fe96ba0524f09e515f3b6', 50796,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fcfdfb02835f6966c5279db21b784abc2cfe9e1ec03d8c4452852483fb8f17c1', 52516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Stoke', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stokeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stoke(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stoke(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stoke(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stoke(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stoke(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stoke(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stoke(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stoke(textStyle: _t(tTheme)?.overline),);

  static TextStyle _strait({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('878aae72e6ee31acbf6951998be893d7fb71a57b07974d83623e60b6ccc8d671', 33040,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Strait', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _straitTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._strait(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._strait(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._strait(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._strait(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._strait(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._strait(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._strait(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._strait(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._strait(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._strait(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._strait(textStyle: _t(tTheme)?.caption),button: GoogleFonts._strait(textStyle: _t(tTheme)?.button),overline: GoogleFonts._strait(textStyle: _t(tTheme)?.overline),);

  static TextStyle _stylish({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('489ff10987ec4798768e532c108dbfb20bf68e1e122df1f77b9f35568d34a103', 6162676,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Stylish', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _stylishTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._stylish(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._stylish(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._stylish(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._stylish(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._stylish(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._stylish(textStyle: _t(tTheme)?.caption),button: GoogleFonts._stylish(textStyle: _t(tTheme)?.button),overline: GoogleFonts._stylish(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sueEllenFrancisco({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d72aa0c7340b64bd3fc70457dd03d38b35b8cb3fd30f3f1af4a5f9b4bfd870aa', 55840,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SueEllenFrancisco', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sueEllenFranciscoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sueEllenFrancisco(textStyle: _t(tTheme)?.overline),);

  static TextStyle _suezOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('7e2e07a8ef35ea21aa3b0630f261b07ce1e992cf94e2161128376c440c9ed2df', 69424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SuezOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _suezOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._suezOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._suezOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._suezOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._suezOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._suezOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._suezOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._suezOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._suezOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sulphurPoint({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('a21388d3a52630430a38cfb9e7aefbfa4653889b768e5fdc07c3eaa76c4bc5f0', 36516,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fd7664cb5a15da70be5d1769533c9cfa5abe937f64ce7bc3cf0fd9e155151280', 34400,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('27c023fb553e5fa85d985bf1965ac74cdc7ca09e715c656f8dfe82a44c53f18d', 36180,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SulphurPoint', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sulphurPointTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sulphurPoint(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sumana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9fc4eb110fb834ab65fd4f7af149d8ca3402dde810677f1f6dc84f2b08194c7c', 144712,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('b035af08a910c59c4baf4941cca6a95cdea0a5c22c5d2615f77267f808f82c28', 143064,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sumana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sumanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sumana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sumana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sumana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sumana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sumana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sumana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sumana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sumana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sunflower({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('e60ce84d8ac799e771211c4fa34de99812b730e86342f32f94fbccfa79461bd0', 352904,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('cf53d978b098c900279393bfdf56611a8003d688b2b16b7bd767182e1b0c58e8', 341128,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f3b680ac8a8f4a8a9ede88bf72084ae45ddd8dd7a8a87e826b9ce8946a7b0536', 347780,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sunflower', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sunflowerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sunflower(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sunflower(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sunflower(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sunflower(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sunflower(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sunflower(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sunflower(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sunflower(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sunshiney({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7ec73237e0e7d1a4339d0381c584067becd402e92eb382bcff00860e277d2ca', 159812,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sunshiney', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _sunshineyTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sunshiney(textStyle: _t(tTheme)?.overline),);

  static TextStyle _supermercadoOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ea1b33f9fdd9d3df950419909fa184a44918ab451c8e9e3fc175b440d0938a9f', 79764,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SupermercadoOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _supermercadoOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._supermercadoOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _sura({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('701cc1c8fa22221123e6045f90d0db8d42edadf3b831862ce801b57bb14ac1b1', 121816,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('a88482ddb9067b01125775fc0f780c4b615bc72ad86cbec920ee03b2756d8d90', 122316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Sura', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _suraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._sura(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._sura(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._sura(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._sura(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._sura(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._sura(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._sura(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._sura(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._sura(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._sura(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._sura(textStyle: _t(tTheme)?.caption),button: GoogleFonts._sura(textStyle: _t(tTheme)?.button),overline: GoogleFonts._sura(textStyle: _t(tTheme)?.overline),);

  static TextStyle _suranna({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5737d88c714925c169afd72de230a6a9feb3a2d7a026b33b5ccfa42e60cef970', 387684,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Suranna', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _surannaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._suranna(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._suranna(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._suranna(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._suranna(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._suranna(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._suranna(textStyle: _t(tTheme)?.caption),button: GoogleFonts._suranna(textStyle: _t(tTheme)?.button),overline: GoogleFonts._suranna(textStyle: _t(tTheme)?.overline),);

  static TextStyle _suravaram({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f9de796b7b600961688891106b7bc5efe1090a6ab181d91cc08b19a88e999360', 189524,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Suravaram', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _suravaramTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._suravaram(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._suravaram(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._suravaram(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._suravaram(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._suravaram(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._suravaram(textStyle: _t(tTheme)?.caption),button: GoogleFonts._suravaram(textStyle: _t(tTheme)?.button),overline: GoogleFonts._suravaram(textStyle: _t(tTheme)?.overline),);

  static TextStyle _swankyAndMooMoo({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5d97fafd655154f9469db4b981793373b837c26023dd266164ebd62c6320aa39', 58868,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'SwankyandMooMoo', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _swankyAndMooMooTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.caption),button: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.button),overline: GoogleFonts._swankyAndMooMoo(textStyle: _t(tTheme)?.overline),);

  static TextStyle _syncopate({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8f40fe696b566662712524f9cf3f5c4aff3afa640f0bd4ec0e527c22369561a9', 67800,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0c6b8fb391ff34b292bb2091302fb45fcc3b16eefc6bf4e67b9f1fe38f4ab3fe', 36484,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Syncopate', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _syncopateTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._syncopate(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._syncopate(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._syncopate(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._syncopate(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._syncopate(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._syncopate(textStyle: _t(tTheme)?.caption),button: GoogleFonts._syncopate(textStyle: _t(tTheme)?.button),overline: GoogleFonts._syncopate(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tajawal({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('1591b1d4b425865ad56f27769d7904f608af3a947ce4a365c5e6f1a66ed36c5c', 51368,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('96516512d599f345601934621e5ddc2b61c7967d59e4ee3bea24cb11c9f720d8', 56216,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6008a589c04e1cca5b78ecd73eb5f54a525670df2d3627fcddac202dac0b8db5', 55044,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('efce394f1ebd252328bf21261a39ead5a083741b090a73e22bec34acbd910611', 56256,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('647958c651db7515a77fab543f70f06386720821399060f8b1791b1dc23a845b', 55492,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('354e92ab2c7c9b84b1e80ee6431ea8e8bc0fe58113d4afa3fbf186b193168ca5', 55216,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('9953e51150483dc38b632c494f68d39e59b6c474716bc0ac3e9d997c4ec0df52', 54644,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tajawal', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tajawalTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tajawal(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tajawal(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tajawal(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tajawal(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tajawal(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tajawal(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tajawal(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tajawal(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tangerine({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d57c4cf7ce5cace0ff51506a942305cb2a8342c0d13badf47b74d8b7ccd6a976', 39584,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('99be610fa0d0acc2de30af936f07ac82bda5378a98b867c55dc1d8ae1a763c72', 39460,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tangerine', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tangerineTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tangerine(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tangerine(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tangerine(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tangerine(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tangerine(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tangerine(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tangerine(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tangerine(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tauri({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('364639e2343951f5f67f35cd32dddd5050f5a7d4b5170fd1f4b9bcdcfd3b70a5', 25452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tauri', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tauriTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tauri(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tauri(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tauri(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tauri(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tauri(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tauri(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tauri(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tauri(textStyle: _t(tTheme)?.overline),);

  static TextStyle _taviraj({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('52fbea14874ede87677741ccb667e42f7f7032e15c8b1a97be9fb092777027f3', 137276,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('d637ee5b1965213b2d0a0e00861b1be03c91e65b536d89344ca8311230055a55', 151012,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('0f7c36cf8282e0201e715b76951dfdbbb3cbfd0205738f51c9ecf4317214ac1d', 137232,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('595da34fe677c807a56dbef57b36441f4cd9de4747ca13a95bc88dd802565032', 151740,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b164693b28772a83e0ba3ea3b0795121a18396d1d22e4896f1f49fc90acc48b0', 136700,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('4835b3444e501b13a94cc6e04b4b19278bf42fae51e45998c0b41de8111b0727', 138660,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cc53748aefd7d7a100dafa7ee826dbe17e7e14c04500e79b83a7960d0e379305', 137464,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('9dd995b1166e87570dc10d6a2afb2e5bdc5a0a8897063971ff30f8be824cbdb0', 151440,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('8088b428c6a34c587047b747ef8b7e12084beb84bd154855e5c2d5038047e712', 136676,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('f38fc8738bdc33986e0ef3c36e4c1af93939c40aee8d6db38f93edcefac57482', 152500,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('60262effd08d123f96e4ab6a7b67e4bdf366592724ab6211ea76e298b32de956', 123836,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('c32503bb0fe3a7c346743b68f48dba5c7de00074f0b33e16f2e1e34686a75575', 138496,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('df6e4ecf9639e7dc02de4f99c5c63ebf641345e361470a40c48179c0dc47de55', 135496,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('e3ea04696627c46a58fa5ef27becd6ba6de21760fbeda60718e5ea072290165b', 150784,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('aff20cbaad70c21cda602d83dcf1df3e91122111271040a17451c90f91c0bc44', 135488,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('ce78de38f72b4be9e1af07713b59f4497cc2677898bd647e19679c6b10bd16d7', 149960,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('75383093cb1afbe41275d2188c2d57c958f8fb94eff2dc57382eb5c77ca82138', 134912,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('181f5aa6c3cfc77afd3dbcbc58dd4a621984f78739969774a7f939caee61b936', 145500,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Taviraj', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tavirajTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._taviraj(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._taviraj(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._taviraj(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._taviraj(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._taviraj(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._taviraj(textStyle: _t(tTheme)?.caption),button: GoogleFonts._taviraj(textStyle: _t(tTheme)?.button),overline: GoogleFonts._taviraj(textStyle: _t(tTheme)?.overline),);

  static TextStyle _teko({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b31400af25afcb1ea24b0a3b59e18957132c4df53084ec09f2978ddfd1e67fc5', 183236,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d796b7d93c33a941a6521bb31d3ce37f381b87f97447077405c1cf841c4cb586', 188060,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('88b2962aecc7ff0d4a09258f8eff7210ff6c72abd16a8229f30da45d3c428b44', 189536,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('93c13926efeae26ea7017e3777dd33149524c7eb3907c791e4b8c8edc57848f6', 188860,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('8c33b42189d0afc837f06ec5fd8b20cc431d75823356156ab00af8dcb949fa69', 178052,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Teko', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tekoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._teko(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._teko(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._teko(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._teko(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._teko(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._teko(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._teko(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._teko(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._teko(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._teko(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._teko(textStyle: _t(tTheme)?.caption),button: GoogleFonts._teko(textStyle: _t(tTheme)?.button),overline: GoogleFonts._teko(textStyle: _t(tTheme)?.overline),);

  static TextStyle _telex({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('75d35766aa0cce57bcd40915972194111fc782787321d3eed8813c7c8d1e9e39', 25416,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Telex', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _telexTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._telex(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._telex(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._telex(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._telex(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._telex(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._telex(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._telex(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._telex(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._telex(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._telex(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._telex(textStyle: _t(tTheme)?.caption),button: GoogleFonts._telex(textStyle: _t(tTheme)?.button),overline: GoogleFonts._telex(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tenaliRamakrishna({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b6f6e7bc4fab4b63722a7970012462fc4dd196307fcab934cabb392e9b45b437', 484616,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TenaliRamakrishna', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tenaliRamakrishnaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tenaliRamakrishna(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tenorSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8282a828e14c73c12ba9034180b4a4840baca4c02a86359f63143806dcc81f23', 76800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TenorSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tenorSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tenorSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _textMeOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('804cbe1e9c5d9e08155e548789f8b5f53ff150c0785dbeae1c9361e8749b4e52', 37304,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TextMeOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _textMeOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._textMeOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _thasadith({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b9b28f00da26a27f2be523c47e0404d6bad035dead548d2418197cd755cc3ac5', 86212,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('6c61662859aba973376a911040a9d141a67b1fa741ad54150e2bca1ec179e824', 89192,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('45b2059a66559645a04c064051f3e3d8f18c0e883aab89bae7fff6d05ad0043b', 86580,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('758c9bca5f80c1e919aa4821259cd1a773692ab770622c36f688ea4c8524b0ae', 89588,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Thasadith', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _thasadithTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._thasadith(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._thasadith(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._thasadith(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._thasadith(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._thasadith(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._thasadith(textStyle: _t(tTheme)?.caption),button: GoogleFonts._thasadith(textStyle: _t(tTheme)?.button),overline: GoogleFonts._thasadith(textStyle: _t(tTheme)?.overline),);

  static TextStyle _theGirlNextDoor({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('51c93d3ab1885507b024f2ed61854dbb865696dcb5dbdfd1b135cefd74150fef', 45248,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TheGirlNextDoor', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _theGirlNextDoorTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.caption),button: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.button),overline: GoogleFonts._theGirlNextDoor(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tienne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e11280c2a4284740a646bbace5bf0a018fa38ead3ba5b33b7d6a55a646342b17', 40772,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('62ae315531bcb85150dfefb27cbccbb30f331e0c091470a03aca49e6b1842e5f', 38824,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('7882a99c925a597867e27f064c12db77d2185f452bd9b0bc83862549c886331c', 36220,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tienne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tienneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tienne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tienne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tienne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tienne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tienne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tienne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tienne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tienne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tillana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f767b3a50e7fbd85244228fd72776e996704c5b833256c5fa56b782821e015af', 217680,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('5aecdf23e36ca11770901c226daf192765931a12afd290bbf684884f9bbf1c7c', 222092,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a5f11d010b5bd339931701e1853b2788fccf7cb07bbf503ff03f027a3086f3f3', 222844,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('aed658fc70549eb112a013dc7ce6145b1f2719ee7d6179a5c4fd7be399a68511', 222308,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('df261f8eeab47304d5e83ee3d77bba8193f51bd098bab3370180417296143318', 222568,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tillana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tillanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tillana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tillana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tillana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tillana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tillana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tillana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tillana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tillana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _timmana({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6cf943319390cff3797ae7f9cf411dc8a14a739df02bdb952ae54284aaf15b01', 469544,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Timmana', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _timmanaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._timmana(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._timmana(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._timmana(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._timmana(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._timmana(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._timmana(textStyle: _t(tTheme)?.caption),button: GoogleFonts._timmana(textStyle: _t(tTheme)?.button),overline: GoogleFonts._timmana(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tinos({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e3fb073d6d034814d7825107e1eae4eee8c1f169d87607f2df536bb4e4093ddf', 262544,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('27dde2d7c4a3b5edc81ddca48874ffcb63a893df81e508e07a3565f70323fdaf', 263828,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('dc658c10271c22ff1ad12fc220c05dadf678b1fa42443b874fd100f68afa117c', 256496,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('839f50ca06adbf9bc25feef137791fcd9983139a76881789a290e71d685feab5', 261992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tinos', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tinosTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tinos(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tinos(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tinos(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tinos(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tinos(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tinos(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tinos(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tinos(textStyle: _t(tTheme)?.overline),);

  static TextStyle _titanOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('065d13ba1ab0e715e15feed24b86ff9a58a8df624d74923e1a1c710b36e08e99', 55664,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TitanOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _titanOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._titanOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._titanOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._titanOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._titanOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._titanOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._titanOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._titanOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._titanOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _titilliumWeb({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('19772d85bad94abc7a76fc4a64849db9638e9c00e7e0dadd3872a583b74adbe3', 62712,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('a39917b8e97b8433f10dae6821885f087662f1062a48a366f2f2f287c74ecb6c', 67404,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7da8c41b9e519ca322471fc0bdcc15a795423fb09cbf094a6787142218ec1c9e', 63520,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f0ff528b94c980870d32757c89817e790c119bea9de817d49334ba1a3f04ef9a', 71232,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('ba6d03922294b498b3e57ace654a9ee6715c33081cd24c1df56004ca64ba6e66', 63188,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('d785f9b4efc2d7f91a854d36930d269122091296e25a46cc7931e2cd717567d5', 71912,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('8c9b215a8e543b09a087afec74223fb41a74378deb5b83c8457630d03f0b5fc3', 62524,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e43b57298b99f0da6d3bfa3de072e88a539bf01332c5232e8e29dfee09cb859c', 71340,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('10e8c4207611b16691202b4204f5fbd4e27aa240a45dbb2ca91f63f341056539', 59388,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('dd23a74d333a9694f51ccb193efddc8d38e892053eca374882e2fe4043181559', 69256,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('742f14f17526638a90f24974f5222008c89acabe2c636deb378ba287cf381bc6', 48836,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TitilliumWeb', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _titilliumWebTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.caption),button: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.button),overline: GoogleFonts._titilliumWeb(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tomorrow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('2bf064837570b16e64b6e16bb607ccd32e353ea52ff1860fd61a0de72f6a5ea0', 54872,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('5dd9ba1be08d4e07fc0457665070caeecdad448ec1322aaac51e215904362e1e', 58008,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('79fcf41f1188438fdf8ed0f55418e4ca98f03b8443301282f5802555a96f74af', 56872,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('425bd4136783e2ffeb2842db5e8492f0dc216f55affb59a6318a92710baa27eb', 58892,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('7b2dfcddbd51d970a89a1da730c28728ef35143b92571a0784e276e6717c88ef', 56908,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('d222b2be7527fd1ff40802e62efd580a26a2af8429cf2dbddbce712e5a794dba', 58928,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5256d55c0d21f605ff31cd07ca4024c586239869f4fe1ce2e54ef2b9b6dd1611', 56716,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('b3eda563419f8c13997aed418ed32fcc44e137a85792169be016f3242f1dbd26', 58568,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('60bf8a426801434668a4d142fe97fa27c6e2dc3fa243ddeebf54f7c9d0284cbf', 56172,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('74048134b96771acecb5de5c4af84c177e24ca1b8a7c3b6c9852c5f68517cbb0', 58112,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('3de6c087f280da15fd40635ba1cc66fe7c78a10350dd0f94ae6ada95384f31a4', 56784,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('2e985e11cd4dd1e0fd28d54e7a8c28dd1d7bf7fb880476ad1ff3ea0920bae21a', 59016,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('2434798866b49db9f385b1aff9ce12097fd03456a8dd4c6aa8dfa8478446c036', 55956,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('523759fa7f5b6d8e1fd036f0fe530eb086c95d6be872aa152730f72cc697b264', 58964,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('1a88013dd353dca273c7a4129ba7433767521753e669d6b73174ac30b3004aca', 56584,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('c11ab2b695c695bcd579be5ede3d5e8f268d1754defa82cb82da445a0f6fcc68', 59704,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('976124bee1d9ac2c0b64250e695eb111c22947028b468261ac2ba747e935ce41', 52332,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('84a0fcf0b30441638a28059e5e836a2441bbd5f51553c29ae163f37af0e07b6e', 55780,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Tomorrow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tomorrowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tomorrow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tradeWinds({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3700d4f7d8215f29936d00b52a4b5bf1b2c28b9df395be53d179282b32834cdb', 85328,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TradeWinds', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tradeWindsTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tradeWinds(textStyle: _t(tTheme)?.overline),);

  static TextStyle _trirong({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('ebda10c096f251b0f84ce8b6fad4468a087d944c5c45081c09f9b355ed9c2757', 130884,),GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.italic,): GoogleFontsFile('7a42cfb5ac38b434d94f2da531cd684023ef0223664c7a1dcc27c1abbb1da60a', 145452,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('c24e38979d00ca5cc7b8263089200c8047ff2589fdccff637c44dd6e0ab1f408', 130952,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.italic,): GoogleFontsFile('273025dcd85321fcb1f102724944a7150fea25d03ff9ed2bb7386973e88b9e50', 146848,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('5f63c33f4190aa7884d7b64f11279c4507d7317e5624d0bfc1b05eca2ff418e7', 132208,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('1784836440ffdf31286b0df9584970579b1af1952ac75dfd022bf9d7e0984fe1', 146876,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('83969f4046620c10445d07b6cec90f9d567b3cb5ae9f8a0d216568cc2d15654c', 132240,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('841e812a25eb28ca4e21cb658d8366c9bb981105dd1d7aa88ca994bb54894ea3', 135792,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('43bcfe3403429145f5c7fb7b1c235b3f7c6ec53c0eb74c60aacf204b951b5401', 132568,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('5e3cacecc05b4c5ec441b805e2a762128058bec1d536af471ba5e41bdc4aeab6', 145648,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('1bcf42948a6cb24de06e4672a41d7be5d5a78f8666cb01af47465ae500a71d3f', 119756,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('33b42029fe9f85e3aca1571116b8931e01d2c0532a8686fa4d4c1a9a6002d4c7', 133248,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f44ac39f4897c03dc6b971c1150fb6931ae23244de24ad8b7e7786cf80d05bdf', 132408,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('253f1ffccc8aef2bd32268020b2c2043f73135a8ae452a59da8a0392eb550f15', 149368,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('91503f7fd8f6427f0f52f59b2eb579609644a895bbc23cf120d005ca661664a3', 132344,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.italic,): GoogleFontsFile('4bfb31e96b8c31946d7ad03ee00d18bbe83bb6f3259286bfcf595eb3a58f0d0c', 148940,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('68b6c54a09143e5a61f93d87711cea8b55c71178340aa29d7900f345a39d6fec', 132288,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('3065ef76d27a4859bed714e0ff5f472bd1675a0fc4b103a5b365fb7e367acbdc', 149148,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Trirong', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _trirongTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._trirong(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._trirong(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._trirong(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._trirong(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._trirong(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._trirong(textStyle: _t(tTheme)?.caption),button: GoogleFonts._trirong(textStyle: _t(tTheme)?.button),overline: GoogleFonts._trirong(textStyle: _t(tTheme)?.overline),);

  static TextStyle _trocchi({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('eb00e832bf4003425484645b8e897ee2762c5ef155286eb4647745a9992d91e5', 43796,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Trocchi', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _trocchiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._trocchi(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._trocchi(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._trocchi(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._trocchi(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._trocchi(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._trocchi(textStyle: _t(tTheme)?.caption),button: GoogleFonts._trocchi(textStyle: _t(tTheme)?.button),overline: GoogleFonts._trocchi(textStyle: _t(tTheme)?.overline),);

  static TextStyle _trochut({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('fb7ad314480eec04c8ff53ad7a24690495145d924a92be149c75ccd5fe144215', 25252,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('05e2d11e0d53984525926d1c86d71eab21194ae2664a3696175f68fb9e8969de', 27860,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('82633b54306a8a1649b8590f40a509a2808ff33ef157f6cc3f98d52130752914', 25364,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Trochut', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _trochutTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._trochut(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._trochut(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._trochut(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._trochut(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._trochut(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._trochut(textStyle: _t(tTheme)?.caption),button: GoogleFonts._trochut(textStyle: _t(tTheme)?.button),overline: GoogleFonts._trochut(textStyle: _t(tTheme)?.overline),);

  static TextStyle _trykker({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a90a15371d777f248a91bd42582cdab700d67f8d3ca9b191fa8f32923f781e02', 38116,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Trykker', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _trykkerTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._trykker(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._trykker(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._trykker(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._trykker(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._trykker(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._trykker(textStyle: _t(tTheme)?.caption),button: GoogleFonts._trykker(textStyle: _t(tTheme)?.button),overline: GoogleFonts._trykker(textStyle: _t(tTheme)?.overline),);

  static TextStyle _tulpenOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a7952e8a169708673ce2f03a77306fa166fa25d0f8475c26ea3cf055d955577c', 35220,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TulpenOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _tulpenOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._tulpenOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _turretRoad({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('1eb2f6296f0d09925f225ecec4142547ba09542fcc5069fe46fe0d8673c2b6a3', 31752,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('e38827c14383deae6789dc0f07d95b6cbb5f0093dbd0d872fcd4e792c8903562', 31504,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a9fe5d3ea03de544cf78476012b66bd6ec9240790f7e13b7365bab19f4d7dceb', 31648,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('6d3a6fdd0ccdd0665ca8b9ff99c62c571a5779139c039da471fb8b0d313b4c09', 31556,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('1ba5b04b2f9d8431b7bd41642ebdd197b5d904f1002cafc12fa7828579bc9970', 30868,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('b60bec40097c905a21009c6ad48cbe4c2c44f58ef95171a0a61efb0d6727a620', 31516,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'TurretRoad', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _turretRoadTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.caption),button: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.button),overline: GoogleFonts._turretRoad(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ubuntu({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('af68436b9e6b56275cecbabf026fbfa760095b5fc054f802c17ae15dcb4cbf18', 209640,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f1fc680395fdc7b33c4b64324bb4e34779fb8acfbb6d18b837932e0b8d1a69ee', 235432,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('69538c1ee708ba76c975ea534b5ea8bd65054114da93581ed279bdedde98986c', 222172,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('191ec3d947057bfaa61cf55e8133a8dfa252400009e628a2141f7aafd3047ca9', 231260,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('c1964f6ef40fc1fdf7599700b74b4446f181c52a6547cac09a325565ad55e639', 224556,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('02b8cbdca4e9916efc303be2f40666b27aa1928896d3f783fec01f97e23f7f64', 228072,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d897d5edfc8d1b9f611f1936d05ea7f52b66071ab5f3fa3dbc357cee0e02f204', 231472,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('5c1ea5c0feab209d1204650845041e13ed77ef6451d9f081711e7d698ba20b52', 245888,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ubuntu', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ubuntuTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ubuntu(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ubuntuCondensed({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9d1044be5c621b9779245f7324c08c3991b0a609d3de1eae6b7f914cd54de315', 253684,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UbuntuCondensed', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ubuntuCondensedTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ubuntuCondensed(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ubuntuMono({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cd1f8cec4767686edcf755dcde43ac58d83cef21ee96f0e6d850aaf359edd22c', 115764,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('f9935197a4379e2812e72644ce77c4d8bd3f108ff3b23ed5fccb7032f08d6626', 120736,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7f6a2a5a1eeef3fd539d7cb59119e2a720c33fb75347a47de6c1b4daef4ab63c', 114936,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('91873d66153347506011f860ea9c87fc36c2ee4ef726bd95cc88c86e0b1ec5f2', 118912,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UbuntuMono', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ubuntuMonoTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ubuntuMono(textStyle: _t(tTheme)?.overline),);

  static TextStyle _ultra({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('b8f140ef86bd070e1a1d30fffe3069a30b84663f4dbdb628765d5813caa50003', 52776,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Ultra', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _ultraTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._ultra(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._ultra(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._ultra(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._ultra(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._ultra(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._ultra(textStyle: _t(tTheme)?.caption),button: GoogleFonts._ultra(textStyle: _t(tTheme)?.button),overline: GoogleFonts._ultra(textStyle: _t(tTheme)?.overline),);

  static TextStyle _uncialAntiqua({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('88158802093284fa91900c03a6d4ad980decb35d9f668fb97ae46095f6669770', 62988,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UncialAntiqua', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _uncialAntiquaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.caption),button: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.button),overline: GoogleFonts._uncialAntiqua(textStyle: _t(tTheme)?.overline),);

  static TextStyle _underdog({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('02f2cb9d97d94732f703fb34d2332cacf667304208fd69704a5e2ff904dcccff', 70256,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Underdog', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _underdogTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._underdog(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._underdog(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._underdog(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._underdog(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._underdog(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._underdog(textStyle: _t(tTheme)?.caption),button: GoogleFonts._underdog(textStyle: _t(tTheme)?.button),overline: GoogleFonts._underdog(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unicaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5616e05bc01af9a3a0c6ab46088658b8dfa74ac2b709df893baaefaa711889ed', 39876,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UnicaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unicaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unicaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unifrakturCook({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('36511c1da21b02a70a6926e12d439ba9c9dba3d5ff0a282c31fa85c4ca96a121', 41860,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UnifrakturCook', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unifrakturCookTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unifrakturCook(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unifrakturMaguntia({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('760d5515a6a9a134ae422f5944056967d7e7d59e1e22b09f4c37caa548229534', 71824,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'UnifrakturMaguntia', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unifrakturMaguntiaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unifrakturMaguntia(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unkempt({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d4f6b7d5ae22a39c55f20fa7871901f21fd6c60c5a788fcf578cf326216a1052', 191984,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('7fd27119b105972e2538d19f5b9fc686ccaf1e10de3d8c7ab7c7d3e0111700dd', 190680,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Unkempt', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unkemptTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unkempt(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unkempt(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unkempt(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unkempt(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unkempt(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unkempt(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unkempt(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unkempt(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unlock({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e9ad989b6ef86cedca3ed0f4a06cc4bb6fbf6dce9c2d5ccd288512d49e861de4', 27032,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Unlock', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unlockTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unlock(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unlock(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unlock(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unlock(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unlock(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unlock(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unlock(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unlock(textStyle: _t(tTheme)?.overline),);

  static TextStyle _unna({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('aa20b27f175098965dc2897d6bb836199b5df9ae3a2e04ce93c359976f4ad15b', 40900,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('adf583a9103ab9e6d88d247e15e1b9eee56b751099e349c84f7c344391ba5365', 47428,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('4ea1c7e13a6450b0389fe43811640a115ceff510dce477813d552533bb8c2a1d', 41572,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('2c998279cfb60a24fb17f126e193378afe16e6056a7b57ac4cd78b2047759fd8', 48440,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Unna', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _unnaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._unna(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._unna(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._unna(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._unna(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._unna(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._unna(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._unna(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._unna(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._unna(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._unna(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._unna(textStyle: _t(tTheme)?.caption),button: GoogleFonts._unna(textStyle: _t(tTheme)?.button),overline: GoogleFonts._unna(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vt323({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('bb4e9d2d01d2cd1a001d4822ed239ffd38df2ee07a6a1f581288f34dbd2f4060', 107768,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VT323', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vt323TextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vt323(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vt323(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vt323(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vt323(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vt323(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vt323(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vt323(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vt323(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vampiroOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('da13d8511c4c84999202a24524c1d204e28aa4fc7d38266b472306622f383317', 21848,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VampiroOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vampiroOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vampiroOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _varela({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('96887ebd8375ca5af98d18cb1de4dbf2999792851119cd372a33470d59245222', 103004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Varela', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _varelaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._varela(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._varela(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._varela(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._varela(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._varela(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._varela(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._varela(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._varela(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._varela(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._varela(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._varela(textStyle: _t(tTheme)?.caption),button: GoogleFonts._varela(textStyle: _t(tTheme)?.button),overline: GoogleFonts._varela(textStyle: _t(tTheme)?.overline),);

  static TextStyle _varelaRound({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('23459f7eed93ae80137b9ac0c3c1ab000743c9c983fb7c14b6d5f3ceb8e4eb15', 105652,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VarelaRound', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _varelaRoundTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.caption),button: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.button),overline: GoogleFonts._varelaRound(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vastShadow({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c7455e059437040326c4daa3043261ce959c3f096f26dbe670dec65d1a611705', 62316,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VastShadow', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vastShadowTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vastShadow(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vesperLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('23ebf9650e07e0d9fc46ae2eba26ac2ec4ce96fb1c5dfe8d1e68697caa450075', 165640,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('0d1943717826e25f00193643ca5cef6a8e84d9949f43eea2e7fcbbcf7eac6472', 167888,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('c45aa4f922411d07c89ae4f96d05177e84e280aecdda0fdee999b1a617b4c1ce', 167692,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('0f6179f3446d68f20aa486aed461cc68f86028fd02217a13559a2bf5c3e60702', 165240,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VesperLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vesperLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vesperLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _viaodaLibre({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4c7e54848245264f0ecb5994ce321b185812cc6e451cdd2fc341d8f505686dd4', 95364,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ViaodaLibre', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _viaodaLibreTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.caption),button: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.button),overline: GoogleFonts._viaodaLibre(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vibes({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('270c48b74a5e6a356c51d4c42ec0a6889691ba3d2ec03f0bbec16078d2ac9093', 49952,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Vibes', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vibesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vibes(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vibes(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vibes(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vibes(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vibes(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vibes(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vibes(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vibes(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vibur({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4a341a2553f7bac9bf3d756c88bdb1a67934839f2a343ef00268f04d641803f8', 143772,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Vibur', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _viburTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vibur(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vibur(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vibur(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vibur(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vibur(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vibur(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vibur(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vibur(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vidaloka({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('222cf887f6f4ef0661c73aee6ad041d0d4e6630c7d2bff7e851025a024b44cfd', 104304,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Vidaloka', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vidalokaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vidaloka(textStyle: _t(tTheme)?.overline),);

  static TextStyle _viga({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('d85fc50295193b5956d4737878484d6ec2b1681053e75a2c986238285e1ac681', 28388,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Viga', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vigaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._viga(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._viga(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._viga(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._viga(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._viga(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._viga(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._viga(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._viga(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._viga(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._viga(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._viga(textStyle: _t(tTheme)?.caption),button: GoogleFonts._viga(textStyle: _t(tTheme)?.button),overline: GoogleFonts._viga(textStyle: _t(tTheme)?.overline),);

  static TextStyle _voces({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0be995322d0fd8e055fc6d3cb9352a0c551e91531d41946d20c450fe3e4c20d8', 65956,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Voces', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vocesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._voces(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._voces(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._voces(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._voces(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._voces(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._voces(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._voces(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._voces(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._voces(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._voces(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._voces(textStyle: _t(tTheme)?.caption),button: GoogleFonts._voces(textStyle: _t(tTheme)?.button),overline: GoogleFonts._voces(textStyle: _t(tTheme)?.overline),);

  static TextStyle _volkhov({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('a3fa059553ab62381a8974ef60376b4bad0e91f2d72092094e74fb1c2fcca886', 84908,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('7d27f866b8f11b00603bcc07b2e7ae49e4405fde4b3db227065ad57f92b8953c', 84532,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('f24fe6c57bdf816d9c6e09602548002ca61aca7eec23b40635c4a46f84347d47', 84288,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('0db6f541c0e1a1f792feaacd69708e50b99aabf1ada6028e80fca14cfafe030c', 85744,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Volkhov', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _volkhovTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._volkhov(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._volkhov(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._volkhov(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._volkhov(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._volkhov(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._volkhov(textStyle: _t(tTheme)?.caption),button: GoogleFonts._volkhov(textStyle: _t(tTheme)?.button),overline: GoogleFonts._volkhov(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vollkorn({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9fd84335b1beb10505c201815682f7b543aa429a5a909e8b2126f15d36a0705a', 262424,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('784ba33f30493ef78ca0217d7f6c243c8bf7bec2cd1b9c4d813af99941bf730e', 271752,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('9d702c22f1d2ea4a1521efff825d5c362adca54b6fbe2343ab2ed6b7e2119610', 276280,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('6cd6efd288ac8587690f7a7f5788bea147c0c5432224a04874dc4494a8691955', 279348,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('14aa1fb5f42a8088a0d91ca54dbc7d6eea615db621929c7bdc35ae4a6c64fcb5', 276384,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('ef717b899e1af61e2a62cfed23623b0d5c844e2745616be4a949bf84f6e7457e', 279732,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('14e5d20d80ab9df765ef117415850050320fa766eb246296c67924737f88c2d1', 272880,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.italic,): GoogleFontsFile('3953dfef7c1118f089612462105779d89da8f9df1aa11b74a8b2a58bb8359a44', 272552,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Vollkorn', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vollkornTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vollkorn(textStyle: _t(tTheme)?.overline),);

  static TextStyle _vollkornSc({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('3a204e8e6e256d182887114991a86b3853bd7b370eb298c5c5358a4924e94326', 145820,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('c3f8bc857ab58e19ba62ee008373ba5b707f586065cc0a59e68cf3781b1075f5', 150112,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('0281449b729b1b8cb680dbcd00fd7d2e9d40ff24c858a834e3670997a561aea3', 150144,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('b95dc90d6b58551cd5cadf844986de95a70432ebf303eaf23270184113144a67', 149088,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'VollkornSC', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _vollkornScTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.caption),button: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.button),overline: GoogleFonts._vollkornSc(textStyle: _t(tTheme)?.overline),);

  static TextStyle _voltaire({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('8e446b1dcde5e45745bd6e82bfacf76b313042b232e4fceaa22d745f13e176d3', 28800,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Voltaire', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _voltaireTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._voltaire(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._voltaire(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._voltaire(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._voltaire(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._voltaire(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._voltaire(textStyle: _t(tTheme)?.caption),button: GoogleFonts._voltaire(textStyle: _t(tTheme)?.button),overline: GoogleFonts._voltaire(textStyle: _t(tTheme)?.overline),);

  static TextStyle _waitingForTheSunrise({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('5d952514968d1ce922a541f2099d884967f1970682676c3f1cca1b4668f07ff1', 57412,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'WaitingfortheSunrise', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _waitingForTheSunriseTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.caption),button: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.button),overline: GoogleFonts._waitingForTheSunrise(textStyle: _t(tTheme)?.overline),);

  static TextStyle _wallpoet({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9989a07c4d82441ed4366747a76f537b925a6d9f691e7b0cd97713bcac160b20', 22488,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Wallpoet', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _wallpoetTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.caption),button: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.button),overline: GoogleFonts._wallpoet(textStyle: _t(tTheme)?.overline),);

  static TextStyle _walterTurncoat({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('4ea002cd3a82b6686a400f26ba3da2fa47721b8300266adcc80cc3fbd52a86a3', 153452,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'WalterTurncoat', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _walterTurncoatTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.caption),button: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.button),overline: GoogleFonts._walterTurncoat(textStyle: _t(tTheme)?.overline),);

  static TextStyle _warnes({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('509079dd5c127782c43242772c6a327f4e16ede0d28f7d18b01e7092b4e902c8', 41620,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Warnes', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _warnesTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._warnes(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._warnes(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._warnes(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._warnes(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._warnes(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._warnes(textStyle: _t(tTheme)?.caption),button: GoogleFonts._warnes(textStyle: _t(tTheme)?.button),overline: GoogleFonts._warnes(textStyle: _t(tTheme)?.overline),);

  static TextStyle _wellfleet({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9bdc76fbcd0c8aa30aa62c892008d4e6cf4a7df66502008137949866fc091693', 81992,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Wellfleet', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _wellfleetTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.caption),button: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.button),overline: GoogleFonts._wellfleet(textStyle: _t(tTheme)?.overline),);

  static TextStyle _wendyOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dea9bd8409f75210fc0600c72f08d7b21019e5e663c7dcff913dc8f003587379', 22724,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'WendyOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _wendyOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._wendyOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _wireOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6d9ba7749b319a53d24a41f6cbfd1b376305caee6bb226d4fb76fa6c9ccb2737', 44392,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'WireOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _wireOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._wireOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._wireOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._wireOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._wireOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._wireOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._wireOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._wireOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._wireOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _workSans({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('54ff7c3cb9bfd181e1d18d089ab9bba3059dd6f49d35bfde19c23e0920ec6f2c', 101768,),GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('1fa02ec2601b669a35f4c2d946f2e52353bcf619ad2a080c8786f607f013359c', 103092,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('63d2d7d98c9844e182c80865616936a3c0e95d9c9b7097e09401ccc07723afa7', 102672,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cf9e214b6a140d6d260a7a91283acecf80168bd0b46628222447e9b5e01300a2', 99188,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('1ca28e13541a38be971563ecc74ed68ad07134d3ea3afe92a9c120783868b69d', 104640,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('a7415d89db9339059ee631263f3cd47af702c172d1b020fa359df0e5a4930e6b', 104368,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('d41209fc541bdf9f9bac4659e46565edc93459f6c6f7213015af82b7d3e7e00b', 103884,),GoogleFontsVariant(fontWeight: FontWeight.w800, fontStyle: FontStyle.normal,): GoogleFontsFile('c9cca774aabfe453b9c2759953dedeb20f16d6eb28c0ba7690a170580c338d72', 104120,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('7cdc1c327ea835b192ef17b0f0bff1a16fc58f8ab00bc318b41912f4758b2905', 97388,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'WorkSans', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _workSansTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._workSans(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._workSans(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._workSans(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._workSans(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._workSans(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._workSans(textStyle: _t(tTheme)?.caption),button: GoogleFonts._workSans(textStyle: _t(tTheme)?.button),overline: GoogleFonts._workSans(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yanoneKaffeesatz({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w200, fontStyle: FontStyle.normal,): GoogleFontsFile('9805245cc2de9c8da9ae786c7e17ac2da9f93c7b2ba3cc8f481e28eb05146193', 73564,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('d9ed8432723bd4d507a98d52dc50b9852ac3d6456e0fbcf9bf639b19982af563', 83844,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('c590a52e12f62af4fec495eae613bff7aa7763fb2c5bec48e1db96503ba91c1b', 84008,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('5245342d46c5e01aaa2e808a7962687a57c7ffaad83ff05db327e9fbf28d79c0', 84004,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'YanoneKaffeesatz', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yanoneKaffeesatzTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yanoneKaffeesatz(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yantramanav({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w100, fontStyle: FontStyle.normal,): GoogleFontsFile('86689d7a0f2e854d67499f3b138d736bbc906760e4ce2965a494ede2bd7bebca', 101432,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('4ab0f6ae96b7ee1e64385a964c2e10db696f46e64a3c7e9966131d0a0e2d4584', 99760,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('41c02d7da7c104c3ea5207122b178f4cbcf308b4911dbc4e4a460b23ba64f09e', 99620,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('14362b0efe1ebbde59b45ed4e1f345c1a41e777d03fce97684b6bd8b67ecc385', 98608,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('6036c39566fdfe4d7a96f8959775282729df41c691b5791efb80a530d96732e6', 99004,),GoogleFontsVariant(fontWeight: FontWeight.w900, fontStyle: FontStyle.normal,): GoogleFontsFile('117b18180127afc0bb9a28d0aa5d5aa9bcd8090b84d34a9adf571661c1896578', 98880,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Yantramanav', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yantramanavTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yantramanav(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yatraOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('91d2a8a128a89559c899d8149591b1704546ba00b04c2d0f50dd252f57a00bfb', 204892,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'YatraOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yatraOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yatraOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yellowtail({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f5afc3345b05f159df8c09f953eacbf365a0d81f5cecccb4fa7b7407284baca9', 62400,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Yellowtail', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yellowtailTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yellowtail(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yeonSung({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('cc6d366c352d7d897155bde07516cd01c0fcd308ff28d0d6545d6634046cecec', 1698768,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'YeonSung', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yeonSungTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yeonSung(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yesevaOne({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('326eec1af27e3634bbf470c04d8127d985571a07b5b79696eb6424489e27e106', 74612,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'YesevaOne', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yesevaOneTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yesevaOne(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yesteryear({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('de930d7a2b4adea15c08668114a1672322e74ae93b6b134e78a953c6789ea86d', 64440,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Yesteryear', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yesteryearTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yesteryear(textStyle: _t(tTheme)?.overline),);

  static TextStyle _yrsa({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('b942444580e24561d6008f08b6b3145662d902d140408e9f6c92ee7cd5affa00', 57928,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('9782370d37625db345595b8f48ae5156b4c8256cd4867b119af3114faa566686', 58404,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('61c4e4c03498db5ec4f926576603b2102fac9f90b73b7aafe7e6ebadc30444b0', 58364,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('dd8f96acf795a40fc16730d309bc4a64f1f21d96ac4e93763611cee5539b77f9', 58352,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('94de8af1023c6dab0ffcb86966c85582afca7392a0c3377cd0f1cb536c9d095c', 58252,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Yrsa', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _yrsaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._yrsa(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._yrsa(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._yrsa(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._yrsa(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._yrsa(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._yrsa(textStyle: _t(tTheme)?.caption),button: GoogleFonts._yrsa(textStyle: _t(tTheme)?.button),overline: GoogleFonts._yrsa(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zcoolKuaiLe({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('0809b4605f58fdd321743ae7e5b76d4ac6c2153fe0b5b7185dd12c1974659c00', 1509564,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZCOOLKuaiLe', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zcoolKuaiLeTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zcoolKuaiLe(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zcoolQingKeHuangYou({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dca9156773f9e058aafeaded91d3d5e64e41a67187907e37a66210e708d3dc73', 5827424,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZCOOLQingKeHuangYou', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zcoolQingKeHuangYouTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zcoolQingKeHuangYou(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zcoolXiaoWei({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('e00b956bf9846285496c54d15ad3e2d6302a4c7d6f7a09c4afd4827744d626e9', 3917592,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZCOOLXiaoWei', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zcoolXiaoWeiTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zcoolXiaoWei(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zeyada({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('06ad6445bf0014c963d0b72e3dcd1defc66132033878f2b1cee5be9bdb807c93', 63040,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'Zeyada', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zeyadaTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zeyada(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zeyada(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zeyada(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zeyada(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zeyada(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zeyada(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zeyada(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zeyada(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zhiMangXing({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('f1191a3228f8532e0c3269311dad5b9b1fcdc6dbcfe7f9e3cc506a30fda24d1b', 4051716,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZhiMangXing', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zhiMangXingTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zhiMangXing(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zillaSlab({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.normal,): GoogleFontsFile('37849ab854bf1dfd4a6d1cf5fe02365f214a0b5230a2473ddba5beea422d42c1', 177352,),GoogleFontsVariant(fontWeight: FontWeight.w300, fontStyle: FontStyle.italic,): GoogleFontsFile('f805ebf60f65467cf901f63c9e81742e68857ccd9321f154a664dc86e4f74d04', 183780,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('6800e794aef26166782eccbaea44836363524c049b943e1ff5e7f3c662ee15db', 177856,),GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.italic,): GoogleFontsFile('877668221b5887330f20b0c49f66807696026ce3edcc2930f86a6681f8bb0b66', 185116,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.normal,): GoogleFontsFile('f84370da8e3c9d4ff36363df373f16bd9dff9bc4fec9d1bd98c58e5450fe7a94', 177808,),GoogleFontsVariant(fontWeight: FontWeight.w500, fontStyle: FontStyle.italic,): GoogleFontsFile('382cc00753755b73c9b5c3c729fc28e639a7f0ec05d7f4f1eb078bed8b053e2c', 185368,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.normal,): GoogleFontsFile('0f65abeeaa62b1131fa31eb90d1ac6630bc73de55414482fd373559e7c8b56d2', 177848,),GoogleFontsVariant(fontWeight: FontWeight.w600, fontStyle: FontStyle.italic,): GoogleFontsFile('e893fedd56d416197cd6fb662dee7a611d5a5fc4216d271fa075316524ea4ff4', 185160,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('bc0bb0d6f2a2f1edd4520a1e0e6fc779921dd929b7343dc03450a80ca514bb03', 178644,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.italic,): GoogleFontsFile('d65ad541dbb872b4bd977f2dbfdf396a44ac0ec063b7921aba6e76dda85a4b05', 185704,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZillaSlab', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zillaSlabTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zillaSlab(textStyle: _t(tTheme)?.overline),);

  static TextStyle _zillaSlabHighlight({TextStyle textStyle, Color color, Color backgroundColor, double fontSize, FontWeight fontWeight, FontStyle fontStyle, double letterSpacing, double wordSpacing, TextBaseline textBaseline, double height, Locale locale, Paint foreground, Paint background, List<ui.Shadow> shadows, List<ui.FontFeature> fontFeatures, TextDecoration decoration, Color decorationColor, TextDecorationStyle decorationStyle, double decorationThickness,}) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{ GoogleFontsVariant(fontWeight: FontWeight.w400, fontStyle: FontStyle.normal,): GoogleFontsFile('dbd546264c0d549b6c3cd17c1acf40b35bbe910885e09b5e2a270aa090b6ee53', 71996,),GoogleFontsVariant(fontWeight: FontWeight.w700, fontStyle: FontStyle.normal,): GoogleFontsFile('be3605b5e26a2439fde6293b4159f4c401273e65483cab10505e6c4010523ece', 71064,),};
    return googleFontsTextStyle(textStyle: textStyle, fontFamily: 'ZillaSlabHighlight', color: color, backgroundColor: backgroundColor, fontSize: fontSize, fontWeight: fontWeight, fontStyle: fontStyle, letterSpacing: letterSpacing, wordSpacing: wordSpacing, textBaseline: textBaseline, height: height, locale: locale, foreground: foreground, background: background, shadows: shadows, fontFeatures: fontFeatures, decoration: decoration, decorationColor: decorationColor, decorationStyle: decorationStyle, decorationThickness: decorationThickness, fonts: fonts,);
  }
  static TextTheme _zillaSlabHighlightTextTheme([TextTheme tTheme]) => TextTheme(headline1: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline1),headline2: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline2),headline3: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline3),headline4: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline4),headline5: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline5),headline6: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.headline6),subtitle1: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.subtitle1),subtitle2: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.subtitle2),bodyText1: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.bodyText1),bodyText2: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.bodyText2),caption: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.caption),button: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.button),overline: GoogleFonts._zillaSlabHighlight(textStyle: _t(tTheme)?.overline),);

}
